toc

Team LiB
Next Section

AutoCAD 2004 For Dummies
AutoCAD 2004 For Dummies
by Mark Middlebrook ISBN:0764540459
John Wiley & Sons © 2003

This user-friendly guide covers AutoCAD 2004's new interface, conforming with CAD standards, 3D, AutoCAD's various capabilities, and much more.

Table of Contents
 | AutoCAD 2004 for Dummies
 | Introduction
 | Part I - AutoCAD 101
 | Chapter 1 | - | Introducing AutoCAD 2004
 | Chapter 2 | - | Le Tour de AutoCAD 2004
 | Chapter 3 | - | Setup for Success
 | Part II - Let There Be Lines
 | Chapter 4 | - | Get Ready to Draw
 | Chapter 5 | - | Where to Draw the Line
 | Chapter 6 | - | Edit for Credit
 | Chapter 7 | - | A Zoom with a View
 | Chapter 8 | - | On a 3D Spree
 | Part III - If Drawings Could Talk
 | Chapter 9 | - | Text with Character
 | Chapter 10 | - | Entering New Dimensions
 | Chapter 11 | - | Down the Hatch
 | Chapter 12 | - | The Plot Thickens
 | Part IV - Share and Share Alike
 | Chapter 13 | - | Playing Blocks and Rasteroids
 | Chapter 14 | - | CAD Standards Rule
 | Chapter 15 | - | Drawing on the Internet
 | Part V - The Part of Tens
 | Chapter 16 | - | Ten Ways to Do No Harm
 | Chapter 17 | - | Ten Ways to Swap Drawing Data with Other People and Programs
 | Index
 | Cheat Sheet | - | AutoCAD 2004 For Dummies
 | List of Figures
 | List of Tables
 | List of Sidebars

Team LiB
Next Section


backcover

Team LiB

Back Cover

Tour AutoCAD’s new features, make CAD standards rule, and find the friendlier xref. Once upon a time, architectural drawings were created with—gasp—pencils, paper, and T-squares. Then came AutoCAD, with all its capabilities and complications. While this book won’t turn back the clock, it will make it easy to explore AutoCAD 2004’s new interface, conform with CAD standards, get the lowdown on 3D, and discover all the amazing things you and AutoCAD can do.

About the Author

Mark Middlebrook owns a CAD consulting company and maintains a Web site to assist AutoCAD users.

Team LiB


AutoCAD 2004 for Dummies

Mark Middlebrook

AutoCAD® 2004 For Dummies®

Published by
Wiley Publishing, Inc.
909 Third Avenue
New York, NY 10022
www.wiley.com

Copyright © 2003 by Wiley Publishing, Inc., Indianapolis, Indiana

Published by Wiley Publishing, Inc., Indianapolis, Indiana

Published simultaneously in Canada

No part of this publication may be reproduced, stored in a retrieval system or transmitted in any form or by any means, electronic, mechanical, photocopying, recording, scanning or otherwise, except as permitted under Sections 107 or 108 of the 1976 United States Copyright Act, without either the prior written permission of the Publisher, or authorization through payment of the appropriate per-copy fee to the Copyright Clearance Center, 222 Rosewood Drive, Danvers, MA 01923, (978) 750-8400, fax (978) 646-8700. Requests to the Publisher for permission should be addressed to the Legal Department, Wiley Publishing, Inc., 10475 Crosspoint Blvd., Indianapolis, IN 46256, (317) 572-3447, fax (317) 572-4447, e-mail: permcoordinator@wiley.com.

Trademarks: Wiley, the Wiley Publishing logo, For Dummies, the Dummies Man logo, A Reference for the Rest of Us!, The Dummies Way, Dummies Daily, The Fun and Easy Way, Dummies.com and related trade dress are trademarks or registered trademarks of Wiley Publishing, Inc., in the United States and other countries, and may not be used without written permission. All other trademarks are the property of their respective owners. Wiley Publishing, Inc., is not associated with any product or vendor mentioned in this book.

Limit of Liability/Disclaimer of Warranty: While the publisher and author have used their best efforts in preparing this book, they make no representations or warranties with respect to the accuracy or completeness of the contents of this book and specifically disclaim any implied warranties of merchantability or fitness for a particular purpose. No warranty may be created or extended by sales representatives or written sales materials. The advice and strategies contained herein may not be suitable for your situation. You should consult with a professional where appropriate. Neither the publisher nor author shall be liable for any loss of profit or any other commercial damages, including but not limited to special, incidental, consequential, or other damages.

For general information on our other products and services or to obtain technical support, please contact our Customer Care Department within the U.S. at 800-762-2974, outside the U.S. at 317-572-3993, or fax 317-572-4002.

Wiley also publishes its books in a variety of electronic formats. Some content that appears in print may not be available in electronic books.

Library of Congress Control Number: 2003101851

ISBN: 0-7645-4045-9

Manufactured in the United States of America

10 9 8 7 6 5 4 3 2 1

About the Author

Mark Middlebrook used to be an engineer but gave it up when he discovered that he couldn’t handle a real job. He is now principal of Daedalus Consulting, an independent CAD and computer consulting company in Oakland, California. (In case you wondered, Daedalus was the guy in ancient Greek legend who built the labyrinth on Crete. Mark named his company after Daedalus before he realized that few of his clients would be able to pronounce it and even fewer spell it.) Mark is also a contributing editor for CADALYST magazine and Webmaster of markcad.com. When he’s not busy being a cad, Mark sells and writes about wine for Paul Marcus Wines in Oakland. He also teaches literature and philosophy classes at St. Mary’s College of California — hence "Daedalus." AutoCAD 2004 For Dummies is his fifth book on AutoCAD.

Dedication

To Puck and Pretzel, two absolute AutoCAD dummies who never cease to inspire and amuse. It was during walks in the woods with them that I originally worked out some of the details of these chapters. I’m pretty sure that Puck could learn AutoCAD, if only he could figure out how to manipulate a mouse. Pretzel, on the other hand, is too interested in squirrels to bother with mice.

Author’s Acknowledgments

Thanks first of all to Bud Smith, who initiated this book four editions ago, brought me in on it along the way, and finally handed it over to me in toto for this edition. I hope that I prove as good a steward as he was a midwife (or is the gender-neutral term “midspouse”?). Terri Varveris shepherded the project through the development process and helped all of us make it more than just another update. Dave Byrnes was once again a dependably excellent tech editor — he kept me relentlessly honest and saved me from a few embarrassing mistakes.

Publisher’s Acknowledgments

We’re proud of this book; please send us your comments through our online registration form located at www.dummies.com/register/.

Some of the people who helped bring this book to market include the following:

Acquisitions, Editorial, and Media Development

Project Editor
Pat O’Brien

(Previous Edition
Paul Levesque)

Acquisitions Editor
Terri Varveris

Senior Copy Editor
Kim Darosett

Technical Editor
David Byrnes

Editorial Manager
Kevin Kirschner

Media Development Supervisor
 Richard Graves

Editorial Assistant
Amanda Foxworth

Cartoons
Rich Tennant
www.the5thwave.com

Production

Project Coordinator
Maridee Ennis

Layout and Graphics
Seth Conley
Carrie Foster
Michael Kruzil
Tiffany Muth

Proofreaders
John Greenough
Andy Hollandbeck
Susan Moritz
Carl Pierce
Dwight Ramsey
TECHBOOKS Production Services

Indexer
TECHBOOKS Production Services

Publishing and Editorial for Technology Dummies

Vice President and Executive Group Publisher
Richard Swadley

Vice President and Publisher
Andy Cummings

Editorial Director
Mary C. Corder

Publishing for Consumer Dummies

Vice President and Publisher
Diane Graves Steele

Acquisitions Director
Joyce Pepple

Composition Services

Vice President of Production Services
Gerry Fahey

Director of Composition Services
Debbie Stailey


Introduction

Overview

It’s amazing to think that AutoCAD came into being two decades ago, at a time when most people thought that personal computers weren’t capable of a lot. It’s almost as amazing that, 20 years after its birth, AutoCAD remains the king of the microcomputer CAD hill by a tall margin. Many competing CAD programs have come to challenge AutoCAD, many have fallen, and a few are still around. Rumblings are circulating that the long-term future of CAD may belong to special-purpose, 3D-based software such as the Autodesk Inventor and Revit programs. Whether or not those rumblings amplify into a roar remains to be seen, but for the present and the near future anyway, AutoCAD is where the CAD action is.

In its evolution, AutoCAD has grown more complex, in part to keep up with the increasing complexity of the design and drafting processes that AutoCAD is intended to serve. It’s not enough just to draw nice-looking lines anymore. If you want to play CAD with the big boys and girls, you need to organize the objects you draw, their properties, and the files in which they reside in appropriate ways. You need to coordinate your CAD work with other people in your office who will be working on or making use of the same drawings. You need to be savvy about shipping drawings around via the Internet.

AutoCAD 2004 provides the tools for doing all these things, but it’s not always easy to figure out which hammer to pick up or which nail to bang on first. With this book, you have an excellent chance of creating a presentable, usable, printable, and sharable drawing on your first or second try without putting a T-square through your computer screen in frustration.


What's Not in This Book

Team LiB

What’s Not in This Book

Unlike many other For Dummies books, this one does tell you to consult the official software documentation sometimes. AutoCAD is just too big and complicated for a single book to attempt to describe it completely.

This book focuses on AutoCAD 2004 and its slightly less-capable, much lower-cost sibling, AutoCAD LT 2004. I do occasionally mention differences with previous versions, going back to the highly popular AutoCAD Release 14, so that everyone has some context and upgraders can more readily understand the differences. I also mention the important differences between full

AutoCAD and AutoCAD LT, so that you’ll know what you — or your LT-using colleagues — are missing. This book does not cover the discipline-specific features in AutoCAD-based products such as AutoCAD Architectural Desktop, except for some general discussion in Chapter 1, but most of the information in this book applies to the general-purpose AutoCAD features in the AutoCAD 2004-based versions of those programs as well.


Who Are - and Aren't - You?

Team LiB

Who Are — and Aren’t — You?

AutoCAD has a large, loyal, and dedicated group of long-time users. This book may not meet the needs of all these long-time members of the AutoCAD faithful. This book is probably not for you if

  • You were using AutoCAD when it still had Versions rather than Releases.

  • You have lectured at Autodesk University.

  • You founded Autodesk University.

  • You use all those 1,000-page-plus technical tomes about AutoCAD as bedtime reading.

  • You sent suggestions for changes in AutoCAD 2004 to the AutoCAD Wish List and saw them incorporated in the new release of the program.

  • After your suggestion was incorporated into the program, you sent e-mail to Autodesk explaining how the company did it wrong.

If you don’t fall into any of these categories, well, this is definitely the book for you.

However, you do need to have some idea of how to use your computer system before tackling AutoCAD — and this book. You need to have a computer system with AutoCAD or AutoCAD LT (preferably the 2004 version). A printer or plotter and a connection to the Internet will be big helps, too.

You also need to know how to use Windows to copy and delete files, create a folder, and find a file. You need to know how to use a mouse to select (highlight) or to choose (activate) commands, how to close a window, and how to minimize and maximize windows. Make sure that you’re familiar with the basics of your operating system before you start with AutoCAD.


How This Book Is Organized

If you saw the impressive and apparently random piles of stuff cluttering my desk while I was writing this book, you’d wonder how I could organize a chapter, never mind an entire book. Nevertheless, I hope you’ll find that the book reflects some concerted thought about how to present AutoCAD in a way that’s both easy-to-dip-into and smoothly-flowing-from-beginning-to-end.

The organization of this book into parts — collections of related chapters — is one of the most important, uh, parts of this book. You really can get to know AutoCAD one piece at a time, and each part represents a group of closely related topics. The order of parts also says something about priority; yes, you have my permission to ignore the stuff in later parts until you’ve mastered most of the stuff in the early ones. This kind of building-block approach can be especially valuable in a program as powerful as AutoCAD.

The following sections describe the parts that the book breaks down into.

Part I: AutoCAD 101

Need to know your way around the AutoCAD screen? Why does AutoCAD even exist, anyway? What are all the different AutoCAD 2004-based products that Autodesk sells, and should you be using one of them — for example, AutoCAD LT — instead of AutoCAD? Is everything so slooow because it’s supposed to be slow, or do I have too wimpy a machine to truly use this wonder of modern-day computing? And why am I doing this stuff in the first place?

Part I answers all these questions — and more. This part also includes what may seem like a great deal of excruciating detail about setting up a new drawing in AutoCAD. But what’s even more excruciating is to do your setup work incorrectly and then feel as though AutoCAD is fighting you every step of the way. With a little drawing setup work done in advance, it won’t.

Part II: Let There Be Lines

In this part, it’s time for some dry but essential concepts, including object properties and CAD precision techniques. I know that you’re raring to make some drawings, but if you don’t get a handle on this stuff early on, you’ll be terminally — or is that monitor-ally? — confused when you try to draw and edit objects. If you want to make drawings that look good, plot good, and are good, read this stuff! If not, you may discover as you attempt to print the final version of the drawings due the next day at 9 a.m. that an inkjet plotter can slide its ink cartridges back and forth in a rhythm eerily reminiscent of a head-wagging “nyah-nyah nyah-nyah-nyah.”

After the concepts preamble, the bulk of this part covers the trio of activities that you’ll probably spend most of your time in AutoCAD doing: drawing objects, editing them, and zooming and panning to see them better on the screen. These are the things that you do in order to create the geometry — that is, the CAD representations of the objects in the real world that you’re designing. By the end of Part II, you should be pretty good at geometry, even if your 9th grade math teacher told you otherwise.

Part III: If Drawings Could Talk

CAD drawings do not live on lines alone — most of them require quite a bit of text, dimensioning, and hatching in order to make the design intent clear to the poor chump who has to build your amazing creation. (Whoever said “a picture is worth a thousand words” must not have counted up the number of words on the average architectural drawing!) This part shows you how to add these essential features to your drawings.

After you’ve gussied up your drawing with text, dimensions, and hatching, you’ll probably want to create a snapshot of it to show off to your client, contractor, or grandma. Normal people call this process “printing,” but CAD people aren’t normal, so they call it “plotting.” Whatever you decide to call it, I’ll show you how to do it.

Part IV: Share and Share Alike

A good CAD user, like a good kindergartner, plays well with others. AutoCAD encourages this behavior with a host of drawing- and data-sharing features. Blocks, external reference files, and raster images encourage re-use of parts of drawings, entire drawings, and bitmap image files. AutoCAD’s Internet features — many of which have debuted or undergone major changes in recent versions, including AutoCAD 2004 — enable sharing of drawings well beyond your hard disk and local network.

The drawing and data sharing features in AutoCAD takes you way beyond old-style, pencil-and-paper design and drafting. After you’ve learned to apply the techniques in this part, you’ll be well on your way to full CAD-nerd-hood (you may want to warn your family beforehand. . .).

Part V: The Part of Tens

This part contains guidelines that minimize your chances of really messing up drawings (your own or others’), and techniques for swapping drawings with other people and accessing them from other computer programs.

There’s a lot of meat packed into these two chapters — juicy tidbits from years of drafting, experimentation, and head-shaking at things that don’t work right — not to mention years of compulsive list-making. I hope that you find these lists help you get on the right track quickly and stay there.


Icons Used in This Book

Tip This icon tells you that a pointed insight lies ahead that can save you time and trouble as you use AutoCAD. For example, maybe learning how to type with your toes would help increase your speed in entering commands and moving the mouse at the same time. (And maybe not. . . )

Technical Stuff The Technical Stuff icon points out places where you may find more data than information. Unless you’re really ready to find out more about AutoCAD — much more — steer clear of these paragraphs the first time you read a given section of the book.

Warning This icon tells you how to stay out of trouble when living a little close to the edge. Failure to heed its message may have disastrous consequences for you, your drawing, your computer — and maybe even all three.

Remember Remember when Spock put his hand over McCoy’s face and implanted a suggestion in his brain that later saved Spock’s life? This icon is like that. Helpful reminders of things you already know but that may not be right at the tip of your brain . . . or whatever.

New for 2004 This icon points to new stuff in AutoCAD 2004. It’s mostly designed for those of you who know AutoCAD pretty well already and just want to find out what’s new in this version. New AutoCAD users starting out their CAD working lives with AutoCAD 2004 will find this stuff interesting, too — especially when they can show off their new book-learnin’ to the grizzled AutoCAD veterans in the office who don’t yet know about all the cool, new features.

AutoCAD LT This icon highlights differences between AutoCAD LT and AutoCAD. If you’re using AutoCAD LT 2004, you’ll find out what you’re missing compared to “full” AutoCAD 2004. If your friend is using LT, you’ll know where to look to find stuff in AutoCAD 2004 to brag about.


A Few Conventions - Just in Case

Team LiB

A Few Conventions — Just in Case

You probably can figure out for yourself all the information in this section, but here are the details just in case.

Text you type into the program at the command line, in a dialog box, in a text box, and so on appears in boldface type. Examples of AutoCAD prompts appear in a special typeface, as does any other text in the book that echoes a message, a word, or one or more lines of text that actually appear on-screen. Sequences of prompts that appear in the AutoCAD command line area have a shaded background, like so:

Specify lower left corner or [ON/OFF] <0.0000,0.0000>:

(Many of the figures — especially in Chapters 5 and 6 — also show AutoCAD command line sequences that demonstrate AutoCAD’s prompts and example responses.)

Often in this book you see phrases such as “choose FileðSave As from the menu bar.” The funny little arrow (ð) separates the main menu name from the specific command on that menu. In this example, you would open the File menu and choose the Save As command. If you know another way to start the same command (for example, in this example, type SAVEAS and press Enter), you’re welcome to do it that way instead.

Many AutoCAD commands have shortcut (fewer letter) versions for the benefit of those who like to type commands at the AutoCAD command prompt. In this book, I format command names with the shortcut letters in uppercase and the other letters in lower case, so that you become familiar with the shortcuts and can use them if you want to. So when you see an instruction like “run the DimLInear command to draw a linear dimension,” it means “for a linear dimension, type DIMLINEAR, or DLI for short, at the command line, and then press the Enter key.”


Part I: AutoCAD 101

In This Part:

Chapter 1: Introducing AutoCAD 2004
Chapter 2: Le Tour de AutoCAD 2004
Chapter 3: Setup for Success

Part Overview

In this part . . .

AutoCAD is more than just another application program, it’s a complete environment for drafting and design. So if you’re new to AutoCAD, you need to know several things to get off to a good start — especially how to use the command line area and set up your drawing properly. These key facts are described in this part of the book.

If you’re an experienced AutoCAD user, you’ll be most interested in the high points of the new release, including some new interface components, and how to ensure that your drawings are set up correctly in model space and paper space. All that is here, too.


Chapter 1: Introducing AutoCAD 2004

Overview

In This Chapter

  • Getting the AutoCAD advantage

  • Using AutoCAD and DWG files

  • Meeting the AutoCAD product family

  • Using AutoCAD LT instead of AutoCAD

  • Upgrading from a previous version

Maybe you’re an engineer or architect in a small office whose time has come to switch from drafting boards to CAD. Maybe you tried to use AutoCAD a long time ago but gave up in frustration or just got rusty. Maybe you currently use an older version, such as AutoCAD Release 14 or (shudder!) something even older. Maybe you’re completely new to CAD and yearn for the wealth and fame of full-time drafting work. (Good CAD drafters can become well-paid and valued team members in many companies.)

Whatever your current situation and motivation, I hope that you enjoy the process of becoming proficient with AutoCAD. Drawing with AutoCAD is challenging at first, but it’s a challenge worth meeting. CAD rewards those who think creatively about their work and look for ways to do it better. You can always learn more, discover a new trick, or improve the efficiency and quality of your drawing production.

AutoCAD started as an MS-DOS-only program, when real men and women typed commands and didn’t use toolbars or dialog boxes. Autodesk ported AutoCAD to many GUI (graphical user interface) operating systems, including Macintosh, several flavors of UNIX, and Windows. Autodesk now develops AutoCAD for Microsoft Windows only. (AutoCAD 2004 works with Windows XP, 2000, and NT 4.0.) AutoCAD’s not the easiest program to learn, but it’s gotten easier and more consistent. AutoCAD is pretty well integrated into the Windows environment, but you bump into some vestiges of its MS-DOS legacy — especially the command line. This book guides you around the bumps and minimizes the bruises.


Why AutoCAD?

AutoCAD has been around a long time: since 1982. AutoCAD started the transition from really expensive mainframe and minicomputer CAD systems costing tens of thousands of dollars to merely expensive microcomputer CAD programs costing a few thousand dollars.

AutoCAD is, first and foremost, a program to create technical drawings; drawings in which measurements and precision are important, because these kinds of drawings often get used to build something. The drawings you create with AutoCAD must adhere to standards established long ago for hand-drafted drawings. In fact, in a few remote corners of the world technical drawings still are created with pencils and paper. The up-front investment to use AutoCAD is certainly more expensive than the investment needed to use pencil and paper, and the learning curve is much steeper, too; you have to learn to use a computer as well as learn AutoCAD. Why bother? The key reasons for using AutoCAD, not pencil and paper, are

  • Precision: Creating lines, circles, and other shapes of the exactly correct dimensions is easier with AutoCAD than with paper.

  • Modifiability: Drawings are much easier to modify on the computer screen than on paper. CAD modifications are a lot cleaner, too.

  • Efficiency: Creating many kinds of drawings is faster with a CAD program — especially drawings that involve repetition, such as floor plans in a multi-story building. But that efficiency takes skill and practice. If you’re an accomplished pencil-and-paper drafter, don’t expect CAD to be faster at first!

Figure 1-1 shows a simple building plan on the AutoCAD 2004 screen.

Click To expand
Figure 1-1: Plan to be floored by the drawing capabilities of AutoCAD 2004.

Why choose AutoCAD? AutoCAD is just the starting point of a whole industry of software and hardware products designed to work with AutoCAD. Autodesk has helped this process along immensely by designing a series of programming interfaces to AutoCAD that other companies — and Autodesk itself — have used to extend the application. Some of the add-on products have become such winners that Autodesk acquired them and incorporated them into its own products. When you compare all the resources — including the add-ons, extensions, training courses, books, and so on — AutoCAD doesn’t have much competition.


The Importance of Being DWG

To take full advantage of AutoCAD in your work environment, you need to be aware of the DWG file format, the format in which AutoCAD saves drawings. In most cases an older version of AutoCAD can’t read a DWG file created by a newer version of AutoCAD.

  • Newer versions of AutoCAD can read files created by older versions.

  • You can use the “save as” option in newer versions to save the file to some older DWG formats.

Technical Stuff AutoCAD 2004 breaks the string of “all the same DWG” versions that AutoCAD users enjoyed over the previous three upgrades. Table 1-1 shows which versions (described later in this chapter) use which DWG file formats.

Table 1-1: AutoCAD Versions and DWG File Formats
AutoCAD LT Version | AutoCAD Version | Release Year | DWG File Format
AutoCAD 2004 (“A2k4”) | AutoCAD LT 2004 | 2003 | Acad 2004
AutoCAD 2002 (“A2k2”) | AutoCAD LT 2002 | 2001 | Acad 2000
AutoCAD 2000i (“A2ki”) | AutoCAD LT 2000i | 2000 | Acad 2000
AutoCAD 2000 (“A2k”) | AutoCAD LT 2000 | 1999 | Acad 2000
AutoCAD Release 14 (“R14”) | AutoCAD LT 98 & 97 | 1997 | Acad R14
AutoCAD Release 13 (“R13”) | AutoCAD LT 95 | 1994 | Acad R13
AutoCAD Release 12 (“R12”) | AutoCAD LT Release 2 | 1992 | Acad R12

Working with AutoCAD is easier when your coworkers and colleagues in other companies all use the same version of AutoCAD and AutoCAD-related tools. That way, your DWG files, add-on tools, and even the details of your CAD knowledge can be mixed and matched among your workgroup and partners. In the real world, you’ll probably work with people — at least in other companies — who use AutoCAD versions as old as Release 14.

Warning Many programs claim to be DWG-compatible — that is, capable of converting data to and from AutoCAD’s DWG format. But achieving this compatibility is a difficult thing to do well. Even a small error in file conversion can have results ranging in severity from annoying to appalling. If you exchange DWG files with people who use other CAD programs, be prepared to spend time finding and fixing translation problems.

AutoCAD users who are running different versions of AutoCAD also have to do extra work to share files. Usually, the people with the lowest-numbered version of AutoCAD have to ask their colleagues to “save as” their version. This extra work of different versions increases the pressure on people who work together to upgrade, or not upgrade, together. People on earlier releases are likely to get newer files that they want to use but can’t open in their version of AutoCAD; people on later releases are worried that features will disappear from their drawings when they save the files in an earlier format.

Warning AutoCAD 2004 does not include an option for saving files to the R14 DWG file format. This omission creates problems if you want to send DWG files to clients or consultants who are still using AutoCAD Release 14. (And there are quite a few of these folks — R14 was popular, and AutoCAD 2000 through 2002 didn’t tempt everyone to upgrade.) See the end of this chapter for more information about this limitation and how to deal with it.

Start Sidebar
AutoCAD-based applications

Autodesk has expanded AutoCAD into a whole product line of programs with AutoCAD as a base and specialized, discipline-specific add-ons built on top and included as one complete product. As a Release 2004 user, you’ll be looking for the AutoCAD 2004-compatible versions of these tools, which should appear a few months after AutoCAD 2004 ships. These discipline-specific flavors of AutoCAD include Autodesk Architectural Desktop and Autodesk Building Systems (mechanical, electrical, and plumbing), Autodesk Mechanical Desktop, Autodesk Map, AutoCAD Land Desktop, Autodesk Survey, and Autodesk Civil Design.

To make matters even more confusing, Autodesk now offers Autodesk Revit and Autodesk Inventor, software applications that compete with Architectural Desktop and Mechanical Desktop, respectively. Revit and Inventor are not based on AutoCAD; they sacrifice AutoCAD compatibility in favor of a more fundamentally design- and 3D-oriented approach to CAD. Whether they ultimately will replace the traditional AutoCAD-based applications remains to be seen.

In addition to the products from Autodesk, thousands of AutoCAD add-on products — both discipline-specific and general-purpose — are available from other software developers. These companion products are sometimes called third-party applications. Visit partner products.autodesk.com/ for more information about what’s available.

End Sidebar


Seeing the LT

AutoCAD LT 2004 is one of the best deals around, a shining example of the old 80/20 rule: roughly 80 percent of the capabilities of AutoCAD 2004 for roughly 20 percent of the money. Like AutoCAD 2004, AutoCAD LT 2004 runs on mainstream Windows computers and doesn’t require any additional hardware devices. With AutoCAD LT, you can be a player in the world of AutoCAD, the world’s leading CAD program, for a comparatively low starting cost.

AutoCAD LT 2004 is a very close cousin to AutoCAD 2004. Autodesk created AutoCAD LT 2004 by starting with the AutoCAD 2004 program, taking out a few features to justify charging a lower price, adding a couple of features to enhance ease of use versus full AutoCAD, and testing the result.

As a result, AutoCAD LT 2004 looks and works much like AutoCAD 2004. The opening screen and menus of the two programs are nearly identical. (LT is missing a few commands from the AutoCAD 2004 menus.)

In fact, the major difference between the programs has nothing to do with the programs themselves. The major difference is that AutoCAD LT lacks support for several customization and programming languages that are used to develop AutoCAD add-ons. So almost none of the add-on programs or utilities offered by Autodesk and others are available to LT users.

AutoCAD LT also has only limited 3D support. You can view and edit 3D objects in AutoCAD LT, so you can work with drawings created in AutoCAD that contain 3D objects. However, you cannot create true 3D objects.

The lack of 3D object creation in LT is not as big a negative for many users as you might think. Despite a lot of hype from the computer press and CAD vendors (including Autodesk), 3D CAD remains a relatively specialized activity. The majority of people use CAD programs to create 2D drawings.

Although you may hear claims that AutoCAD LT is easier to learn and use than AutoCAD, the truth is that they’re about equally difficult (or easy, depending on your nerd IQ). The LT learning curve doesn’t differ significantly from that of AutoCAD. AutoCAD was originally designed for maximum power and then modified somewhat to improve ease of use. AutoCAD LT shares this same heritage.

Fortunately, the minimal differences between LT and AutoCAD mean that after you have climbed that learning curve, you’ll have the same great view. You’ll have almost the full range of AutoCAD’s 2D drafting tools, and you’ll be able to exchange DWG files with AutoCAD users without data loss.

AutoCAD LT This book covers AutoCAD 2004, but almost all of the information in it applies to AutoCAD LT 2004. The icon that you see at the left of this paragraph highlights significant differences.


2004: An AutoCAD Odyssey

New for 2004 You should know this before you upgrade from a previous AutoCAD release:

  • Wash those old Windows: AutoCAD 2004 does not support older versions of Windows, such as Windows 98 and Me. You must use Windows XP (Professional or Home), Windows 2000, or Windows NT 4.0 (with NT Service Pack 6a applied).

  • DWG file compatibility: AutoCAD 2004 introduces a new version of the DWG file format, which older versions of AutoCAD can’t open. You can use the “save as” option to create DWG files for users of AutoCAD 2000 and 2002, but not for AutoCAD Release 14 and earlier versions.

  • Application compatibility: If you use third-party applications with a previous version of AutoCAD, there’s a good chance that they won’t work with AutoCAD 2004. That’s certainly true of applications developed with the ARX (AutoCAD Runtime eXtension) and VBA (Visual Basic for Applications) programming interfaces.

    Tip Many LSP (AutoLISP) programs written for previous versions of AutoCAD work with AutoCAD 2004.

  • Increased computer system requirements: For AutoCAD 2004, Autodesk recommends a 500 MHz Pentium III or better processor, at least 128MB of RAM, 1024 x 768 or higher display resolution, 300MB of available hard disk space, and an Internet connection.

Before you upgrade

If you plan to upgrade from a previous version, such as AutoCAD 2002, 2000, or Release 14, these are the things that you need to think about:

  • Is your hardware adequate? Check the requirements in the preceding section. If you can meet the requirements with a simple hard disk or memory upgrade and your computer is otherwise working fine, go for it. If you need to upgrade more than one or two components, it likely will be cheaper and easier to buy a new computer.

  • Is your operating system adequate? A new computer should come with a current operating system — probably Windows XP — so you’ll kill two burdens with one wad of dough.

  • Do you use any add-on programs with AutoCAD? There’s a decent chance that they won’t work with AutoCAD 2004. Ask the developer about compatibility and upgrades, test the programs yourself, be prepared to live without them, or look for substitutes.

  • Are you exchanging DWG files with others who use AutoCAD 2000 through 2002? If so, remember to “save as” to the AutoCAD 2000 format before sending files to them. Or get them to upgrade, too!

  • Are you exchanging DWG files with others who still use AutoCAD Release 14? If so, be prepared for extra-special file exchange hassles. AutoCAD 2004 can’t save to the R14 DWG format. You can save to the Release 12 DXF format (see Chapter 17 for instructions), which AutoCAD Release 14 will open, but the resulting file will be “dumbed down” to make the file palatable to a 10-year-old version of AutoCAD. Life is happier for everyone involved if those AutoCAD Release 14 users to whom you send DWG files to upgrade to AutoCAD 2004.

2004 has more

Upgrading is worth the effort. Although AutoCAD 2000 through 2002 included plenty of new and changed stuff, it wasn’t obvious that a lot of that stuff would help people make better drawings more efficiently. Much of the new stuff in AutoCAD 2004 benefits everyday drafting work and should make your relationship with AutoCAD a happier one. Among my favorites are

Start Sidebar
No Express service?

The AutoCAD 2004 CD-browser screen includes separate links for installing the main AutoCAD 2004 software and the Express Tools, so make sure that you run both setup programs. If your menu bar doesn’t include the Express menu shown in Figure 1-1 earlier in this chapter, you need to install the Express Tools from your AutoCAD 2004 CD. Just pop the CD in and, when the CD-browser page appears, click the AutoCAD Express Tools Volumes 1–9 link.

End Sidebar

  • A cleaner, more functional interface, especially when you launch AutoCAD and create new drawings. (See Chapter 2.)

  • Automatic file compression, which reduces DWG file sizes by 10–50% and drawing load times by more modest amounts.

  • Text indents and hanging indents. Finally, we can create numbered and bulleted lists such as this one in AutoCAD! (See Chapter 9.)

  • Numerous xref improvements, including a simple method of opening xrefs for editing, more sensible xref search paths, xref change notifications, and a Reference Manager utility. (See Chapters 13 and 15.)

  • Better tools for CAD standards compliance. (See Chapter 14.)

  • Restoration of the ever-popular Express Tools, which came with AutoCAD Release 14 and 2000 but disappeared from 2000i and 2002.

New for 2004 AutoCAD 2004 includes other goodies — look for the icon that you see at the left of this paragraph.

AutoCAD 2004 is a worthy new version. If you’ve been putting off upgrading, and especially if you’ve been hanging out with AutoCAD Release 14 for five years now, this probably is a good time to take the plunge.


Chapter 2: Le Tour de AutoCAD 2004

Overview

In This Chapter

  • Touring the AutoCAD 2004 screen

  • Going bar-hopping: title bars, the menu bar, toolbars, and the status bar

  • Commanding the command line

  • Discovering the drawing area

  • Making the most of Model and Layout tabs

  • Dabbling with palettes

  • Setting system variables and using dialog boxes

  • Using online help

AutoCAD 2004 is a full-fledged citizen of the Windows world, with toolbars, dialog boxes, right-click menus, a multiple-document interface, and all the other trappings of a real Windows program. But lurking beneath that pretty face — and literally beneath the drawing area, right at the bottom of the AutoCAD program window — is a weird but essential holdover from the DOS days: the AutoCAD command line area. The command line is one of the few un-Windows-like things in AutoCAD that you’ll have to come to terms with, and this chapter shows you how.

Tip Like the rest of the book, this chapter is written for someone who has used other Windows programs but has little or no experience with AutoCAD. If you’re experienced with Windows versions of AutoCAD, much of this chapter is old hat for you. Just scan through it and read the paragraphs marked with the New In 2004 icon, which indicates something truly new.


AutoCAD Does Windows

Finding your way around AutoCAD 2004 can be an odd experience. You recognize from other Windows applications much of the appearance and workings of the program, such as its toolbars and pull-down menus, which you use for entering commands or changing system settings. But other aspects of the program’s appearance — and some of the ways in which you work with it — are quite different from nearly any other program.

You can, in many cases, tell the program what to do in at least four ways — pick a toolbar icon, pick from the pull-down menus, type at the command line, or pick from the right-click menus — none of which is necessarily the best method to use for every task. The experience is much like that of having to act as several different characters in a play; you’re likely to forget your lines (whichever “you” you are at the time!) every now and then.

Tip You can get started familiarizing yourself with AutoCAD 2004 by exploring the menus at the top of the screen. These menus enable you to access most of the program’s functions and are the easiest-to-remember method of issuing commands. When you want to get real work done, you’ll need to combine the pull-down menus with other methods — especially typing options at the command line or choosing them from the right-click menu. I show you how throughout this book.

Start Sidebar
Technical Stuff Screen test yields high profile

The screen shots and descriptions in this chapter reflect the default configuration of AutoCAD — that is, the way the screen looks if you use the standard version of AutoCAD (not a flavored version such as Architectural Desktop) and haven’t messed with the display settings. You can change the appearance of the screen with settings on the Display tab of the Options dialog box (choose ToolsðOptionsðDisplay) and by dragging toolbars and other screen components.

The change I’ve made is to configure the drawing area background to be white instead of black, because the figures in the book show up better that way. On your system, you’ll probably want to leave your drawing area background black, because the normal range of colors that appear in most drawings are easier to see against a black background.

If you’re using a flavored version of AutoCAD, or if someone has already changed your configuration or added a third-party program to your setup, your screen may look different than the figures in this book. You can restore the default configuration — including display settings — with the Reset button on the Options dialog box’s Profiles tab. (AutoCAD LT doesn’t include the Profiles feature, so LT users are out of luck here.) But before you click the Reset button, consider whether the modified configuration might be useful to someone in the future — like you! If so, first click the Add to List button to create a new profile. Enter a pithy name for the new profile, such as AutoCAD default. Then select the new profile that you created, click the Set Current button to make it the current profile, and finally click the Reset button. In the future, you can switch between your modified and default configurations with the Set Current button.

End Sidebar


AutoCAD's Clean Screen Cuisine

Team LiB

AutoCAD’s Clean Screen Cuisine

The opening screen in AutoCAD 2004, unlike in some previous versions, is a model of clean elegance. You get just the main program window and a new, blank drawing, as shown in Figure 2-1. Gone are the clunky AutoCAD Today window and obtrusive Active Assistance window. In this case, as architect Mies van der Rohe said, less is more. Some earlier versions of AutoCAD looked like an overstuffed smorgasbord. AutoCAD 2004 is nouvelle cuisine — just the essential ingredients in an inviting and appetizing arrangement.

Click To expand
Figure 2-1: The clean AutoCAD 4002 screen.

Standard Windows fare

As you see in Figure 2-1, much of the AutoCAD screen is standard Windows fare — title bars, a menu bar, toolbars, and a status bar.

A hierarchy of title bars

Like most Windows programs, AutoCAD has a title bar at the top of its program window that reminds you which program you’re in (not that you’d ever mistake the AutoCAD window for, say, Microsoft Word!).

  • At the right side of the title bar is the standard set of three Windows control buttons: Minimize, Maximize/Restore, and Close.

  • Each drawing window within the AutoCAD program window has its own title bar that lists the name of the drawing. You use the control buttons on a drawing window’s title bar to minimize, maximize/un-maximize, or close that drawing, not the entire AutoCAD program.

Tip As in other Windows programs, if you maximize a drawing’s window, it expands to fill the entire drawing area. The drawing’s control buttons move onto the menu bar, below the control buttons for the AutoCAD program window; the drawing’s name appears in the AutoCAD title bar. To un-maximize the drawing so you can see any other drawings that you have open, click the lower un-maximize button, as shown in Figure 2-2.

Click To expand
Figure 2-2: The AutoCAD screen with a drawing maximized.
Start Sidebar
Hot-wiring the menu bar

Some standard tips and tricks for Windows are especially useful in AutoCAD. Control-key shortcuts for the most popular functions — Ctrl+S to save, Ctrl+O to open a file, and Ctrl+P to print — work the same way in AutoCAD as in Microsoft programs. Use them!

Also worth learning are the Alt-key shortcuts, which are available for all menu choices, not just the most popular ones. To fly around the menus, just press and hold the Alt key and then press the letters on your keyboard that correspond to the underlined letters on the menu bar and in the menu choices. To bring up the SAVEAS command, for example, just press and hold the Alt key, press F for File, and then press A for Save As.

End Sidebar

Bellying up to the menu bar

The menu bar contains the names of all the primary menus in your version of AutoCAD. As with any program that’s new to you, it’s worth spending a few minutes perusing the menus in order to familiarize yourself with the commands and their arrangement. (If your menu bar doesn’t include the Express menu, see the end of Chapter 1 for installation instructions.)

Cruising the toolbars

As in other Windows programs, the toolbars in AutoCAD 2004 provide rapid access to the most commonly used AutoCAD commands. AutoCAD ships with toolbars in this default arrangement (as shown in Figure 2-3):

Click To expand
Figure 2-3: A toolbar tasting.

  • Standard toolbar: Located on top, just below the menu bar; file management and other common Windows functions, plus some specialized AutoCAD stuff such as zooming and panning.

  • Styles toolbar: Located to the right of the Standard toolbar; analogous to the left part of the Formatting toolbar in Microsoft programs, but formatting of AutoCAD’s text and dimension styles. Chapters 9 and 10 cover these features.

  • Layers toolbar: Located beneath the Standard toolbar; commands and a drop-down list for manipulating layers, which are AutoCAD’s fundamental tools for organizing and formatting objects. Chapter 4 contains the layer lowdown.

  • Properties toolbar: Located to the right of the Layers toolbar; analogous to the right part of the Formatting toolbar in Microsoft programs, but formatting of AutoCAD’s properties, such as colors, linetypes, and lineweights. See Chapter 4 when you’re ready to play with AutoCAD’s object properties.

  • Draw toolbar: Placed vertically down the far-left edge of the screen; the most commonly used commands from the Draw menu. Chapter 5 covers most of the items on this toolbar.

  • Modify toolbar: Placed vertically down the far-right edge of the screen; the most commonly used commands from the Modify menu. Chapter 8 shows you how to use almost everything on this toolbar.

You can rearrange, open, and close toolbars as in other Windows programs:

  • To move a toolbar, point to its border (the double-line control handle at the leading edge of the toolbar is the easiest part to grab), click, and drag.

  • To open or close toolbars, right-click on any toolbar button and choose from the list of available toolbars, as shown in Figure 2-3.

The AutoCAD screen in Figure 2-3 shows the default toolbar arrangement, which works well for most people. You may want to turn on a couple of additional toolbars, such as Object Snap and Dimension, as you discover and make use of additional features. Throughout this book, I point out when a particular toolbar may be useful.

Start Sidebar
The toolbars that ET AutoCAD

If you’ve installed the Express Tools, you’ll also see a flock of Express Tools toolbars, whose labels begin with “ET:”, floating over the drawing area. These four small toolbars collect some of the most popular Express Tools. You’ll probably want to close most of these or at least dock any favorites along the margin of the AutoCAD window.

The toolbars are extensions to AutoCAD, not part of the core program, so turning them on is a little more complicated than just using the right-click toolbars menu. Right-click on any toolbar, choose Customize, click the Toolbars tab on the Customize dialog box, and choose the EXPRESS Menu Group. Now the Toolbars list displays the names of the four Express Tools toolbars; click the check boxes next to the names in order to toggle each toolbar on or off.

End Sidebar

Technical Stuff If you’re not satisfied with just rearranging the stock AutoCAD toolbars, you can customize their contents or even create new ones. The procedures are beyond the scope of this book; they involve bouncing among the Commands, Toolbars, and Properties tabs on the Customize dialog box in not entirely intuitive ways. Resist slicing and dicing the stock AutoCAD toolbars until you’re at least somewhat familiar with them. If you want to get creative thereafter, go to the Contents tab of the AutoCAD 2004 online help and choose Customization GuideðBasic CustomizationðCreate Custom Toolbars.

Tip AutoCAD toolbar buttons provide ToolTips, those short text descriptions that appear in little yellow boxes when you pause the cursor over a toolbar button. A longer description of the icon’s function appears in the status bar at the bottom of the screen. If the identifying name and the description at the bottom of the screen aren’t enough to tell you what the icon does, you can always bring in out-of-town muscle — in other words, use the full online help system, which is described at the end of this chapter.

Looking for Mr. Status Bar

The status bar appears at the bottom of the AutoCAD screen, as shown in Figure 2-4. The status bar displays and allows you to change several important settings that affect how you draw and edit in the current drawing. Some of these settings won’t make complete sense until you’ve used the AutoCAD commands that they influence, but here’s a brief description, with pointers to detailed descriptions of how to use each setting elsewhere in this book:

Click To expand
Figure 2-4: Status (bar) check.

  • Coordinates of the cursor: The cursor coordinates readout displays the current X,Y,Z location of the cursor in the drawing area, with respect to the origin point (whose coordinates are 0,0,0). It’s a bit like having a GPS (Global Positioning System) device in your drawing. Chapter 4 describes AutoCAD’s coordinate conventions and how to use this area of the status bar.

    Tip If the coordinates in the lower-left corner of the screen are grayed out, then coordinate tracking is turned off. Click the coordinates so that they appear in dark lettering that updates when you move the cursor.

  • SNAP, GRID, and ORTHO mode buttons: These three buttons control three of AutoCAD’s tools for ensuring precision drawing and editing:

    • Snap constrains the cursor to regularly spaced hot spots, enabling you to draw objects a fixed distance apart more easily.

    • Grid displays a series of regularly spaced dots, which serve as a distance reference.

    • Ortho constrains the cursor to horizontal and vertical relative movement, which makes drawing orthogonal (straight horizontal and vertical) lines easy. See Chapter 4 for information about when and how to use ortho mode.

  • POLAR tracking mode button: Polar tracking causes the cursor to prefer certain angles when you draw and edit objects. By default, the preferred angles are multiples of 90 degrees, but you can specify other angle increments. Clicking the POLAR button toggles polar tracking on or off. See Chapter 4 for instructions to specify the polar tracking angles that you prefer.

  • Running Object Snap (OSNAP) and Object Snap Tracking (OTRACK) buttons: Object snap is another AutoCAD tool for ensuring precision drawing and editing. You use object snaps to grab points on existing objects — for example, the endpoint of a line or the center of a circle.

    • When you turn on running object snap, AutoCAD continues to hunt for object snap points. Chapter 4 contains detailed instructions on how to use this feature.

    • When you turn on object snap tracking, AutoCAD hunts in a more sophisticated way for points that are derived from object snap points. Chapter 4 briefly describes this advanced feature.

    AutoCAD LT AutoCAD LT doesn’t include the object snap tracking feature, so you won’t see an OTRACK button on its status bar.

  • Lineweight (LWT) display mode button: One of the properties that you can assign to objects in AutoCAD is lineweight — the thickness that lines appear when you plot the drawing. This button controls whether you see the lineweights on the screen. (This button doesn’t control whether lineweights appear on plots; that’s a separate setting in the Plot dialog box.) Chapter 4 gives you the skinny (and the wide) on lineweights.

  • MODEL/PAPER space button: As I describe in the section “Main course: The drawing area” later in this chapter, the drawing area is composed of overlapping tabbed areas labeled Model, Layout1, and Layout2 by default. The Model tab displays a part of the drawing called model space, where you create most of your drawing. Each of the remaining tabs displays a paper space layout, where you can compose a plot-able view with a title block. A completed layout will include one or more viewports, which reveal some or all of the objects in model space at a particular scale.

    The MODEL/PAPER status bar button (not to be confused with the Model tab) comes into play after you click one of the paper space layout tabs. The MODEL/PAPER button provides a means for moving the cursor between model and paper space while remaining in the particular layout.

    • When the MODEL/PAPER button says MODEL, drawing and editing operations take place in model space, inside a viewport.

    • When the button says PAPER, drawing and editing operations take place in paper space on the current layout.

    Don’t worry if you find model space and paper space a little disorienting at first. The paper space layout setup information in Chapter 3 and plotting instructions in Chapter 12 will help you get your bearings and navigate with confidence.

  • New for 2004 Communication Center: This button opens a dialog box containing recent AutoCAD-related headlines that Autodesk thinks you might find useful. The headlines are grouped into categories called channels: Live Update Maintenance Patches, Articles and Tips, Product Support Information, and so on. Each headline is a link to a Web page with more information, such as how to download a software update or fix a problem. Click the Settings button to select channels you see in the Communication Center window.

  • New for 2004 Manage Xrefs: You won’t see this combination button and notification symbol until you open a drawing that contains xrefs (external DWG files that are incorporated into the current drawing). Chapter 13 tells you how to use xrefs and what the Manage Xrefs button does.

  • New for 2004 Status Bar Menu: When you click the easy-to-miss downward-pointing arrow near the right edge of the status bar, you open a menu with options for toggling off or on each status bar button. Now you can decorate your status bar to your taste.

Tip You can open dialog boxes for configuring many of the status bar button functions by right-clicking the status bar button and choosing Settings.

Tip A button’s appearance shows whether the setting is turned on or off. Depressed, or down, means on; raised, or up, means off. If you’re unclear whether a setting is on or off, click its button; its mode will change and the new setting will be reflected on the command line — <Osnap off>, for example. Click again to restore the previous setting.

Take an order: The command line area

If the title bars, menu bar, and status bar are the Windows equivalent of comfort food — familiar, nourishing, and unthreatening — then the command line area, shown in Figure 2-5, must be the steak tartare or blood sausage of the AutoCAD screen feast. It looks weird, turns the stomachs of newcomers, and delights AutoCAD aficionados. The hard truth is that you have to learn to like — or at least tolerate — the command line if you want to become at all comfortable using AutoCAD.

Click To expand
Figure 2-5: Learn to obey the command line.

You need to get up close and personal with the command line for four reasons:

  • The command line area is AutoCAD’s primary communications conduit with you. This is the most important reason to pay attention to the command line. AutoCAD frequently displays prompts, warnings, and error messages in the command line area. If you don’t keep an eye on this area, you’ll miss a lot of vital information. You’ll continually be frustrated, because you won’t “hear” what AutoCAD is trying to tell you.

  • The command line is an efficient way to run some commands and the only way to run a few others. Instead of clicking a toolbar button or a menu choice, you can start a command by typing its command name and then pressing the Enter key. Even better, you can type the keyboard shortcut for a command name and press Enter. Most of the keyboard shortcuts for command names are just one or two letters — for example, L for the LINE command and CP for the COPY command. Most people who learn to use the shortcuts for the commands that they run most frequently find that their AutoCAD productivity improves noticeably. Even if you’re not worried about increasing your productivity with this technique, there are some commands that aren’t on the toolbars or pull-down menus. If you want to run those commands, you have to type them!

  • After you’ve started a command — whether from a toolbar, from a menu, or by typing — the command line is where AutoCAD prompts you with options for that command.

    You can also activate an option by typing the uppercase letter(s) in the option and pressing Enter.

    Tip In many cases, you can activate a command’s options by right-clicking in the drawing area and choosing the desired option from the right-click menu, instead of by typing the letter(s) for the option and pressing Enter. But if you don’t watch the command line, you probably won’t realize that there are any options!

  • You sometimes need to type coordinates at the command line to specify precise points or distances. Chapter 4 describes this technique in detail.

Tip You don’t have to click in the command line area to type command names, keyboard shortcuts, or command options there. AutoCAD knows that your typing is supposed to go to the command line. The only exception is when you’re within a text command (you’re adding a text note to the drawing itself); in that case, the text appears in the drawing, not the command line.

The following sequence demonstrates how you use the command line area to run commands, view and select options, and pay attention to messages from AutoCAD:

  1. Type L and press Enter.

    AutoCAD starts the LINE command and displays the following prompt in the command line area:

    LINE Specify first point:

  2. Click a point anywhere in the drawing area.

    The command line prompt changes to:

    Specify next point or [Undo]:

    Tip AutoCAD always displays command options in brackets. In this case, the Undo option appears in brackets. To activate the option, type the letter(s) shown in uppercase and press Enter. (You can type the option letter(s) in lowercase or uppercase.)

  3. Click another point anywhere in the drawing area.

    AutoCAD draws the first line segment.

  4. Click a third point anywhere in the drawing area.

    AutoCAD draws the second line segment. The command line prompt changes to:

    Specify next point or [Close/Undo]:

    AutoCAD now displays two options, Close and Undo, separated by a slash.

  5. Type U and press Enter.

    AutoCAD undoes the second line segment.

  6. Type 3,2 (without any spaces) and press Enter.

    AutoCAD draws a new line segment to the point whose the X coordinate is 3 and the Y coordinate is 2.

  7. Click several more points anywhere in the drawing area.

    AutoCAD draws additional line segments.

  8. Type X and press Enter.

    AutoCAD displays an error message (because X isn’t a valid option of the LINE command) and re-prompts for another point:

    Point or option keyword required.
Specify next point or [Close/Undo]:

    Tip Option keyword is programmer jargon for the letter(s) shown in uppercase that you type to activate a command option. This error message is AutoCAD’s way of saying “I don’t understand what you mean by typing ‘X.’ Either specify a point or type a letter that I do understand.”

  9. Type C and press Enter.

    AutoCAD draws a final line segment, which creates a closed figure, and ends the LINE command. The naked command prompt returns, indicating that AutoCAD is ready for the next command:

    Command:

  10. Press the F2 key.

    AutoCAD displays the AutoCAD Text Window, which is simply an enlarged, scrollable version of the command line area, as shown in Figure 2-6.

    Click To expand
    Figure 2-6: My how you’ve grown:F2expands the command line area to a command text window.

    Tip The normal three-line command line area usually shows you what you need to see, but occasionally you’ll want to review larger chuck of command line history (“what was AutoCAD trying to tell me a minute ago?!”).

  11. Press the F2 key again.

    AutoCAD hides the AutoCAD Text Window (although a button for it remains on the Windows taskbar).

Here are a few other tips and tricks for using the command line effectively:

  • Use the Esc key to bail out of the current operation. There will be times when you get confused about what you’re doing in AutoCAD and/or what you’re seeing in the command line area. If you need to bail out of the current operation, just press the Esc key one or more times until you see the naked command prompt — Command: at the bottom of the command line area, with nothing after it. As in most other Windows programs, Esc is the cancel key. Unlike many other Windows programs, AutoCAD keeps you well informed of whether an operation is in progress. The naked command prompt indicates that AutoCAD is in a quiescent state, waiting for your next command.

Start Sidebar
AutoCAD is no vin ordinaire

The back-and-forth needed to get AutoCAD to draw and complete a line is a great example of AutoCAD’s power — and its power to confuse new users. It’s kind of like a wine that tastes a bit harsh initially, but that ages better than something more immediately drinkable.

In other programs, if you want to draw a line, you just draw it. In AutoCAD, you have to press Enter one extra time when you’re done just to tell AutoCAD you really are finished drawing. But the fact that the Line command remains open after you draw the first line segment makes it much faster to draw complicated, multi-segment lines, which is a common activity in a complex drawing.

This is just one example of how AutoCAD favors ease of use for power users doing complex drawings over ease of learning for beginners, who frequently forget to hit Enter that extra time to close out a command.

End Sidebar

  • Press Enter to accept the default action. Some command prompts include a default action in angled brackets. For example, the first prompt of the POLygon command is

    Enter number of sides <4>:

    The default here is four sides, and you can accept it simply by pressing the Enter key. (That is, you don’t have to type 4 first.)

    Remember AutoCAD uses two kinds of brackets in command line prompts:

    • Command options appear in regular brackets: [Close/Undo].

    To activate a command option, type the letter(s) that appear in uppercase and then press Enter.

    • A Default value or option appears in angled brackets: <>.

    To choose the default value or option, simply press Enter.

  • Observe the command line. You’ll discover a lot about how to use the command line simply by watching it after each action that you take. When you click a toolbar button or menu choice, AutoCAD types the name of the command automatically, so if you’re watching the command line, you’ll absorb the command names more-or-less naturally.

    Technical Stuff When AutoCAD types commands automatically in response to your toolbar and menu clicks, it usually adds one or two extra characters to the front of the command name.

    • AutoCAD usually puts an underscore in front of the command name (for example, _LINE instead of LINE). The underscore is an Autodesk programmers’ trick that enables non-English versions of AutoCAD to understand the English command names that are embedded in the menus.

    • AutoCAD sometimes puts an apostrophe in front of the command name and any underscore (for example, ’_ZOOM instead of ZOOM). The apostrophe indicates a transparent command; you can run the command in the middle of another command without canceling the first command. For example, you can start the LINE command, run the ZOOM command transparently, and then pick up where you left off with the LINE command.

  • Leave the command line in the default configuration initially. The command line area, like most other parts of the AutoCAD screen, is resizable and relocate-able. The default location (docked at the bottom of the AutoCAD screen) and size (three lines deep) work well for most people.

    Tip Leave the command line area in this default configuration at least until you’re comfortable with how to use the command line.

  • Right-click in the command line area for options. If you right-click in the command line area, you’ll see a menu with some useful choices, including the last six commands that you ran.

  • Press the up- and down-arrow keys to cycle through the stack of commands that you’ve typed recently. This is a handy way to recall and rerun a command. Press the left- and right-arrow keys to edit the command line text that you’ve typed or recalled.

Main course: The drawing area

After all these screen hors d’oeuvres, you’re probably getting hungry for the main course — the AutoCAD drawing area. This is where you do your drawing, of course. In the course of creating drawings, you click points to specify locations and distances, click objects to select them for editing, and zoom and pan to get a better view of what you’re working on.

Most of this book shows you how to interact with the drawing area, but you should know a few things up front.

The Model and Layout tabs (Model and Paper Space)

One of the initially disorienting things about AutoCAD is that finished drawings can be composed of objects drawn in different spaces, which AutoCAD indicates with the tabs along the bottom of the drawing area (Model, Layout1, and Layout2 by default).

  • Model space is where you create and modify the objects that represent things in the real world — walls, widgets, waterways, or whatever.

  • A paper space layout shows a view of these objects for plotting, usually with a title block.

When you click the Model tab in the drawing area, you see pure, unadulterated model space, as shown in Figure 2-7. When you click one of the paper space layout tabs (Layout1 or Layout2, unless someone has renamed or added to them), you see a paper space layout, as shown in Figure 2-8. A completed layout usually includes one or more viewports, which are windows that display all or part of model space at a particular scale. A layout also usually includes a title block or other objects that exist only in the layout and don’t appear when you click the Model tab. (Think of the viewport as a window looking into model space and the title block as a frame around the window.) Thus, a layout displays model space and paper space objects together, and AutoCAD lets you draw and edit objects in either space. See Chapter 3 for information about creating paper space layouts and Chapter 12 for the lowdown on plotting them.

Click To expand
Figure 2-7: Out model lounging around model space.
Click To expand
Figure 2-8: Freshly laid out in paper space.

As I describe in the “Looking for Mr. Status Bar” section in this chapter, after you’ve clicked one of the layout tabs, the status bar’s MODEL/PAPER button moves the cursor between model and paper space while remaining in the particular layout. The “Lost in paper space” section of Chapter 3 describes the consequences of changing this setting and advises you on how to use it.

Tip This back-and-forth with the MODEL/PAPER button or double-clicking is necessary only when you’re drawing things while viewing one of the paper space layouts. In practice, you probably won’t encounter that situation very often. Instead, you’ll do most of your drawing on the Model tab and, after you’ve set up a paper space layout, click its layout tab only when you want to plot.

Drawing on the drawing area

Here a few other things to know about the AutoCAD drawing area:

  • Efficient, confident use of AutoCAD requires that you continually glance from the drawing area to the command line area (to see those all-important prompts!) and then back up to the drawing area. This sequence is not a natural reflex for most people. Get in the habit of looking at the command line after each action that you take, whether picking something on a toolbar, on a menu, or in the drawing area.

  • Clicking at random in the drawing area is not quite as harmless in AutoCAD as it is in many other Windows programs. When you click in the AutoCAD drawing area, you’re almost always performing some action — usually specifying a point or selecting objects for editing.

    Feel free to experiment, but look at the command line after each click. If you get confused, press the Esc key a couple of times to clear the current operation and return to the naked command prompt.

  • In most cases, you can right-click in the drawing area to display a menu with some options for the current situation.


A Palette-Cleanser

New for 2004 In AutoCAD 2004, two features that used to live in separate windows, Properties and DesignCenter, and a new Tool Palette feature appear in spiffy modeless dialog boxes, or palettes.

  • Properties and DesignCenter: Used to control object properties and named objects (layers, blocks, and so on), respectively. Chapter 4 shows you how.

  • Tool Palette: Resembles a painter’s palette, except that it holds blocks (that is, symbols) and hatch patterns instead of paints. Chapters 11 and 13 help you unlock your inner Tool Palette artistry.

You toggle these palettes on and off by clicking three buttons near the end of the Standard toolbar or by pressing Ctrl+1 (Properties), Ctrl+2 (DesignCenter), or Ctrl+3 (Tool Palette). Figure 2-9 shows all three toggled on.

Click To expand
Figure 2-9: A modeless menagerie.

Technical Stuff Modeless is just a fancy way of saying that these dialog boxes don’t take over AutoCAD in the way that modal dialog boxes do. Modal dialog boxes demand your undivided attention. You enter values, click buttons, or whatever, and then click the OK or Cancel button to close the dialog box. While the modal dialog box is open, you can’t do anything else in AutoCAD. A modeless dialog box, on the other hand, can remain open while you execute other commands that have nothing to do with the dialog box. You return to the modeless dialog box when or if you need its features.

Manipulating the new AutoCAD 2004 modeless dialog boxes — or palettes — is similar to manipulating a regular Windows dialog box, except that the title bar is along the left instead of at the top. In other words, you click and drag the strip along the left to move the palette. If you experiment with the control buttons at the bottom and left of this strip (or right-click anywhere on the strip), you’ll quickly get the hang of what you can do with these palettes. In particular, turning on the auto-hide feature causes the dialog box to “roll up” into the strip so that it’s not taking up much screen space. When you point the cursor at the strip, the palette unfurls again.

Technical Stuff Another cool feature — for the Tool Palette but not the Properties and DesignCenter palettes — is transparency. With transparency turned on, you can see your drawing objects behind a faded version of the Tool Palette. (According to my dictionary, that would make the palette translucent, not transparent, but whatever.) If you combine transparency with auto-hide, you end up with a Tool Palette that has a low impact on your drawing area. And if you’re bothered by the amount of screen space taken by the command line area, you can make it transparent, too: Undock it, right-click the title bar and turn off Allow Docking, and then right-click again and choose Transparency. After you’ve set the transparency to your taste, click and drag the command line area to where you want it.


What Really Makes AutoCAD Cook?

Knowing how to use the command line, as described in the section, “Take an order: The command line area,” is one of the secrets of becoming a competent AutoCAD user. In reading about and using AutoCAD, you encounter two additional topics frequently: system variables, which are AutoCAD’s basic control levers, and dialog boxes, many of which put a friendlier face on the system variables.

Sizzling system variables

System variables are settings that AutoCAD checks before it decides how to do something. If you set the system variable SAVETIME to 10, AutoCAD automatically saves your drawing file every ten minutes; if you set SAVETIME to 60, the time between saves is one hour. Hundreds of system variables control AutoCAD’s operations.

Of these hundreds of system variables in AutoCAD, almost 70 system variables control dimensioning alone. (Dimensioning is the process of labeling objects with their lengths, angles, or special notes. Different professions have different standards for presenting dimensions on their drawings. Using dimensions is described in detail in Chapter 10.)

To change the value of a system variable, just type its name at the AutoCAD command prompt and press Enter. AutoCAD will display the current value of the system variable setting and prompt you for a new value. Press Enter alone to keep the existing setting, or type a value and press Enter to change the setting.

Tip The procedure for entering a system variable is exactly the same as for entering a command name — type the name and press Enter. The only difference is what happens afterward:

  • A system variable changes a setting.

  • A command usually adds objects to the drawing, modifies objects, or changes your view of the drawing.

Being able to change system variables by typing their names at the command line is a boon to power users and occasionally a necessity for everybody else. The only problem is finding or remembering what the names are. In most cases, you’ll be told what system variable name you need to type — by me in this book or by the local AutoCAD guru in your office.

Tip To see a listing of all the system variables in AutoCAD and their current settings, use the following steps:

  1. Type SETvar at the AutoCAD command prompt and press Enter.

    AutoCAD prompts you to type the name of a system variable (if you want to view or change just one) or question mark (if you want to see the names and current settings of more than one):

    Enter variable name or [?]

  2. Type ? (question mark) and press Enter.

    AutoCAD asks which system variables to list:

    Enter variable(s) to list <*>:

  3. Press Enter to accept the default asterisk (which means “list all system variables”).

    AutoCAD displays the first 16 system variables and their settings:

    ACADLSPASDOC      0
ACADPREFIX        "C:\Documents and..." (read only)
ACADVER           "16.0"                (read only)
ACISOUTVER        70
AFLAGS            0
ANGBASE           0
ANGDIR            0
APBOX             0
APERTURE          10
AREA              0.0000                (read only)
ATTDIA            0
ATTMODE           1
ATTREQ            1
AUDITCTL          0
AUNITS            0
AUPREC            0
Press ENTER to continue:

  4. Press Enter repeatedly to scroll through the entire list, or press Esc to bail out.

    AutoCAD returns to the command prompt:

    Command:

If you want to find out more about what a particular system variable controls, see the System Variables chapter in the Command Reference in the AutoCAD online help.

Technical Stuff Three kinds of system variables exist:

  • Those saved in the Windows Registry. If you change this kind of system variable, it affects all drawings when you open them with AutoCAD on your system.

  • Those saved in the drawing. If you change this kind, the change affects only the current drawing.

  • Those that aren’t saved anywhere. If you change this kind, the change lasts only for the current drawing session.

The System Variables chapter in the online Command Reference tells you which kind of system variable each one is.

Delicious dialog boxes

Fortunately, you don’t usually have to remember the system variable names. AutoCAD exposes most of the system variable settings in dialog boxes so that you can change their values simply by clicking check boxes or typing values in edit boxes. This approach is a lot more user-friendly than remembering an obscure name like “ACADLSPASDOC.”

For example, many of the settings on the tabs in the Options dialog box, shown in Figure 2-10, are in fact system variables. If you use the dialog box quick help (click the question mark in the Options dialog box’s title bar, and then click an option in the dialog box), the pop-up description not only describes the setting, but also tells which system variable it corresponds to.

Click To expand
Figure 2-10: Options—a handy way to change some system variable settings.


Fun with F1

The AutoCAD 2004 Help menu, shown in Figure 2-11, offers a slew of online help options. I describe the most useful of these here:

Figure 2-11: Lots of AutoCAD help.

  • Help: The main AutoCAD 2004 online help system, shown in Figure 2-12, uses the same help engine as the Microsoft Office programs, Internet Explorer, and other modern Windows applications. Click the Contents tab to browse through the various online reference manuals, the Index tab to look up commands and concepts, and the Search tab to look for specific words. In this book, I sometimes direct you to the AutoCAD online help system for information about advanced topics.

    Click To expand
    Figure 2-12: Help is at your F1 fingertip.

  • Active Assistance: This option opens the Active Assistance window, which is the Autodesk version of the Microsoft paper clip guy who tries to tell you what to do in Word or Excel at each step along the way. Like paper-clip guy, Active Assistance seems helpful — for 30 seconds. Then you get tired of the distraction and the wasted screen space.

  • New for 2004 New Features Workshop: This describes the new and enhanced features in AutoCAD 2004. It’s especially useful for people who are upgrading from a previous AutoCAD version.

  • Online Resources: Most of the choices in the Online Resources submenu connect you to various parts of Autodesk’s Web site. The most useful is Product Support. From the support Web page, you can search the Autodesk Knowledge Base, download software updates, and get help from Web- and newsgroup-based discussion groups.

AutoCAD is one program with which you really need to take advantage of the online help resources. AutoCAD contains many commands, options, and quirks, and everyone from the greenest beginner to the most seasoned expert can find out something by using the AutoCAD online help. Take a moment to peruse the Contents tab of the main help system so that you know what’s available. Throughout this book, I direct you to pages in the help system that I think are particularly useful, but don’t be afraid to explore on your own when you get stuck or feel curious.


Chapter 3: Setup for Success

Overview

In This Chapter

  • Developing a setup strategy

  • Starting a new drawing

  • Setting up model space

  • Setting up paper space layouts

  • Creating and using drawing templates

Surprisingly, drawing setup is one of the trickier aspects of using AutoCAD. It’s an easy thing to do incompletely or wrong, and AutoCAD 2004 doesn’t provide any dialog box or other simple, all-in-one-fell-swoop tool to help you do it right. And yet, drawing setup is a crucial thing to get right. Setup steps that you omit or don’t do right will come back to bite you — or at least gnaw on your leg — later.

Sloppy setup really becomes apparent when you try to plot your drawing. Things that seemed more or less okay as you zoomed around on the screen suddenly are completely the wrong size or scale on paper. And nothing brands someone as a naive AutoCAD wannabe as quickly as the inability to plot a drawing at the right size and scale. Chapter 12 covers plotting procedures, but the information in this chapter is a necessary prerequisite to successful plotting. If you don’t get this stuff right, there’s a good chance you’ll find that . . . the plot sickens.

This chapter describes the decisions you need to make before you set up a new drawing, shows the steps for doing a complete and correct setup, and demonstrates how to save setup settings for reuse.

Warning Don’t assume that you can just create a new blank DWG file and start drawing things. In other words, do read this chapter before you get too deeply into the later chapters in this book. Many AutoCAD drawing commands and concepts depend on proper drawing setup, so you’ll have a much easier time of drawing and editing things if you’ve done your setup homework. A few minutes invested in setting up a drawing well can save hours of thrashing around later on — kind of like the way lining up all your ingredients beforehand can save you from disaster when your dinner guests arrive.


An Appetizing Setup Strategy

You need to set up AutoCAD correctly, partly because AutoCAD is so flexible and partly because, well, you’re doing CAD — computer-aided drafting (or design). The computer can’t aid your drafting (or design) if you don’t clue it in on things like drawing scale, paper size, and units. In this context, the following reasons help explain why AutoCAD drawing setup is important:

  • Electronic paper: The most important you can do to make using AutoCAD fun is to work on a correctly set up drawing so that your screen acts like paper, only smarter. When drawing on real paper, you constantly have to translate between units on the paper and the real-life units of the object you’re drawing. But when drawing in AutoCAD, you can draw directly in real-life units — feet and inches, millimeters, or whatever you use. AutoCAD can then calculate distances and dimensions for you and add them to the drawing. You can make the mouse pointer snap directly to hot spots on-screen, and a visible, resizable grid gives you a better sense of the scale of your drawing. However, this smart paper function works well only if you tell AutoCAD how you set up your specific drawing. AutoCAD can’t really do its job until you tell it how to work.

  • Dead-trees paper: Creating a great drawing on-screen that doesn’t fit well on paper is all too easy. After you finish creating your drawing on the smart paper AutoCAD provides on-screen, you usually must then plot it on the dumb paper that people have used for thousands of years. At that point, you must deal with the fact that people like to use certain standard paper sizes and drawing scales. (Most people also like everything to fit neatly on one sheet of paper.) If you set up AutoCAD correctly, good plotting results automatically; if not, plotting time can become one colossal hassle.

  • It ain’t easy: AutoCAD provides templates (shown in Figure 3-1) and Setup Wizards for you, but the templates don’t work well unless you understand them, and the wizards don’t work well even if you understand them. This deficiency is one of the major weaknesses in AutoCAD. You must figure out on your own how to make the program work right. If you just plunge in without carefully setting it up, your drawing and printing efforts are likely to wind up a real mess.

    Click To expand
    Figure 3-1: Starting with a template.

Fortunately, setting up AutoCAD correctly is a bit like cooking a soufflé: Although the steps for performing your setup are complex, you can master them with attention and practice. Even more fortunately, this chapter provides a detailed and field-tested recipe.

Tip While you’re working in AutoCAD, always keep in mind what your final output should look like on real paper. Even your first printed drawings should look just like hand-drawn ones — only without all those eraser smudges.

Before you start the drawing setup process, you need to make decisions about your new drawing. These three questions are absolutely critical. If you don’t answer them, or you answer them wrong, you’ll probably need to do lots of reworking of the drawing later:

  • What drawing units will you use?

  • At what scale — or scales — will you plot it?

  • On what size paper does it need to fit?

In some cases, you can defer answering the following two questions, but it’s usually better to deal with these up front:

Start Sidebar
AutoCAD and paper

In other Windows programs, you can use any scaling factor you want to squeeze content onto paper. You’ve probably printed an Excel spreadsheet or Web page at some odd scaling factor, such as 82.5 percent of full size, because that’s what it took to squeeze the content onto a single sheet of paper while keeping the text as large as possible.

In drafting, your printout needs to use a specific, widely accepted scaling factor, such as 1⁄4” = 1’–0”, to be useful and understandable to others. But the AutoCAD screen does not automatically enforce any one scaling factor or paper size. If you just start drawing stuff on the AutoCAD screen to fit your immediate needs, it’s unlikely that the final result will fit neatly on a piece of paper at a desirable scale.

This chapter tells you how to start your drawing in such a way that you’ll like how it ends up. With practice, this kind of approach will become second nature.

End Sidebar

  • What kind of border or title block does your drawing require?

  • What system variable settings are most appropriate?

Warning If you’re in a hurry, it’s tempting to find an existing drawing that was set up for the drawing scale and paper size that you want to use, make a copy of that DWG file, erase the objects, and start drawing. Use this approach with care, though:

  • When you start from another drawing, you’re inheriting any setup mistakes in that drawing.

  • If you start from a pre–AutoCAD 2000 drawing (for example, one created in AutoCAD Release 14), you probably won’t be taking advantage of the layout and plotting features that were added in AutoCAD 2000.

Tip If you can find a suitable drawing that was set up in a recent version of AutoCAD by an experienced person who is conscientious about doing setup right, consider using it. Otherwise, you’re better off setting up a new drawing from scratch.

Choosing your units

AutoCAD is extremely flexible about drawing units; it lets you have them your way. Usually, you choose the type of units that you normally use to talk about whatever you’re drawing: feet and inches for a building in the United States, millimeters for a metric screw, and so on.

During drawing setup, you choose two units characteristics: a type of unit — Scientific, Decimal, Engineering, Architectural, and Fractional — and a precision of measurement in the Drawing Units dialog box, shown in Figure 3-2. (I show you how in the next section.) Engineering and Architectural units are in feet and inches; Engineering units use decimals to represent partial inches, and Architectural units use fractions to represent them. AutoCAD’s other unit types — Decimal, Fractional, and Scientific — are unitless because AutoCAD doesn’t know or care what the base unit is. If you configure a drawing to use Decimal units, for example, each drawing unit could represent a micron, millimeter, inch, foot, meter, kilometer, mile, parsec, the length of the king’s forearm, or any other unit of measurement that you deem convenient. It’s up to you to decide.

Click To expand
Figure 3-2: The Drawing Units dialog box.

After you specify a type of unit, you draw things on-screen full size in those units just as though you were laying them out on the construction site or in the machine shop. You draw an 8-foot-high line, for example, to indicate the height of a wall and an 8-inch-high line to indicate the cutout for a doggie door (for a Dachshund, naturally). The on-screen line may actually be only 2 inches long at a particular zoom resolution, but AutoCAD stores the length as 8 feet. This way of working is easy and natural for most people for whom CAD is their first drafting experience, but it seems weird to people who’ve done a lot of manual drafting. If you’re in the latter category, don’t worry; you’ll soon get the hang of it.

Start Sidebar
Drawing scale versus the drawing scale factor

CAD users employ two different ways of talking about a drawing’s intended plot scale: drawing scale and drawing scale factor.

Drawing scale is the traditional way of describing a scale — traditional in that it existed long before CAD came to be. Drawing scales are expressed with an equal sign or colon; for example f1⁄8” = 1’–0”, 1 = 20, or 2:1. Translate the equal sign or colon as “corresponds to.” In all cases, the measurement to the left of the equal sign or colon indicates a paper measurement, and the number to the right indicates a CAD drawing and real-world measurement. In other words, the architectural scale f1⁄8” = 1’–0” means “f1⁄8” on the plotted drawing corresponds to 1’–0” in the CAD drawing and in the real world,” assuming that the plot was made at the proper scale.

Drawing scale factor is a single number that represents a multiplier, such as 96, 20, or 0.5. The drawing scale factor for a drawing is the conversion factor between a measurement on the plot and a measurement in a CAD drawing and the real world.

Those of you who did your math homework in junior high will realize that drawing scale and drawing scale factor are two interchangeable ways of describing the same relationship. The drawing scale factor is the multiplier that converts the first number in the drawing scale into the second number.

End Sidebar

Weighing your scales

The next decision you should make before setting up a new drawing is choosing the scale at which you’ll eventually plot the drawing. This decision gives you the drawing scale and drawing scale factor — two ways of expressing the same relationship between the objects in the real world and the objects plotted on paper.

Warning You shouldn’t just invent some arbitrary scale based on your CD-ROM speed or camera’s zoom lens resolution. Most industries work with a fairly small set of approved drawing scales that are related to one another by factors of 2 or 10. If you use other scales, you’ll at best be branded a clueless newbie — and at worst have to redo all your drawings at an approved scale.

Table 3-1 lists some common architectural drawing scales, using both English and metric units. The table also lists the drawing scale factor corresponding to each drawing scale and the common uses for each scale. If you work in other industries than those listed here, ask drafters or coworkers what the common drawing scales are and for what kinds of drawings they’re used.

Table 3-1: Common Architectural Drawing Scales
Drawing Scale | Drawing Scale Factor | Common Uses
1⁄16” = 1’–0” | 192 | Large building plans
1⁄8” = 1’–0” | 96 | Building plans
1⁄4” = 1’–0” | 48 | House plans
1⁄2” = 1’–0” | 24 | Plan details
1” = 1’–0” | 12 | Details
1 = 200 mm | 200 | Large building plans
1 = 100 mm | 100 | Building plans
1 = 50 mm | 50 | House plans
1 = 20 mm | 20 | Plan details
1 = 10 mm | 10 | Details

Tip After you choose a drawing scale, engrave the corresponding drawing scale factor on your desk, write it on your hand, and put it on a sticky note on your monitor. You need to know the drawing scale factor for many drawing tasks, as well as for plotting. You should be able to recite the drawing scale factor of any drawing you’re working on in AutoCAD without even thinking about it.

Warning Even if you will use the Plot dialog box’s Scaled to Fit option to plot the drawing, not a specific scale factor, you need to choose an artificial scale to make text, dimensions, and other annotations appear at a useful size. Choose a scale that’s in the neighborhood of the Scaled to Fit plotting factor, which AutoCAD displays in the Plot Scale area of the Plot dialog box. For example, if you determine that you need to squeeze your drawing down about 90 times to fit on the desired sheet size, choose a drawing scale of f1⁄8 inch = 1 foot – 0 inches (drawing scale factor = 96) if you’re using architectural units or 1 = 100 (drawing scale factor = 100) for other kinds of units.

Thinking about paper

With knowledge of your industry’s common drawing scales, you can choose a provisional scale based on what you’re depicting. But you won’t know for sure whether that scale works until you compare it with the size of the paper that you want to use for plotting your drawing. Here again, most industries use a small range of standard sheet sizes. Three common sets of sizes exist, as shown in Figure 3-3 and Table 3-2:

  • ANSI (American National Standards Institute)

  • Architectural

  • ISO (International Standard Organization).

    Click To expand
    Figure 3-3: Relationships among standard paper sizes.

Table 3-2: Common Plot Sheet Sizes
Sheet Size | Dimensions | Comment
ANSI E | 34 x 44” |
ANSI D | 22 x 34” | E sheet folded in half
ANSI C | 17 x 22” | D sheet folded in half
ANSI B | 11 x 17” | C sheet folded in half
ANSI A | 81⁄2 x 11” | B sheet folded in half
Architectural Large E | 36 x 48” |
Architectural E | 30 x 42” |
Architectural D | 24 x 36” |
Architectural C | 18 x 24” |
Architectural B | 12 x 18” |
Architectural A | 9 x 12” |
ISO A0 | 841 x 1189 mm |
ISO A1 | 594 x 841 mm | A0 sheet folded in half
ISO A2 | 420 x 594 mm | A1 sheet folded in half
ISO A3 | 297 x 420 mm | A2 sheet folded in half
ISO A4 | 210 x 297 mm | A3 sheet folded in half

You select a particular set of sheet sizes based on the common practices in your industry. You then narrow down your choice based on the area required by what you’re going to draw. For example, most architectural plans are plotted on Architectural D or E size sheets.

If you know the desired sheet size and drawing scale factor, you can calculate the available drawing area easily. Simply multiply each of the sheet’s dimensions (X and Y) by the drawing scale factor. For example, if you choose an 11-x-17-inch sheet and a drawing scale factor of 96 (corresponding to a plot scale of 1⁄8” = 1’–0”), you multiply 17 times 96 and 11 times 96 to get an available drawing area of 1,632 inches x 1,056 inches (or 136 feet x 88 feet). If your sheet size is in inches but your drawing scale is in millimeters, you need to multiply by an additional 25.4 to convert from inches to millimeters. For example, with an 11-x-17-inch sheet and a scale of 1 = 200 mm (drawing scale factor = 200), you multiply 17 times 200 times 25.4 and 11 times 200 times 25.4 to get 86,360 x 55,880 mm or 86.36 x 55.88 m — not quite big enough for a football field.

Conversely, if you know the sheet size that you’re going to use and the real-world size of what you’re going to draw, and you want to find out the largest plot scale you can use, you have to divide, not multiply. Divide the needed real-world drawing area dimensions (X and Y) by the sheet’s dimensions (X and Y). Take the larger number — either X or Y — and round up to the nearest real drawing scale factor (that is, one that’s commonly used in your industry). For example, suppose you want to draw a 60-x-40-foot or, 720-x-480-inch, floor plan and print it on 11-x-17-inch paper. You divide 720 by 17 and 480 by 11 to get 42.35 and 43.64, respectively. The larger number, 43.64, corresponds in this example to the short dimension of the house and the paper. The nearest larger common architectural drawing scale factor is 48 (corresponding to 1⁄4” = 1’–0”), which leaves a little room for the plotting margin and title block.

The Cheat Sheet at the front of this book includes two tables that list the available drawing areas for a range of sheet sizes and drawing scales. Use those tables to help you decide on an appropriate paper size and drawing scale, and revert to the calculation method for situations that the tables don’t cover. (If you don’t keep a favorite old calculator on your physical desktop, this might be a good time to put a shortcut to the Windows Calculator on your virtual one.)

Warning When you select a sheet size and drawing scale, always leave some extra room for the following two reasons:

  • Most plotters and printers can’t print all the way to the edge of the sheet — they require a small margin. For example, my trusty old Hewlett-Packard LaserJet III has a printable area of about 7.9 x 10.5 inches on an 8.5-x-11-inch ANSI A size (letter size) sheet. (You’ll find this information in the Plot dialog box, as described in “The Plot Settings tab” section of Chapter 12.) If you’re a stickler for precision, you can use the printable area instead of the physical sheet area in the calculations described earlier in this section.

  • Most drawings require some annotations — text, grid bubbles, and so on — outside the objects you’re drawing, plus a title block surrounding the objects and annotations. If you don’t leave some room for the annotations and title block, you’ll end up having either to cram things together too much or to change to a different sheet size. Either way, you’ll be slowed down later in the project when you can least afford it. Figure 3-4 shows an extreme example of selecting a sheet size that’s too small or, conversely, a drawing scale that’s too large. In this example, the building is too long for the sheet, and it overlaps the title block on both the right and left sides.

    Click To expand
    Figure 3-4: “This sheet size is too small,” said Goldilocks.

Tip Some industries deal with the “sheet-is-too-small / drawing-scale-is-too-large” problem by breaking drawings up onto multiple plotted sheets.

Tip Don’t be afraid to start with paper. Experienced drafters often make a quick, throwaway pencil and paper sketch called a cartoon. A drawing cartoon usually includes a rectangle indicating the sheet of paper you intend to plot on, a sketch of the title block, and a very rough, schematic sketch of the thing you’re going to draw. It helps to scribble down the dimensions of the sheet, the main title block areas, and the major objects to be drawn. By sketching out a cartoon, you’ll often catch scale or paper size problems before you set up a drawing, when repairs only take a few minutes, not after you’ve created the drawing, when fixing the problem can take hours.

Defending your border

The next decision to make is what kind of border your drawing deserves. The options include a full-blown title block, a simple rectangle, or nothing at all around your drawing. If you need a title block, do you have one, can you borrow an existing one, or will you need to draw one from scratch? Although you can draw title block geometry in an individual drawing, you’ll save time by reusing the same title block for multiple drawings. Your company may already have a standard title block drawing ready to use, or someone else who’s working on your project may have created one for the project.

The right way to draw a title block is in a separate DWG file at its normal plotted size (for example, 36” long by 24” high for an architectural D size title block). You then either insert or xref the title block drawing into each sheet drawing. Chapter 13 describes how to insert and xref separate DWG files.

All system variables go

AutoCAD includes a slew of system variables that control the way your drawing and the AutoCAD program work. Much of the drawing setup process involves setting system variables based on the drawing scale, sheet size, and other desired properties of the drawing. You can set some system variables in AutoCAD dialog boxes, but a few require that you type at the command line. Table 3-3 shows the settings that you most commonly need to change — or at least check — during drawing setup, along with the names of the corresponding system variables. Later in the chapter, in the section “The Main Course: Model Space,” I show you the procedure for changing these settings.

Table 3-3: System Variables for Drawing Setup
Setting | Dialog Box | System Variables
Linear units and precision | Drawing Units | LUNITS, LUPREC
Angular units and precision | Drawing Units | AUNITS, AUPREC
Grid spacing and visibility | Drafting Settings | GRIDUNIT, GRIDMODE
Snap spacing and on/off | Drafting Settings | SNAPUNIT, SNAPMODE
Drawing limits | None (use command line) | LIMMIN, LIMMAX
Linetype scale | Linetype Manager | LTSCALE, PSLTSCALE
Dimension scale | Dimension Style Manager | DIMSCALE


Getting Creative with Templates

New for 2004 When you start AutoCAD 2004 with its desktop shortcut or from the Windows Start menu, AutoCAD creates a new, blank drawing and displays the “clean screen” that I describe in Chapter 2. Unlike in the previous version, there’s no Today window to plague you when you start the program or direct AutoCAD to create a new drawing.

When you explicitly create a new drawing from within AutoCAD, the Select Template dialog box, shown in Figure 3-5, appears by default.

template is simply a drawing whose name ends in the letters DWT, which you use as the starting point for another drawing. When you create a new drawing from a template, AutoCAD makes a copy of the template file and opens the copy in a new drawing editor window. The first time you save the file, you’re prompted for a new filename to save to; the original template file stays unchanged.

Click To expand
Figure 3-5: A plate full of templates to comtemplate.

You may be familiar with the Microsoft Word or Excel template documents, and AutoCAD template drawings work pretty much the same way — because Autodesk stole the idea from them! (Encouraged, of course, by Microsoft.)

Using a suitable template can save you time and worry because all or most of the options are already set correctly for you. You know the drawing will print correctly; you just have to worry about getting the geometry and text right. Of course, all of this optimism assumes that the person who set up the template knew what he or she was doing.

The stock templates that come with AutoCAD are okay as a starting point, but you’ll need to modify them to suit your purposes, or create your own from scratch. In particular, the stock AutoCAD templates aren’t set up for the scales that you’ll want to use. The instructions in the rest of this chapter tell you how to specify scale-dependent setup information.

So the only problems with templates are creating good ones and then later finding the right one to use when you need it. Later in this chapter, in the section “Cooking Up Terrific Templates,” I show you how to create templates from your own setup drawings. Here I show you how to use an already created template, such as one of the templates that comes with AutoCAD 2004 or from one of your CAD-savvy colleagues. If you’re lucky, someone in your office will have created suitable templates that you can use to get going quickly.

Follow these steps to create a new drawing from a template drawing:

  1. Run the NEW command by pressing Ctrl+N or choosing File ð New.

    The Select Template dialog box appears.

    New for2004 The first button on the Standard toolbar runs the new QNEW command instead of the ordinary NEW command. Unless you or someone else has changed the Drawing Template Settings in the Options dialog box, QNEW does the same thing as NEW. See “Cooking up Terrific Templates,” later in this chapter, for information about how to take advantage of QNEW.

  2. Click the name of the template that you want to use as the starting point for your new drawing.

  3. Click the Open button.

    A new drawing window with a temporary name, such as Drawing2.dwg, appears. (The template you opened remains unchanged on your hard disk.)

    Warning Depending on which template you choose, your new drawing may open with a paper space layout tab, not the Model tab, selected. If that’s the case, click the Model tab before changing the settings described in “The Main Course: Model Space.” The section “Plot Layouts for any Palate,” later in this chapter, describes how to set up and take advantage of paper space layouts.

  4. Press Ctrl+S and save the file under a new name.

    Take the time to save the drawing to the appropriate name and location now.

  5. Make needed changes.

    For most of the templates that come with AutoCAD, you need to consider changing the units, limits, grid and snap settings, linetype scale, and dimension scale. See the section, “The Main Course: Model Space,” for instructions.

  6. Consider saving the file as a template.

    If you’ll need other drawings in the future similar to the current one, consider saving your modified template as a template in its own right. See the section “Cooking Up Terrific Templates” later in this chapter.

    Tip The simplest, no-frills templates are Acad.dwt (for people who customarily work with sheet sizes expressed in inches) and Acadiso.dwt (for people who customarily work with sheet sizes expressed in millimeters). Most of the remaining templates that come with AutoCAD include title blocks for various sizes of sheets. In addition, most templates come in two versions — one for people who use color-dependent plot styles and one for people who use named plot styles. You probably want the color-dependent versions. (Chapter 12 describes the two kinds of plot styles and why you probably want the color-dependent variety.) I warned you that this drawing setup stuff would be complicated!

Warning If you dig around in the Options dialog box, you might discover a setting that turns on the old Startup dialog box, which offers several options other than starting with a template. Among these options are the enticingly named Setup Wizards. These so-called wizards were lame when they first appeared; they’re no better now. Autodesk acknowledges as much by making them almost impossible to find in AutoCAD 2004.


The Main Course: Model Space

Most drawings require a two-part setup:

  • First, set up the model space tab, where you’ll create most of your drawing.

  • Next, create one or more paper space layout tabs for plotting.

After you’ve decided on drawing scale and sheet size, you can perform model space setup as described in this section.

Setting your units

First, you should set the linear and angular units that you want to use in your new drawing. The following procedure describes how:

  1. Choose Format ð Units from the menu bar.

    The Drawing Units dialog box appears, as shown in Figure 3-6.

    Click To expand
    Figure 3-6: The default unit-less units.

  2. Choose a linear unit type from the Length Type drop-down list.

    Choose the type of unit representation that’s appropriate for your work. Engineering and Architectural units are displayed in feet and inches; the other types of units aren’t tied to any particular unit of measurement. You decide whether each unit represents a millimeter, centimeter, meter, inch, foot, or something else. Decimal units usually are a good choice for metric drawings.

    Tip AutoCAD can think in inches! If you’re using Engineering or Architectural units (feet and inches), AutoCAD understands any coordinate you enter as a number of inches. You use the ’ (apostrophe) character on your keyboard to indicate a number in feet instead of inches.

  3. From the Length Precision drop-down list, choose the degree of precision you want when AutoCAD displays coordinates and linear measurements.

    Tip The precision setting controls how precisely AutoCAD displays coordinates, distances, and prompts in some dialog boxes. In particular, the Coordinates box on the status bar displays the current cursor coordinates using the current precision. A grosser — that is, less precise — precision setting makes the numbers displayed in the status bar more readable and less jumpy. So be gross for now; you can always act a little less gross later.

    Tip The linear and angular precision settings only affect AutoCAD’s display of coordinates, distances, and angles. For drawings stored as DWG files, AutoCAD always uses maximum precision to store the objects that you draw.

  4. Choose an angular unit type from the Angle Type drop-down list.

    Decimal Degrees and Deg/Min/Sec are the most common choices.

    The Clockwise check box and the Direction button provide additional angle measurement options, but you’ll rarely need to change the default settings: Measure angles counterclockwise and use east as the 0 degree direction.

  5. From the Angle Precision drop-down list, choose the degree of precision you want when AutoCAD displays angular measurements.

  6. In the Drag-and-Drop Scale area, choose the units of measurement for this drawing.

  7. Click OK to exit the dialog box and save your settings.

Telling your drawing its limits

The next model space setup task is to set your drawing’s limits. You wouldn’t want it staying out all night and hanging out with just anybody, would you? The limits represent the rectangular working area that you’ll draw on, which usually corresponds to the paper size. Setting limits correctly gives you the following advantages:

  • When you turn on the grid (described in the section, “Making your screen smart with snap and grid,” later in this chapter), the grid displays in the rectangular limits area. With the grid on and the limits set correctly, you always see the working area that corresponds to what you’ll eventually be plotting, so you won’t accidentally color outside the lines.

  • The ZOOM command’s All option zooms to the greater of the limits or the drawing extents. (The extents of a drawing consist of a rectangular area just large enough to include all the objects in the drawing.) When you set limits properly and color within the lines, ZOOM All gives you a quick way to zoom to your working area.

  • If you plot from model space, you can choose to plot the limits area. This option gives you a quick, reliable way to plot your drawing, but only if you’ve set limits correctly!

Tip Many CAD drafters don’t set limits properly in their drawings. After you read this section, you can smugly tell them why they should and how.

Warning You can start the LIMITS command from a menu choice, but all subsequent action takes place on the command line; despite the importance of the topic, AutoCAD has no dialog box for setting limits.

The following procedure shows you how to set your drawing limits:

  1. Choose Format ð Drawing Limits from the menu bar to start the LIMITS command; or type LIMITS on the command line and press Enter.

    The LIMITS command appears on the command line, and the command line displays the following prompt at the bottom of the screen:

    Command: limits
Reset Model space limits:
Specify lower left corner or [ON/OFF] <0’-0",0’-0">:

    The value at the end of the last line of the prompt is the default value for the lower-left corner of the drawing limits. It appears according to the units and precision that you selected in the Drawing Units dialog box — for example, 0’–0" if you selected Architectural units with precision to the nearest inch.

  2. Type the lower-left corner of the limits you want to use and press Enter.

    The usual value to enter at this point is 0,0. (Type a zero, a comma, and then another zero, with no spaces.) You can just press Enter to accept the default value.

    AutoCAD now prompts you for the upper-right corner of the limits:

    Specify upper right corner <1’-0",0’-9">:

    The initial units offered by AutoCAD correspond to an architectural A size sheet of paper in landscape orientation.

  3. Type the upper-right corner of the limits you want to use and press Enter.

    You calculate the usual setting for the limits upper-right corner by multiplying the paper dimensions by the drawing scale factor. For example, if you’re setting up a 1⁄8” = 1’–0” drawing (drawing scale factor = 96) to be plotted on a 24-x-36-inch sheet in landscape orientation, the upper-right corner of the limits should be 36 inches times 96, 24 inches times 96. Okay, pencils down. The correct answer is 3456,2304 (or 288 feet,192 feet).

    Tip Alternatively, you can cheat when specifying limits and read the limits from the tables on the Cheat Sheet.

    If you have the grid turned on, AutoCAD redisplays it in the new limits area after you press Enter.

    Warnng If you’re using Architectural or Engineering units and you want to enter measurements in feet and not inches, you must add the foot designator after the number, such as 6’; otherwise, AutoCAD assumes that you mean inches.

  4. Choose View ð Zoom ð All.

    AutoCAD zooms to the new limits.

Making the drawing area snap-py (and grid-dy)

AutoCAD’s grid is a set of evenly spaced, visible dots that serve as a visual distance reference. (As I describe in “Telling your drawing its limits,” earlier in this section, the grid also indicates how far the drawing limits extend.) AutoCAD’s snap feature creates a set of evenly spaced, invisible hot spots, which make the cursor move in nice, even increments. Both grid and snap are like the intersection points of the lines on a piece of grid paper, but grid is simply a visual reference, whereas snap constrains the points that you can pick with the mouse. You can — and usually will — set the grid and snap spacing to different distances.

Set the grid and the snap intervals in the Drafting Settings dialog box with these steps:

  1. Right-click the Snap or Grid button in the status bar and choose Settings.

    The Drafting Settings dialog box appears with the Snap and Grid tab selected, as shown in Figure 3-7.

    Click To expand
    Figure 3-7: Get your Drafting setting here.

    The Snap and Grid tab has four parts, but focus on the Snap and Grid sections for now. Some of the other settings are nerdy stuff that you can live without ever needing to think twice about; others are covered elsewhere in this book.

  2. Select the Snap On check box to turn on snap.

    This action creates default snaps half a unit apart.

  3. Enter the Snap X Spacing for the snap interval in the accompanying text box.

    Use the information in the sections preceding this procedure to decide on a reasonable snap spacing.

    The Y spacing automatically changes to equal the X spacing, which is almost always what you want.

  4. Select the Grid On check box to turn on the grid.

  5. Enter the Grid X Spacing for the grid in the accompanying text box.

    Use the information in the sections preceding this procedure to decide on a reasonable grid spacing.

    The Y spacing automatically changes to equal the X spacing. As with the snap spacing, you usually want to leave it that way.

    Technical Stuff X measures horizontal distance; Y measures vertical distance. The AutoCAD drawing area normally shows an X and Y icon in case you forget.

  6. Click OK to close the Drafting Settings dialog box.

Remember You can also click the SNAP button on the status bar to toggle snap on and off; the same goes for the GRID button and the grid setting.

Start Sidebar
Making snap (and grid) decisions

You can set your grid spacing to work in one of two ways: to help with your drawing or to help you remain aware of how objects will relate to your plot. For a grid that helps with your drawing, set the grid points a logical number of measurement units apart. For example, you might set the grid to 30 feet (10 yards) on a drawing of a football field. This kind of setting makes your work easier as you draw.

Another approach is to choose a grid spacing that represents a specific distance, such as 1 inch, on your final plot. If you want to have the grid represent 1 inch on the plot and your drawing units are inches, enter the drawing scale factor. For example, in a 1⁄4” = 1’–0” drawing, you’d enter the drawing scale factor of 48. A 48-inch grid interval in your drawing corresponds to a 1-inch interval on the plot when you plot to scale. If your drawing units are metric, but you still want the grid to represent plotted inches, multiple the drawing scale factor by 25.4 to get the grid spacing. Better yet, round off the multiplier to 25 so that grid squares will represent 25-millimeter squares when you plot to scale.

In most cases, you’ll want to set the snap interval considerably smaller than the grid spacing. A good rule is to start with a snap spacing in the range of the size of the smallest objects that you’ll be drawing — 6 inches or 100 millimeters for a building plan, 0.5 inches or 5 millimeters for an architectural detail, 1⁄16 inch or 1 millimeter for a small mechanical component, and so on.

Leaving the grid on in your drawing all the time is worthwhile because it provides a visual reminder of how far apart things are. This visual reference is especially useful as you zoom in and out.

You don’t always want to leave snap turned on, however. Some drawings, such as contour maps, are made up mostly of objects with weird, uneven measurements. Even drawings with many objects that fall on convenient spacings will have some unruly objects that don’t. In addition, you sometimes need to turn off snap temporarily to select objects. Despite these caveats, snap is a useful tool in most drawings.

Setting the snap spacing to a reasonable value when you set up a new drawing is a good idea. Toggle snap off (by clicking the SNAP button on the status bar or pressing the F9 key) when you don’t need it or find that it’s getting in the way. Toggle snap on when you think it may be useful.

To use snap effectively, you need to make the snap setting smaller as you zoom in and work on more detailed areas, and larger as you zoom back out. You are likely to find yourself changing the snap setting fairly frequently. The grid setting, on the other hand, can usually remain constant even as you work at different zoom settings; that keeps you oriented as to how far zoomed in you are in the drawing.

End Sidebar

Setting linetype and dimension scales

Even though you’ve engraved the drawing scale factor on your desk and written it on your hand — not vice versa — AutoCAD doesn’t know the drawing scale until you enter it. Keeping AutoCAD in the dark is fine as long as you’re just drawing continuous lines and curves representing real-world geometry, because you draw these objects at their real-world size, without worrying about plot scale.

As soon as you start adding dimensions (measurements that show the size of the things you’re drawing) and using dash-dot linetypes (line patterns that contain gaps in them), you need to tell AutoCAD how to scale the parts of the dimensions and the gaps in the linetypes based on the plot scale. If you forget this, the dimension text and arrowheads can come out very tiny or very large when you plot the drawing, and dash-dot linetype patterns can look waaaay too big or too small. Figure 3-8 shows what I mean.

Click To expand
Figure 3-8: The dimension and linetype scales need to be just right.

The scale factor that controls dash-dot linetypes is found in a system variable called LTSCALE (as in LineType SCALE). The scaling factor that controls dimensions is found in a system variable called DIMSCALE. You can change either of these settings at any time, but it’s best to set them correctly when you’re setting up the drawing.

To set the linetype scale from the command line, follow these steps:

  1. Type LTScale on the command line and press Enter.

    AutoCAD responds with a prompt, asking you for the scale factor. The value at the end of the prompt is the current linetype scale setting, as in the following example:

    Enter new linetype scale factor <1.0000>:

  2. Type the value you want for the linetype scale on the command line and press Enter.

    The easiest choice is to set the linetype scale to the drawing scale factor. Some people (myself included) find that the dashes and gaps in dash-dot linetypes get a bit too long when they use the drawing scale factor. If you’re one of those people, set LTSCALE to one-half of the drawing scale factor.

Tip Alternatively, you can set LTSCALE in the Linetype Manager dialog box: Choose FormatðLinetype, click the Show Details button, and type your desired linetype scale in the Global Scale Factor edit box.

To change the dimension scale, use the Dimension Style Manager dialog box. I describe dimensions in detail in Chapter 10, but you should get in the habit of setting the dimension scale during drawing setup. To do so, follow these steps:

  1. Choose Format ð Dimension Style from the menu bar, or enter Dimstyle at the command line.

    The Dimension Style Manager dialog box appears. New drawings contain the default dimension style named Standard.

  2. Click the Modify button.

    The Modify Dimension Style dialog box appears.

  3. Click the Fit tab.

    The Fit tab options appear, including an area called Scale for Dimension Features.

  4. In the Scale for Dimension Features area, make sure that the radio button next to the Use Overall Scale Of setting is selected.

  5. In the text box next to Use Overall Scale Of, type the drawing scale factor for the current drawing.

    I told you that you’d be using that drawing scale factor a lot!

  6. Click OK to close the Modify Dimension Style dialog box.

    The Dimension Style Manager dialog box reappears.

  7. Click Close.

    The Dimension Style Manager dialog box closes. Now when you draw dimensions (see Chapter 10), AutoCAD will scale the dimension text and arrowheads correctly.

Tip Before you start creating dimensions, create your own dimension style(s) for the settings that you want to use. Chapter 10 explains why and how.

Entering drawing properties

You need to do one last bit of bookkeeping before you’re finished with model space drawing setup: Enter summary information in the Drawing Properties dialog box, as shown in Figure 3-9. Choose FileðDrawing Properties to open the Drawing Properties dialog box and then click the Summary tab. Enter the drawing scale you’re using and the drawing scale factor, plus any other information you think useful.

Click To expand
Figure 3-9: Surveying your drawing’s properties.


Plot Layouts for Any Palate

As I describe in Chapter 2, paper space is a separate space in each drawing for composing a printed version of that drawing. You create the drawing itself, called the model, in model space. You then can create one or more plottable views, complete with title block. Each of these plottable views is called a layout. AutoCAD saves separate plot settings with each layout — and with the Model tab — so that you can plot each tab differently. In practice, you’ll need to use only one of the paper space layout tabs, especially when you’re getting started with AutoCAD.

A screen image is worth a thousand paper space explanations. If you haven’t yet seen an example out in the wild, take a look at Figures 2-7 and 2-8 in Chapter 2. You also might want to open a few of the AutoCAD 2004 sample drawings and click the Model and layout tabs to witness the variety of ways in which paper space is used. A good place to start is \Program Files\AutoCAD 2004\Sample\Wilhome.dwg.

After you complete model space setup, you should create a layout for plotting. You don’t need to create the plotting layout right after you create the drawing and do model space setup; you can wait until after you’ve drawn some geometry. You should set up a layout sooner, not later, however. If any scale or sheet size problems exist, it’s better to discover them early.

Tip In AutoCAD 2004, it’s still possible to ignore paper space layouts entirely and do all your drawing and plotting in model space. But you owe it to yourself to give layouts a try. You’ll probably find that they make plotting more consistent and predictable. They’ll certainly give you more plotting flexibility when you need it. And you’ll certainly encounter drawings from other people that make extensive use of paper space, so you need to understand it if you plan to exchange drawings with anyone else.

Creating a layout

Creating a simple paper space layout is straightforward, thanks to the AutoCAD 2004 Create Layout Wizard, shown in Figure 3-10. (Yes! Finally, a useful AutoCAD wizard.) The command name is LAYOUTWIZARD, which is not to be confused with the WAYOUTLIZARD command for drawing geckos and iguanas! In any event, you can avoid a lot of typing by choosing ToolsðWizardsðCreate Layout.

Click To expand
Figure 3-10: The Create Layout Wizard.

Tip Although the Create Layout Wizard guides you step by step through the process of creating a paper space layout from scratch, it doesn’t eliminate the necessity of coming up with a sensible set of layout parameters. The sheet size and plot scale that you choose provide a certain amount of space for showing your model (see the information earlier in this chapter), and wizards aren’t allowed to bend the laws of arithmetic to escape that fact. For example, a map of Texas at a scale of 1 inch = 1 foot won’t fit on an -x-11-inch sheet, no way, no how. In other words, garbage in, garbage (lay)out. Fortunately the Create Layout Wizard lends itself to experimentation, and you can easily delete layouts that don’t work.

Follow these steps to create a layout:

  1. Choose Tools ð Wizards ð Create Layout, or type LAYOUTWIZARD and press Enter.

  2. Give the new layout a name and then click Next.

    In place of the default name, Layout3, I recommend something more descriptive — for example, D Size Sheet.

  3. Choose a printer or plotter to use when plotting this layout, and then click Next.

    Think of your choice as the default plotter for this layout. You can change to a different plotter later, or create page setups that plot the same layout on different plotters.

    Technical Stuff Many of the names in the configured plotter list should look familiar because they’re your Windows printers (system printers in AutoCAD lingo). Names with a PC3 extension represent nonsystem printer drivers. See Chapter 12 for details.

  4. Choose a paper size and specify whether to use inches or millimeters to represent paper units, and then click Next.

    The available paper sizes depend on the printer or plotter that you selected in Step 3.

  5. Specify the orientation of the drawing on the paper, and then click Next.

    The icon showing the letter A on the piece of paper shows you which orientation is which.

  6. Select a title block, or None (see Figure 3-11). If you choose a title block, specify whether AutoCAD should insert it as a Block — which is preferable in this case — or attach it as an Xref. Then click Next.

    Click To expand
    Figure 3-11: Title block options in the Create Layout Wizard.

    Technical Stuff Attaching a title block as an xref is a good practice if your title block DWG file is in the same folder as the drawing that you’re working on. The Create Layout Wizard’s title blocks live in the Template folder that’s stored with the AutoCAD Application Data files under your Windows user profile, which isn’t — or shouldn’t be — where you keep your project files. Thus, in this case Block is a safer choice.

    Warning Choose a title block that fits your paper size. If the title block is larger than the paper, the Create Layout Wizard simply lets it run off the paper.

    Tip If you don’t like any of the supplied title blocks, choose None. You can always draw, insert, or xref a title block later. See Chapter 13 for information about inserting or xrefing a title block.

    Technical Stuff The list of available title blocks comes from all the DWG files in your AutoCAD Template folder. You can add custom title block drawings to this directory. If you want to know where to put them, see “Cooking Up Terrific Templates,” later in this chapter.

  7. Define the arrangement of viewports that AutoCAD should create, and the paper space to model space scale for all viewports. Then click Next.

    A paper space layout viewport is a window into model space. You must create at least one viewport to display the model in your new layout. For most 2D drawings, a single viewport is all you need. 3D models often benefit from multiple viewports, each showing the 3D model from a different perspective.

    Tip The default Viewport scale, Scaled to Fit, ensures that all of your model drawing displays in the viewport but results in an arbitrary scale factor. Most technical drawings require a specific scale, such as 1 = 10 or 1⁄8” = 1’–0”.

  8. Specify the location of the viewport(s) on the paper by picking its corners. Then click Next.

    After you click the Select Location button, the Create Layout Wizard displays the preliminary layout with any title block that you’ve chosen. Pick two points to define a rectangle that falls within the drawing area of your title block (or within the plottable area of the sheet, if you chose no title block in Step 6).

    Tip AutoCAD represents the plottable area of the sheet with a dashed rectangle near the edge of the sheet. If you don’t select a location for the viewport(s), the Create Layout Wizard creates a viewport that fills the plottable area of the sheet.

  9. Click Finish.

    AutoCAD creates the new layout.

Working with layouts

After you create a layout, you can delete, copy, rename, and otherwise manipulate it by right-clicking its tab. Figure 3-12 shows the right-click menu options.

Click To expand
Figure 3-12: The right-click menu for a layout tab.

Technical Stuff The From Template option refers to layout templates. You can save a layout to a template file (a DWT file) and then use it to create new layouts in other drawings. For details, see online help: Choose ContentsðUser’s GuideðCreate Layouts and Plot DrawingsðCreate LayoutsðReuse Layouts and Layout SettingsðCreate a Layout Using a Template.

Many drawings require only one paper space layout. If you always plot the same view of the model and always plot to the same device and on the same size paper, a single paper space layout should suffice. If you want to plot your model in different ways (for example, at different scales, with different layers visible, with different areas visible, or with different plotted line characteristics), you may want to create additional paper space layouts.

Tip Some different ways of plotting the same model can be handled in a single paper space layout with different page setups. See Chapter 12 for more details.

Technical Stuff If you want to add another viewport to an existing layout, you need to become familiar with the MVIEW command and the ZOOM command’s mysterious XP option. See the MVIEW and ZOOM commands in the AutoCAD online help. After you have the concepts down, using the Viewports dialog box (choose ViewðViewportsðNew Viewports) and Viewports toolbar can help you create and manage viewports more efficiently.

Lost in paper space

After you create a paper space layout, you suddenly have two views of the same drawing geometry: the view on your original Model tab and the new layout tab view (perhaps decorated with a handsome title block and other accoutrements of plotting nobility). It’s important to realize that both views are of the same geometry. If you change the model geometry on one tab, you’re changing it on all tabs, because all tabs display the same model space objects. It’s like seeing double after downing a few too many drinks — the duplication is in your head, not in the real world (or in this case, in the CAD world).

When you make a paper space layout current by clicking its tab, you can move the cursor between paper space (that is, drawing and zooming on the sheet of paper) and model space (drawing and zooming on the model, inside the viewport) in several ways, including:

  • Clicking the Paper/Model button on the status bar

  • In the drawing area, double-clicking over a viewport to move the cursor into model space in that viewport, or double-clicking outside all viewports (for example, in the gray area outside the sheet) to move the cursor into paper space

  • Entering MSpace or PSpace at the command prompt

When the cursor is in model space, anything you draw or edit changes the model (and thus appears on the Model tab and on all paper space layout tabs, assuming that the given paper space layout displays that part of the underlying model). When the cursor is in paper space, anything you draw appears only on that one paper space layout tab. It’s as though you were drawing on an acetate sheet over the top of that sheet of plotter paper — the model beneath remains unaffected.

This distinction can be disorienting at first — even if you haven’t had a few too many drinks. To avoid confusion, stick with the following approach (at least until you’re more familiar with paper space):

  • If you want to edit the model, switch to the Model tab first. (Don’t try to edit the model in a paper space viewport.)

  • If you want to edit a particular plot layout without affecting the model, switch to that layout’s tab and make sure that the cursor is in paper space.


Cooking Up Terrific Templates

You can create a template from any DWG file by using the Save As dialog box. Follow these steps to save your drawing as a template:

  1. Choose File ð Save As from the menu bar.

    The Save Drawing As dialog box appears, as shown in Figure 3-13.

    Click To expand
    Figure 3-13: Saving a drawing as a template.

  2. From the Save As Type pull-down menu, choose AutoCAD Drawing Template (*.dwt).

  3. Navigate to the folder where you want to store the drawing.

    New for 2004 AutoCAD 2004’s default folder for template drawings is called Template and is buried deep in the bowels of your Windows user profile. Save your templates there if you want them to appear in the AutoCAD 2004’s Select Template list. You can save your templates in another folder, but if you want to use them later, you’ll have to navigate to that folder each time to use them. See the Technical Stuff paragraph after this procedure for additional suggestions.

  4. Enter a name for the drawing template in the File Name text box.

  5. Click the Save button to save your drawing template.

    The drawing is saved as a template. A dialog box for the template description and units appears.

  6. Enter the template’s measurement units (English or Metric).

    Enter the key info now; you can’t do it later unless you save the template to a different name. Don’t bother filling in the Description field. AutoCAD doesn’t display it later in the Select Template dialog box.

  7. Click OK to save the file.

  8. To save your drawing as a regular drawing, choose File ð Save As from the menu bar.

    The Save Drawing As dialog box appears again.

  9. From the Save As Type pull-down menu, choose AutoCAD 2004 Drawing (*.dwg).

  10. Navigate to the folder where you want to store the drawing.

    Use a different folder from the one with your template drawings.

  11. Enter the name of the drawing in the File Name text box.

  12. Click the Save button to save your drawing.

    The file is saved. Now, when you save it in the future, the regular file, not the template file, gets updated.

New for 2004 AutoCAD 2004 includes a new command called QNEW (“Quick NEW”), which, when properly configured, can bypass the Select Template dialog box and create a new drawing from your favorite template. The first button on the Standard toolbar — the one with the plain white sheet of paper — runs the new QNEW command instead of the old NEW command.

To put the Quick into QNEW, though, you have to tell AutoCAD which default template to use: Choose ToolsðOptionsðFilesðDrawing Template SettingsðDefault Template File for QNEW. AutoCAD 2004’s default setting for Default Template File for QNEW is None, which causes QNEW to act just like NEW (that is, QNEW opens the Select Template dialog box).

Technical Stuff AutoCAD 2004, unlike previous versions, stores template drawings and many other support files under your Windows user folder. If you want to discover where your Template folder is, choose ToolsðOptionsðFilesðDrawing Template SettingsðDrawing Template File Location. In all likelihood, your Template folder lives under a hidden folder, so you won’t at first be able to see it in Windows Explorer. If you want to find the template folder, choose ToolsðFolder OptionsðView in Windows Explorer. Set the Hidden Files and Folders setting to Show Hidden Files and Folders, click the OK button, and then choose ViewðRefresh. (After you snoop around, you’ll probably want to switch back to Do Not Show Hidden Files and Folders.)

If you want to avoid this nonsense, create a folder where you can find it easily (for example, C:\Acad-templates or F:\Acad-custom\templates on a network drive). Put the templates that you actually use there and change the Drawing Template File Location so that it points to your new template folder.


Part II: Let There Be Lines

In This Part:

Chapter 4: Get Ready to Draw
Chapter 5: Where to Draw the Line
Chapter 6: Edit for Credit
Chapter 7: A Zoom with a View
Chapter 8: On a 3D Spree

Part Overview

In this part . . .

Lines, circles, and other elements of geometry make up the heart of your drawing. AutoCAD offers many different drawing commands, many ways to use them to draw objects precisely, and many properties for controlling the objects’ display and plot appearance. After you draw your geometry, you’ll probably spend at least as much time editing it as your design and drawings evolve. And in the process, you need to zoom in and out and pan all around to see how the entire drawing is coming together. Drawing geometry, editing it, and changing the displayed view are the foundation of the drawing process; this part shows you how to make that foundation solid. And for those who want to build a little higher, this section ends with an introduction to 3D modeling and presentation.


Chapter 4: Get Ready to Draw

Overview

In This Chapter

  • Managing layers

  • Managing other object properties: color, linetype, and lineweight

  • Copying layers and other named objects with DesignCenter

  • Typing coordinates at the keyboard

  • Snapping to object features

  • Using other precision drawing and editing techniques

CAD programs are different from other drawing programs. You need to pay attention to such little details like object properties and the precision of the points that you specify when you draw and edit objects. If you just start drawing objects without taking heed of these details, you’ll end up with an unruly mess of imprecise geometry that’s hard to edit, view, and plot.

This chapter introduces you to the AutoCAD tools and techniques that help you prevent making CAD messes. This information is essential before you start drawing objects and editing them, which I describe in Chapters 5 and 6.


Drawing and Editing with AutoCAD

When you first start using AutoCAD, its most daunting requirement is the number of property settings and precision controls that you need to pay attention to — even when you draw a simple line. Unlike in many other programs, it’s not enough to draw a line in a more-or-less adequate location and then slap some color on it. All those settings and controls can inspire the feeling that you’re having to learn to pilot an airliner to make a trip down the street. (The advantage is that, once you are comfortable in the cockpit, AutoCAD will take you on the long-haul trips and get you there faster.)

These are the three keys to good CAD drawing practice:

  • Pay attention to and manage the properties of every object that you draw — especially the layer that each object is on.

  • Pay attention to and manage the named objects in every drawing — the layers, text styles, block definitions, and other non-graphical objects that serve to define the look of all the graphical objects in the drawing.

  • Pay attention to and control the precision of every point and distance that you use to draw and edit each object.

These can seem like daunting tasks at first, but the following three sections help you cut them down to size.


Managing Your Properties

All the objects that you draw in AutoCAD are like good Monopoly players: They own properties. In AutoCAD, these properties aren’t physical things; they’re an object’s characteristics such as layer, color, linetype, and lineweight. You use properties to communicate information about the characteristics of the objects you draw, such as the kinds of real-world objects they represent, their materials, their relative location in space, or their relative importance. In CAD, you also use the properties to organize objects for editing and plotting purposes.

You can view — and change — all of an object’s properties in the Properties palette. In Figure 4-1, the Properties palette shows properties for a line object.

Click To expand
Figure 4-1: A line rich in properties.
Start Sidebar
Looking at layers

If you spent any time “on the boards,” as grizzled old-timers like to call paper-and-pencil drafting, you might be familiar with the manual drafting equivalent of layers. In pin-bar drafting, you stack a series of transparent Mylar sheets, each of which contains a part of the overall drawing — walls on one sheet, the plumbing system on another, the electrical system on another, and so on. You can get different views of the drawing set by including or excluding various sheets.

If you’re too young to remember pin-bar drafting — or old enough to prefer not to — you may remember something similar from a textbook about human anatomy. There’s the skeleton on one sheet, the muscles on the next sheet that you laid over the skeleton, and so on until you built up a complete picture of the human body — that is, if your parents didn’t remove some of the more grown-up sections.

CAD layers serve a similar purpose; they enable you to turn on or off groups of related objects. But layers do a lot more. You use them in AutoCAD to control other object display and plot properties, such as color, linetype, and lineweight. You also can use them to make some editing tasks more efficient and reduce the time that it takes AutoCAD to load some drawings. Take the time to give each of your drawings a suitably layered look.

End Sidebar

Tip To toggle the Properties palette on and off, click the Properties button on the Standard toolbar. Before you select an object, the Properties palette displays the current properties — properties that AutoCAD applies to new objects when you draw them. After you select an object, AutoCAD displays the properties for that object. If you select more than one object, AutoCAD displays the properties that they have in common.

Putting it on a layer

Every object has a layer as one of its properties. You may be familiar with layers — independent drawing spaces that stack on top of each other to create an overall image — from using drawing programs. AutoCAD, like most CAD programs, uses layers as the primary organizing principle for all the objects that you draw. Layers organize objects into logical groups of things that belong together; for example, walls, furniture, and text notes usually belong on three separate layers, for a couple of reasons:

  • They give you a way to turn groups of objects on and off — both on the screen and on the plot.

  • They provide the best way of controlling object color, linetype, and lineweight.

You create layers, assign them names, assign them properties such as color and linetype, and then put objects on them. When you draw an object, AutoCAD automatically puts it on the current layer, which appears in the drop-down list on the Layers toolbar.

Before you draw any object in AutoCAD, you should set an appropriate layer current — creating it first, if necessary, with the procedure that is later in this section. If the layer already exists in your drawing, you can make it the current layer by choosing it in the Layers toolbar, as shown in Figure 4-2.

Click To expand
Figure 4-2: Se a current layer before you draw.

Warning Make sure that no objects are selected before you use the Layer drop-down list to change the current layer. (Press the Esc key twice to be sure.) If objects are selected, the Layer drop-down list appears — and lets you change — those objects’ layer. When no objects are selected, the Layer drop-down list appears — and lets you change — the current layer.

Tip If you forget to set an appropriate layer before you draw an object, you can select the object and then change its layer by using either the Properties palette or the Layer drop-down list.

Start Sidebar
Stacking up your layers

How do you decide what to call your layers and which objects to put on them? Some industries have developed layer guidelines, and many offices have created documented layer standards. Some projects even impose specific layer requirements. (But be careful; if someone says, “You need a brick layer for this project,” that could mean a couple of different things.) Ask experienced CAD drafters in your office or industry how they use layers in AutoCAD. If you can’t find any definitive answer, create a chart of layers for yourself. Each row in the chart should list the layer name, default color, default linetype, default lineweight, and what kinds of objects belong on that layer. Chapter 14 includes an example.

End Sidebar

Accumulating properties

Besides layers, the remaining object properties that you’re likely to want to use often are color, linetype, lineweight, and possibly plot style. Table 4-1 summarizes these four properties.

Table 4-1: Useful Object Properties
Property | Controls
Color | Displayed color and plotted color or lineweight
Linetype | Displayed and plotted dash-dot line pattern
Lineweight | Displayed and plotted line width
Plot style | Plotted characteristics (see Chapter 12)

Warning In Release 14 and older versions of AutoCAD, color also controlled the plotted lineweight of each object — strange, but now very common in the AutoCAD world. You may find yourself working this way even in AutoCAD 2004, for compatibility with drawings (and coworkers) that use the old way, as described in the “About colors and lineweights” sidebar.

AutoCAD gives you two different ways of controlling object properties:

  • By layer: Each layer has a default color, linetype, lineweight, and plot style property. Unless you tell AutoCAD otherwise, objects inherit the properties of the layers on which they’re created. AutoCAD calls this approach controlling properties by layer.

  • By object: AutoCAD also enables you to override an object’s layer’s property setting and give the object a specific color, linetype, lineweight, or plot style that differs from the layer’s. AutoCAD calls this approach controlling properties by object.

Tip If you’ve worked with other graphics programs, you might be used to assigning properties such as color to specific objects. If so, you’ll be tempted to use the by object approach to assigning properties in AutoCAD. Resist the temptation. In almost all cases, it’s better to create layers, assign properties to each layer, and let the objects on each layer inherit that layer’s properties. Here are some benefits of using the by layer approach:

  • You can easily change the properties of a group of related objects that you put on one layer. You simply change the property for the layer, not for a bunch of separate objects.

  • Experienced drafters use the by layer approach, so if you work with drawings from other people, you’ll be much more compatible with them if you do it the same way. You’ll also avoid getting yelled at by irate CAD managers, whose jobs include haranguing any hapless newbies who assign properties by object.

If you take my advice and assign properties by layer, all you have to do is set layer properties in the Layer Properties Manager dialog box, as shown in Figure 4-3. Before you draw any objects, make sure the Color Control, Linetype Control, Lineweight Control, and Plotstyle Control drop-down lists on the Properties toolbar are set to ByLayer, as shown in Figure 4-4.

Click To expand
Figure 4-3: Use layer properties to control object properties.
Click To expand
Figure 4-4: ByLayer all the way.

Tip If the drawing is set to use color-based plot styles instead of named plot styles (see Chapter 12), the Plotstyle Control drop-down list will be inactive and will display ByColor.

Warning If you don’t like doing things the wrong way and getting yelled at by CAD managers, don’t assign properties to objects in either of these ways:

  • Don’t choose a specific color, linetype, lineweight, or plot style from the appropriate drop-down list on the Object Properties toolbar, and then draw the objects.

  • Don’t draw the objects, select them, and then choose a property from the same drop-down lists.

If you prefer to do things the right way, assign these properties by layer, as I describe in this section.

Start Sidebar
About colors and lineweights

AutoCAD drafters have traditionally achieved different printed lineweights by mapping various on-screen display colors of drawing objects to different plotted lineweights. An AutoCAD-using company might decide that red lines are to be plotted thin, green lines are to be plotted thicker, and so on. This indirect approach sounds strange, but until AutoCAD 2000, it was the only practical way to plot from AutoCAD with a variety of lineweights. Also, not many people plotted in color until recently, so few folks minded the fact that color was used to serve a different master.

AutoCAD 2000 added lineweight as an inherent property of objects and the layers that they live on. Thus, object display color can revert to being used for — surprise! — color. You can use display colors to control plot colors, of course. But even if you make monochrome plots, you can use color to help you distinguish different kinds of objects when you view them on-screen or to make jazzy on-screen presentations of drawings for others.

Lineweights are handy, but they have quirks. Watch for these problems as you work with them:

  • Although lineweights may have been assigned to objects in a drawing that you open, you won’t necessarily see them on the screen. You must turn on the Show/Hide Lineweight button on the AutoCAD status bar (the button labeled LWT).

  • On a slow computer or a complex drawing, showing lineweights may slow redrawing.

  • You may need to zoom in on a portion of the drawing before the differing lineweights become apparent.

End Sidebar

Creating new layers

If a suitable layer doesn’t exist, you need to create one by using the Layer Properties Manager dialog box. Follow these steps:

  1. Click the Layers button on the Layers toolbar; or type LAyer at the command line and press Enter.

    The Layer Properties Manager dialog box appears. A new drawing has only one layer, Layer 0. You need to add the layers you need for your drawing.

  2. Click the New button to create a new layer.

    A new layer appears. AutoCAD names it Layer1, but you can type a new name to replace it easily, as shown in Figure 4-5.

    Click To expand
    Figure 4-5: Adding a new layer in the Layer Properties Manager dialog box.

  3. Type a name for the new layer.

    For the following reasons, type the layer name with initial caps (only the first letter of words in uppercase) if you can:

    • Layer names written completely in uppercase are much wider, which means that they often get truncated (cut short) in the Layers toolbar’s Layer drop-down list.

    • Uppercase layer names look like they’re SHOUTING, which is not very polite.

  4. On the same line as the new layer, click the color block or color name (White) of the new layer.

    The Select Color dialog box appears, as shown in Figure 4-6.

    Click To expand
    Figure 4-6: The Select Color dialog box. Magenta is selected from the Standard Color lists.

    The normal AutoCAD color scheme — AutoCAD Color Index (ACI) — provides 255 colors. So many choices are nice for rendering work but overkill for ordinary drafting.

    Stick with the first nine colors — the ones that appear in a single, separate row to the left of the ByLayer and ByBlock buttons on the Index Color tab of the Select Color dialog box.

    • These colors are easy to distinguish from one another.

    • Using a small number of colors makes configuring your plot parameters easier. (I describe the procedure in Chapter 12.)

    AutoCAD 2004 provides an even more extravagant set of color choices than previous versions. In the Select Color dialog box, the True Color tab offers a choice of more than 16 million colors, which you can specify by using HSL (Hue Saturation Luminance) or RGB (Red Green Blue) numbers. The Color Book tab enables you to use PANTONE and RAL color schemes, which are popular in publishing. If your work requires tons of colors or close color matching between the computer screen and printed output, you’re probably familiar with the relevant color palette and how to use it. If you’re using AutoCAD for ordinary drafting or design, stick with the AutoCAD Color Index palette.

  5. Click a color to select it as the color for this layer, then click OK.

    The Layer Properties Manager dialog box reappears. In the Name list, the color for the new layer changes to either the name or the number of the color that you selected.

    AutoCAD’s first seven colors have both assigned numbers and standard names: 1 = red, 2 = yellow, 3 = green, 4 = cyan, 5 = blue, 6 = magenta, and 7 = white (but it appears black when displayed on a white background). The remaining 248 colors have numbers only. You can play fashion designer and make up your own names for these colors. How about Overly Oxidized Ocher for color number 16?

  6. On the same line as the new layer, click the Linetype name of the new layer.

    The default AutoCAD linetype is Continuous, which means no gaps in the line.

    The Select Linetype dialog box appears, as shown in Figure 4-7.

    Click To expand
    Figure 4-7: The Select Linetype dialog box.

    If you already loaded the linetypes you need for your drawing, the Select Linetype dialog box displays them in the Loaded Linetypes list. If not, click the Load button to open the Load or Reload Linetypes dialog box. By default, AutoCAD displays linetypes from the standard AutoCAD 2004 linetype definition file, Acad.lin. Load the desired linetype by selecting its name and clicking the OK button.

    The linetypes whose names begin with ACAD_ISO are for metric drawings. If you aren’t using metric units, choose from the linetypes with the more descriptive names: CENTER, DASHED, and so on.

  7. Click the desired linetype in the Loaded Linetypes list to select it as the linetype for the layer; then click OK.

    The Select Linetype dialog box disappears, returning you to the Layer Properties Manager dialog box. In the Name list, the linetype for the selected layer changes to the linetype you just chose.

  8. On the same line as the new layer, click the new layer’s lineweight.

    The Lineweight dialog box appears, as shown in Figure 4-8.

    Figure 4-8: The Lineweight dialog box.

  9. Select the lineweight you want from the scrolling list, then click OK.

    The lineweight 0.00 mm tells AutoCAD to use the thinnest possible lineweight on the screen and on the plot.

    Technnical Stuff The default lineweight for the current drawing is defined in the Lineweight Settings dialog box. Choose FormatðLineweight or enter LWeight at the command line to change it.

    You use the plot style property to assign a named plot style to the layer, but only if you’re using named plot styles in the drawing (Chapter 12 explains why you probably don’t want to). The final property, Plot, controls whether the layer’s objects appear on plots. Toggle this setting off for any layer whose objects you want to see on the screen but hide on plots.

  10. Repeat Steps 2 through 9 to create any other layers that you want.

  11. Select the new layer that you want to make current and click the Current button.

    The current layer is the one on which AutoCAD places new objects that you draw.

  12. Click OK to accept the new layer settings.

    The Layer drop-down list on the Layers toolbar now displays your new layer as the current layer.

Tip After you’ve created layers, you can set any one of them to be the current layer. Make sure that no objects are selected, then choose the layer name from the Layer drop-down list on the Layers toolbar.

Start Sidebar
A load of linetypes

My layer creation procedure demonstrates how to load a single linetype, but AutoCAD comes with a whole lot of linetypes, and there are other ways of working with them. You don’t have to go through the Layer Properties Manager dialog box to load linetypes. You can perform the full range of linetype management tasks by choosing FormatðLinetype, which displays the Linetype Manager dialog box. This dialog box is similar to the Select Linetype dialog box described in the layer creation procedure, but it includes some additional options.

After you click the Load button to display the Load or Reload Linetypes dialog box, you can load multiple linetypes in one fell swoop by holding down the Shift or Ctrl key while you click linetype names. As in most Windows dialog boxes, Shift+click selects all objects between the first and second clicks, and Ctrl+click enables you to select multiple objects, even if they aren’t next to each other.

When you load a linetype, AutoCAD copies its linetype definition — a recipe for how to create the dashes, dots, and gaps in that particular linetype — from the Acad.lin file into the drawing. The recipe doesn’t automatically appear in other drawings; you have to load each linetype that you want to use into each drawing in which you want to use it. If you find yourself loading the same linetypes repeatedly into different drawings, consider adding them to your template drawings instead. (See Chapter 3 for information about templates and how to create them.) After you add linetypes to a template drawing, all new drawings that you create from that template will start with those linetypes loaded automatically.

Don’t go overboard on loading linetypes. For example, you don’t need to load all the linetypes in the Acad.lin file on the off chance that you might use them all someday. The resulting linetype list would be long and unwieldy. Most drawings require only a few linetypes, and most industries and companies settle on a half dozen or so linetypes for common use. Your industry, office, or project may have guidelines about which linetypes to use for which purposes.

If you’re the creative type and don’t mind editing a text file that contains linetype definitions, you can define your own linetypes. Choose ContentsðCustomization GuideðCustom Linetypes in the AutoCAD 2004 online help system.

End Sidebar

After you’ve created layers and drawn objects on them, you use the Layer Properties Manager dialog box to change layer properties. For example, you can turn a layer off or on to hide or show the objects on that layer.


Using AutoCAD DesignCenter

DesignCenter is a dumb name for a useful, if somewhat busy, palette. (Chapter 2 describes how to turn on and work with palettes.) The DesignCenter palette is handy for mining data from all kinds of drawings. Whereas the Properties palette, described earlier in this chapter, is concerned with object properties, the DesignCenter palette deals primarily with named objects: layers, linetypes, block (that is, symbol) definitions, text styles, and other organizational objects in your drawings.

Named objects

Every drawing includes a set of symbol tables, which contain named objects. For example, the layer table contains a list of the layers in the current drawing, along with the settings for each layer (color, linetype, on/off setting, and so on). Each of these table objects, be it a layer or some other type, has a name, so Autodesk decided to call them named objects (duh!).

Neither the symbol tables nor the named objects appear as graphical objects in your drawing. They’re like hard-working stagehands who keep the show running smoothly behind the scenes. The named objects include

  • Layers (this chapter)

  • Linetypes (this chapter)

  • Text styles (Chapter 9)

  • Dimension styles (Chapter 10)

  • Block definitions and xrefs (Chapter 13)

  • Layouts (Chapter 3)

When you use commands such as LAyer, LineType, and Dimstyle, you are creating and editing named objects. After you’ve created named objects in a drawing, DesignCenter gives you the tools to copy them to other drawings.

Getting (Design)Centered

New for 2004 In AutoCAD 2004, DesignCenter sports an updated look thanks to a new palette interface. Chapter 2 has a palette primer.

The DesignCenter palette (shown in Figure 4-9) consists of a toolbar at the top, a set of tabs below that, a navigation pane on the left, and a content pane on the right. The navigation pane displays a tree view with drawing files and the symbol tables contained in each drawing. The content pane usually displays the contents of the drawing or symbol table.

Click To expand
Figure 4-9: The AutoCAD DesignCenter palette.

The four tabs just below the DesignCenter toolbar control what you see in the navigation and content panes:

  • Folders shows the folders on your local and network disks, just like the Windows Explorer Folders pane does. Use this tab to copy named objects from drawings that you don’t currently have open in AutoCAD.

  • Open Drawings shows the drawings that are open in AutoCAD. Use this tab to copy named objects between open drawings.

  • History shows drawings that you’ve recently browsed in DesignCenter. Use this tab to jump quickly to drawings that you’ve used recently on the Folders tab.

  • DC Online shows parts libraries that are available on Autodesk’s and other companies’ Web sites. Browse the offerings on this tab to see whether any of the online libraries could be useful in your work.

The toolbar buttons further refine what you see in the navigation and content panes. A few of these buttons toggle off and on different parts of the panes. If your DesignCenter palette is missing something, click each of the buttons until the missing part reappears.

Follow these steps to use DesignCenter:

  1. Load the drawing(s) whose content you want to view or use into the navigation pane on the left.

  2. Navigate the symbol tables (such as blocks and layers), viewing their individual named objects in the content pane on the right.

  3. If you need them, drag or copy and paste individual named objects from the content pane into other open AutoCAD drawings.

Copying layers between drawings

The following steps copy layers from one drawing to another using DesignCenter. You can use the same technique to copy dimension styles, layouts, linetypes, and text styles.

  1. Toggle the DesignCenter palette on by choosing the DesignCenter button on the Standard toolbar or pressing Ctrl+2.

  2. Open or create a drawing containing named objects you want to copy.

    Technical Stuff You can also use the Folders tab, the Open button, or the Search button to load a drawing into DesignCenter without opening it in AutoCAD.

  3. Open or create a second drawing to which you want to copy the named objects.

  4. Click the Open Drawings tab to display your two currently opened drawings in DesignCenter’s navigation pane on the left.

    Tip If you used the Folders tab, the Open button, or the Search button in Step 2, skip this step; DesignCenter already displays the drawing you selected on the Folders tab.

  5. If DesignCenter doesn’t display the symbol tables indented underneath the source drawing (the one you opened in Step 2), as shown in Figure 4-9, click the plus sign next to the drawing’s name to display them.

  6. Click the Layers table to display the source drawing’s layers in the content pane.

  7. Choose one or more layers in the content pane.

  8. Right-click in the content pane and choose Copy from the cursor menu to copy the layer(s) to the Windows Clipboard.

  9. Click in the AutoCAD destination drawing’s window (the drawing that you opened in Step 3).

  10. Right-click and choose Paste from the cursor menu.

    AutoCAD copies the layers into the current drawing, using the colors, linetypes, and other settings from the source drawing.

Technical Stuff Two other ways exist to copy layers from DesignCenter. You can drag layers from the content pane to a drawing window. You also can right-click in the content pane and choose Add Layer(s) from the cursor menu, which adds layers to the current drawing. The copy-and-paste method in my example requires the least amount of manual dexterity and less guesswork about which drawing the layers get added to.

Warning If the current drawing contains a layer whose name matches the name of one of the layers you’re copying, AutoCAD doesn’t change that layer’s definition. Named objects from DesignCenter never overwrite objects with the same name in the destination drawing. AutoCAD always displays the message “Duplicate definitions will be ignored” even if there aren’t any duplicates.

Tip If you’re repeatedly copying named objects from the same drawings or folders, add them to your DesignCenter favorites list. On the Folders tab, right-click the drawing or folder and choose Add to Favorites from the cursor menu. This procedure adds another shortcut to your list of favorites.

  • To see your favorites, click the DesignCenter toolbar’s Favorites button.

  • To return to a favorite, double-click its shortcut in the content pane.


Precise-liness Is Next to CAD-liness

Drawing precision is vital to good CAD drafting practice, even more than for manual drafting. If you think CAD managers get testy when you assign properties by object instead of by layer, wait until they berate someone who doesn’t use precision techniques when creating drawings in AutoCAD.

In CAD, lack of precision makes later editing, hatching, and dimensioning tasks much more difficult and time-consuming:

  • Small errors in precision in the early stages of creating or editing a drawing often have a big effect on productivity and precision later.

  • Drawings may guide manufacturing and construction projects; drawing data may drive automatic manufacturing machinery. Huge amounts of money, even lives, can ride on a drawing’s precision.

In recognition of this, a passion for precision permeates the profession. Permanently. Precision is one of the characteristics that separates CAD from ordinary illustration-type drawing work. The sooner you get fussy about precision in AutoCAD, the happier everyone is.

In the context of drawing objects, precision means specifying points and distances precisely, and AutoCAD provides a range of tools for doing so. Table 4-2 lists the more important AutoCAD precision techniques, plus the status bar buttons that you click to toggle some of the features off and on.

Table 4-2: Precision Techniques
Technique | Status Bar Button | Description
Coordinate entry | — | Type exact X,Y coordinates.
Single-point object snaps | — | Pick points on existing objects (lasts for one point pick).
Running object snaps | OSNAP | Pick points on existing objects (lasts for multiple point picks).
Snap | SNAP | Pick points on an imaginary grid of equally spaced “hot spots.”
Ortho | ORTHO | Constrain the cursor to move at an angle of 0, 90, 180, or 270 degrees from the previous point.
Direct distance | — | Point the cursor in a direction and entrytype a distance.
Object snap | OTRACK | Helps the cursor locate points tracking based on multiple object snap points.
Polar tracking | POLAR | Makes the cursor prefer certain angles.
Polar snap | — | Causes the cursor to prefer certain distances along polar tracking angles.

Tip Precision is especially important when you’re drawing or editing geometry — the lines, arcs, and so on that make up whatever you’re representing in the CAD drawing. Precision placement usually is less important with notes, leaders, and other annotations that describe, not show.

Warning Before you draw objects, always check the status bar’s SNAP, ORTHO, POLAR, OSNAP, and OTRACK buttons and set the buttons according to your precision needs.

  • A button that looks pushed in indicates that the feature is on.

  • A button that looks popped up indicates that the feature is off.

Keyboard capers: Coordinate entry

The most direct way to enter points precisely is to type numbers at the command line. AutoCAD uses these keyboard coordinate entry formats:

  • Absolute rectangular coordinates in the form X,Y (for example: 7,4)

  • Relative rectangular coordinates in the form @X,Y (for example: @3,2)

  • Relative polar coordinates in the form @distance<angle (for example: @6<45)

AutoCAD locates absolute rectangular coordinates with respect to the 0,0 point of the drawing — usually its lower-left corner. AutoCAD locates relative rectangular coordinates and relative polar coordinates with respect to the previous point that you picked or typed. Figure 4-10 demonstrates how to use all three coordinate formats to draw a pair of line segments that start at absolute coordinates 2,1; go 3 units to the right and 2 units up; and then go 4 units at an angle of 60 degrees.

Click To expand
Figure 4-10: Coordinating from the keyboard.
Start Sidebar
CAD precision versus accuracy

We often use the words precision and accuracy interchangeably, but I think it’s useful to maintain a distinction. When I use the word precision, I mean controlling the placement of objects so they lie exactly where you want them to lie in the drawing. For example, lines whose endpoints meet must meet exactly, and a circle that’s supposed to be centered on the coordinates 0,0 must be drawn with its center exactly at 0,0. I use accuracy to refer to the degree to which your drawing matches its real-world counterpart. An accurate floor plan is one in which the dimensions of the CAD objects equal the dimensions of the as-built house.

CAD precision usually helps produce accurate drawings, but that’s not always the case. You can produce a precise CAD drawing that’s inaccurate because you started from inaccurate information (for example, the contractor gave you a wrong field measurement). Or you might deliberately exaggerate certain distances to convey the relationship between objects more clearly on the plotted drawing. Even where you must sacrifice accuracy, aim for precision.

End Sidebar

Technical Stuff AutoCAD also understands absolute polar coordinates in the form distance<angle, but this format is almost never useful.

Tip You can view coordinate locations by moving the cursor around in the drawing area and reading the Coordinates area at the left of the status bar. The X,Y coordinates should change as you move the cursor. If the coordinates don’t change, click the Coordinates area until the command line says <Coords on>. Although it’s not apparent at first, there are in fact two <Coords on> display modes: absolute coordinates and polar coordinates. If you start a command such as LINE, pick a point, and then click the Coordinates area a few times, the display changes from coordinates off to live absolute coordinates (X,Y position) to live polar coordinates (distance and angle from the previous point). The live polar coordinates display mode is the most informative most of the time.

Warning When you type coordinates at the command line, do not add any spaces, because AutoCAD interprets them as though you’ve pressed Enter. This “Spacebar = Enter” weirdness is a productivity feature that’s been in AutoCAD forever. It’s easier to find the spacebar than the Enter key when you’re entering lots of commands and coordinates in a hurry.

Tip If you’re working in architectural or engineering units, the default unit of entry is inches, not feet.

  • To specify feet, you must enter the symbol for feet after the number, for example:

    6’ for 6 feet

  • You can enter a dash to separate feet from inches, as architects often do:

    6’–6” is 6 feet, 6 inches.

  • Both the dash and the inch mark are optional when you’re entering coordinates and distances:

    AutoCAD understands 6’6”and 6’6 as the same as 6’–6”.

  • If you’re typing a coordinate or distance that contains fractional inches, you must enter a dash — not a space — between the whole number of inches and the fraction:

    6’6–1/2 (or 6’–6–1/2) represents 6 feet, 6f1⁄2 inches.

  • If all this dashing about confuses you, enter partial inches using decimals instead:

    6’6.5 is the same as 6’6–1/2 to AutoCAD, whether you’re working in architectural or engineering units.

Grab an object and make it snappy

After you’ve drawn a few objects precisely in a new drawing, the most efficient way to draw more objects with equal precision is to grab points, such as endpoints, midpoints, or quadrants, on the existing objects. AutoCAD calls this object snapping, because the program pulls, or snaps, the cursor to a point on an existing object. The object snapping feature in general and object snap points in particular often are called osnaps.

I’d like to make just one point

AutoCAD provides two kinds of object snapping modes:

  • Single point (or override) object snaps

    A single point object snap lasts just while you pick one point.

  • Running object snaps

    A running object snap stays in effect until you turn it off.

Here’s how you draw precise lines by using single point object snaps:

  1. Open a drawing containing some geometry.

  2. Turn off running osnap mode by clicking the OSNAP button on the status bar until the button appears to be pushed out and the words <Osnap off> appear on the command line.

    Tip Although you can use single point object snaps while running object snap mode is turned on, you should turn off running osnap mode while you’re getting familiar with single point object snaps. After you’ve gotten the hang of each feature separately, you can use them together.

  3. Start the LINE command by clicking the Line button on the Draw toolbar.

    The command line prompts you to select the first endpoint of the line:

    Specify first point:

  4. Hold down the Shift key, right-click anywhere in the drawing area, and release the Shift key.

    Tip If you find the Shift+right-click sequence awkward, you can avoid it by using the Object Snap toolbar instead. To turn the toolbar on, point to any toolbar button, right-click, and choose Object Snap. Now you can activate a single point object snap by clicking its toolbar button.

    The object snap cursor menu appears, as shown in Figure 4-11.

    Figure 4-11: The object snap cursor menu.

  5. Choose an object snap mode, such as Endpoint, from the object snap cursor menu.

    The object snap cursor menu disappears, and the command line displays an additional prompt indicating that you’ve directed AutoCAD to seek out, for example, endpoints of existing objects:

    _endp of:

  6. Move the cursor slowly around the drawing, pausing over various lines and other objects.

    When you move the cursor near an object with an endpoint, a colored square icon appears at the endpoint, indicating that AutoCAD can snap to that point. If you stop moving the cursor for a moment, a yellow ToolTip displaying the object snap mode (for example, Endpoint) appears to reinforce the idea.

  7. After you’ve moved the cursor so the endpoint object snap square appears on the endpoint that you want to snap to, click.

    AutoCAD snaps to the endpoint, which becomes the first point of the new line segment that you’re about to draw. The command line prompts you to select the other endpoint of the new line segment:

    Specify next point or [Undo]:

    When you move the cursor around the drawing, AutoCAD no longer seeks out endpoints, because single point objects snaps last only for a single pick. Use the object snap cursor menu again to snap the other end of your new line segment to another point on an existing object.

  8. Use the “press Shift, right-click, release Shift” sequence described in Step 4 to display the object snap cursor menu, and then choose another object snap mode, such as Midpoint, from the object snap cursor menu.

    The command line displays an additional prompt indicating that you’ve directed AutoCAD to seek, for example, midpoints of existing objects:

    _mid of:

    When you move the cursor near the midpoint of an object, a colored triangle appears at the snap point. Each object snap type (endpoint, midpoint, intersection, and so on) displays a different symbol. If you stop moving the cursor, the ToolTip text reminds you what the symbol means. Figure 4-12 shows what the screen looks like during this step.

    Click To expand
    Figure 4-12: A snappy line.

  9. Draw additional line segments by picking additional points. Use the object snap cursor menu to specify a single object snap type before you pick each point.

    Try the Intersection, Perpendicular, and Nearest object snaps. If your drawing contains arcs or circles, try Center and Quadrant.

  10. When you’re finished experimenting with single point object snaps, right-click anywhere in the drawing area and choose Enter from the cursor menu.

    Remember There’s a difference between right-clicking and Shift+right-clicking in the drawing area:

    • Right-clicking displays menu options for the current command.

    • Shift+right-clicking always displays the same object snap cursor menu.

Run with object snaps

Often, you use an object snap mode (such as endpoint) repeatedly. Running object snaps address this need. These steps set a running object snap:

  1. Right-click the OSNAP button on the status bar.

  2. Choose the Settings option.

    The Object Snap tab on the Drafting Settings dialog box appears, as shown in Figure 4-13.

    Click To expand
    Figure 4-13: Grabbing multiple object features is an osnap.

  3. Select one or more object snap modes by checking the appropriate boxes.

  4. Click OK to close the dialog box.

You click the OSNAP button on the status bar to toggle running object snap mode off and on. After you turn on running object snap, AutoCAD hunts for points that correspond to the object snap modes you checked in the Drafting Settings dialog box. As with single-point object snaps, AutoCAD displays a special symbol — such as a square for an endpoint object snap — to indicate that it has found an object snap point. If you keep the cursor still, AutoCAD also displays a ToolTip that lists the kind of object snap point.

Use single point or running object snaps to enforce precision by making sure that new points you pick coincide exactly with points on existing objects. In CAD, it’s not good enough for points to almost coincide or to look like they coincide. AutoCAD knows the difference between “looks the same” and “is the same,” and will cause you untold amounts of grief if you try to make do with “looks the same.” You lose points, both figuratively and literally, if you don’t use object snaps or one of the other precision techniques covered in this chapter to enforce precision.

Other precision practices

The following are some other AutoCAD precision techniques (refer to Table 4-2, earlier in this chapter):

  • Snap: If you turn on snap mode, AutoCAD constrains the cursor to an imaginary rectangular grid of points at the spacing that you’ve specified. Follow these steps to turn on snap mode:

    1. Right-click the SNAP button on the status bar.

    2. Choose the Settings option.

      The Snap and Grid tab on the Drafting Settings dialog box appears.

    3. Enter a snap spacing in the Snap X Spacing field and then click OK.

  • Click the SNAP button on the status bar to toggle snap mode off and on. To use snap effectively, change the snap spacing frequently — changing to a smaller spacing as you zoom in and work on smaller areas. You often need to toggle snap off and on, because selecting objects and some editing tasks are easier with snap off.

  • Ortho: Ortho mode constrains the cursor to move at right angles (orthogonally) to the previous point. Click the ORTHO button on the status bar to toggle ortho mode off and on. Because technical drawings often include lots of orthogonal lines, you’ll use ortho mode a lot.

  • Direct distance entry: This “point and type” technique is an easy and efficient way to draw with precision. You simply point the cursor in a particular direction, type a distance at the command line, and press Enter. AutoCAD calls it “direct distance entry” because it avoids the indirect command line method of specifying a distance by typing relative or polar coordinates. (I describe this older method earlier in this chapter.) You can use direct distance entry any time the crosshair cursor is anchored to a point and the command line prompts you for another point or a distance. You’ll usually use direct distance entry with ortho mode turned on, to specify a distance in an orthogonal direction (0, 90, 180, or 270 degrees). You also can combine direct distance entry with polar tracking to specify distances in non-orthogonal directions (for example, in angle increments of 45 degrees).

  • Object snap tracking: This feature extends running object snaps so that you can locate points based on more than one object snap point. For example, you can pick a point at the center of a square by tracking to the midpoints of two perpendicular sides.

  • Polar tracking: When you turn on polar tracking, the cursor jumps to increments of the angle you selected. When the cursor jumps, a ToolTip label starting with Polar: appears. Right-click the POLAR button on the status bar and choose the Settings option to display the Polar Tracking tab on the Drafting Settings dialog box. Select an angle from the Increment Angle drop-down list and then click OK. Click the POLAR button on the status bar to toggle polar tracking mode off and on.

  • Polar snap: You can force polar tracking to jump to specific incremental distances along the tracking angles by changing the snap type from Grid snap to Polar snap. For example, if you turn on polar tracking and set it to 45 degrees and turn on polar snap and set it to 2 units, polar tracking jumps to points that are at angle increments of 45 degrees and distance increments of 2 units from the previous point. Polar snap has a similar effect on object snap tracking.

    To activate polar snap, follow these steps:

    1. Right-click the SNAP button on the status bar.

    2. Choose the Settings option.

      The Snap and Grid tab on the Drafting Settings dialog box appears.

    3. Click the Polar Snap radio button, type a distance in the Polar Distance edit box, and then click OK.

    When you want to return to ordinary rectangular snap, as described at the beginning of this list, select the Grid Snap (Rectangular snap) radio button in the Drafting Settings dialog box.

Tip If you’re new to AutoCAD, its wide range of precision tools probably seems overwhelming at this point. Rest assured that there’s more than one way to skin a cat precisely, and not everyone needs to understand all of the ways. You can make perfectly precise drawings with a subset of AutoCAD’s precision tools. I recommend these steps:

  1. Get comfortable with typing coordinates, ortho mode, direct distance entry, and single point object snaps.

  2. Become familiar with running object snaps and try snap.

  3. After you have all of these precision features under your belt, feel free to experiment with polar tracking, polar snap, and object snap tracking.

Warning It’s easy to confuse the names of the snap and object snap (osnap) features. Remember that snap limits the cursor to locations whose coordinates are multiples of the current snap spacing. Object snap (osnap) enables you to grab points on existing objects, whether those points happen to correspond with the snap spacing or not.


Chapter 5: Where to Draw the Line

Overview

In This Chapter

  • Drawing with the AutoCAD drawing commands

  • Lining up for lines and polylines

  • Closing up with rectangles and polygons

  • Making more with multilines

  • Rounding the curves with circles, arcs, splines, and clouds

  • Dabbling in ellipses and donuts

  • Making your points

As you probably remember from your crayon and coloring book days, drawing stuff is fun. CAD imposes a little more discipline, but drawing AutoCAD objects is still fun. In computer-aided drafting, you usually start by drawing geometry — shapes such as lines, circles, rectangles, and so on that represent the real-world object that you’re documenting. This chapter shows you how to draw geometry.

After you’ve created some geometry, you’ll probably need to add some dimensions, text, and hatching, but those elements come later (in Part III of this book). Your first task is to get the geometry right; then you can worry about labeling things.

Remember Drawing geometry properly in AutoCAD depends on paying attention to object properties and the precision of the points that you specify to create the objects. I cover these matters in Chapter 4, so if you eagerly jumped to this chapter to get right to the fun stuff, take a moment to review that chapter first.


Introducing the AutoCAD Drawing Commands

For descriptive purposes, this chapter divides the drawing commands into three groups:

  • Straight lines and objects composed of straight lines

  • Curves

  • Points

AutoCAD-based application-specific programs such as Architectural Desktop add extra drawing tools to the mix — for example, commands for drawing walls and doors. See the documentation that comes with the application-specific program for information on such tools.

Table 5-1 offers an overview of most of the drawing commands in AutoCAD, without the 3D-related commands. It describes the commands’ major options and shows you how to access them from the command line, the Draw menu, and the Draw toolbar. Use the table for an initial survey of what’s available and as a quick refresher if you suddenly find yourself at a loss for the command you need. (Don’t worry if not all the terms in the table are familiar to you; they become clear as you read through the chapter and use the commands. Trust me.)

Table 5-1: AutoCAD Drawing Commands
Button | Command | Major Options | Toolbar Button | Draw Menu
 | Line | Start, end points | Line | Line
 | RAY | Start point, point | None through which ray passes |
 | XLine | Two points on line | Construction line | Construction line
 | MLine | Justification, scale, style | None | Multiline
 | PLine | Vertices | Polyline | Polyline
 | POLygon | Number of sides, inscribed/ circumscribed | Polygon | Polygon
 | RECtang | Two corners | Rectangle | Rectangle
 | Arc | Various methods of definition | Arc | Arc; submenu for definition methods
 | Circle | Three points, two points, tangent | Circle | Circle; submenu for definition methods
 | DOnut | Inside, outside diameters | None | Donut
 | SPLine | Convert polyline | Spline | Spline or create new
 | ELlipse | Arc, center, axis | Ellipse | Ellipse; submenu for definition methods
 | POint | Point style | Point | Point; submenu for definition methods
 | REVCLOUD | Arc length | Revcloud | Revision Cloud

Tip Many of the choices on the AutoCAD 2004 Draw menu open submenus containing several variations on each drawing command.

The AutoCAD drawing commands depend heavily on your reading the command line area and sometimes typing things there. Don’t worry; I remind you to do so. But if “command line area” sounds to you like a place to order cafeteria food, not an AutoCAD essential concept, see Chapter 2.

In AutoCAD 2004, many of the command options that you see in command line prompts are available as well by right-clicking in the drawing area.

Tip So what’s the best course: to enter drawing commands from the command line or to choose them from the menus or toolbars in the graphical user interface (or the GUI, as those of us fond of sticky treats like to call it)? I suggest that you start a drawing command the first few times — until you remember its command name — by clicking its button on the Draw toolbar. After clicking the button, fasten your eyes on the command line area so that you see the name of the command and its command line options. Use the keyboard or the right-click menus to select options, depending on whether your hand is on the keyboard or the mouse at that moment. After you’re acquainted with a drawing command and decide that you like it enough to use it often, learn to type its keyboard shortcut (the uppercase letters in the command names in Table 5-1).

Technical Stuff A few drawing commands, such as DOnut, aren’t on the Draw toolbar; you have to type those or choose them on the Draw menu.


The Straight and Narrow: Lines, Polylines, and Polygons

As I harp on a bunch of times elsewhere in this book, CAD programs are for precision drawing, so you’ll spend a lot of your AutoCAD time drawing objects composed of straight-line segments. This section covers these commands:

  • Line: Draws a series of straight line segments; each segment is a separate object

  • PLine: Draws a polyline — a series of straight and/or curved line segments; all the segments remain connected to each other as a single object

  • RECtang: Draws a polyline in the shape of a rectangle

  • POLygon: Draws a polyline in the shape of a regular polygon (that is, a closed shape with all sides equal and all angles equal)

  • MLine: Draws a series of two or more parallel lines

The following additional straight-line drawing commands also are available in AutoCAD:

  • RAY: Draws a semi-infinite line (a line that extends infinitely in one direction)

  • XLine: Draws an infinite line (a line that extends infinitely in both directions)

Tip The RAY and XLine commands are used to draw construction lines that guide the construction of additional geometry. Drawing construction lines is less common in AutoCAD than in some other CAD programs. AutoCAD’s many precision techniques often provide more efficient methods than construction lines of creating new geometry.

Toe the line

The Line command in AutoCAD draws a series of one or more connected line segments. Well, it appears to draw a series of connected segments. In fact, each segment, or piece of a line with endpoints, is a separate object. This construction doesn’t seem like a big deal until you try to move or otherwise edit a series of segments that you drew with the Line command; you must select every piece separately. To avoid such a hassle, use polylines, described later in this chapter, not lines and arcs when you want the connected segments to be a single object.

If you’re used to drawing lines in other programs, you may find it confusing at first that AutoCAD’s Line command doesn’t stop at letting you draw a single segment. AutoCAD keeps prompting you to specify additional points so that you can draw a series of (apparently) connected segments. When you’re finished drawing segments, just press the Enter key to finish the Line command and return to the Command prompt.

Unlike a lot of AutoCAD drawing commands, Line doesn’t offer a bunch of potentially confusing options. There’s a Close option to create a closed polygon and an Undo option to remove the most recent segment that you drew.

Remember Like all drawing commands, Line puts the line segment objects that it draws on the current layer, and uses the current color, linetype, lineweight, and plot style properties.

  • Make sure that you’ve set these properties correctly before you start drawing. (I recommend that you set color, linetype. lineweight, and plot style to ByLayer.) See Chapter 4 for information on setting the current properties with the Object Properties toolbar.

  • When you’re doing real drafting as opposed to just experimenting, make sure that you use one of AutoCAD’s precision tools, such as object snaps, typed coordinates, or tracking to ensure that you specify each object point precisely. Chapter 4 describes these tools.

Follow these steps to draw a series of line segments by using the Line command:

  1. Set object properties to the layer and other properties that you want applied to the line segments that you’ll draw.

  2. Click the Line button on the Draw toolbar.

    AutoCAD starts the Line command and prompts you at the command line:

    Specify first point:

  3. Specify the starting point by clicking a point or typing coordinates.

    Remember to use one of the precision techniques described in Chapter 4 if you’re doing real drafting. For the first point, object snap, snap, tracking, and typing coordinates all work well.

    AutoCAD prompts you at the command line to specify the other endpoint of the first line segment:

    Specify next point or [Undo]:

  4. Specify additional points by clicking or typing.

    Again, use one of the AutoCAD precision techniques if you’re doing real drafting. For the second and subsequent points, all the techniques mentioned in the previous step work well, plus ortho and direct distance entry.

    After you specify the third point, AutoCAD adds the Close option to the command line prompt:

    Specify next point or [Close/Undo]:

  5. When you’re finished drawing segments, end with one of these steps:

    • Press Enter, or right-click anywhere in the drawing area and choose Enter (as shown in Figure 5-1), to leave the figure open.

    Click To expand
    Figure 5-1: Line it up: Drawing line segments with the Line command.

    • Type C and press Enter, or right-click anywhere in the drawing area and choose Close from the cursor menu, to close the figure.

    AutoCAD draws the final segment and returns to the Command prompt, indicating that the Line command is finished:

    Command:

Polyline (wanna crackerline?)

The Line command is fine for some drawing tasks, but the PLine command is a better, more flexible choice in many situations. The PLine command draws a special kind of object called a polyline. You may hear CAD drafters refer to a polyline as a pline because of the command name. (By the way, PLine is pronounced to rhyme with “beeline” — in other words, it sounds like the place you stand when you’ve drunk a lot of beer at the ball game.)

The most important differences between the Line and PLine commands are these:

  • The Line command draws a series of single line segment objects. Even though they appear on the screen to be linked, each segment is a separate object. If you move one line segment, the other segments that you drew at the same time don’t move with it. The PLine command, on the other hand, draws a single, connected, multi-segment object. If you select any segment for editing, your changes affect the entire polyline. Figure 5-2 shows how the same sketch drawn with the Line and the PLine commands responds when you select one of the objects.

    Click To expand
    Figure 5-2: Results of using the Line and PLine commands.

    Tip Use the PLine command instead of Line in most cases where you need to draw a series of connected line segments. If you’re drawing a series of end-to-end segments, there’s a good chance that those segments are logically connected — for example, they might represent the outline of a single object or a continuous pathway. If the segments are connected logically, it makes sense to keep them connected in AutoCAD. The most obvious practical benefit of grouping segments together into a polyline is that many editing operations are more efficient when you use polylines. If you move a single, disconnected line segment, the other segments that you drew at the same time don’t move with it — likewise for other common editing operations, such as copying, erasing, rotating, and mirroring. When you select any segment in a polyline for editing, the entire polyline is affected.

  • The PLine command can draw curved segments as well as straight ones.

  • You can add width to each segment of a polyline. Polyline segment width is similar to lineweight, except that it can be uniform or tapered. The ability to create polyline segments with line widths was more important in the old days before AutoCAD had lineweight as an object property. People used to draw polylines with a small amount of width to show the segments as somewhat heavier than normal on plots. Nowadays, it’s easier and more efficient to achieve this effect with object lineweights (as described in Chapter 4) or plot styles (as described in Chapter 12).

After you create a polyline, you can adjust its segments by grip editing any of the vertex points. (The little squares on the vertices in Figure 5-2 are called grips; see Chapter 6 for details on grip editing). For more complicated polyline editing tasks, you can use the PEdit command to edit the polyline, or you can convert the polyline to a collection of line and arc segments by using the eXplode command — although you lose any width defined for each segment when you explode a polyline.

Drawing polylines composed of straight segments is pretty much like drawing with the Line command, as demonstrated in the following procedure. Watch the command prompts carefully because the PLine command has a lot of options! Remember that you can right-click in the drawing area to select one of the options, but reading the command prompts is your ticket to knowing what the options are at any moment.

To draw a polyline composed of straight segments, follow these steps:

  1. Set object properties to the layer and other properties that you want applied to the polyline object that you’ll draw.

  2. Click the Polyline button — the one that looks like a fishhook — on the Draw toolbar.

    AutoCAD starts the PLine command and prompts you at the command line:

    Specify start point:

  3. Specify the starting point by clicking a point or typing coordinates.

    AutoCAD displays the current polyline segment line-width and prompts you to specify the other endpoint of the first polyline segment:

    Current line-width is 0.0000
Specify next point or [Arc/Halfwidth/Length/Undo/Width]:

  4. If the current line-width isn’t zero, change it to zero by typing W, Enter, 0, Enter, 0 (as shown in the following command line sequence).

    Specify next point or [Arc/Halfwidth/Length/Undo/Width]: W
Enter Specify starting width <0.0000>: 0
Enter Specify ending width <0.0000>: 0
Enter Specify next point or [Arc/Halfwidth/Length/Undo/Width]:

    Tip Despite what you may think, a zero width polyline segment is not the AutoCAD equivalent of writing with disappearing ink. “Zero width” means “display this segment using the normal, thin line-width on the screen.” AutoCAD still applies object property or plot style lineweights when you plot.

  5. Specify additional points by clicking or typing.

    After you specify the third point, AutoCAD adds the Close option to the command line prompt:

    Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]:

  6. After you finish drawing segments, either press Enter (to leave the figure open) or type C and press Enter (to close it).

    AutoCAD draws the final segment (see Figure 5-3) and returns to the Command prompt, indicating that the PLine command is finished:

    Command:

    Click To expand
    Figure 5-3: Getting in the PLine.

In the following procedure, I spice things up a bit and give you a preview of coming (curvy) attractions by adding an arc segment to a polyline.

Technical Stuff Technically speaking, curved segments in polylines are circular arcs — pieces of circles that you can draw with the AutoCAD Arc command. AutoCAD can draw other kinds of curves, including ellipses and splines, but not within the PLine command.

To draw a polyline that includes curved segments, follow these steps:

  1. Repeat Steps 1 though 5 of the previous procedure.

  2. When you’re ready to add one or more arc segments, type A and press Enter to select the Arc option.

    The command line prompt changes to show arc segment options. Most of these options correspond to the many ways of drawing circular arcs in AutoCAD; see “Arc-y-ology,” later in this chapter.

    Specify endpoint of arc or [Angle/CEnter/CLose/Direction/Halfwidth/Line/Radius/Second pt/Undo/Width]:

  3. Specify the endpoint of the arc by clicking a point or typing coordinates.

    AutoCAD draws the curved segment of the polyline. The command line prompt continues to show arc segment options.

    Specify endpoint of arc or [Angle/CEnter/CLose/Direction/Halfwidth/Line/Radius/Second pt/Undo/Width]:

    Your options at this point include

    • Specifying additional points to draw more arc segments

    • Choosing another arc-drawing method (such as CEnter or Second pt)

    • Returning to drawing straight-line segments with the Line option

    In this example, I return to drawing straight-line segments.

    Tip Perhaps the most useful of the alternative arc-drawing methods is Second pt. You can use it to gain flexibility in the direction of the arc, but at the cost of losing tangency of contiguous segments. Sometimes it’s best not to go off on a tangent, anyway.

  4. Type L and press Enter to select the Line option.

    Specify endpoint of arc or [Angle/CEnter/CLose/Direction/Halfwidth/Line/Radius/Second pt/Undo/Width]: L

    The command line prompt changes back to showing straight-line segment options.

    Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]:

  5. Specify additional points by clicking or typing.

  6. After you’re finished drawing segments, either press Enter or type C and press Enter.

    Command:

Figure 5-4 shows some of the things that you can draw with the PLine command using straight segments, arc segments, or a combination of both.

Click To expand
Figure 5-4: A plethora of polylines.

Rectangle (can be so square)

You can use the PLine or Line command to draw a rectangle segment by segment. In most cases, though, you’ll find it easier to use the special-purpose RECtang command. The following procedure demonstrates how:

  1. Set object properties to the layer and other properties that you want applied to the rectangle that you’ll draw.

  2. Click the Rectangle button on the Draw toolbar.

    AutoCAD starts the RECtang command and prompts you at the command line to specify a point for one corner of the rectangle:

    Specify first corner point or [Chamfer/Elevation/Fillet/Thickness/Width]:

    Tip You can add fancy effects with the additional command options. The default options work best for most purposes. Look up “RECTANG command” in the AutoCAD help system if you want to know more about the options.

  3. Specify the first corner by clicking a point or typing coordinates.

    The command line prompts you to specify the other corner of the rectangle — the one that’s diagonally opposite from the first corner:

    Specify other corner point or [Dimensions]:

  4. Specify the other corner by clicking a point or typing coordinates.

    Tip If you know the dimensions of the rectangle that you want to draw (for example, 100 units long by 75 units high), type relative coordinates to specify the dimensions (for example, @100,75). (Chapter 4 describes how to type coordinates.)

    AutoCAD draws the rectangle.

Polygon (guess she didn’t like the cracker)

Rectangles and other closed polylines are types of polygons, or closed figures with three or more sides. The AutoCAD POLygon command provides a quick way of drawing regular polygons — polygons in which all sides and angles are equal. Regular polygons, like seemingly perfect people, can be a bit boring, but they’re useful sometimes.

The following procedure demonstrates the POLygon command:

  1. Set object properties to the layer and other properties that you want applied to the polygon that you’ll draw.

  2. Click the Polygon button on the Draw toolbar.

    AutoCAD starts the POLygon command and prompts you at the command line to enter the number of sides for the polygon:

    Enter number of sides <4>:

  3. Type the number of sides in the polygon that you want to draw and press Enter.

    The command line prompts you to specify the center point of the polygon:

    Specify center of polygon or [Edge]:

    Tip You can use the Edge option to draw a polygon by specifying one side, instead of the center and radius of an imaginary inscribed or circumscribed circle. The imaginary circle method is much more common.

  4. Specify the center point by clicking a point or typing coordinates.

    The command line prompts you to specify whether the polygon will be inscribed in or circumscribed about an imaginary circle whose radius you will specify in the following step:

    Enter an option [Inscribed in circle/Circumscribed about circle] <I>:

  5. Type I or C and press Enter.

    The command line prompts you to specify the radius of imaginary circle:

    Specify radius of circle:

  6. Specify the radius by typing a distance or clicking a point.

    AutoCAD draws the polygon.

    Tip If you type a distance or you click a point with Ortho turned on, the polygon will be aligned orthogonally, as shown in Figure 5-5. If you click a point with Ortho turned off, the polygon most likely won’t be aligned orthogonally.

    Click To expand
    Figure 5-5: A polygonal party.

Figure 5-5 shows the results of drawing plenty of polygons — a practice known as “polygony,” and which, as far as I know, remains legal in most states.

Technical Stuff Rectangles and polygons in AutoCAD are really just polylines that you specify in a way that’s appropriate to the shape you’re creating. You’ll notice this when you grip edit a rectangle or polygon and move one of the vertexes: Only the selected vertex moves. AutoCAD doesn’t make the entire rectangle or polygon larger or smaller. (See Chapter 6 for information about grip editing.)

Multilines (lines aplenty)

Multilines are specialized types of lines that consist of several parallel lines — up to 16 — that behave as one object. You can use the default style multiline, which includes two parallel line elements (as shown in Figure 5-6), or you can create your own, adding additional elements as you choose. Your own multilines can vary in the presence or absence of joints that appear at each corner and in the style of end cap that appears at the beginning and end of the multiline. Multilines that cross each other can create patterns to represent specific elements. Multilines are useful in architectural drawings and in other kinds of drawings that make heavy use of parallel, straight lines. For example, in an architectural floor plan, you may be able to save time by drawing walls (which usually consist of two or more parallel lines) using multilines.

Click To expand
Figure 5-6: Multiline madness.

Warning The AutoCAD multiline feature was full of design flaws, limitations, and bugs when it debuted in Release 13. It hasn’t improved much since then. (In AutoCAD 2004, Autodesk has even removed the MLine command from the Draw menu.) If you want to use multilines, be prepared to spend some time experimenting and struggling with this feature. Look up “multilines, drawing” in AutoCAD’s online help system if you’d like to tangle with this feature.

AutoCAD LT AutoCAD LT doesn’t include the MLine command. (Based on my previous warnings about MLine, LT users may want to regard its omission as a blessing, not a limitation!) AutoCAD LT includes instead a DLine (Double Line) command for drawing pairs of parallel line segments.

(Throwing) Curves

Although straight line segments predominate in many CAD drawings, even the most humdrum, rectilinear design is likely to have a few curves. And if you’re drawing car bodies or Gaudí buildings, your drawings will be almost nothing but curves! This section shows you how to use the following AutoCAD curve-drawing commands:

  • Circle: Draws circles (you were expecting rectangles, maybe?)

  • Arc: Draws circular arcs — arcs cut from circles, not from ellipses, parabolas, or some other complicated curve

  • ELlipse: Draws ellipses and elliptical arcs

  • SPLine: Draws smoothly flowing curves of a variety of shapes

  • DOnut: Draws filled-in annular rings and circles

  • REVCLOUD: Draws free-form “clouds,” which you usually use to indicate revised areas in the drawing

The following sections describe each command.

Going full circle

AutoCAD offers an easy way to draw circles, and it also offers . . . other ways. The easy way is to define the center point of the circle and then to define the radius or diameter. You can also define a circle by entering one of the following options of the command (for those “other” ways):

  • 3P: Specify any three points on the circumference.

  • 2P: Specify the endpoints of a diameter of the circle.

  • Ttr: Specify two lines or other objects that are tangent to the circle, and then specify its radius.

Whether these additional circle-drawing methods are useful or superfluous depends on the kinds of drawings that you make and how geometry is defined in your industry. Get familiar with the default center point/radius method and then try the other methods to see whether they may be helpful to you. If you find yourself going around in circles, you can always draw them the default way and move them into position with other geometry.

  1. Set object properties to the layer and other properties that you want applied to the circle that you’ll draw.

  2. Click the Circle button on the Draw toolbar.

    AutoCAD starts the Circle command and prompts you at the command line to specify the center point of the circle:

    Specify center point for circle or [3P/2P/Ttr (tan tan
radius)]:

    Technical Stuff As the prompt shows, you can use methods other than center point and radius to draw circles in AutoCAD. The additional options are 3-point, 2-point, and tangent-tangent-radius. (No, “tan tan radius” is not a mathematician’s dance.) Look up “CIRCLE command” in the online help if you think you may have a use for these less common circle-drawing methods.

  3. Specify the center point by clicking a point or typing coordinates.

    The command line prompts you to specify the circle’s radius:

    Specify radius of circle or [Diameter]:

    Tip Type D and press Enter if you prefer to enter the diameter rather than the radius and you have trouble dividing by two — or, more seriously, if the diameter is easier to specify or enter exactly than the radius is.

  4. Specify the radius by typing a distance or clicking a point.

    AutoCAD draws the circle, as shown in Figure 5-7.

    Click To expand
    Figure 5-7: Pi R square(d); circles are round.

Arc-y-ology

Arcs in AutoCAD are, quite simply, pieces of circles. As with circles, AutoCAD offers you an easy way to define arcs. Just specify three points on-screen to define the arc, easy as one-two-three. These points tell AutoCAD where to start the arc, how much to curve it, and where to end it.

Sounds pretty easy, right? So where’s the problem? The trouble is that you often must specify arcs more exactly than is possible by using this method. AutoCAD helps you specify such arcs, too, but the procedure ain’t easy.

You can start your arc by specifying the center of the arc or the start point. If you choose the Center option, AutoCAD prompts you for the center point first and the start point second. AutoCAD defines arcs counterclockwise, so pick a start point in a clockwise direction from the end point. After you specify the center and start point, AutoCAD presents several options you can choose, including the following:

  • Angle: This option specifies the included angle that the arc sweeps out. A 180-degree angle, for example, is a semicircle.

  • Length of chord: This option specifies the length of an imaginary straight line connecting the endpoints of the arc. If you know the exact length, select Length of Chord as the option you want.

  • Endpoint: This option specifies where the arc ends. It’s the default option and is often the easiest to use.

If you specify the start point as the first option, you can choose among the following three command line options as well:

  • Center: This option takes you back to the preceding options: Enter Angle, Length of Chord, or Endpoint.

  • End: This option specifies the endpoint of the arc. You then need to define the angle the arc covers, its direction, its radius, or its center point.

  • Second point: This is the default option. The second point you choose is not the endpoint; instead, it’s a point on the arc that, along with the start and endpoints, defines the arc’s curvature — that is, how much it curves. After you enter the second point, you must enter an endpoint to complete the arc.

To get a feel for how these permutations can be strung together to create different arc-drawing methods, choose DrawðArc and look at the impressive submenu that unfurls, as shown in Figure 5-8.

Click To expand
Figure 5-8: A deluge of Arc options, together with a three-point arc drawn behind.

The following example shows how you draw an arc using the default start point/second point/endpoint method:

  1. Set object properties to the layer and other properties that you want applied to the arc that you’ll draw.

  2. Click the Arc button on the Draw toolbar.

    AutoCAD starts the Arc command and prompts you at the command line to specify the first endpoint of the arc:

    Specify start point of arc or [CEnter]:

  3. Specify the start point by clicking a point or typing coordinates.

    The command line prompts you to specify a second point on the arc:

    Specify second point of arc or [CEnter/ENd]:

  4. Specify a second point on the arc by clicking a point or typing coordinates.

    Tip The second point lies somewhere along the curve of the arc. AutoCAD determines the exact curvature of the arc after you choose the final endpoint in the following step. To align the second point with an existing object, use an object snap mode.

    The command line prompts you to specify the other endpoint of the arc; as you move the cursor around, AutoCAD shows how the arc will look:

    Specify end point of arc:

  5. Specify the other endpoint of the arc by clicking a point or typing coordinates.

    AutoCAD draws the arc, as shown in Figure 5-8.

Ellipses (S. Grant?)

An ellipse is like a warped circle with a major (long) axis and a minor (short) axis. These axes determine the ellipse’s length, width, and degree of curvature. An elliptical arc is an arc cut from an ellipse. Some kinds of drawing geometry require ellipses or elliptical arcs, but many people use AutoCAD happily for years without ever drawing an ellipse. If you think you’re one of those people, skip this section.

The AutoCAD ELlipse command provides a straightforward way of drawing an ellipse: You specify the two endpoints of one of its axes and then specify an endpoint on the other axis. But like the Arc command, the ELlipse command offers a bunch of other options on the command line:

  • Arc: This option generates an elliptical arc, not a full ellipse. You define an elliptical arc just as you do a full ellipse. The following methods for creating an ellipse apply to either.

  • Center: This option requires that you define the center of the ellipse and then the endpoint of an axis. You can then either enter the distance of the other axis or specify that a rotation around the major axis defines the ellipse. If you choose the latter, you can enter (or drag the ellipse to) a specific rotation for the second axis that, in turn, completely defines the ellipse.

  • Rotation: With this option, you specify an angle, which defines the curvature of the ellipse — small angles make fat ellipses (0 degrees creates a circle, in fact), and large angles make skinny ellipses. The name of the option, Rotation, has something to do with rotating an imaginary circle around the first axis. If you can figure out the imaginary circle business, then you have a better imagination than I do.

The following example creates an ellipse by using the default endpoints of the axes method. Figure 5-9 shows an ellipse and an elliptical arc.

Click To expand
Figure 5-9: Ellipse and elliptical arcs.
Command: ELlipse Enter
Specify axis endpoint of ellipse or [Arc/Center]: pick or type the first endpoint of one axis
Specify other endpoint of axis: pick or type the other endpoint of one axis
Specify distance to other axis or [Rotation]: pick or type the endpoint of the other axis

Tip You can create elliptical arcs (as opposed to the circular arcs that the AutoCAD Arc command draws) by using the Arc option of the ELlipse command; it’s perfect for drawing those cannonball trajectories! Alternatively, you can draw a full ellipse and use the TRIM or BREAK command to cut a piece out of it.

Splines: The sketchy, sinuous curves

Most people use CAD programs for precision drawing tasks: straight lines, carefully defined curves, precisely specified points, and so on. AutoCAD is not the program to free your inner artist — unless your inner artist is Mondrian. Nonetheless, even meticulously created CAD drawings sometimes need freeform curves. The AutoCAD spline object is just the thing for the job.

Tip Although PLine is pronounced to rhyme with “beeline,” SPLine rhymes with “vine.” If you liked my earlier pronunciation comment, you might want to think about beer before you say “PLine” and about wine before you say “SPLine.”)

Technical Stuff You can use AutoCAD splines in two ways:

  • Eyeball the location and shape of the curve and don’t worry too much about getting it just so. That’s the freeform, sketchy, not-too-precise approach that I describe here.

  • Precisely control their control points and curvature characteristics precisely. Beneath their easy-going, informal exterior, AutoCAD splines are really highly precise, mathematically defined entities called NURBS curves (Non-Uniform Rational B-Spline curves). Mathematicians and some mechanical and industrial designers care a lot about the precise characteristics of the curves they work with. For those people, the AutoCAD SPLine and SPlinEdit commands include a number of advanced options. Look up “spline curves” in the AutoCAD online help if you need precision in your splines.

Drawing splines is straightforward, if you ignore the advanced options. The following procedure draws a freeform curve with the SPLine command:

  1. Set object properties to the layer and other properties that you want applied to the spline that you’ll draw.

  2. Click the Spline button on the Draw toolbar.

    AutoCAD starts the SPLine command and prompts you at the command line to specify the first endpoint of the spline:

    Specify first point or [Object]:

  3. Specify the start point by clicking a point or typing coordinates.

    The command line prompts you to specify additional points:

    Specify next point:

  4. Specify additional points by clicking or typing coordinates.

    After you pick the second point, the command line prompt changes to show additional options:

    Specify next point or [Close/Fit tolerance] <start tangent>:

    Tip Because you’re drawing a freeform curve, you usually don’t need to use object snaps or other precision techniques when picking spline points.

  5. Press Enter after you’ve chosen the final endpoint of your spline.

    AutoCAD prompts you to specify tangent lines for each end of the spline:

    Specify start tangent:
Specify end tangent:

    Technical Stuff The Specify start tangent and Specify end tangent prompts can control the curvature of the start and end points of the spline. In most cases, just pressing Enter at both prompts to accept the default tangents works fine.

  6. Press Enter twice to accept the default tangent directions.

    AutoCAD draws the spline.

Figure 5-10 shows some examples of splines.

Click To expand
Figure 5-10: A slew of splines.

Tip After you’ve drawn a spline, you can grip edit it to adjust its shape. See Chapter 6 for information about grip editing. If you need finer control over spline editing, look up the SPlinEdit command in the AutoCAD online help.

Donuts: The circles with a difference

Creating a donut is a simple way to define a single object that consists of two concentric circles with the space between them filled.

Warning Watch out! Drawing a donut is likely to draw some cops, too! (Sorry, officer.)

When you start the DOnut command, AutoCAD prompts you for the inside diameter and the outside diameter — the size of the hole and the size of the donut, as measured across their widest points. After you’ve entered these values, AutoCAD prompts you for the center point of the donut. But one donut is rarely enough, so AutoCAD keeps prompting you for additional center points until you press Enter (the AutoCAD equivalent of saying, “no, really, I’m full now!”).

The following example draws a regulation-size donut, with a 1.5-inch hole and 3.5-inch outside diameter. Figure 5-11 shows several kinds of donuts.

Click To expand
Figure 5-11: Donuts, plain and jelly-filled.
Command: DOnut Enter
Specify inside diameter of donut <0.5000>: 1.5 Enter
Specify outside diameter of donut <1.0000>: 3.5 Enter
Specify center of donut or <exit>: pick or type the center point of one or more donuts
Specify center of donut or <exit>: Enter

Tip You can use the DOnut command to create a filled circle — also known as a jelly-filled donut. Just specify an inside diameter of zero.

Revision clouds on the horizon

New for 2004 It’s customary in many industries to submit a set of drawings at a stage of completion and then submit them again later with revisions — corrections, clarifications, and requested changes. Often, the recipients like to locate changed stuff easily. A common drafting convention in many industries is to highlight revised items by drawing free-form clouds around them. The new REVCLOUD command makes quick work of drawing such clouds.

Technical Stuff The REVCLOUD command isn’t brand new in AutoCAD 2004. It appeared with previous AutoCAD versions as an Express Tool and has been in AutoCAD LT for several versions. But AutoCAD 2004 is the first time that REVCLOUD is a full-fledged AutoCAD command with a place on the AutoCAD Draw toolbar.

Drawing revision clouds is easy, once you understand that you click with the mouse only once in the drawing area. That one click defines the starting point for the cloud’s perimeter. After that, you simply move the cursor around, and the cloud takes shape. When you return to near the point that you clicked in the beginning, AutoCAD automatically closes the cloud.

The following example shows you how to draw a revision cloud. Figure 5-12 shows what revision clouds look like.

Click To expand
Figure 5-12: Cloud cover.
Command: REVCLOUD
Minimum arc length: 0.5000   Maximum arc length: 0.5000
Specify start point or [Arc length/Object] <Object>: pick a point along the perimeter of your future cloud
Guide crosshairs along cloud path... sweep the cursor around to define the cloud’s perimeter

You don’t need to click again. Simply move the cursor around without clicking. AutoCAD draws the next lobe of the cloud when your cursor reaches the Minimum arc length distance from the end of the previous lobe.

Continue moving the cursor around until you return to the point that you clicked at first.

Revision cloud finished.

Tip Here are a few tips for using revision clouds:

  • It’s a good idea to put revision clouds on their own layer so that you can choose to plot with or without the clouds visible.

  • You’ll probably find it easier to control the shape of revision clouds if you turn off ortho mode before you start the command.

  • You may need to add a triangle and number, as shown in Figure 5-12, to indicate the revision number. A block with an attribute is a good way to handle this requirement; Chapter 13 covers blocks and attributes.

Technical Stuff If the revision cloud’s lobes are too small or too large, erase the cloud, restart the REVCLOUD command, and use the command’s Arc length option to change the minimum and maximum arc lengths. The default minimum and maximum lengths are 0.5 multiplied by the DIMSCALE (DIMension SCALE) system variable setting. If you make the minimum and maximum lengths equal (which is the default), the lobes will be approximately equal in size. If you make them unequal, there will be more variation in lobe size — you’ll get "fluffier" clouds. Fortunately, all of these options are more than most non-meteorologists will need. If you’ve set DIMSCALE properly during your drawing setup procedure (see Chapter 3), REVCLOUD should do a pretty good job of guessing reasonable default arc lengths.


Scoring Points

I thought about not covering points in this book, but I didn’t want you complaining that AutoCAD 2004 For Dummies is pointless.

Warning The word point describes two different things in AutoCAD:

  • A location in the drawing that you specify (by typing coordinates or clicking with the mouse)

  • An object that you draw with the POint command

Throughout this chapter and most of the book, I tell you to specify points — that’s the location meaning. This section tells you how to draw point objects.

A point object in AutoCAD can serve two purposes.

  • Points often identify specific locations in your drawing to other people who look at the drawing. A point can be something that displays on the screen, either as a tiny dot or as another symbol, such as a cross with a circle around it.

  • You can use points as object snap locations for your use. Think of them as construction points. For example, when you’re laying out a new building, you might draw point objects at some of the engineering survey points and then snap to those points as you sketch the building’s shape with the polyline command. You use the NODe object snap mode to snap to AutoCAD point objects. In this guise, points usually are for your use in drawing and editing precisely. Other people who view the drawing probably won’t even be aware that the point objects are there.

What makes AutoCAD point objects complicated is their almost limitless range of display options, provided to accommodate the two different kinds of purposes just described (and possibly some others that I haven’t figured out yet). You use the Point Style dialog box, shown in Figure 5-13, to specify how points should look in the current drawing.

Click To expand
Figure 5-13: The Point Style dialog box controls the way point objects appear on-screen.

DDPTYPE is the command that opens the Point Style dialog box. You can access it from the menus by choosing FormatðPoint Style. The top portion of the dialog box shows the available point display styles. Most of the choices do pretty much the same thing. Just click one of the squares that says “hey, that’s a point!” to you.

Warning The first choice, a single-pixel dot, is hard to see on the screen, and the second choice, invisible (a stealth point?), is impossible to see. Avoid these choices if you want your point objects to show up on the screen and on plots. The single-pixel dot, which is the default display style, is good to use point objects as object snap locations without making the points obtrusive on plots.

Technical Stuff Two other options can specify the point size in the Point Style dialog box:

  • Set Size Relative to Screen: This option specifies the point size as a percentage of the screen size. When AutoCAD regenerates the drawing, it redraws all point objects at that percentage (for example, 5%) of the current drawing area. (Chapter 7 describes what regeneration is and when it’s likely to occur.) In other words, if you zoom way in and enter REgen, AutoCAD redraws point objects so that they’re 5% of the current zoomed-in screen, which makes them much smaller than they used to be with respect to the other drawing objects.

  • Set Size in Absolute Units: This option leaves points the same size wherever you zoom or when AutoCAD regenerates the drawing. (The danger? If you have a large drawing area and specify a small point size in absolute units, you might — ba-da-bump — miss the point.)

After you specify the point style, placing points on-screen is easy; the following example shows you how.

This is an example of the command-line commands to create a point:

Command: POint Enter
Current point modes: PDMODE=0 PDSIZE=0.0000
Specify a point:  pick or type the coordinates of a location in the drawing

Technical Stuff PDMODE and PDSIZE in the command prompt are system variables that correspond to the point display mode and display size options in the Point Style dialog box. If you want to know exactly how the system variables correspond to the dialog box choices, you have all the makings of a successful CAD nerd. Click the Help button in the Point Style dialog box to find out more (about the system variables — not about yourself).

Tip If you start the POint command from the Draw toolbar or the DrawðPointðMultiple Point menu, it will repeat automatically — that is, it will prompt you repeatedly to Specify a point. When you’re finished drawing points, press Esc to finish the command for good. If the command doesn’t repeat automatically and you want to draw more points, press the Enter key to repeat the POint command and pick another location on the screen. Repeat as required: Enter, pick, Enter, pick, Enter pick . . . by now you should’ve gotten the point.


Chapter 6: Edit for Credit

Overview

In This Chapter

  • Using command-first editing

  • Selecting objects with maximum flexibility

  • Moving, copying, and stretching objects

  • Manipulating whole objects

  • Changing pieces of objects

  • Editing with grips

  • Editing object properties

Editing objects is the flip side of creating them, and in AutoCAD, you spend a lot of time editing — far more than drawing objects from scratch. That’s partly because the design and drafting process is by its nature iterative, and also because CAD programs make it easy to edit objects cleanly.

Remember When you edit objects in AutoCAD, you need to be just as concerned about specifying precise locations and distances as you are when you originally create the objects. Make sure that you’re familiar with the precision techniques described in Chapter 4 before you apply the editing techniques from this chapter to real drawings.


Commanding and Selecting

AutoCAD offers two main styles of editing:

  • Command-first editing

  • Selection-first editing

Within the selection-first editing style, you have an additional choice of editing that uses actual, named commands and direct manipulation of objects without named commands. The following sections cover these editing styles.

Command-first editing

With command-first editing, you enter a command and then click the objects on which the command works. This style of editing may seem backwards to you at first unless you’re a long-time user of AutoCAD or a veteran of command-line operating systems (where you typically type the name of command and then the names of the files or other objects to which you want to apply the command). Command-first editing works well for power users who are in a hurry and who are willing to memorize most of the commands they need to do their work. It’s no surprise that command-first editing is the default style of editing in AutoCAD.

Selection-first editing

In selection-first editing, you perform the same steps — in the same order — as in most Windows and Macintosh applications: Select the object first, then choose the command.

Selection-first editing tends to be easier to learn, which is why Windows and the Macintosh are so much easier for most people to use for a variety of tasks than DOS. Selection-first editing makes AutoCAD more approachable for new and occasional users.

Direct manipulation

Direct manipulation is a refinement of selection-first editing in which you perform common editing operations by using the mouse to grab the selected object and perform an action on it, such as moving all or part of it to a different place in the drawing. No named command is involved; the act of moving the mouse and clicking the mouse buttons in certain ways causes the editing changes to happen.

AutoCAD supports direct manipulation through a powerful but somewhat complicated technique called grip editing. Grips are the little square handles that appear on an object when you select it. You can use the grips to stretch, move, copy, rotate, or otherwise edit the object. These grip editing techniques can make selection-first editing as powerful as command-first editing. The complications arise from the fact that you can do so many things with an object after you select it.

Choosing an editing style

This chapter emphasizes command-first editing. (I also discuss grip editing at the end of the chapter.) AutoCAD 2004 is fundamentally a command-first program. AutoCAD started out offering only command-first editing and later added selection-first methods; AutoCAD 2004 inherits this ancestral trait. I emphasize command-first editing for the following reasons:

  • It’s the default AutoCAD editing style.

  • It works consistently with all editing commands — some editing commands remain command-first only.

  • It provides added object selection flexibility, which is useful when you work on complicated, busy drawings.

After you know how to do command-first editing, you can simply reverse the order of many editing operations to do them selection-first style instead. But if you don’t get familiar with command-first editing in the beginning, you’ll be completely bewildered by some very useful AutoCAD commands that work only in the command-first style, such as TRim and EXtend. (Commands such as these ignore any already selected objects and prompt you to select objects.)

Technical Stuff Much of the information in this chapter assumes that you’re using the default AutoCAD selection settings. If object selection or grip editing works differently than I describe in this chapter, check the settings on the Option dialog box’s Selection tab. Five check box settings should be turned on (all other check box settings should be turned off):

  • Noun/Verb Selection

  • Implied Windowing

  • Object Grouping

  • Enable Grips

  • Enable Grip Tips


Grab It

Part of AutoCAD’s editing flexibility comes from its object selection flexibility. For example, command-first editing offers 17 selection modes! (I describe the most useful ones in this chapter.) Don’t worry though; you can get by most of the time with three selection modes:

  • Selecting a single object

  • Enclosing objects in a window

  • Including part or all of objects in a crossing window

One by one selection

The most obvious way to select objects is to pick (by clicking) them one at a time. You can build up a selection set cumulatively with this “pick one object at a time” selection mode. This cumulative convention might be different from what you’re used to. In most Windows programs, if you select one object and then another, the first object is deselected, and the second one selected. Only the object you select last remains selected. In AutoCAD, all the objects you select, one at a time, remain selected and are added to the set, no matter how many objects you pick. (You can change this behavior to make AutoCAD work like Windows does, but I suggest you don’t change it.) Most editing commands affect the entire group of selected objects.

Selection boxes left and right

Selecting objects one at a time works great when you want to edit a small number of objects, but many CAD editing tasks involve editing lots of objects. Do you really want to pick 132 lines, arcs, and circles one at a time?

Like most Windows graphics programs, AutoCAD provides a selection window feature for grabbing a bunch of objects in a rectangular area. As you might guess by now, the AutoCAD version of this feature is a bit more powerful than the analogous feature in other Windows graphics programs and, therefore, slightly confusing at first. AutoCAD calls its version implied windowing.

If you click a blank area of the drawing —, that is, not on an object — you’re implying to AutoCAD that you want to specify a selection window, or box. If you move the cursor to the right before picking the other corner of the selection box, you’re further implying that you want to select all objects that reside completely within the selection box. If you instead move the cursor to the left before picking the other corner of the selection box, you’re implying that you want to select all objects that reside completely or partially within the selection box.

The AutoCAD terminology for these two kinds of selection boxes gets a little confusing:

  • The move-to-the-right, only-select-objects-completely-within-the-box mode is called window object selection.

  • The move-to-the-left, select-objects-completely-or-partially-within-the-box mode is called crossing object selection.

You might think of these modes as bounding box (to the right) and crossing box (to the left). Fortunately, AutoCAD gives you a visual cue that there’s a difference. As you move to the right, the bounding box appears as a solid rectangle. As you move to the left, the crossing box appears as a ghosted, or dashed, rectangle.

Figures 6-1 and 6-2 show a bounding box and a crossing box, respectively, in action.

You can mix and match selecting individual objects, specifying a bounding box, and specifying a crossing box. Each selection adds to the current selection set, allowing you to build up an enormously complicated selection of objects and then operate on them with one or more editing commands.

Click To expand
Figure 6-1: A bounding selection box (window), drawn left to right, selects only objects completely within the box.
Click To expand
Figure 6-2: A crossing selection box (crossing), drawn right to left, selects objects that are completely or partially within the box.

Tip You can press the Shift key in combination with any of the three standard selection modes — single object, bounding box (Window), and crossing box (Crossing) — to remove already selected objects from the selection set. This feature is especially useful when you’re building a selection set in a crowded drawing; you can select a big batch of objects using window or crossing, and then hold down the Shift key while selecting to remove the objects that you want to exclude from the editing operation.


Perfecting Selecting

When you edit in command-first mode, you have all the selection options described in the previous section — single object, bounding box (Window), and crossing box (Crossing) — plus a slew of others. If you type ? and press Enter at any Select objects prompt, AutoCAD lists all the selection options:

Window/Last/Crossing/BOX/ALL/Fence/WPolygon/CPolygon/Group/CLass/Add/Remove/Multiple/Previous/Undo/AUto/SIngle

Table 6-1 summarizes the most useful command-first selection options.

Table 6-1: Some Useful Command-First Selection Options
Option | Description
Window | All objects within a rectangle that you specify by picking two points
Last | The last object you drew that’s still visible in the drawing area
Crossing | All objects within or crossing a rectangle that you specify by picking two points
ALL | All objects on layers that aren’t frozen and that are in the current space (model space or paper space)
Fence | All objects touching an imaginary polyline whose vertices you specify by picking points
WPolygon | All objects within a polygonal area whose corners you specify by picking points
CPolygon | All objects within or crossing a polygonal area whose corners you specify by picking points
Previous | The previous selection set that you specified

To use any of the command-first selection options at the Select objects prompt, type the uppercase letters corresponding to the option and press Enter. After you’re finished selecting objects, you must press Enter again to tell AutoCAD that you’ve finished selecting objects and want to start the editing operation.

The following example demonstrates how to use the Erase command in command-first mode with several different selection options. The selection techniques used in this example apply to most AutoCAD editing commands:

  1. Press Esc to make sure that no command is active and no objects are selected.

    Warning If any objects are selected when you start an editing command, the command in most cases will operate on those objects (selection-first editing) instead of prompting you to select objects (command-first editing). For the reasons that I describe earlier in this chapter, you should use the command-first editing style until you’re thoroughly familiar with it. Later, you can experiment with selection-first editing if you like. (Just reverse the sequence of commanding and selecting that I describe in this chapter.)

  2. Click the Erase button on the Modify toolbar.

    The command line displays the Select objects prompt.

  3. Select two or three individual objects by clicking each one.

    AutoCAD adds each object to the selection set. All the objects you select remain ghosted. The command line displays the Select objects prompt.

  4. Specify a bounding selection box (Window) that completely encloses several objects.

    Move the cursor to a point below and to the left of the objects, click, release the mouse button, move the cursor above and to the right of the objects, and click again.

    All objects that are completely within the box are selected.

  5. Specify a crossing selection box (Crossing) that encloses a few objects and cuts through several others.

    Move the cursor to a point below and to the right of some of the objects, click, release the mouse button, move the cursor above and to the left of some of the objects, and click and release again.

    All objects that are completely within or cross through the box are selected.

  6. Type WP and press Enter to activate the WPolygon selection option.

    The command line prompts you to pick points that define the selection polygon.

  7. Pick a series of points and press Enter.

    Figure 6-3 shows an example. All objects that are completely within the polygon are selected.

    Click To expand
    Figure 6-3: Lasso-ing objects with a WPolygon.

  8. Press Enter to end object selection.

    AutoCAD erases all the selected objects.

Notice how you were able to use a combination of object selection methods to build up a selection set and then press Enter to execute the command on them. Most AutoCAD editing commands work this way in command-first mode.

Tip If, after erasing a selection set, you immediately realize that you didn’t really mean to do away with so many objects, you can use the Undo button on the Standard toolbar to restore all of them. But AutoCAD has one additional un-erase trick up its sleeve — the aptly named OOPS command. When you type OOPS and press Enter, AutoCAD restores the last selection set that you erased — even if you’ve run other commands after Erase.


Ready, Get Set, Edit!

The following sections cover the most important AutoCAD editing commands, using command-first editing mode.

Warning Whether you start an AutoCAD editing command by clicking a toolbar button, choosing a pull-down menu command, or typing a command name, in almost all cases the command prompts you for points, distances, and options at the command line. Read the command line prompts during every step of the command, especially when you’re figuring out how to use a new editing command. Otherwise, you’re unlikely to complete the command successfully.

Remember As I describe in Chapter 4, maintaining precision when you draw and edit is crucial to good CAD work. If you’ve used a drawing program and are accustomed to moving, stretching, and otherwise editing objects by eye, you’ll need to suppress that habit when you edit in AutoCAD. Nothing ruins a drawing faster than approximate editing, in which you shove objects around until they look okay, without worrying about precise distances and points.

The big three: Move, Copy, and Stretch

Moving, copying, and stretching are, for many drafters, the three most common editing operations. AutoCAD obliges this need with the Move, CoPy, and Stretch commands.

Base points and displacements

The Move, CoPy, and Stretch commands all require that you specify how far and in what direction you want the objects moved, copied, or stretched. After you’ve selected the objects to be edited and started the command, AutoCAD prompts you for two pieces of information:

Specify base point or displacement:
Specify second point of displacement or <use first point as displacement>:

In a not-so-clear way, these prompts say that two possible methods exist for you to specify how far and in what direction you want the objects copied, moved, or stretched:

  • The most common way is to pick or type the coordinates of two points that define a displacement vector. AutoCAD calls these points the base point and the second point (hence, the base point method). Imagine an arrow pointing from the base point to the second point — that arrow defines how far and in what direction the objects get copied, moved, or stretched.

  • The other way is to type an X,Y pair of numbers that represents a distance rather than a point. This distance is the absolute displacement that you want to copy, move, or stretch the objects. That’s why this is called the displacement method.

How does AutoCAD know whether your response to the first prompt is a base point or a displacement? It depends on how you respond to the second prompt. (Is that confusing, or what?) First, you pick a point on-screen or enter coordinates at the Base point prompt. Next, there are a couple of possibilities:

  • If you then pick or type the coordinates of a point at the second point prompt, AutoCAD says to itself, “Aha — displacement vector!” and moves the objects according to the imaginary arrow pointing from the base point to the second point.

  • If you press Enter at the second prompt (without having typed anything), AutoCAD says, “Aha — displacement distance,” and uses the X,Y pair of numbers that you typed at the first prompt as an absolute displacement distance.

Warning What makes this displacement business even more confusing is that AutoCAD lets you pick a point at the first prompt and press Enter at the second prompt. AutoCAD still says, “Aha — displacement distance,” but now it treats the coordinates of the point you picked as an absolute distance. If the point you picked has relatively large coordinates, the objects can get moved way outside the normal drawing area as defined by the limits. The objects fly off into space, which you probably won’t notice at first because you’re zoomed into part of your normal drawing area; it just looks to you like the objects have vanished! In short, be careful when you press Enter during the Move, CoPy, and Stretch commands. Press Enter in response to the second prompt only if you want AutoCAD to use your response to the first prompt as an absolute displacement. If you make a mistake, click the Undo button to back up and try again. You can use Zoom Extents (described in Chapter 7) to look for objects that have flown off into space.

Move

The following steps demonstrate command-first editing with the Move command using the base point method of indicating how far and in what direction to move the selected objects. This procedure also gives detailed recommendations on how to use precision techniques when you edit:

  1. Press Esc to make sure that no command is active and no objects are selected.

  2. Click the Move button on the Modify toolbar.

    The command line displays the Select objects prompt.

  3. Select one or more objects.

    You can use any of the object selection techniques described in the “Perfecting Selecting” section, earlier in this chapter.

  4. Press Enter when you’re finished selecting objects.

    AutoCAD displays the following prompt:

    Specify base point or displacement:

  5. Specify a base point by clicking a point or typing coordinates.

    This point serves as the tail end of your imaginary arrow indicating how far and in what direction you want the objects moved. After you pick a base point, it’s fairly easy to see what’s going on because AutoCAD displays a temporary image of the object that moves around as you move the cursor. Figure 6-4 shows what the screen looks like.

    Click To expand
    Figure 6-4: Dragging objects in the middle of the MOVE command.

    Tip Specify a base point somewhere on or near the object(s) that you’re moving. You can use an object snap mode to choose a point exactly on one of the objects.

    AutoCAD displays the following prompt:

    Specify second point of displacement or <use first point as displacement>:

  6. Specify the second point by clicking a point or typing coordinates.

    The second point serves as the arrow end of your imaginary displacement arrow. After you specify the second point, AutoCAD moves the objects.

    Don’t press Enter alone at this prompt! If you do, AutoCAD treats the X,Y coordinates of the first point you picked as an absolute displacement, and the objects fly off in an unpredictable fashion.

Tip These are common precision techniques for specifying the second point:

  • Use an object snap mode to pick a second point exactly on another object in the drawing.

  • Type a relative or polar coordinate, as described in Chapter 4. For example, if you type @6,2, AutoCAD moves the objects 6 units to the right and 2 units up. If you type @3<45, AutoCAD moves the objects 3 units at an angle of 45 degrees.

  • Use direct distance entry to move objects in an orthogonal direction. See Chapter 4 for instructions.

Copy

The CoPy command works almost identically to the Move command, except that AutoCAD leaves the selected objects in place and moves new copies of them to the new location. The CoPy command also includes a Multiple option for making multiple copies of the same set of objects. You activate the Multiple option by typing M and pressing Enter after you finish object selection. As always, you must watch the command line prompts to find out what you can do and when to do it!

Copy between drawings

One useful variation on the CoPy command is that you can copy objects from one drawing to another by using the COPYCLIP command, together with its companion command, PASTECLIP. Follow these steps:

  1. Open two drawings that contain geometry you want to copy from one to the other. Arrange the two drawings so that you can see both of them, as shown in Figure 6-5.

    Click To expand
    Figure 6-5: Copying objects between drawings.

    Tip If you don’t have enough screen real estate to arrange the two drawings side by side, you can leave them overlapped and change between the two drawing windows by using the Window menu or by pressing Ctrl+Tab.

  2. In the first drawing, right-click in the drawing area and choose Copy from the cursor menu.

    Choose Cut if you want to move rather than copy the objects to the other drawing. Choose Copy with Base Point if you want to choose a specific base point rather than let AutoCAD choose a base point.

    The base point that AutoCAD chooses is the lower-left corner of an imaginary rectangle that just barely encloses all the objects you’ve selected.

  3. If you chose Copy with Base Point in Step 2, pick a base point to use for the copy operation.

    The base point is like a base point for a block definition, as described in Chapter 13. Choose a useful point such as the endpoint of a line, the lower-left corner of a rectangle, or the center of a circle.

  4. Select the objects that you want to copy and then press Enter to end object selection.

  5. Click in the second drawing’s window to make it current.

  6. Right-click in the second drawing’s window and choose Paste from the cursor menu.

    Choose Paste to Original Coordinates if you want to copy the objects so that they land at the same point (with respect to 0,0) in the second drawing as they were located in the first drawing.

  7. Specify an insertion point for the copied objects by object snapping to a point on an existing object or typing absolute X,Y coordinates.

    AutoCAD copies the objects.

Warning It’s easy to confuse the CoPy and COPYCLIP commands:

  • CoPy is AutoCAD’s primary command for copying objects within a drawing.

  • COPYCLIP — along with related commands like CUTCLIP and PASTECLIP — is AutoCAD’s version of copy-and-paste via the Windows Clipboard.

(You can use the Windows Clipboard cut-and-paste method to copy or move objects within a single drawing, but using the AutoCAD CoPy and Move commands usually gives you better control and precision.)

Table 6-2 summarizes AutoCAD’s Clipboard-related commands, along with the equivalent choices on the right-click menu and the Standard toolbar.

Table 6-2: AutoCAD Clipboard Commands
Cursor Menu Choice | Command Name | Toolbar Button Name
Cut | CUTCLIP | Cut to Clipboard
Copy | COPYCLIP | Copy to Clipboard
Copy with Base Point | COPYBASE | none
Paste | PASTECLIP | Paste from Clipboard
Paste as Block | PASTEBLOCK | none
Paste to Original Coordinates | PASTEORIG | none

Stretch

The Stretch command is superficially similar to CoPy and Move; it has the same inscrutable base point and displacement prompts, and it shifts objects — or parts of objects — to other locations in the drawing. But it also has important differences that often confound new AutoCAD users to the point where they give up trying to learn to use Stretch. That’s a mistake, because Stretch is a valuable command. With it, you can perform editing operations in seconds that would take many minutes with other commands. Here are the things you need to know to make Stretch your friend:

  • To use Stretch effectively, you must select objects using a crossing selection box (or crossing polygon), as described in the section “Perfecting Selecting,” earlier in this chapter. See Figure 6-6.

    Click To expand
    Figure 6-6: Use a crossing selection box to select objects for stretching.

  • Stretch operates on the defining points of objects — endpoints of a line, vertices of a polyline, the center of a circle, and so on — according to the following rule: If a defining point is within the crossing selection box that you specify, AutoCAD moves the defining point and updates the object accordingly.

    For example, if your crossing selection box surrounds one endpoint of a line but not the other endpoint, Stretch moves the first endpoint and redraws the line in the new position dictated by the first endpoint’s new location. It’s as though you have a rubber band tacked to the wall with two pins, and you move one of the pins. See Figure 6-7.

    Click To expand
    Figure 6-7: Stretch moves defining points that lie within the crossing selection box.

  • Stretch can make lines longer or shorter, depending on your crossing selection box and displacement vector. In other words, the Stretch command really combines stretching and compressing.

  • You usually want to turn on ortho mode before stretching. Otherwise, you’ll end up stretching objects in strange directions. See Figure 6-8.

    Click To expand
    Figure 6-8: Use stretch with ortho turned on.

The following steps describe how to Stretch lines:

  1. Draw some lines in an arrangement similar to the dark lines shown in Figure 6-9.

    Start your stretching with simple objects. You can work up to more complicated objects — polylines, circles, arcs, and so on — after you’ve limbered up with lines.

    Click To expand
    Figure 6-9: Dragging objects in the middle of the Stretch command.

  2. Press Esc to make sure that no command is active and no objects are selected.

  3. Click the Stretch button on the Modify toolbar.

    The command line displays the Select objects prompt, with a warning to use the Crossing or CPolygon object selection mode:

    Select objects to stretch by crossing-window or crossing-polygon...
Select objects:

  4. Specify a crossing selection box that encloses some, but not all, endpoints of the lines.

    Figure 6-9 shows a sample crossing selection box that completely encloses the two vertical lines on the right side of the figure. This crossing selection box cuts through the four longer horizontal lines, enclosing only one endpoint of each.

    Remember You specify a crossing selection box by picking a point, moving your mouse to the left, and picking a second point.

  5. Press Enter to end object selection.

    AutoCAD displays the following prompt.

    Specify base point or displacement:

  6. Specify a base point by object snapping to a point on an existing object or by typing absolute X,Y coordinates.

    This step is just like Step 5 in the Move procedure earlier in this chapter.

    AutoCAD displays the following prompt.

    Specify second point of displacement or <use first point as displacement>:

  7. Toggle ortho mode on and then off by clicking the ORTHO button on the status bar; try moving the cursor around first with ortho mode on and then with it off to see the difference.

    Figure 6-6 shows what the screen looks like as you move the cursor around with ortho off.

  8. Toggle ortho mode on and then specify the second point — usually by using direct distance entry, object snapping to a point on an existing object, or typing relative X,Y coordinates.

    This step is just like Step 6 in the Move procedure earlier in this chapter. After you pick the second point, AutoCAD stretches the objects. Notice that the Stretch command moved the three short lines because the crossing selection box contained both endpoints of all three lines. Stretch lengthened or shortened the four longer horizontal lines because the crossing selection box enclosed only one endpoint of each.

The Stretch command takes some practice, but it’s worth the effort. Draw some additional kinds of objects and practice stretching with different crossing selection box locations as well as different base points and second points.

More manipulations

The commands in this section — ROtate, SCale, ARray, and OFfset — provide other ways (in addition to Move, CoPy, and Stretch) of manipulating objects or creating new versions of them. The procedures for each command assume that you’re familiar with the object selection and editing precision techniques presented in the Move, CoPy, and Stretch procedures (see the previous sections in this chapter).

Rotate

The ROtate command “swings” one or more objects around a point that you specify. Follow these steps to use the ROtate command:

  1. Press Esc to make sure that no command is active and no objects are selected.

  2. Click the Rotate button on the Modify toolbar.

  3. Select one or more objects and then press Enter to end object selection.

    AutoCAD prompts you for the base point for rotating the selected objects:

    Specify base point:

  4. Specify a base point by clicking a point or typing coordinates.

    The base point becomes the point about which AutoCAD rotates the objects. You also have to specify a rotation angle:

    Specify rotation angle or [Reference]:

  5. Specify a rotation angle by typing an angle measurement and pressing Enter.

    Alternatively, you can indicate an angle on the screen by moving the cursor until the Coordinates section of the status bar indicates the desired angle and then clicking. Ortho mode or polar tracking make it easier to pick orthogonal angles.

    After you specify the rotation angle by picking or typing, AutoCAD rotates the objects into their new position.

Scale

If you read all of my harping on drawing scales and drawing scale factors in Chapter 3, you might think that the SCale command performs some magical scale transformation on your entire drawing. No such luck. It merely scales one or more objects up or down by a factor that you specify. Here’s how it works:

  1. Press Esc to make sure that no command is active and no objects are selected.

  2. Click the Scale button on the Modify toolbar.

  3. Select one or more objects and then press Enter to end object selection.

    AutoCAD prompts you for the base point about which it will scale all the selected objects:

    Specify base point:

    Warning AutoCAD does not scale each object individually around its own base point (because most AutoCAD drawing objects don’t have individual base points). Instead, AutoCAD uses the base point that you specify to determine how to scale all objects in the selection set. For example, if you select a circle to scale, pick a point outside the circle as the base point, and then specify a scale factor of 2, AutoCAD not only makes the circle twice as big, but also moves the circle twice as far away from the base point that you specified.

  4. Specify a base point by picking a point or typing coordinates.

    The base point becomes the point about which the objects are scaled. AutoCAD prompts you for the scale factor:

    Specify scale factor or [Reference]:

  5. Type a scale factor and press Enter.

    Numbers greater than one increase the objects’ size. Numbers smaller than one decrease the objects’ size. AutoCAD then scales the objects by the factor that you type, using the base point that you specified.

Technical Stuff Changing the drawing scale factor of a drawing after you’ve drawn it is a tedious and complicated process in AutoCAD. In brief, you need to change the scale-dependent system variables described in Chapter 3, and then scale some, but not all, drawing objects. You don’t scale the real-world geometry that you’ve drawn because its measurements in the real world remain the same. You do scale objects such as text and hatching that have a fixed height or spacing regardless of drawing scale factor. (The SCALETEXT command can help with this operation. See Chapter 9 for more information.) Because of these complications, try to make sure that you choose a proper scale and set up the drawing properly for that scale before you begin drawing. See Chapter 3 for details.

Array

The ARray command is like a supercharged CoPy: You use it to create a rectangular grid of objects at regular X and Y spacings or a polar wheel of objects at a regular angular spacing. For example, you can use rectangular arrays to populate an auditorium with chairs or a polar array to draw bicycle spokes.

The following steps describe how to create a rectangular array, which you’ll probably do more often than creating a polar array:

  1. Press Esc to make sure that no command is active and no objects are selected.

    Alternatively, you can select objects before starting the ARray command and thereby skip Step 3.

  2. Click the Array button on the Modify toolbar.

    The Array dialog box appears, as shown in Figure 6-10.

    Click To expand
    Figure 6-10: ARay makes duplicates of objects in a rectangular or polar pattern.

  3. Click the Select Objects button, and then select one or more objects. Press Enter to end object selection and return to the Array dialog box.

  4. Make sure that the Rectangular Array radio button is selected.

    If rectangular arrays seem too square, choose the cool Polar Array radio button instead and experiment with the other array option.

  5. Fill in the five edit boxes: Rows, Columns, Row Offset, Column Offset, and Angle of Array.

    The Rows and Columns numbers include the row and column of the original objects themselves. In other words, entries of 1 don’t create any new objects in that direction. The Row Offset and Column Offset measurements are the distances between adjacent rows and columns.

  6. Click Preview.

    AutoCAD shows what the array will look like by using your current settings and displays a dialog box with Accept, Modify, and Cancel buttons.

  7. Click the Accept button if you’re satisfied with the array, or the Modify button if you want to change the array parameters.

Offset

You use OFfset to create parallel copies of lines, polylines, circles, arcs, or splines. Follow these steps to use OFfset:

  1. Click the Offset button on the Modify toolbar.

    AutoCAD prompts you for the offset distance — the distance from the original object to the copy you’re creating:

    Specify offset distance or [Through] <Through>:

  2. Type an offset distance and press Enter.

    Alternatively, you can indicate an offset distance by picking two points on the screen. If you choose this method, you normally should use object snaps to specify a precise distance from one existing object to another.

    AutoCAD prompts you to select the object from which you want to create an offset copy:

    Select object to offset or <exit>:

  3. Select a single object, such as a line, polyline, or arc.

    Note that you can select only one object at a time with the OFfset command. AutoCAD asks where you want the offset object:

    Specify point on side to offset:

  4. Point to one side or the other of the object and then click.

    It doesn’t matter how far away from the object the cursor is when you click. You’re simply indicating a direction.

    AutoCAD repeats the Select object prompt, in case you want to offset other objects by the same distance:

    Select object to offset or <exit>:

  5. Go back to Step 3 if you want to offset another object, or press Enter if you’re finished offsetting objects for now.

Figure 6-11 shows the OFfset command in progress.

Click To expand
Figure 6-11: Offsetting a line.

Tip If you want to offset a series of connected lines (for example, a rectangular house plan outline or one side of a pathway on a map), make sure that you either draw it as a polyline or convert the individual line and/or arc segments into a polyline with the PEdit command. If you draw a series of line segments with the Line command and then try to offset it, you have to pick each segment and offset it individually. Even worse, the corners usually aren’t finished off in the way that you’d expect, because AutoCAD doesn’t treat the segments as connected. You avoid all of these problems by offsetting a polyline, which AutoCAD does treat as a single object. See Chapter 5 for more information.

Slicing and dicing

The commands in this section — TRim, EXtend, BReak, Fillet, and CHamfer — are useful for shortening and lengthening objects and for breaking them in two.

Trim and Extend

TRim and EXtend are the twin commands for making lines, polylines, and arcs shorter and longer. They’re the yin and yang, the Laurel and Hardy, the Jack Sprat and his wife of the AutoCAD editing world. The two commands and their prompts are almost identical, so the following steps cover both. I show the prompts for the TRim command; the EXtend prompts are similar:

  1. Click the Trim or Extend button on the Modify toolbar.

    AutoCAD prompts you to select cutting edges that will do the trimming (or, if you chose the EXtend command, boundary edges for extending to):

    Current settings: Projection=UCS, Edge=None
Select cutting edges ...
Select objects:

  2. Select one or more objects that will act as the knife for trimming objects or the wall to which objects will be extended. Press Enter to end object selection.

    Figure 6-12 shows a cutting edge (for TRim) and a boundary edge (for EXtend).

    Click To expand
    Figure 6-12: Anatomy of the TRim and EXtend operations.

    AutoCAD prompts you to select objects that you want to trim or extend:

    Select object to trim or shift-select to extend or [Project/Edge/Undo]:

  3. Select a single object to trim or extend. Choose the portion of the object that you want AutoCAD to trim away.

    AutoCAD trims or extends the object to one of the objects that you selected in Step 2. If AutoCAD can’t trim or extend the object — for example, if the trimming object and the object to be trimmed are parallel — the command line displays an error message such as Object does not intersect an edge.

    Tip TRim and EXtend normally allow you to select only one object at a time for trimming or extending. The one exception is that you can type F and press Enter to use the Fence object selection mode (refer to Table 6-1). Fence is useful for trimming or extending a large group of objects in one fell swoop.

    The command line continues to prompt you to select other objects to trim or extend:

    Select object to trim or shift-select to extend or [Project/Edge/Undo]:

  4. Choose additional objects, or press Enter when you’re finished trimming or extending.

    Tip If you accidentally trim or extend the wrong object and you’re still in the TRim or EXtend command, type U and press Enter to undo the most recent trim or extend.

The example in Figure 6-12 shows trimming to a single cutting edge, in which the end of the trimmed lines gets lopped off. Another common use of the TRim command is for trimming out a piece of a line between two cutting edges. In the two-cutting-edges scenario, TRim cuts a piece out of the middle of the trimmed line.

Break

The BReak command isn’t what you use before heading out for coffee. It’s for breaking pieces out of — that is, creating gaps in — lines, polylines, circles, arcs, or splines. BReak also comes in handy if you need to split one object into two without actually removing any visible material.

Tip If you want to create regularly spaced gaps in an object — so that it displays dashed, for instance — don’t use BReak. Use an AutoCAD dash-dot linetype instead. See Chapter 4 for more information.

The following example shows how you BReak an object:

  1. Click the Break button on the Modify toolbar.

    AutoCAD prompts you to select a single object that you want to break:

    Select object:

  2. Select a single object, such as a line, polyline, or arc.

    Tip The point you pick when selecting the object serves double-duty: It selects the object, of course, but it also becomes the default first break point (that is, it defines one side of the gap that you’ll create). Thus, you should either use one of the AutoCAD precision techniques, such as an object snap, to pick the object at a precise point, or use the First point option (described in the next step) to re-pick the first break point.

    AutoCAD prompts you to specify the second break point, or to type F and press Enter if you want to re-specify the first break point:

    Specify second break point or [First point]:

  3. If the point that you picked in the preceding step doesn’t also correspond to a break point (see the previous tip), type F and press Enter to re-specify the first break point, and then pick the point using an object snap or other precision technique.

    If you do type F and press Enter and then re-specify the first break point, AutoCAD prompts you now to select the second break point:

    Specify second break point:

  4. Specify the second break point by picking a point or typing coordinates.

    AutoCAD cuts a section out of the object, using the first and second break points to define the length of the gap.

Tip If you want to cut an object into two pieces without removing anything, click the Break at Point button on the Modify toolbar. The point that you pick serves to select the object and define the point at which AutoCAD breaks it into two. You can then move, copy, or otherwise manipulate each section of the original object as a separate object.

Fillet and Chamfer

Whereas TRim, EXtend, and BReak alter one object at a time, the Fillet and CHamfer commands require a pair of objects. As Figure 6-13 shows, Fillet creates a curved corner between two lines, whereas CHamfer creates an angled, straight corner. In case you wondered, it’s pronounced “fill-et,” not “fill-eh.” Saying that you know how to “fill-eh” may get you a job in a butcher shop, but it will get you strange looks in a design office.

Click To expand
Figure 6-13: Cleaning up those corners with Fillet and CHamfer.

The following steps describe how to use the Fillet command:

  1. Click the Fillet button on the Modify toolbar.

    AutoCAD displays the current Fillet settings and prompts you to select the first object for filleting or specify one of three options:

    Current settings: Mode = TRIM, Radius = 0.5000
Select first object or [Polyline/Radius/Trim]:

  2. Type R and press Enter to set the fillet radius.

    AutoCAD prompts you to specify the fillet radius that it uses for future fillet operations:

    Specify fillet radius <0.5000>:

  3. Type a fillet radius and press Enter.

    The number you type will be the radius of the arc that joins the two lines.

    Select first object or [Polyline/Radius/Trim/mUltiple]:

  4. Select the first line of the pair that you want to fillet.

    AutoCAD prompts you to select the second object for filleting:

    Select second object:

  5. Select the second line of the pair that you want to fillet.

    AutoCAD fillets the two objects, drawing an arc of the radius that you specified in Step 3.

Tip You can fillet two lines by using a radius of zero to make them meet at a point.

The CHamfer command works similarly except that, instead of specifying a fillet distance, you specify either two chamfer distances or a chamfer length and angle.


Get a Grip

Although command-first editing is the most flexible and widespread editing style in AutoCAD, it’s not the only way. Grip editing is a useful adjunct to command-first editing, especially when you want to modify just one or two objects. You may have encountered grip editing when using other kinds of graphics programs. Even if you’re an experienced user of other graphics programs, you’ve never seen grips used in quite the way that AutoCAD uses them.

Tip Anything that you can do with grip editing can be done with command-first editing as well. In some situations, grip editing is a little more efficient or convenient than command-first editing, but command-first editing always gets the job done. If you learn only one style of editing, make it command-first style. In other words, feel free to skip this section — at least until you’re comfortable with command-first editing.

About grips

Grips are little square handles that appear on an object after you select it. You employ these handles in many programs for direct manipulation of the object, as I describe earlier in this chapter. Direct manipulation involves the following common operations:

  • To move an object, you grab the object’s middle grip and drag that grip.

  • To stretch an object, you grab a corner, or edge grip, and drag that grip.

  • To move a copy of the object, you hold down the Shift key while dragging the middle of the object.

Even the little frames around the graphics you import into a word processing document are likely to work this way.

In their simplest guise, AutoCAD grips work similar to the little squares on graphical objects in other Windows programs. But instead of clicking and dragging a grip, in AutoCAD you must click, release the mouse button, move the cursor, and click again at the new location. (By separating the selection of beginning and ending points into two different operations, AutoCAD allows you to use different techniques — such as different object snap modes — to select each point.)

AutoCAD grips are, for sophisticated users, better than the grips found in most other programs, because you can do so much more with them. You can, for example, use AutoCAD grips to move, stretch, or copy an object. You also can use them to rotate an object, scale it to a different size, or mirror an object — that is, create one or more backwards copies. Grips also act as visible object snaps, or little magnets that draw the cursor to themselves.

A gripping example

The following sections cover in detail the five grip editing modes — Stretch, Move, Rotate, Scale, and Mirror. Follow these steps to explore the grip editing modes:

  1. Press Esc to make sure that no command is active and no objects are selected.

    AutoCAD displays the naked command prompt — that is, no command is currently active:

    Command:

  2. Click an object on-screen to select it and display its grips.

    Grips — solid blue squares on the selected object — appear at various points on the object. Note that the AutoCAD command prompt remains naked; you haven’t started a command or grip-editing operation yet.

  3. Click another object.

    Both the newly selected object and the object that you selected previously display grips.

  4. Click one of the grips on either object.

    The blue square turns to a red square. This grip is now hot, or ready for a grip-editing operation.

    Grip-editing options now appear on the command line. The first option to appear is STRETCH.

  5. Press the spacebar repeatedly to cycle through the five grip-editing options on the command line:

    ** STRETCH **
Specify stretch point or [Base point/Copy/Undo/eXit]:
** MOVE **
Specify move point or [Base point/Copy/Undo/eXit]:
** ROTATE **
Specify rotation angle or [Base point/Copy/Undo/Reference/eXit]:
** SCALE **
Specify scale factor or [Base point/Copy/Undo/Reference/eXit]:
** MIRROR **
Specify second point or [Base point/Copy/Undo/eXit]:

    The grip-editing option displayed on the command line changes as you press the spacebar. If you move the cursor (without picking) in between each press of the spacebar, the appearance of your selected object changes as you display each option. As you can see, each of the grip editing operations resembles the ordinary AutoCAD command of the same name. Choosing STRETCH, for example, causes a stretched version of the object to appear on-screen.

    Tip Pressing the spacebar a bunch of times is a good way to become familiar with the grip-editing modes, but there’s a more direct way to choose a particular mode. After you click a grip to make it hot, right-click to display the grip-editing menu. That menu contains all the grip-editing options plus some other choices, as shown in Figure 6-14.

    Figure 6-14: The grip-editing cursor menu.

  6. Press the spacebar until STRETCH (or the option you want) reappears as the grip-editing option.

  7. Move the hot grip in the direction in which you want to stretch (or otherwise manipulate) your object.

    AutoCAD dynamically updates the image of the object to show you what the modified object will look like before you click the final location.

  8. Click again to finish the grip-editing operation.

    The selected object with the hot grip updates. The object with the cold grips doesn’t change.

  9. Click the same grip that you chose in Step 4 (now in a different location) to make it hot.

  10. This time, move the cursor near one of the grips on the other object. When you feel the magnetic pull of the grip on the other object, click again to connect the hot grip with the other grip.

    The object point represented by the hot grip now coincides exactly with the grip on the other object.

  11. Press Esc to deselect all objects and remove all grips.

Figure 6-15 shows a hot endpoint grip of a line being connected to the cold endpoint grip of another line. The ghosted line shows the original position of the line being edited, and the continuous line shows the new position. Using a grip in this way as a visible object snap offers the same advantage as using single point object snaps, as described in Chapter 4: It ensures precision by making sure that objects meet exactly.

Click To expand
Figure 6-15: Using grips to connect two objects.
Start Sidebar
Polishing those properties

When you think of editing objects, you probably think first about editing their geometry: moving, stretching, making new copies, and so on. That’s the kind of editing I cover in this chapter.

Another kind of editing is changing objects’ properties. As I describe in Chapter 4, every object in an AutoCAD drawing has a set of nongeometrical properties, including layer, color, linetype, and lineweight. Sometimes, you need to edit those properties — when you accidentally draw something on the wrong layer, for example. Three common ways of editing objects properties in AutoCAD are

  • The Properties palette: This is the most flexible way to edit properties. Select any object (or objects), right-click in the drawing area, and choose Properties from the cursor menu. The Properties palette displays a tabular grid that lists the names and values of all properties. Click in the value cell to change a particular property.

  • Layers and Properties toolbars: Another way to change properties is to select objects and then choose from the drop-down lists (Layer, Color, and so on) on the Layers and the Properties toolbars. See Chapter 4 for more information.

  • Match Properties: You can use the Match Properties button on the Standard toolbar — the button with the paintbrush on it — to paint properties from one object to another. Match Properties works similarly to the Format Painter button in Microsoft applications. Match Properties works even when the objects reside in different drawings.

End Sidebar

You can experiment with all the grip-editing options to find out how they affect a selected object.

Because MOVE and STRETCH are the most useful grip editing modes, I cover them more specifically.

Move it!

Back in the days of manual drafting, moving objects was a big pain in the eraser. You had to erase the stuff you wanted to move and redraw the objects in their new location. In the process, you usually ended up erasing parts of other stuff that you didn’t want to move and left smudged lines and piles of eraser dust everywhere. CAD does away with all the fuss and muss of moving objects, and AutoCAD grip editing is a great way to make it happen. The following steps describe how to move objects:

  1. Select one or more objects.

    Use any combination of the three editing modes — single object, bounding box, or crossing box — described in the section, “Grab It,” earlier in this chapter.

  2. Click one of the grips to make it hot.

    At this point in your editing career, it doesn’t matter which grip you click. As you become more familiar with grip editing, you’ll discover that certain grips serve as better reference points than others for particular editing operations.

  3. Right-click anywhere in the drawing area and choose Move from the cursor menu.

  4. Move the cursor to a different location and click.

    As you move the cursor around, AutoCAD displays the tentative new positions for all the objects, as shown in Figure 6-16. After you click, the objects assume their new positions.

    Click To expand
    Figure 6-16: Dragging objects in the middle of the MOVE grip-editing operation.

  5. Press Esc to deselect all objects and remove all grips.

Copy, or a kinder, gentler Move

If you were paying attention during “A gripping example,” earlier in the chapter, you may have noticed while pressing the spacebar that COPY was not among the five grip-editing modes. Why not? Because every grip mode includes a copy option (as the command line prompts shown in “A gripping example,” earlier in this chapter indicate). In other words, you can STRETCH with copy, MOVE with copy, ROTATE with copy, SCALE with copy, and MIRROR with copy.

The copy option leaves the selected objects in place and does the editing operation on a new copy of the objects.

By far the most common use for the copy option is with the MOVE grip-editing mode. If you think about “MOVE with copy” for about two seconds, you’ll realize that it’s just a complicated way of saying “copy.” The following steps show how to copy objects quickly by using grip editing:

  1. Select one or more objects.

  2. Click any one of the grips to make it hot.

  3. Right-click anywhere in the drawing area and choose Move from the cursor menu.

    Warning If you want to copy objects in the normal sense of the word “copy,” you must choose the MOVE grip-editing mode first. Otherwise, you’ll be copying with the STRETCH grip-editing mode.

  4. Right-click again and choose Copy from the cursor menu.

  5. Move the cursor to a different location and click.

    After you click, new objects appear in the new location.

  6. Move the cursor to additional locations and click there if you want to make additional copies.

  7. Press Esc twice — once to end the copying operation and once to deselect all objects and remove all grips.

A warm-up Stretch

In AutoCAD, stretching is the process of making objects longer or shorter. The STRETCH grip-editing operation is really a combination of stretching and compressing, but the programmers probably realized that STRETCHANDCOMPRESS didn’t exactly roll off the tongue.

The STRETCH grip-editing mode works differently than the other modes. By default, it affects only the object with the hot grip on it, not all objects with grips on them. You can override this default behavior by using the Shift key to pick multiple hot grips. Follow these steps to get acquainted with using the STRETCH grip-editing mode to stretch one or more objects:

  1. Turn off ortho (orthogonal) mode by clicking the ORTHO button on the status bar until the button appears to be pushed out and the words <Ortho off> appear on the command line.

    Ortho mode forces stretch displacements to be orthogonal — that is, parallel to lines running at 0 and 90 degrees. During real editing tasks, you’ll often want to turn on ortho mode, but while you get acquainted with stretching, leaving ortho mode off makes things clearer.

  2. Select several objects, including at least one line.

  3. On one of the lines, click one of the endpoint grips to make it hot.

    All the objects remain selected, but as you move the cursor, only the line with the hot grip changes. Figure 6-17 shows an example.

    Click To expand
    Figure 6-17: Dragging a line’s endpoint in the middle of the STRETCH grip-editing operation.

  4. Click a new point for the hot endpoint grip.

    The line stretches to accommodate the new endpoint location.

  5. On the same line, click the midpoint grip to make it hot.

    As you move the cursor, the entire line moves. Using the STRETCH grip-editing mode with a line’s midpoint stretches the entire line to a new location.

  6. Click a new point for the hot midpoint grip.

    The line moves to the new midpoint location.

  7. On one of the lines, click one of the endpoint grips to make it hot.

  8. Hold down the Shift key, and then click one of the endpoint grips on a different line to make it hot.

    Two grips on two different lines are now hot because you held down the Shift key and clicked the second grip.

    Tip You can create more hot grips by holding down the Shift key and clicking more grips.

  9. Release the Shift key and re-pick any one of the hot grips.

    Releasing the Shift key signals that you’re finished making grips hot. Re-picking one of the hot grips establishes it as the base point for the stretch operation (see Figure 6-18).

    Click To expand
    Figure 6-18: Stretching multiple objects with multiple hot grips.

  10. Click a new point for the grip.

    All the objects with hot grips stretch based on the displacement of the grip that you clicked in Step 9.

  11. Turn on ortho mode by clicking the ORTHO button on the status bar until the button appears to be pushed in and the words <Ortho on> appear on the command line. Repeat Steps 2 through 10 to see the effect of ortho mode on stretching.

Tip For most real-world editing situations, you’ll want to turn on ortho mode before stretching. Ortho mode is good for all kinds of drawing and editing tasks because it enforces a nice, rectilinear orderliness on your drawing. Chapter 4 describes how to use ortho mode to draw orthogonal lines.


Chapter 7: A Zoom with a View

Overview

In This Chapter

  • Zooming and panning

  • Naming and restoring views

  • Zooming and panning in paper space layouts

  • Regenerating the display

One of the advantages of CAD over manual drawing is its capability of giving you different ways to view your drawing. You can zoom in close, zoom out to a great distance, and pan around. In fact, not only can you zoom and pan in your drawing, but in most kinds of drawings, you must do it frequently to be able to draw, edit, and view effectively.

Technical drawings are jam-packed with lines, text, and dimensions. Zooming and panning frequently enables you to see the details better, draw more confidently (because you can see what you’re doing), and edit more quickly (because object selection is easier when there aren’t a zillion objects on the screen). This chapter covers AutoCAD’s most useful display control features.


Zoom and Pan with Glass and Hand

Moving your viewpoint in to get a closer view of your drawing data is called zooming in; moving your viewpoint back to get a more expansive view is called zooming out.

Zooming in and out of your drawing is one of the big advantages that AutoCAD offers over manual drawing. You can do detailed work on tiny objects and then zoom out and move around rooms, houses, or neighborhoods from an Olympian perspective.

Panning is closely related to zooming. If you zoom in enough that some of your drawing no longer shows up on-screen, you’re going to want to pan around — move left, right, up, and down in your drawing — without zooming in and out. AutoCAD makes panning easy with scroll bars and realtime panning.

Both panning and zooming change what is known as the view. The view is the current location and magnification of the AutoCAD depiction of your drawing. Each time you zoom or pan, you establish a new view. You can give a name to a specific view to make returning to that view easy, as I demonstrate later in this chapter.

Fortunately, zooming and panning in AutoCAD is as simple as it is necessary. The following steps describe how to use AutoCAD’s Zoom and Pan Realtime feature, which is easy to operate and provides a lot of flexibility:

  1. Click the Zoom Realtime button (the one that looks a magnifying glass with a plus/minus sign next to it) on the Standard toolbar.

    The Realtime option of the Zoom command starts. The cursor changes to a magnifying glass, and AutoCAD prompts you at the command line:

    Press ESC or ENTER to exit, or right-click to display shortcut menu.

  2. Move the cursor near the middle of the screen, press and hold down the left mouse button, and drag the cursor up and down until the table almost fills the screen.

    Remember Dragging up increases the zoom magnification and dragging down decreases it.

  3. Right-click in the drawing area to display the Zoom/Pan Realtime cursor menu, shown in Figure 7-1. Choose Pan from the menu.

    Figure 7-1: The Zoom/Pan Realtime cursor menu.

    The cursor changes to a hand.

  4. Click and drag to pan the drawing in any direction.

    Tip You can use the right-click menu to toggle back and forth between Zoom and Pan as many times as you like. If you get lost, choose Zoom Original or Zoom Extents to return to a recognizable view.

  5. Right-click in the drawing area and choose Exit.

    The cursor returns to the normal AutoCAD crosshairs.

In the preceding example, you started with zooming and ended with panning. You also have the option of doing the reverse: Click the Pan Realtime button (the one showing a hand), and after you’ve panned, use the right-click menu to switch to zooming. However you start it, the important thing to realize is that Zoom and Pan Realtime is a single AutoCAD function. At any time, you can switch between panning and zooming (or switch to a related function, such as Zoom Window) by using the right-click menu.

Tip You also can pan and zoom by using your mouse’s scroll wheel (if it has one) or the middle button of a three-button mouse:

  • To zoom in and out, roll the scroll wheel forward (in) or backward (out).

  • To zoom to the extents of your drawing, double-click the scroll wheel or the middle button.

  • To pan, hold down the scroll wheel or the middle button as you move the mouse.

Technical Stuff The scroll wheel or middle mouse button zoom and pan operations described in the preceding paragraph depend on an obscure AutoCAD system variable named MBUTTONPAN. (See Chapter 2 for a description of what system variables are and how to change them.) When MBUTTONPAN is set to 1 — the default value — you can use the middle button to pan and zoom, as I describe in the preceding tip. If you change MBUTTONPAN to 0, clicking the middle mouse button displays a cursor object snap menu, as it did in older AutoCAD versions. If you’re not able to zoom or pan with your middle mouse button, set MBUTTONPAN back to 1.

Right-click-based panning and zooming offer the easiest access to realtime zooming and panning, and realtime zooming and panning are the easiest, most interactive ways to get around in your drawings. In some situations, though, realtime panning and zooming are less efficient than the old-fashioned Zoom command’s options. If you’re working in large or complex drawings and want to know other, higher-efficiency ways to pan and zoom, read the remaining parts of this chapter.

Out of the frying pan . . .

Another way to pan in AutoCAD should be familiar from other Windows programs — the scroll bars in the drawing area. Scrolling is the same in AutoCAD as in any other Windows program; click the arrows in the right and bottom borders of the drawing window to scroll, or pan, a step at a time; or click and drag the little square “thumbs” in those borders to pan as little or as much as you want to.

Technical Stuff Believe it or not, the realtime and scrollbar panning methods are relatively new to AutoCAD. These methods have pretty much replaced the less-intuitive two-point method of panning in older versions of AutoCAD. If you want to see how Grandpa used to pan, enter –Pan (with the leading dash) at the command line and then follow the prompts. This older method remains useful in special situations where you need to pan orthogonally by a specific distance — that is, move the display precisely horizontally without wavering up and down or precisely vertically without wavering side to side. This situation sometimes occurs in advanced paper space viewport setup, which I don’t cover in this book.

Time to zoom

Because zooming is such a frequent necessity in AutoCAD, it’s worth knowing some alternative ways of doing it.

The Zoom command has different options. The most important of these options are the following:

  • All and Extents: Zoom Extents zooms out just far enough to show all the objects in the current drawing. Zoom All does the same thing, unless the drawings limits are larger than the extents, in which case Zoom All zooms to show the entire rectangular area defined by the limits. If you’ve defined your limits properly (see Chapter 3), Zoom All is a good way to see your whole drawing area. These two options are especially useful when you get zoom in too small or pan off into empty space and want to get reoriented to your entire drawing.

    Tip It’s a good idea to Zoom All or Zoom Extents and then save before you close a drawing. By performing these steps, you ensure the following:

    • The next person who opens the drawing — whether it’s you or someone else — can see the full drawing from the very beginning.

    • The drawing preview that displays in the Select File dialog box displays the full drawing, instead of just a tiny, unidentifiable corner of it.

  • Window: This option is great for zooming in quickly and precisely. It zooms to a section of your drawing that you specify by clicking two points. The two points define the diagonal of a window around the area you want to look at. (Note that the Zoom command’s Window option is not a click-and-drag operation — unlike in some other Windows programs and, confusingly, unlike in the Zoom/Pan realtime Zoom Window option. With the Zoom command’s Window option, you click one corner, release the mouse button, and then click the other corner.)

  • Scale (X/XP): The X option zooms by a percentage of the current display; values less than 1 cause you to zoom in, values greater than 1 cause you to zoom out. You can also think of the value as a scaling factor: 0.5X causes the screen image to shrink to half its apparent size, and 2X causes the screen image to double its apparent size. (The XP option after a number is for zooming model space objects in a viewport relative to paper space; see Chapter 3 for information about paper space.)

  • Realtime: Realtime zooming, the technique described previously, enables you to zoom in and out by starting a realtime zoom and then moving the cursor up to zoom in or down to zoom out.

  • Previous: This option undoes the last zoom and/or pan sequence. It’s like going back in time but without the funny costumes!

Tip Some of the zoom options take some getting used to. I recommend that you use realtime zoom and pan for most of your zooming and panning. Supplement it with Zoom Window to move quickly into a precise area, Zoom Previous to back up in zoom/pan time, and Zoom All or Zoom Extents to view your whole drawing.


A View by Any Other Name . . .

If you find yourself repeatedly zooming and panning to the same area, you probably can get there faster with a named view. A named view is a name that you assign to a particular region of your drawing. After you create a named view, you can return to that region quickly by restoring the view. You use the View command, which displays the View dialog box, to create and restore named views. Follow these steps to create a named view:

  1. Zoom and pan until you find the view that you want to assign a name to.

  2. Choose View ð Named Views.

    The View dialog box appears.

  3. Click the New button.

    The New View dialog box appears, as shown in Figure 7-2.

    Click To expand
    Figure 7-2: Create a new view for you.

  4. Type a name in the View Name text box.

  5. Select the Current Display radio button, if it’s not selected already.

    Tip If you want to name a region other than the currently displayed view, select the Define Window radio button instead, click the Define View Window button to the right of it, and pick two corners of the region’s rectangle (as though you were zooming windows).

  6. Click OK.

    The New View dialog box disappears, and you see your new named view in the list in the View dialog box.

  7. Click OK.

    The View dialog box disappears.

To restore a named view, choose ViewðNamed Views or enter View at the command line to display the View dialog box. Click the name of the view that you want to restore, click the Set Current button, and then click OK to close the dialog box.

Tip You also can plot the area defined by a named view. See Chapter 12 for instructions on plotting views.


Zoom and Pan in Layout Land

All the zoom, pan, and view operations I describe in this chapter apply to paper space layouts as well as to model space. (See Chapter 3 if you’re unfamiliar with the difference between model space and paper space.) One little complication exists, though: In a paper space layout — that is, any drawing area tab except for the Model tab — it’s possible for the cursor to be either in paper space or in model space inside a viewport. Zooming or panning has a different effect depending on which space your cursor is in at the moment. Experiment with the different effects by following these steps:

  1. Open a drawing that contains at least one paper space layout with a title block and one or more viewports.

    If you don’t have any such drawings handy, try using the AutoCAD sample drawing \Program Files\AutoCAD 2004\Sample\ Wilhome.dwg.

  2. Click one of the layout tabs — that is, any tab other than the Model tab.

    AutoCAD displays the paper space layout for that tab, including any title block and viewports.

  3. Click the PAPER/MODEL button on the status bar until it says PAPER.

    Alternatively, you can double-click in the gray part of the drawing area outside of the layout.

    The cursor is now in paper space, so zooming and panning changes the display of all the objects in the layout, including the title block.

  4. Choose View ð Zoom ð All.

    AutoCAD displays the entire layout, as shown in Figure 7-3.

    Click To expand
    Figure 7-3: The full layout.

  5. Zoom and pan by using any of the techniques described in this chapter.

    Zooming and panning change the appearance of the title block, as shown in Figure 7-4. The effect is similar to moving a plotted sheet in and out and all around in front of your face.

    Click To expand
    Figure 7-4: Zooming in paper space.

  6. Choose View ð Zoom ð All.

    AutoCAD displays the entire layout again.

  7. Click the PAPER/MODEL button on the status bar until it says MODEL.

    Alternatively, you can double-click with the cursor over a viewport.

    The cursor is now in model space, inside the viewport, so zooming and panning change only the display of the objects that are visible in the viewport. The display of the title block doesn’t change.

  8. Zoom and pan by using any of the techniques described in this chapter.

    Zooming and panning don’t change the appearance of the title block, as shown in Figure 7-5. The result looks as if you’re moving a picture of the model space geometry in and out and all around behind a frame.

    Click To expand
    Figure 7-5: Zooming in a model space viewport.

    Warning In real drawings, you usually shouldn’t zoom and pan inside viewports after they’ve been set up (see Chapter 3). Doing so changes the scale of the viewport, which messes up plotting. I’m asking you to do it here to illustrate the difference between zooming in paper space and zooming in a model space viewport.

    Technical Stuff If the title block is changing when you zoom and pan, someone has locked the viewport to prevent the kind of mischief that I warn against in the previous paragraph. (You also see the command line prompt Viewport is view-locked. Switching to Paper space.) See "viewports, floating, locking" in the AutoCAD 2004 online help system if you need to lock — or unlock — viewports.

  9. Choose View ð Zoom ð Previous one or more times until you’ve restored the original view.

  10. Click the PAPER/MODEL button on the status bar until is says PAPER.

    Always leave the cursor in paper space when you’re finished.

  11. Choose File ð Close and click the No button to close the drawing without saving changes.

    In this example, I have you close the drawing without saving changes, just in case you did mess up the viewport zoom scale.

In most cases, you set up a paper space layout once, as described in Chapter 3, and then just return to it to plot. You shouldn’t be spending a lot of time zooming and panning in paper space layouts. You zoom and pan to get a better view of what you’re drawing and editing, and that’s what the Model tab is for. But if you do want to zoom in paper space — to get a better look at part of your title block, for example — make sure that you’re doing it with the PAPER/MODEL button set to PAPER.


Degenerating and Regenerating

The image of your drawing that you see displayed on the AutoCAD screen may seem like a simple thing — after all, AutoCAD just has to paint the lines and other objects on the screen as you draw them, right? Unfortunately, it’s not that simple.

From the AutoCAD point of view, each drawing has two parts:

  • The important part is the DWG (drawing) file, a highly precise database of objects that is stored on disk. AutoCAD uses high-precision numbers to describe the location of each object.

  • The less important part is the part that you interact with — the on-screen display of the drawing. For displaying your drawing on-screen, AutoCAD uses less-precise integer numbers that are faster for the computer to calculate and that work well with screen displays.

You need to understand the distinction between the highly precise DWG file version of your drawing and the less-precise screen version because it’s possible for the two to get out of sync. When this happens, AutoCAD usually displays the puzzling message Regen queued in the command line area. This is another reason why you need to keep an eye on the command line! No, REgen queued is not one of the wine-growing regions of France. It’s AutoCAD’s way of saying, "What your drawing looks like on the screen at the moment may not exactly match the real version of the drawing database that gets stored when you save the drawing. I’ll update the display version at the next regeneration."

“What’s a regeneration?” you ask? It’s when AutoCAD goes back to the DWG file and reconverts the high-precision numbers to the less-precise integer numbers that it uses for display purposes. In the process, AutoCAD detects what objects have changed and need to be displayed with their new positions, colors, or linetypes. Normally, AutoCAD picks up on these changes automatically as you go, but in a few cases — again for performance reasons — it takes a regeneration to display them.

You sometimes will see command prompt messages like Regenerating model or Regenerating layout, which indicate that AutoCAD is regenerating the drawing automatically. In fact, if you watch the command line when you open a drawing, you’ll notice that AutoCAD always regenerates the drawing as part of the file opening process. You can force a REgen — that is, tell AutoCAD to regenerate the drawing right now, whether it needs it or not — by running the REgen command. You might want to run the REgen command after AutoCAD prompts Regen queued to ensure that what you see on the screen is what you get in the DWG file when you save it.

In AutoCAD 2004, the REGENAUTO system variable is set to 1 (On) by default in new drawings. What does this mean? The REGENAUTO system variable tells AutoCAD whether to do REgens automatically as needed:

  • The default setting in new drawings, 1, tells AutoCAD to regenerate your drawing automatically if it’s required to synchronize the screen display with the drawing database.

  • The other setting, 0 (Off), tells AutoCAD not to regenerate automatically, but instead to display Regen queued on the command line and let you force a regeneration with the REgen command if you want to.

If you’re working in a large drawing and find performance to be slow because of automatic regenerations, you can turn automatic regeneration off. This speeds performance but requires you to watch for Regen queued messages and force a regeneration manually whenever you want to make sure the on-screen image is in full agreement with the underlying drawing database.

All of this regeneration and REGENAUTO business is for the most part a holdover from much slower computers and older versions of AutoCAD. You probably don’t need to subject yourself to the mental contortion of trying to avoid REgens unless you work on huge drawings and/or use a painfully slow computer.

Warning Don’t confuse the REgen command with the Redraw command. REgen (ViewðRegen) forces the synchronization process described in this section. Redraw (ViewðRedraw) simply repaints the screen, without attempting to synchronize the screen with the drawing database. The Redraw command was useful in the days of very slow computers and older versions of AutoCAD, which didn’t handle the display as effectively, but it’s essentially a useless command now.

Tip The REgenAll command (ViewðRegen All) regenerates all viewports in a paper space layout. If you run the REgenAll command in model space, it has the same effect as the ordinary REgen command.


Chapter 8: On a 3D Spree

Overview

In This Chapter

  • Understanding 3D pros and cons

  • Looking at 3D models in multiple viewports from different viewpoints

  • Orbiting around 3D models

  • Using user coordinate systems and specifying coordinates in 3D

  • Drawing 3D wireframes, surfaces, and solids

  • Getting the rendered look

For millennia, people have documented the design and construction of three-dimensional objects by drawing two-dimensional views of them. Most people have continued to use these “classical” methods with CAD because the methods are well understood and work reasonably well. After all, if 2D drawing was good enough for guys like Leonardo da Vinci and Andrea Palladio, it should be good enough for us, right?

Nonetheless, there’s a growing trend of using CAD programs to create 3D models and letting the CAD program generate the 2D views more-or-less automatically. This approach seems more logical, especially if the documentation requires numerous, complex views of the same object. 3D modeling also is a virtual necessity (pun intended) when you want to create rendered (shaded) views for presentation purposes.

The 3D construction and visualization tools in AutoCAD have improved dramatically over the years to support this 3D modeling approach to CAD, but it’s still a complex process that requires sophistication on the part of the CAD user. Although 3D modeling requires only one more dimension than 2D drafting, developing 3D CAD models is considerably more complicated. Users must learn new techniques and contend with the 2D limitations of most display screens and input devices.

This chapter introduces you to the concepts, tools, and techniques for AutoCAD 3D modeling and visualization. Be prepared to spend some additional time wading around in the AutoCAD online help system and experimenting if you want to become proficient at 3D modeling. And if 3D CAD makes you feel a little wobbly at first, Figure 8-1 shows that you’re not alone.

Click To expand
Figure 8-1: Leaning towards 3D.

AutoCAD LT Full 3D support is one of the main differentiators between full AutoCAD and AutoCAD LT. If you’re using AutoCAD LT, you can view and plot 3D models created in AutoCAD, but you can’t do much 3D object creation or editing yourself.


Is 3D for Me?

The concept of 3D hardly seems to need introduction. We live in a three-dimensional world, and most of the objects that you represent in your 2D AutoCAD drawings are three-dimensional.

Traditional 2D drawings provide clues to help the viewer’s mind construct a 3D model from the 2D image on paper. The use of multiple views, coupled with the viewer’s experience, is probably the most important clue to making 3D sense of 2D drawings. Design and drafting have succeeded pretty well by using 2D representations as the guide to creating 3D objects. But at some point, nothing can replace a true 3D model, such as in helping someone understand how a building will look when constructed or how two parts fit together.

What does using 3D in CAD mean? Basically, it means creating models instead of views. Rather than create cross sections of objects or individual views of objects from certain perspectives, you create a fully three-dimensional model of each object. This 3D depiction of each object includes all the necessary information for AutoCAD to create a view from any point of view. With a properly constructed 3D model, AutoCAD can output commands to machines to create actual 3D objects, whether plastic prototypes carved from a tank of jelly by lasers or an actual bolt, valve, or piston created by computer-controlled machine tools.

AutoCAD, like most 3D CAD programs, enables you to create three different kinds of 3D models of objects:

  • Wireframes. A wireframe model is like a skeleton of a 3D object; it shows the edges of the object, not any of its surfaces. You create a set of 2D objects that represent an outline of each part of the object and then connect them three-dimensionally to make the wireframe. It’s like building a model from wire coat hangers. One of the biggest limitations of wireframe models is that you can’t shade them; there aren’t any surfaces “inside” the wire edges to catch the light — imagine shining a flashlight on a coat hanger.

  • Surfaces. A surface model represents the “skin” of an object but not the solid mass inside. AutoCAD uses objects called meshes to create surfaces. A mesh is a faceted surface that represents the edges and surfaces of a 3D object. You also can create a surface mesh by sweeping a 2D object such as a polyline around an axis. Creating a surface model is like building a physical model out of thin sheets of balsa wood. A surface model is one step up from a wireframe model because you can apply material properties and shading to its surfaces.

    Warning Surface meshes are just the thing for some 3D modeling tasks, but they have limitations:

    • Some 3D objects are awkward to build by pasting surfaces together.

    • You can’t check mass properties or interferences of a surface model. (AutoCAD doesn’t recognize that there’s any solid mass inside the surfaces.)

  • Solids. A solid model is as close to true 3D as you can get without whipping out some Play-Doh and building a real-world model yourself. You build solid models by constructing basic 3D shapes and then combining them — adding, subtracting, or finding their intersections — and modifying them. It’s like using lots of fancy saws, drills, and glue to build a model made out of wooden blocks. You can render a solid model, as well as check mass properties and interferences.

Start Sidebar
Tip 3D thumbs up

Using 3D takes time to learn, creates additional work, and slows down your computer. Why bother using it? Here are four key reasons why anyone in his or her right mind would bother with 3D:

  • It’s the wave of the future. As CAD pursues greater realism and production efficiency, 3D is becoming important for more tasks in more professions. Drafters and designers who want to keep up with how CAD is likely to be used in the future should become familiar with 3D now.

  • Sometimes it’s nice. Drawing in 3D is useful for several tasks, including creating shaded renderings to help sell a design to a client, and fit-and-finish testing to find potential problems before a design is put into construction or manufacturing.

  • Sometimes it’s needed. Drawing in 3D is required for a small but growing number of tasks. Many mechanical designs are done in 3D or converted into 3D at some point in the design process. 3D perspective views make drawings easier to understand. And the shaded renderings used for both designing and selling are becoming a practical necessity in some fields.

  • Sometimes it’s faster. The fastest way to create a single view of something usually is to draw that view in 2D. If you need multiple views, it may be faster to create a 3D model and then slice and render it as needed for the views you want to create.

End Sidebar

In most practical applications of 3D, you select one type of representation — wireframe, surface, or solid — for all or most of the objects in the drawing, based on ease of construction and intended use of the model. However, AutoCAD doesn’t prevent you from mixing all three types of 3D objects in the same drawing.

After you determine the type of 3D representation to use, you decide on the appropriate level of detail and construct the model using the commands and techniques introduced in this chapter. Finally, you create the required 2D and/or rendered views for plotting or viewing on the screen.

You can do some experimentation with 3D on any computer system that can run AutoCAD. If you want to pursue serious work in 3D AutoCAD, pay attention to the following prerequisites:

  • Know AutoCAD well. You need to be pretty comfortable using AutoCAD for 2D work before doing much with 3D. You should be able to control object properties, use precision techniques, draw and edit 2D objects, and zoom and pan — in other words, all the stuff covered in Chapters 4 through 7 of this book. If you aren’t comfortable with these techniques in 2D drafting, you’re likely to find 3D modeling in AutoCAD a real struggle.

  • Get a fast computer. For beginning 3D work, any AutoCAD-adequate system will do the job. For serious work with 3D models, you need a fast computer, lots of memory, and lots of disk space.

  • Get and master additional software. In addition to AutoCAD, you may need other programs — either AutoCAD add-ons or separate packages — to do work that AutoCAD isn’t as good at. Specialized 3D modeling and rendering programs are among the tools of the trade of most people who do a lot of 3D work. Illustration packages can help you jazz up the appearance of your drawing.

    Tip Many of Autodesk’s newer software products — AutoCAD-based ones like Architectural Desktop and Mechanical Desktop and non-AutoCAD ones like Revit and Inventor (see Chapter 1 for more information) — use 3D modeling as their fundamental approach to CAD. If you intend to use 3D on real projects, you’ll probably use 3D-centric programs such as these, not plain AutoCAD. The information in this chapter will get you started on the right track, especially if you eventually use one of the AutoCAD-based applications.

  • Do a real project. Real work is the best motivation for discovering 3D. If you don’t have an actual work assignment, create a task. Something as “simple” as creating a 3D model of your chair will make the difference between really finding out something useful about 3D and just reading about it in the manuals.

Start Sidebar
Tip 3D thumbs down

Consider these issues before you decide how much to use 3D on a particular project:

  • 2D input and editing. The mouse, keyboard, and drawing tablet are all 2D devices; the more complex the 3D object you’re trying to model, the more complicated it is to construct the object with these devices. In addition, the AutoCAD 2004 3D editing tools are fairly limited in scope — especially for solids. For most heavy-duty 3D work, you need a third-party application, a discipline-specific version of AutoCAD (such as Architectural Desktop), or a special-purpose solid modeling program.

  • 2D output. Most of the currently available output methods, notably paper and the computer screen, are 2D. Presenting your 3D model in its full, three-dimensional glory requires extra work by you or the viewer.

  • Performance. Today’s personal computers are adequate for the task of storing fairly complex 2D models and displaying them on-screen and on plots; if the model is 3D, the difficulty increases geometrically, and performance seems to slow geometrically as well. You may need a faster computer and more memory to meet these demands. You may also find yourself taking longer coffee breaks as you wait for your computer to load or render complex 3D models.

End Sidebar


Getting Your 3D Bearings

The first challenge in 3D modeling is being able to see your three-dimensional model on a two-dimensional computer screen. The normal model space view on the Model tab in the drawing area shows a single, projected 2D view of your model — the top-down, “plan” view by default.

AutoCAD provides two model space capabilities that enable you to escape this visual flatland:

  • With viewports, you can carve the model space drawing area into smaller rectangular areas, each of which shows a different view of the model.

  • With viewpoints, you can change the point in 3D space from which you look at the model. By setting a different viewpoint in each viewport, you can look at several sides of your model at the same time. It’s like looking at one of Picasso’s cubist paintings, only more orderly.

Tip If you want to experiment with viewports and viewpoints in an existing 3D drawing, try one of the AutoCAD 2004 samples, such as \Program Files\ AutoCAD 2004\Sample\Welding Fixture Model.dwg. To remove shading and make the model faster to work with, choose ViewðShadeð2D Wireframe.

Model space viewports left and right

Chapter 3 discusses viewports in paper space, which are useful for creating layouts for use in plots and presentations in both 2D and 3D. Model space viewports, cousins of paper viewports, are less powerful but simpler and are intended to help you construct 3D models.

Model space viewports divide the screen into separate rectangles with no gaps between them. Unlike with paper space viewports, you can’t move, stretch, or overlap them. You can’t plot multiple model space viewports; that’s what paper space is for. And, unlike in layouts, a layer that’s visible in one model space viewport always is visible in all of them.

Technical Stuff You may hear or read references to tiled viewports, which is just another name for model space viewports. Tiled refers to the way in which model space viewports always fill the drawing area, with no gaps and no overlapping allowed. Conversely, paper space viewports are sometimes called floating viewports because you can move them around, leave gaps between them, and overlap them.

Model space viewports enable you to see several views of your model at one time, each from a different viewpoint. For this reason, model space viewports are especially useful when you’re creating and editing objects in 3D. As you draw and edit, the different views help ensure that you’re picking points that are located correctly in 3D space.

To set up model space viewports, use the Viewports dialog box:

  1. Choose View ð Viewports ð New Viewports.

    The Viewports dialog box appears.

  2. Choose one of the Standard Viewport arrangements and choose 3D in the Setup drop-down list.

  3. Click OK.

Figure 8-2 shows the dialog box and the model space result of choosing the Four Right Standard Viewport arrangement and the 3D Setup.

Click To expand
Figure 8-2: The Viewport dialog box makes setting up model space viewports and different viewpoints easy.

Tip The Four Equal, Four Right, or Four Left standard viewport arrangement works well for creating viewports that show top, front, right, and isometric views of a 3D model.

To return to a single viewport, click Single in the Standard Viewports list of the Viewports dialog box. Use the Named Viewports tab on the Viewports dialog box to save and restore viewport arrangements that you use often in the current drawing.

Seeing the world from new viewpoints

When you choose 3D in the Viewports dialog box’s Setup drop-down list, you direct AutoCAD to change the viewpoint in each viewport. The default viewpoints (top, front, right, and isometric) work well for viewing and constructing simple models, but eventually, you’ll probably want to specify your own, custom viewpoint in a particular viewport.

The easiest way to change viewpoints is to use the Viewð3D Views submenu (shown in Figure 8-3) to switch to one of the standard orthographic 3D views or an isometric view:

  • The six standard orthographic (straight-on) views are Top, Bottom, Left, Right, Front, Back.

  • The four standard isometric views are SW (left-front), SE (right-front), NE (right-back), and NW (left-back). An isometric view is one in which you see the object from above, but not too high above — as though you were hovering in a low-flying helicopter.

    Figure 8-3: The 3D Views submenu.

These 10 views are called standard because they’re often used in manual drafting and rendering work. They work well for showing 3D models of common objects such as mechanical components and buildings. (You can also change to plan view, which is a top-down view of either the world coordinate system or a user coordinate system. I describe coordinate systems in “A Cartesian Orientation,” later in this chapter.)

You can specify nonstandard viewpoints by choosing Viewð3D ViewsðViewpoint Presets. In the Viewpoint Presets dialog box that appears, specify the following settings:

  • A viewing angle in the XY plane (imagine moving a camera on a dolly around an object, while keeping the camera at the same elevation)

  • An angle from the XY plane (imagine using a boom to swoop the camera up to a different height so that you’re looking at the object from increasingly steep angles)

Tip By default, AutoCAD shows 3D models in 2D wireframe mode, even if you’ve created surface or solid objects. If you want to better visualize which objects are in front of which other objects, especially in an isometric or other non-orthogonal view, you have a couple of options:

  • Choose ViewðShade and then choose Hidden or one of the Shaded options.

  • Render the model, as described later in this chapter.

Dynamic viewpoints with 3DOrbit

Standard views and the Viewpoint Presets dialog box are fine for many 3D construction tasks, but if you really want to have fun with a model, 3DOrbit is it.

The 3DOrbit command displays an arcball on the screen — a circle representing a sphere around your object. You click various places inside, outside, and on the arcball and then drag to change the 3D view. The idea is that you’re spinning the imaginary sphere containing your model. As you drag the cursor, AutoCAD updates the screen dynamically.

3DOrbit provides many other options through its right-click shortcut menu. You can change the shading mode and projection type, and you can turn on several visual aids that help you understand where you are in 3D space. Additional shortcut menu options enable you to pan, zoom, and restore standard or named views.

The following steps show some of the things that you can do with 3DOrbit:

  1. If you’ve divided model space into two or more viewports, click in the viewport in which you want to change the viewpoint.

  2. Choose View ð 3D Orbit.

    The 3DOrbit arcball appears, as shown in Figure 8-4.

    Click To expand
    Figure 8-4: The 3Dorbit arcball and right-click menu.

  3. Move the cursor inside the arcball.

    The 3DOrbit full orbit cursor appears: two oval arrows circling a sphere.

  4. Click and drag, keeping the cursor inside the arcball.

    You can rotate the model in all directions. Imagine that the cursor is your finger pushing on a globe that rotates freely in all directions.

    Tip Pay attention to the shaded UCS (user coordinate system) icon at the lower-left corner of the drawing area as you change the view. The UCS icon helps you visualize how each orbiting operation works. (The next section of this chapter tells more about UCSs.)

  5. Release the mouse button and move the cursor outside the arcball.

    The 3DOrbit roll cursor appears: a circular arrow circling a sphere.

  6. Click and drag, keeping the cursor outside the arcball.

    You can rotate the model around an axis at the center of the circle, coming out of the screen. Imagine that you’re turning the steering wheel on a car.

  7. Release the mouse button and move the cursor over one of the small circles at the quadrant points (that is, 12 o’clock, three o’clock, six o’clock, and nine o’clock) of the arcball.

    The 3DOrbit horizontal or vertical rotation cursor appears: an elliptical arrow circling a sphere.

  8. Click and drag away from the small circle.

    You can rotate the model around a horizontal axis (if you clicked the circle at 3 o’clock or 9 o’clock) or a vertical axis (if you clicked the circle at 12 o’clock or 6 o’clock) passing through the little circle. Imagine that you’re turning a piece of meat on a spit.

  9. Release the mouse button and right-click in the drawing area.

    The 3DOrbit shortcut menu, shown in Figure 8-4, appears.

  10. Experiment with the additional options, such as Shading Modes and Projection.

    Tip Here’s the lowdown on some of these options:

    • Gouraud Shaded usually looks more realistic than Flat Shaded.

    • Hidden removes hidden lines but doesn’t shade.

    • Wireframe is the default wireframe view, without hidden lines removed.

    • Parallel projection is the default AutoCAD projection — lines that are parallel in the 3D object remain parallel in the projected (2D) view on the screen.

    • Perspective projection makes objects look more realistic (for example, train tracks appear to converge in the distance), but lines that are parallel in the model don’t remain parallel in perspective projection.

    If you manage to 3DOrbit out of control so that you no longer see your model, right-click to display the 3DOrbit shortcut menu and choose MoreðZoom Extents. The Zoom, Pan, and Preset Views options offer other ways of getting your model back in your sights.

  11. When you’re finished orbiting, right-click in the drawing area and choose Exit.

Tip Choose MoreðAdjust Clipping Planes on the 3DOrbit right-click menu (or the 3DCLIP command outside of 3DOrbit) to slice away part of your model temporarily to view what’s inside the surfaces or solid boundaries. See “clipping, 3D objects” in the AutoCAD online help for more information.

Technical Stuff You can control the camera point and target point that 3DOrbit uses (the point that you’re looking from and the point that you’re looking towards). Before you start the 3DOrbit command, type CAMERA at the command prompt and press Enter. Click or type the coordinates of the desired camera point target points.


A Cartesian Orientation

Viewing your model from different viewpoints in multiple viewports is all well and good, but unless your 3D spree is limited to looking at other people’s models, you need to know how to specify points and distances in 3D. To do that, you need to understand AutoCAD’s coordinate systems and conventions for entering 3D points and distances.

Coordinate systems: the WCS and UCSs

AutoCAD stores the locations of all the objects that you draw as 3D Cartesian coordinates (X, Y, and Z) in the world coordinate system (or WCS). The WCS defines the origin (0,0,0) point for the drawing and the orientation of the X, Y, and Z axes. A particular point in the Cartesian coordinate system is defined by its X, Y, and Z coordinates, where the coordinate indicates the length from the origin (0,0,0) point along the X, Y, or Z axis.

The WCS is the default XYZ coordinate system when you start a new drawing. X is horizontal on the screen, Y is vertical on the screen, and Z extends out of the screen, towards your face.

The X-Y plane (the set of points where Z = 0) is the construction plane in which you create 2D objects. It’s also important for creating 3D objects, because many commands operate with respect to the X-Y plane.

When you’re drawing and editing 3D objects, it’s often useful to be able to move or rotate the construction plane. You do so in AutoCAD by defining a user coordinate system (UCS). A UCS can have a different origin (0,0,0) point and can have its X, Y, and Z axes point in different directions than they do in the WCS.

Choose ToolsðOrthographic UCSðPreset to run the UCSMAN command, which opens the UCS dialog box, shown in Figure 8-5. This dialog box simplifies the job of changing to common UCSs, such as Top, Front, and Right. The ToolsðNew UCS submenu runs the UCS command, which provides additional options. Look up “UCS command” in AutoCAD’s online help to find out more about UCSs and how to work with them.

Click To expand
Figure 8-5: Get with the USCMAN.

To keep you informed about which coordinate system is current in each viewport, AutoCAD displays a UCS (user coordinate system) icon in each viewport by default. The icon looks like two or three little arrows (depending on the viewpoint), each of which represents the direction of the positive X, Y, or Z axis. This icon shows the working construction plane — the plane in which AutoCAD places 2D objects when you draw them. Use the ViewðDisplayðUCS Icon submenu to turn the icon off or on or to change its properties.

Warning Don’t confuse viewpoints and coordinate systems:

  • The viewpoint controls what you see in a particular viewport, but doesn’t control what you do to objects — that is, the viewpoint doesn’t dictate the results of drawing and editing commands.

  • The current coordinate system defines the construction plane in a particular viewport — that is, the UCS (or WCS) dictates how the points that you specify during drawing and editing commands influence the specific locations and orientations of objects. The UCS icon shows the current coordinate system, not the current viewpoint.

Specifying coordinates in 3D

As I indicate in Chapter 4, you specify points in 2D drafting by typing a pair of numbers in the format X,Y for absolute coordinates (with respect to the point 0,0) or @X,Y for relative coordinates (with respect to the previous point that you specified). In both cases, you ignore the Z coordinate, but AutoCAD still stores it — as zero.

When you create 3D models, you no longer can ignore the Z axis. You need to worry about three coordinates for each point that you pick or type. AutoCAD provides several ways of specifying 3D points. These are the most common:

  • Typed coordinates: When you type coordinates, you simply add a Z coordinate: X,Y,Z for absolute coordinates (with respect to the point 0,0,0) or @X,Y,Z for relative coordinates.

    Technical Stuff There are 3D analogues to 2D polar coordinates (@distance<angle), too. See “polar coordinates, entering, cylindrical” and “polar coordinates, entering, spherical” in the AutoCAD online help.

  • Object snaps: Happily, the object snap techniques described in Chapter 4 work equally well in 3D. You can object snap to endpoints, intersections, midpoints, and so on, without having to worry about the current construction plane as defined by the WCS or UCS.

    Warning In practice, you’ll have to be more careful when using object snaps in 3D work. Remember that there are now three coordinates instead of two to be precise about. If you’re viewing a 3D model from just one viewpoint, it’s easy to osnap to a point that looks right in that view but in fact lies “deeper” or “shallower” in 3D space that you realize. (As Chapter 4 describes, you use osnaps when drawing and editing to pick precise locations on existing objects.) Thus it’s a good idea to display your model from several different points of view, as described in the “Getting Your 3D Bearings” section, earlier in this chapter. The different points of view help you predict which location in 3D space a given object snap mode will grab and make any object snap mistakes more obvious.

    Technical Stuff An additional object snap mode, Apparent Intersection, is useful when you want to snap to the imaginary intersection of two objects that appear on the screen to intersect, but don’t in fact intersect because they lie in different planes.

  • Coordinate filters: You’ll sometimes need to pick a point some of whose coordinates (for example, the X and Y coordinates) match one object snap point and some of whose coordinates (for example, the Z coordinate) match another object snap point. Coordinate filters — also called point filters — solve this problem handily. With coordinate filters, you use the coordinates of points on existing objects to help specify new points. You use coordinate filters together with object snaps to “build up” a point one or two coordinates at a time. When AutoCAD prompts you to pick a point, you activate a coordinate filter before you pick the point. The coordinate filter tells AutoCAD which coordinates of the subsequent point to use.

    You activate a coordinate filter by clicking one of the six choices on the object snap cursor menu’s Point Filters submenu (shown in Figure 8-6): .X, .Y, .Z, .XY, .YZ, or .XZ. (You display the object snap cursor menu by pressing Shift+right-click; see Chapter 4 for more information.) For example, if you select .XY and then pick a point, AutoCAD remembers only the X and Y coordinates of that point. AutoCAD then prompts you to pick another point and combines the Z coordinate of that second point with the X and Y coordinates of the first point to determine the 3D location of the new point. Look up “coordinate filters” in AutoCAD’s online help for more information and an example.

    Figure 8-6: The object snap cursor menu’s Point Filters submenu.

At this point, you may be feeling less then completely 3D-coordinated, despite the WCS, UCSs, and XYZs. All this stuff will become clearer after you create some viewports and draw some objects. The next section gives you some specific instructions, but don’t be afraid to experiment with typing Cartesian coordinates, object snapping in 3D, and working with different predefined UCSs. Or, you can console yourself with the following paragraph’s geometrical trivia and vile pun.

Technical Stuffip In case you’re wondering, the Cartesian coordinate system is named after its inventor, the French mathematician René Descartes. (Yes, he of “I think therefore I am” and the Monty Python Philosophers’ Drinking Song fame.) He did not, however, invent the cart. The cart came earlier, and the horse came earlier still. It’s for that reason that we know not to put Descartes before de horse.


Drawing in 3D

This section introduces four techniques for creating 3D objects: drawing 3D lines and polylines, extruding 2D objects, creating surface meshes, and creating solids.

Remember When you draw 3D objects, just like when you draw 2D objects, put them on appropriate layers and use precision techniques to specify each point and distance. See Chapter 4 for more information.

Drawing 3D lines and polylines

The most straightforward way to draw objects for a 3D wireframe model is to use the Line or 3DPOLY (3D Polyline) command and specify 3D coordinates. The 3DPOLY command is similar to the PLine (Polyline) command, which is described in Chapter 5. Both commands draw a series of connected line segments, but they have different capabilities:

  • The 3DPOLY command accepts 3D points for the line segments’ vertices. The PLine command requires that all vertices be in the same plane.

  • 3DPOLY is limited to straight line segments. PLine can draw arc segments and create segments with uniform or tapered width.

The command sequence for drawing 3D segments with the Line or 3DPOLY command is the same as for drawing 2D segments with the Line command; see Chapter 5 for details. The only difference is that you specify 3D coordi

Click To expand
Figure 8-7: Drawing 3D line segments.
nates instead of 2D ones. Figure 8-7 shows an example.

Creating 2D representations in this way is straightforward, though tedious for all but the simplest objects. More importantly, a wireframe model becomes increasingly difficult to decipher as the complexity of the model increases. You see a mass of lines representing the edges, and you have difficulty telling which parts of which edges are in front of others. To reduce this visual confusion, you need to graduate to a surface or solid modeling commands, as described earlier and in the subsequent sections of this chapter.

Extruding from 2D to 3D

One way to create a surface model is to extrude, or thicken, 2D objects. For example, if you give thickness to a circle, it becomes a cylinder. If you give thickness to a 2D polyline or a series of lines segments, it looks like a fence.

AutoCAD calls this depth thickness, which is not to be confused with other characteristics that you might be tempted to call “thickness” — linewidths that you add for plotting and uniform or tapered widths that you can add to polyline segments. Linewidths and polyline segment widths make objects fatter but leave them in the 2D plane. Thickness pushes objects out of the plane, giving them a new dimension.

AutoCAD LT Folks who do heavy-duty 3D modeling somewhat derisively refer to the result of adding thickness to 2D objects as 21⁄2D — a bit more than 2D, but not quite 3D. That’s because extrusion is a limited 3D technique compared to creating real surface meshes and solids, as described in the following two sections. You can’t model most objects in a detailed way with extrusion alone. Imagine a set of wooden blocks in which every block has a uniform thickness, with no tapering allowed — kind of dull, huh? Even AutoCAD LT, despite its advertised 3D limitations, can do extrusion. Nonetheless, extrusion is a fun and fairly low-stress way to get started with 3D, and it’s adequate for some simple modeling tasks. It’s also a good warm-up exercise for full 3D solid extrusion, which I describe later in this chapter.

The following steps show the general procedure for creating “2f1⁄2D” extruded objects.

  1. Define a suitable UCS (user coordinate system), as described earlier in “Coordinate systems: the WCS and UCSs.”

    The extrusion direction will be perpendicular to the UCS, so think about the orientation of the 2D object and which way you want it to “pop out” into 3D space.

  2. Draw a 2D object.

    See Chapter 5 for more information.

  3. Open the Properties palette.

    See Chapter 6 for more information.

  4. Press Esc to make sure that no objects are selected.

  5. Click the object to select it.

  6. In the Thickness field, type an extrusion thickness and press Enter.

    AutoCAD extrudes the object perpendicular to the UCS in which you created it, as shown in Figure 8-8.

    Click To expand
    Figure 8-8: Just add thickness and voilà—instant 3D! (Or 21/2 D, anyway.)

Warning If you extrude closed polylines and then shade or render them, the extruded shapes appear hollow — that is, without any tops or bottoms on them. You can work around this limitation by using the 3DFACE command to add three-sided or four-sided surfaces as “lids.” You can build up irregular shapes by using a combination of three-sided and four-sided faces. A better approach in most cases is to use the EXTrude command, which creates a true solid out of closed polylines and other closed shapes.

Meshing around with surface meshes

For surface models that are more complex than simple extrusions of 2D objects, you can use a variety of AutoCAD commands that draw 3D meshes. One set of commands draws surface model representations of 3D primitives: box, pyramid, wedge, dome, sphere, cone, torus, dish, and mesh. (In this case, the word primitive isn’t a pejorative. A 3D primitive is a relatively simple shape that can be used alone or as a subcomponent of a more complex 3D object.)

To create these objects, choose DrawðSurfacesð3D Surfaces, select a primitive shape from the image tile menu (shown in Figure 8-9), and follow the command line prompts. It’s like constructing your own set of wooden blocks, except that they don’t take up any space in your closet after you’re finished playing with them!

Click To expand
Figure 8-9: A torus mesh—the perfect 3D surface snack.

Tip The Surfaces submenu of the Draw menu includes commands for creating complex 3D surfaces from 2D lines and curves. For example, with the Revolved Surface menu choice (the REVSURF command), you revolve a 2D path curve, which is simply a set of line and arc segments, around an axis of revolution to “sweep out” a 3D surface. But in most cases, you’re better off using solid modeling commands such as REVolve instead.

A solid(s) foundation

Solid modeling is in many ways the culmination of 3D CAD. Solids more accurately represent most real-world objects than do wireframes or surfaces. And even when representational accuracy isn’t the main issue, it’s easier to construct many kinds of models with solids.

Solid modeling also places more serious demands on computer software and hardware. It takes a sophisticated program and fast computer — not to mention a capable human being running all this stuff — to create useful solid models. That’s why solid modeling historically has lagged behind wireframe and surface modeling and only recently become common on ordinary PCs. AutoCAD’s solid modeling capabilities have improved steadily in recent years (although they didn’t change between AutoCAD 2002 and 2004). In addition, special-purpose programs developed from the ground up for solid modeling have become popular among CAD users. Examples include Autodesk’s Inventor and McNeel’s Rhino.

Technical Stuff Many special-purpose solid modeling programs use a combination of solid and surface modeling techniques for maximum flexibility in constructing and editing 3D models. These kinds of programs — and solid modeling in general — are becoming especially popular in mechanical design.

Constructing the basic building blocks — or solid primitives — for a solid model in AutoCAD isn’t difficult. As with wireframe and surface objects, you follow these steps:

  1. Define a suitable UCS (user coordinate system).

    See “Coordinate systems: the WCS and UCSs,” earlier in this chapter. The UCS controls the construction plane and basic 3D orientation of the solid.

  2. Choose Draw ð Solids and then choose a solid from the top half of the submenu.

    As shown in Figure 8-10, your choices are Box, Sphere, Cylinder, Cone, Wedge, and Torus. (These are similar to the surface mesh choices shown in Figure 8-9. In this case, though, you’re creating solid versions instead of surface meshes.)

    Click To expand
    Figure 8-10: Everything you need for a solid foundation.

Tip When you see a 3D object in a drawing, you can’t tell by looking whether it’s a 2D extruded object, surface mesh, or solid. If you want to find out, open the Properties palette and select the object. The drop-down list at the top of the palette shows the type of object that you selected.

Constructing solid primitives is pretty simple and immediately gratifying. For example, you can quickly put together a virtual cityscape by populating your drawing with boxes, cylinders, cones, and wedges representing buildings. For additional gratification, you’ll want to shade or render them (see the “Ending with Rendering” section, later in this chapter). If you have any questions about any of the 3D solid primitive commands, choose ContentsðUser’s GuideðCreate and Modify ObjectsðDraw Geometric ObjectsðCreate 3D ObjectsðCreate 3D Solids in the AutoCAD online help.

After the solid primitives, the next pair of commands on the DrawðSolids submenu is Extrude and Revolve:

  • Extruding is similar to adding thickness (see “Extruding from 2D to 3D,” earlier in this chapter) except that it creates true solids rather than “21⁄2D” objects. In addition, you can specify tapers with the EXTrude command.

  • Use the REVolve command to create a solid by rotating a closed object around an axis.

Warning The commands described in this section are the building blocks of solid modeling. Developing useful 3D models takes a lot more than just knowing the basics. You can model simple objects using solid primitives, extrusion and revolution, and the editing techniques discussed in the next section. But for most real-world solid modeling work, you’ll want additional software and learning resources.

Editing in three dimensions

When you’re ready to modify wireframes or surfaces, you can use most of the editing commands described in Chapter 6. Grip editing also works well on most wireframe and surface objects.

As with 3D drawing, you need to be a more careful when editing in 3D to make sure that the editing transformations you apply occur correctly in all three spatial dimensions. Display your model in multiple viewports from different viewpoints so that you can see what’s going on and catch mistakes right away.

Modifying 3D solids is trickier. Simple editing commands like Move, CoPy, and ROtate work fine, but most of the commands that alter an object’s shape (for example, Stretch, Trim, and Break) don’t work on solids. You can use grips to move and copy solids, but not to stretch them.

Instead, AutoCAD provides a set of specialized commands on the ModifyðSolids Editing menu, shown in Figure 8-11. The first three choices — Union, Subtract, and Intersect — perform the so-called Boolean operations, which create new 3D solids by combining and removing parts of existing ones. Look up “composite 3D solids” in the AutoCAD online help system for more information about these commands. Also see ContentsðUser’s GuideðCreate and Modify ObjectsðChange Existing ObjectsðModify 3D Solids for a description of the other options on the ModifyðSolids Editing menu.

Click To expand
Figure 8-11: Specialized solids editing commands.


Ending with Rendering

To my mother, who grew up on a farm in Iowa, rendering was what you did to fat to make it into lard. But in CAD, rendering is the process of illuminating a set of 3D objects with one or more imaginary lights and then creating a more-or-less realistic picture of the results. (No, computer programmers didn’t take the word rendering from hog farms in the Midwestern U.S. Hand-drawn pictures of building facades were called renderings long before computers got into the act.)

A single example of this technique is called a still rendering. Multiple frames strung together produce computer animation. The objects that you see in movies such as Toy Story or A Bug’s Life are first created as 3D models and then rendered frame by frame — a process that can take immense amounts of time even on ultra-fast graphics workstations — to produce the beautifully well-rendered images you see.

Tip AutoCAD creates still renderings only. If you want to create animations, you need to use other software programs such as Autodesk’s 3D Studio. Even if you use animation programs, AutoCAD can be useful for developing the initial 3D models.

Rendering has steadily improved in speed and usability as PCs have become faster, and rendering algorithms have been improved. Rendering of simple scenes is now practical on a mainstream PC, and a fast personal computer can create some impressive images in a reasonable amount of time. Rendered images are useful for previewing how your models will work in real life and also can be powerful tools for sales and marketing communications for your company. A (rendered) picture can be worth quite a bit more than a thousand words.

To see how rendering works with the default options in AutoCAD 2004, use the steps that follow. When you’re ready to get fancy, choose User’s GuideðCreate Realistic Images and GraphicsðRender 3D Objects for Realism in the AutoCAD online help system.

  1. Create one or more 3D objects.

    Use the steps in the previous section or use one of the sample 3D drawings in \Program Files\AutoCAD 2004\Sample.

    Tip Unless you want a monochromatic rendering, create the objects on several different layers that you’ve assigned different colors.

  2. Choose View ð Render ð Render.

    The Render dialog box appears, as shown in Figure 8-12.

  3. Ignore all the options and click OK.

    You can get okay results without changing the options. When you click OK, AutoCAD renders the 3D objects. See Figure 8-12 for an example.

    Click To expand
    Figure 8-12: The Render dialog box and a rendered object.

Technical Stuff To make rendered images look less cartoonish, you need to apply materials to 3D objects and define different light sources. For more information, navigate to the Render 3D Objects for Realism help page mentioned just before the preceding steps and then look at Create Rendered ImagesðUse Materials for Rendering and Create Rendered ImagesðUse Lights in Rendering.

Tip The SHADE command offers a simpler alternative to the RENDER command, without all the lighting, surface materials, and other options. To experiment with shading, choose any of the options on the ViewðShade menu. (To return to an unshaded view, choose ViewðShadeð2D Wireframe.) As I mention earlier in this chapter, the 3DOrbit command’s right-click menu includes shaded modes that you can see even while navigating around your model in real time.

New for 2004 In AutoCAD 2004, you can plot rendered and shaded views, whether they’re in a paper space layout or in model space. Use the Shaded Viewport Options area of the Plot Settings tab of the Plot dialog box to control this feature. Chapter 12 contains more information about plotting.

If you want to plot multiple rendered views (or a rendered view plus other non-rendered views), create a paper space layout with multiple viewports, as described in Chapter 3. As I mention earlier in this chapter, tiled model space viewports are great for creating and viewing 3D models, but you can plot only one model space viewport at a time. Use paper space layouts to compose multiple viewports for plotting purposes.

People who do a lot of rendering and want higher quality, photorealistic results usually use programs other than AutoCAD to render their models. Autodesk’s 3D Studio and McNeel’s AccuRender are two popular photorealistic rendering programs. Most rendering programs can import 3D models from AutoCAD DWG files, but some people use specialized 3D modeling programs to do their modeling as well.


Part III: If Drawings Could Talk

In This Part:

Chapter 9: Text with Character
Chapter 10: Entering New Dimensions
Chapter 11: Down the Hatch
Chapter 12: The Plot Thickens

Part Overview

In this part . . .

Text, dimensions, and hatching — mysterious embellishments to the uninitiated — have long been important clarifying elements in drafting. In AutoCAD, these elements are flexible, and you can edit and update them quickly as you change the geometry beneath them. The text, dimension, and hatching annotations that you add “speak” about the geometry so that others can understand exactly what, how big, and how far. After you’ve made some drawings that talk, you’ll probably send the message around by printing — or as CAD users call it, plotting — them. Plotting changed a lot a couple of versions ago, in AutoCAD 2000, and many people who have not upgraded are still using older methods. This part tells you how to take advantage of the newer features while working smoothly with people using older AutoCAD versions and techniques.


Chapter 9: Text with Character

Overview

In This Chapter

  • Using text styles to control text appearance

  • Creating single-line text

  • Creating multiline text

  • Making hanging indents

  • Editing text contents and properties

  • Checking spelling

Although it’s often true that “A picture is worth a thousand words,” it’s also true that adding a few words to your drawing can save you from having to draw a thousand lines and arcs. It’s a lot easier to write “Simpson A35 framing clip” next to a simple, schematic representation of a clip than to draw one in photorealistic detail and hope that the contractor can figure out what it is!

Most CAD drawings include some text in the form of explanatory notes, objects labels, and titles. This chapter demonstrates how to add text to drawings and shows you how to take advantage of AutoCAD text styles and the spelling checker. Chapter 10 covers text that’s connected with dimensions and leaders.

Tip In most cases, adding text, dimensions, and other descriptive symbols is something that you should do later in the drafting process, after you’ve drawn at least some of the geometry. In CAD drawings, text and other annotations usually are intended to complement the geometry, not to stand alone. Thus, you generally need to have the geometry in place before you annotate it. Many drafters find that it’s most efficient to draw as much geometry as possible first, and then add text labels and dimensions to all the geometry at the same time. In this way, you develop a rhythm with the text and dimensioning commands, instead of bouncing back and forth between drawing geometry and adding annotations. (It helps if you hum “I’ve got rhythm . . .” while sliding the mouse back and forth in time.)


Getting Ready to Write

In AutoCAD 2004, adding text to a drawing is only slightly more complicated than adding it to a word processing document. Here are the steps:

  1. Create a new AutoCAD text style, or select an existing style, that includes the font and other text characteristics you want to use.

  2. Make an appropriate text layer current.

  3. Run one of these commands to draw text:

    • mText draws paragraph text.

    • TEXT draws single-line text.

  4. Specify the text alignment points, justification, and height.

  5. Type the text.

You’re probably familiar with most of these steps already — especially if you’ve ever used a word processor. In the remainder of this chapter, I review the particularities of AutoCAD text styles, the two kinds of AutoCAD text, and ways of controlling height and justification.

Simply stylish text

AutoCAD assigns text properties to individual lines or paragraphs of text based on text styles. These text styles are similar to the paragraph styles in Microsoft Word: They contain font and other settings that determine the look and feel of text. An AutoCAD text style includes

  • The font

  • A font height, which you can set or leave at 0 for later flexibility

  • Special effects such as italic

  • Really special effects such as vertical and upside down, which almost nobody uses

Before you add text to a drawing, use the Text Style dialog box to select an existing style or create a new one with settings that are appropriate to your purpose. Your AutoCAD notes may generate strange responses (or no response at all) if they appear in Old Persian Cuneiform (a real font!) or the Cyrillic alphabet.

Tip Most drawings require very few text styles. You can create one style for all notes, object labels, and annotations, and another one for special titles. A title block may require one or two additional fonts, especially if you want to mimic the font used in a company logo or project logo.

Tip As with layers, your office may have its own text style standards. If so, you’ll make everyone happy by following those standards. One of the best ways to make your use of text styles efficient and consistent is to create them in a template drawing that you use to start new drawings. (If your office is well organized, it may already have a template drawing with the company-approved styles defined in it.) See Chapter 3 for information about creating and using templates. Another handy technique is to copy existing text styles from one drawing to another by using the DesignCenter palette. See Chapter 4 for instructions.

Font follies

When you create a text style in AutoCAD, you have a choice of a huge number of fonts. AutoCAD can use two different kinds of fonts: native AutoCAD SHX (compiled SHape) fonts and Windows TTF (TrueType) fonts:

  • SHX: In the Text Style dialog box, SHX font names appear with a drafting compass to the left of the name. SHX fonts usually provide better performance because they’re optimized for AutoCAD’s use.

  • TTF: In the Text Style dialog box, TrueType font names appear with a TT symbol to the left of name. TTF fonts give you more and fancier font options, but they slow down AutoCAD when you zoom, pan, and select and snap to objects. TrueType fonts also can complicate things when you exchange drawings with other AutoCAD users.

It’s okay to use a TrueType font sparingly for something like a title block logo, but in general, you should stick with standard AutoCAD SHX fonts whenever possible.

Tip The most popular AutoCAD font is ROMANS.SHX (Roman Simplex). (You may also run into SIMPLEX.SHX, an older version of Roman Simplex). ROMANS.SHX is a good, general-purpose font for drafting in AutoCAD. Avoid complicated, thick fonts. They can slow down AutoCAD, and they’re usually more difficult to read than the simpler fonts. Remember, you’re doing CAD here — not fancy graphic design or reproduction of medieval manuscripts!

Warning Whenever possible, avoid custom fonts, which are font files that don’t come with AutoCAD or AutoCAD LT (both programs come with the same fonts). You can find lists of standard AutoCAD fonts in the online help system: ContentsðCommand ReferenceðStandard LibrariesðStandard Text and Symbol Fonts. If you use a custom font, exchanging your drawings with other people will be more complicated. If you’re compelled to use a custom font, make a note of it and remember either to send it whenever you send the DWG file (assuming that the font isn’t copyrighted, which many custom fonts are) or to warn the recipients that the text will appear different on their systems. It’s far less hassle to eschew custom fonts altogether. See Chapter 15 for additional information about how to deal with fonts when you send and receive drawings.

Get in style

The following steps describe how to select an existing text style or create a new one before you enter text into a drawing. (If you want to experiment with an existing drawing that contains a variety of text styles, you can use \Program Files\AutoCAD 2004\Sample\Hummer Elevation.dwg.)

  1. Choose Format ð Text Style.

    The Text Style dialog box appears, as shown in Figure 9-1.

    Click To expand
    Figure 9-1: Text with style.

  2. In the Style Name drop-down list, select each style in turn to see what text styles have been created in this drawing.

    Note the font name and view the Preview panel to get a feel for what the different fonts look like.

  3. If you find a suitable text style, select it in the Style Name drop-down list and then skip to Step 9.

    What constitutes a suitable text style depends on industry practices, office standards, and personal preferences about how the text should look. The information in preceding sections may help you decide. If not, ask an experienced drafter in your office or look at some printed drawings and try to match the text on those. Chapter 14 offers additional suggestions for creating and conforming with text standards.

    The selected text style name becomes the current style.

  4. If you don’t find a suitable text style, or if you prefer to create your own text style, click New.

    The New Text Style dialog box appears, with an edit box for you to type a name.

  5. Type a name for your new text style and then click OK.

    Your new text style is added to the Style Name list and becomes the current style.

  6. Choose a font from the Font Name list.

    ROMANS.SHX is the best all-purpose font for most drafting work. If you’d like to use a different font, review the font suggestions and warnings in the previous section.

    The font that you choose becomes the font that’s assigned to your new text style.

  7. Set the remaining text style settings as shown in Figure 9-1: Height = 0.0, Width Factor = 1.0, Oblique Angle = 0.0, and all four check boxes unchecked.

    A text style height of 0.0 makes the style variable height, which means that you can specify the height separately for each single-line text object. Assigning a fixed (that is, nonzero) height to a text style forces all single-line text using the style to be the same height. Variable height styles are more flexible, but fixed height styles usually make it easier to draw text of consistent height. The decision to use variable height versus fixed height styles is another aspect of text that depends on office practice, so if you work with other AutoCAD users, ask around.

  8. Click Apply.

  9. Click Close.

    The Text Style dialog box closes, and the text style that you selected or created is now the current style for new text objects.

Taking your text to new heights

In Chapter 3, I describe the importance of choosing a reasonable drawing scale when you set up a drawing. I warn you that you need to know the drawing scale factor for tasks described in other chapters of this book. This is one of those chapters, and I’m about to explain one of those tasks!

Technical Stuff Drawing scale is the traditional way of describing a scale with an equal sign or colon — for example 1⁄4” = 1’–0”, 1=20, or 2:1. The drawing scale factor represents the same relationship with a single number such as 48, 20, or 0.5. The drawing scale factor is the multiplier that converts the first number in the drawing scale into the second number.

Start Sidebar
Attack of the giant text strings

“Why do I need to know the drawing scale factor in order to draw text?,” you may ask — especially if you’ve spent time “on the boards,” as we grizzled old-timers like to call manual drafting. You need to know the drawing scale factor because you handle scaling of objects and text in CAD opposite from the way you do in manual drafting.

In manual drafting, you squeeze real-world objects (the building, widget, or whatever) down by a specific scale factor, like 10 or 48, so that they fit nicely on a sheet of paper. Naturally, you always draw text the size that you want it to appear on the paper (for example, 1⁄8 inch or 3 mm high), regardless of the scale of the drawing.

In CAD drafting, you draw objects as if they were at their actual size. Then, when you plot, you shrink — or, if you make drawings of tiny things such as microprocessor circuitry, expand — the entire drawing by that same scale factor (for example, 10 or 48) to fit on the paper. When you shrink the whole drawing to fit on the paper, text shrinks, too. To avoid indecipherably small text, or incredibly large text, you must create text at a size that’s scaled appropriately by the drawing scale factor. (If you’re an architect, imagine that your text is neon lettering on the side of the building. If you’re a mechanical designer, think of a brand name stamped on the side of a screw.)

For example, assume that someone has drawn a widget at a scale of 1 = 20 mm (corresponding to a drawing scale factor of 20), and you want your notes to appear 3 mm high when the drawing is plotted to scale. You need to create text that’s 20 times 3 mm, or 60 mm, high. In a building plan drawn at a scale of 1⁄4” = 1’–0” (drawing scale factor equals 48), text that will appear 1⁄8 inch when plotted needs to be 1⁄8 inch times 48, or 6 inches, high.

This “tiny text” / “enormous text” approach seems peculiar at first, especially if you were schooled in manual drafting. But it’s a consequence of CAD’s ability to let you draw and measure the geometry in real-world units. After all, the geometry of what you’re representing, not the ancillary notes, usually is the main point of the drawing.

End Sidebar

Tip One of the things that distinguishes knowledgeable CAD users is that they always know the drawing scale factor of any drawing they’re working on. Make it a point to determine the drawing scale factor of a drawing before you add text to it.

Plotted text height

Most industries have plotted text height standards. A plotted text height of 1⁄8 inch or 3 mm is common for notes. Some companies use slightly smaller heights (for example, 3⁄32 inch or 2.5 mm) to squeeze more text into small spaces. Ask the drafting experts in your office — or in another office within your profession — what they recommend, and see Chapter 14 for additional information.

Calculating AutoCAD text height

To calculate AutoCAD text height, you need to know the drawing scale factor, the desired plotted text height, and the location of the multiplication button on your calculator. Use the following steps to figure out text height:

  1. Determine the drawing’s drawing scale factor.

    If you set up the drawing, you should know its drawing scale, as described in Chapter 3. If you didn’t set up the drawing, try the suggestions in the sidebar, “Figuring out a drawing’s scale factor.”

  2. Determine the height that your notes should appear when you plot the drawing to scale.

    See the previous section for suggestions.

  3. Multiply the numbers that you figured out in Steps 1 and 2.

Table 9-1 lists some common drawing scales and text heights for drawings in imperial and metric units. You should know how to calculate the drawing scale factors and text heights, but you’re allowed to use the table to check your work. (Hint: Multiply the number in the second column by the number in the third column to get the number in the fourth column!) The Cheat Sheet tables include some additional drawing scales and text heights.

Table 9-1: Common Drawing Scales and Text Heights
Drawing Scale Factor | Plotted Text Height | Drawing Scale | AutoCAD Text Height
1⁄8” = 1’–0” | 96 | 1⁄8” | 12”
1⁄4” = 1’–0” | 48 | 1⁄8” | 6”
3⁄4” = 1’–0” | 16 | 1⁄8” | 2”
1” = 1’–0” | 12 | 1⁄8” | 11⁄2”
1 = 100 mm | 100 | 3 mm | 300 mm
1 = 50 mm | 50 | 3 mm | 150 mm
1 = 20 mm | 20 | 3 mm | 60 mm
1 = 10 mm | 10 | 3 mm | 30 mm

After you know the AutoCAD text height, you can use it to define the height of a text style or of an individual text object. If you assign a nonzero height to a text style (Step 7 in the “Get in style” section, earlier in this chapter), all text strings that you create with that style will use the fixed height. If you leave the text style’s height set to zero, AutoCAD asks you for the text height when you draw each text object.

Start Sidebar
Figuring out a drawing’s scale factor

If you’re adding text to a drawing that someone else created, you may not immediately know its drawing scale factor. In some cases, making the determination is trivial, whereas in other cases it’s tricky indeed. Here are some methods you can use:

  • Ask the creator of the drawing.

  • Look for text or a scale bar on the drawing that indicates the scale.

  • Use an architectural or engineering scale to measure distances on the plotted drawing, if you have one.

  • Check the value of the DIMSCALE (DIMension SCALE) system variable, as described in Chapter 10.

None of these methods is infallible by itself, but by comparing the evidence, you usually can figure out the drawing scale factor with reasonable certainty.

End Sidebar

Tip This discussion of text height assumes that you’re adding text in model space, which is the usual practice. Occasionally, you may want to add text to a paper space layout — for example, when you draw text in a title block or add a set of sheet notes that doesn’t directly relate to the model space geometry. When you create text in paper space, you specify the actual, plotted height, instead of the scaled-up height.

One line or two?

For historical reasons (namely, because the AutoCAD text capabilities used to be even more primitive than they are now!), AutoCAD offers two different kinds of text objects and two corresponding text-drawing commands. Table 9-2 explains the two options.

Table 9-2: The Two Kinds of AutoCAD Text
Text Object | Command | Comments
Single-line text | TEXT | Limited to single lines. Text appears directly in the drawing as you enter it.
Paragraph text | mText | Supports multiple lines, with word-wrapping. You enter text in a dialog box.

Although you may be inclined to ignore the older single-line text option, it’s worth knowing how to use both kinds of text. The TEXT command is a bit simpler than the mText command, so it’s still useful for entering short, single-line pieces of text such as object labels and one-line notes. Obviously, it’s the command of choice for CAD comedians who want to document their one-liners — and aren’t fortunate enough to have a For Dummies book in which to inflict their humor on readers!

The small additional complexity of the mText command has a couple of rewards:

  • Multiple-line text has automatic word-wrapping.

  • More text formatting options are provided — including indents, tabs, and numbered lists.

Your text will be justified

Both the TEXT and mText commands offer a bewildering array of text justification options — in other words, which way the text flows from the justification point or points that you pick in the drawing. For most purposes, the default Left justification for single-line text or Top Left justification for paragraph text works fine. Occasionally, you may want to use a different justification, such as Centered for labels or titles. Both commands provide command-line options for changing text justification. I point out these options when I demonstrate the commands later in this chapter.


Using the Same Old Line

Despite its limitations, the TEXT command is useful for labels and other short notes for which mText would be overkill. The following procedure shows you how to enter text by using the AutoCAD TEXT command.

Tip You can use TEXT for multiple lines of text: Just keep pressing Enter after you type each line of text, and TEXT puts the new line below the previous one. The problem is that TEXT creates each line of text as a separate object. If you later want to add or remove words in the multiple lines, AutoCAD can’t do any word-wrapping for you; you have to edit each line separately, cutting words from one line and adding them to the adjacent line.

Technical Stuff The AutoCAD 2004 TEXT command was called DTEXT (Dynamic TEXT) in older versions of AutoCAD (Release 14 and earlier). You may hear AutoCAD old-timers refer to the DTEXT command instead of TEXT. And you thought they called it DTEXT because it wasn’t good enough to be A, B, or C text. . . .

Remember The TEXT command does all of its prompting on the command line, so be sure to read the command line prompts at each step along the way.

Here’s how you enter text using the TEXT command:

  1. Set an appropriate layer current, as described in Chapter 4.

  2. Set an appropriate text style current, as described in the section “Simply stylish text,” earlier in this chapter.

  3. Use the OSNAP button on the status bar to turn off running object snap mode.

    You usually don’t want to snap text to existing objects.

  4. Choose Draw ð Text ð Single Line Text from the menu bar to start the TEXT command.

    Warning The Text button on the Draw toolbar starts the multiline text command, mText, which I cover in the next section.

    AutoCAD tells you the current text style and height settings and prompts you to select a starting point for the text, or to choose an option for changing the text justification or current text style first:

    Current text style: "Standard" Text height: 0.2000
Specify start point of text or [Justify/Style]:

  5. If you want to change justification from the default (lower left), type J, press Enter, and choose one of the other justification options.

    Look up “justification, text” in the online help system if you need help with the justification options.

  6. Specify the insertion point for the first text character.

    You can enter the point’s coordinates from the command line, use the mouse to click a point on-screen, or press Enter to locate new text immediately below the previous single-line text object.

    AutoCAD prompts you at the command line for the text height:

    Specify height <0.2000>:

  7. Specify the height for the text.

    Warning This prompt doesn’t appear if you’re using a text style with a fixed (that is, nonzero) height. See “Simply stylish text,” earlier in this chapter, for information about text styles.

    AutoCAD prompts you at the command line for the text rotation angle:

    Specify rotation angle of text <0>:

  8. Specify the text rotation angle by entering the rotation angle from the command line and pressing Enter or by rotating the line on-screen with the mouse.

    AutoCAD prompts you at the command line to type the text:

    Enter text:

  9. Type the first line of text and press Enter.

  10. Type additional lines of text, pressing Enter at the end of each line.

    Figure 9-2 shows text appearing on-screen as you type it, following the TEXT command.

    Click To expand
    Figure 9-2: Line text.

  11. To complete the command, press Enter at the start of a blank line.

    AutoCAD adds the new line text object — or objects, if you typed more than one line — to the drawing.

Tip To align lines of text exactly, make sure that you type in all the lines just as you want them to appear, pressing Enter after each line to make the next line appear just after it. Otherwise, aligning different lines of text precisely is harder to do (unless you set your snap just right, or use a complicated combination of object snaps and point filters, or are extraordinarily dexterous).

To edit single-line text after you’ve created it, select the text, right-click, and choose Text Edit. The Edit Text dialog box appears, enabling you to edit the text. If you want to edit other text properties, such as text height, select the text, right-click, and choose Properties to display the Properties palette. Use the Properties palette to change parameters as needed.


Saying More in Multiline Text

When you just can’t shoehorn your creative genius into one or more one-line pieces of text, the AutoCAD multiline text object gives you room to go on and on and on. The following procedure shows you how to create text paragraphs with the mText (multiline Text) command.

New for 2004 Autodesk has greatly improved multiline text in AutoCAD 2004. The new multiline text right-click menu offers these and additional formatting options (some of which lived on tabs of the old Multiline Text Editor dialog box in AutoCAD 2002 and earlier versions):

  • You can control tab settings and create indents, which make tables and numbered notes much easier to format. (I describe how later in this chapter.)

  • You now enter and edit multiline text directly in the drawing area, not in a clunky dialog box.

Making it with mText

Warning The first part of the mText command prompts you for various points and options on the command line. The order is a bit confusing, so read these steps and the command line prompts carefully.

Here’s how you use the mText command:

  1. Set an appropriate layer and text style current and turn off running object snaps, as in Steps 1 through 3 in the previous section.

  2. Click the Multiline Text button on the Draw toolbar.

    The command line displays the current text style and height settings and prompts you to select the first corner of an imaginary rectangle that will determine the word-wrapping width for the text object:

    Current text style:  "S-NOTES"  Text height:  0.125
Specify first corner:

  3. Pick a point in the drawing.

    The command line prompts you for the opposite corner of the text rectangle that will determine the word-wrapping width:

    Specify opposite corner or [Height/Justify/Line spacing/Rotation/Style/Width]:

  4. Type H and press Enter to change the default text height.

    The command line prompts you for a new default text height:

    Specify height <0.2000>:

  5. Type an appropriate text height.

    See the “Taking your text to new heights” section, earlier in this chapter, for information. If you’re adding text in model space, remember to use the scaled AutoCAD text height, not the plotted text height.

    The command line prompt for the opposite corner of the mText rectangle reappears:

    Specify opposite corner or [Height/Justify/Line spacing/Rotation/Style/Width]:

  6. If you want to change justification from the default (top left), type J, press Enter, and choose one of the other justification options.

    Look up “justification, multiline text” in the index of the online help system if you want an explanation of the other justification options.

  7. Pick another point in the drawing.

    Tip Don’t worry about the height of the rectangle that you create by choosing the second point; the width of the rectangle is all that matters. AutoCAD adjusts the height of the text rectangle to accommodate the number of lines of word-wrapped text. Don’t worry too much about the width, either; you can adjust it later.

    New for 2004 The Multiline Text Editor frameless window appears with the tab and indent ruler above it and the Text Formatting toolbar above that, as shown in Figure 9-3.

    Click To expand
    Figure 9-3: Adding multilane text.

    Tip If you want to see multiline text at its final height as you type it, zoom to a reasonable resolution before you start the mText command. If the text would be very small (because you’re zoomed way out) or very large (because you’re zoomed way in), AutoCAD temporarily adjusts the size of the text in the frameless editor to show what you’re typing. When you finish entering the text (as in Step 11), AutoCAD places it in the drawing at the height that you specified.

  8. Verify the text font and height.

    The text font and height should be right if you correctly performed Steps 1, 4, and 5. If not, you can change these settings in the Font drop-down list and the Font Height edit box in the Text Formatting toolbar.

  9. Type text into the text area of the dialog box.

    AutoCAD word wraps multiline text automatically. If you want to force a line break at a particular location, press Enter.

  10. New for 2004 If you want other formatting, select text, right-click, and select the appropriate option from the right-click menu (as in Figure 9-4).

    Figure 9-4: More multilane text formatting options in the right-click menu.

  11. Click OK in the Text Formatting toolbar (or press Ctrl+Enter).

    The Multiline Text Editor window closes, and AutoCAD adds your text to the drawing.

Tip As you can tell by looking at the Text Formatting toolbar and multiline text right-click menu, the mText command gives you plenty of other options. The Text Formatting toolbar includes a Stack/Unstack button for fractions. The right-click menu includes access to the new Indents and Tabs feature, a Find and Replace utility, tools for changing between lower- and uppercase, a special Symbol submenu, and an Import Text option for importing text from a TXT (ASCII text) file or RTF (Rich Text Format) file. If you think you might have a use for these additional features, choose ContentsðCommand ReferenceðCommandsðM CommandsðMTEXT in AutoCAD’s online help.

Keeping tabs (and indents) on your mText

New for 2004 For long-time AutoCAD users, the most welcomed improvement in AutoCAD 2004 may well be tabs and indents in mText. At last, long-suffering drafters and designers can create hanging indents — the kind of indents that push an entire paragraph to the right of a number or bullet, as shown in Figure 9-5. Before AutoCAD 2004, there was no straightforward way to perform this feat.

Even in AutoCAD 2004, the procedure isn’t as straightforward as in most word processing programs, but at least you can create numbered and bulleted lists with hanging indents. Here’s how:

  1. Follow Steps 1 through 8 in the preceding section, “Making it with mText.”

  2. In the tab and indent ruler, drag the lower slider (the triangle pointing up) to the right a small distance.

    The lower slider controls the indentation of the second and subsequent lines in each paragraph. (The upper slider controls the indentation of the first line in each paragraph.) An indent of two to four of the short, vertical tick marks usually works well.

  3. Click in the ruler just above the lower slider.

    A small L appears above the lower slider. That shows the tab stop.

    Remember Make sure that the corner of the L aligns horizontally with the point of the lower slider triangle. If it doesn’t, click and drag the L until it aligns.

  4. Type a number followed by a period or parenthesis (for example, 1.) or a character that represents a bullet (for example, *).

  5. Press the Tab key.

    The cursor jumps to the tab stop that you added in Step 3.

  6. Type the text corresponding to the current number or bullet.

    As AutoCAD wraps the text, the second and subsequent lines align with the beginning of the text in the first line, as in Figure 9-5.

    Click To expand
    Figure 9-5: Tabs and indents set to create hanging indents.

  7. Press Enter to finish the current numbered or bulleted item.

  8. Press Enter again if you want to leave a blank line between numbered or bulleted items.

  9. Repeat Steps 4 through 8 for each subsequent numbered or bulleted item.

    Tip If you find that your indents aren’t quite the right size, select all of the text and adjust the lower slider and tab stop.

  10. Resume with Step 9 in the preceding section, “Making it with mText.”

Tip If you prefer to type tab and indent distances, not adjust them with the cursor, use the Indents and Tabs choice on the mText right-click menu. Whichever way you do it, if you select text first, the tab and indent changes apply to the selected paragraphs. If you don’t select text first, the changes apply to new text from that point in the multiline text object forward.

Warning The AutoCAD text commands are designed for the kinds of text that most people add to drawings: short, single-line notes or longer blocks of a paragraph or two. If you want sophisticated formatting or long stretches of text, you’re likely to bump up against the fact that AutoCAD lacks the capabilities of even the most basic word processing programs. If you’re contemplating adding pages of text or fancy text formatting to a drawing, consider putting the text in a separate word processing document instead. If you absolutely must place the text from a long document on a drawing (on a general notes sheet, for example), you’ll have to break it up into several columns, each of which is a separate mtext object. Get the text right in a word processor first and then copy and paste it into AutoCAD.

Technical Stuff If you’re tempted to circumvent my warning by pasting a word processing document directly into an AutoCAD drawing, please read Chapter 17 first.

Modifying mText

After you create a multiline text object, you edit it like a single-line text object: Select the object, right-click, and choose Mtext Edit or Properties.

  • The Mtext Edit option opens the Multiline Text Editor window so that you can change the text contents and formatting.

  • The Properties option opens the Properties palette, where you can change overall properties for the text object.

The easiest way to change the word-wrapping width of a paragraph text object is to grip edit it. Select the text object, click one of the corner grips, release the mouse button, move the cursor, and click again. Chapter 6 describes grip editing in detail.

Technical Stuff AutoCAD 2004 includes two text modification commands that might be useful to you when you become an AutoCAD textpert. SCALETEXT scales a group of text objects, similar to the SCale command. The difference is that SCALETEXT scales each text object around its own base point, whereas SCale uses a single base point for scaling all objects. SCALETEXT is especially useful when you have to change the scale of a drawing. JUSTIFYTEXT changes the justification of one or more text strings without causing the text to move. Both of these new commands are available on the ModifyðObjectðText submenu.


Checking Out Your Spelling

AutoCAD 2004, like almost every other computer program on this planet — and possibly on other planets and moons in our solar system — has a spelling checker.

Unlike Microsoft Word, AutoCAD’s spelling checker doesn’t make those little red squiggles under your errors, but it does let you search for spelling errors in the various line and paragraph text objects in your drawing. The following procedure demonstrates how to use the spelling checker:

  1. Press the Esc key to unselect any selected objects.

  2. Choose Tools ð Spelling to start the SPell command.

    This is text spell-checking, not casting a spell. (That’s the EYEOFNEWT command.) The command line prompts you to select objects.

  3. Select the objects you want to check.

    You can use any of the standard AutoCAD object selection methods to select text to check. (See Chapter 6 if you’re unfamiliar with object selection.) Type ALL and press Enter if you want to check the spelling of all text in the drawing. Don’t worry if you select objects other than text; the spelling checker ignores any objects that aren’t text. When you’re finished selecting objects, press Enter to start the spelling check.

    If a misspelling is found, the Check Spelling dialog box appears with the first misspelled or unrecognized word. Figure 9-6 shows an example.

    Click To expand
    Figure 9-6: It’s good to sue your spelling checker.

  4. Use the dialog box buttons and the following options to tell AutoCAD how to handle a misspelling:

    • Suggestions: Shows AutoCAD’s #1 suggestion. Click another suggestion in the list to use that suggestion instead, or type the correct spelling yourself.

    • Ignore/Ignore All: Ignores the current word and continues checking, or ignores the current word and any future instances of it.

    • Change/Change All: Changes the current word to the highlighted word and continues checking, or changes all instances of the word.

    • Add: Adds the misspelled word to the custom dictionary.

    • Lookup: Checks the spelling of the new word entered in the text-entry area under Suggestions.

    • Change Dictionaries: Changes to a different dictionary (for example, a dictionary for a different language).

    • Context: Displays the words among which AutoCAD found the misspelled word.

    AutoCAD continues with spell-checking until it has checked all the selected text objects. When it finds no further misspellings, the dialog box disappears, and the Spelling check complete alert appears.

Tip Every industry has its own abbreviations and specialized vocabulary. At first, AutoCAD complains about perfectly good words (from a drafter’s point of view) such as thru and S.A.D. (which stands for See Architectural Drawing). Be prepared to click the Add button frequently during the first few weeks to tell AutoCAD which words and abbreviations are acceptable in your industry and office. If you’re patient with it, AutoCAD, like an errant puppy, will gradually become more obedient. Then you’ll be thru feeling S.A.D.


Chapter 10: Entering New Dimensions

Overview

In This Chapter

  • Understanding dimension parts and types

  • Using dimension styles from other drawings

  • Creating and modifying your own dimension styles

  • Drawing dimensions

  • Editing dimensions

  • Drawing leaders

In drafting — either CAD or manual drafting — dimensions are special text labels with attached lines that together indicate unambiguously the size of something. Although it’s theoretically possible to draw all the pieces of each dimension using AutoCAD commands such as Line and mText, dimensioning is so common a drafting task that AutoCAD provides special commands for doing the job more efficiently. These dimensioning commands group the parts of each dimension into a convenient, easy-to-edit package. Even better, as you edit an object — by stretching it for example — AutoCAD automatically updates the measurement displayed in the dimension text label to indicate the object’s new size, as shown in Figure 10-1.

Click To expand
Figure 10-1: Changing objects automatically updates dimensions.

AutoCAD controls the look of dimensions by means of dimension styles, just as it controls the look of text with text styles. (AutoCAD also uses text styles to control the appearance of the text in dimensions.) But dimension styles are much more complicated than text styles, because dimensions have so many more pieces that you need to control. After you find or create an appropriate dimension style, you use one of several dimensioning commands to draw dimensions that point to the important points on an object (the two endpoints of a line, for example).

Warning AutoCAD dimensioning is a big, complicated subject. (It’s so complicated, in fact, that Autodesk has an especially wise person in charge of dimensioning in AutoCAD — this person is called the “DimWit.”) Every industry has its own dimensioning conventions, habits, and quirks. As usual, AutoCAD tries to support them all and, in so doing, makes things a bit convoluted for everyone. This chapter covers the essential concepts and commands that you need to know to start drawing dimensions. Be prepared to spend some additional time studying how to create any specialized types of dimensions that your industry uses.

Start Sidebar
Why dimensions in CAD?

You may think that CAD would have rendered text dimensions obsolete. After all, you comply with all of my suggestions about using AutoCAD precision techniques when you draw and edit, and you’re careful to draw each object at its true size, right? The contractor or machinist can just use AutoCAD to query distances and angles in the CAD DWG file, right? Sorry, but no (to the last question, anyway). Here are a few reasons why the traditional dimensioning that CAD drafting has inherited from manual drafting is likely to be around for a while:

  • Some people need to or want to use paper drawings when they build something. We’re still some time away from the day when contractors haul computers around in their tool belts (never mind mousing around a drawing while hanging from scaffolding).

  • In many industries, paper drawings still rule legally. Your company may supply both plotted drawings and DWG files to clients, but your contracts probably specify that the plotted drawings govern in the case of any discrepancy. The contracts probably also warn against relying on any distances that the recipient of the drawings measures — using measuring commands in the CAD DWG file or a scale on the plotted drawing. The text dimensions are supposed to supply all the dimensional information that’s needed to construct the object.

  • Dimensions sometimes carry additional information besides the basic length or angle. For example, they can indicate the allowable construction tolerances or show that a particular distance is typical of similar situations elsewhere on the drawing.

  • Even conscientious CAD drafters rarely draw every object its true size. They sometimes exaggerate distances for graphical clarity. For example, they might draw a small object larger than its true size so that it shows up clearly on a scaled plot. In addition, drafters sometimes settle for approximate distances because time pressures (especially late in a project) make it difficult to be completely accurate.

So remember the old rule of drafting prowess: “It’s not the size of the drawn object that matters, but the dimensions that are on it.”

End Sidebar

Tip You may be able to avoid getting too deeply into the details of dimensioning just by copying dimension styles from existing drawings in your office. (I show you how later in this chapter.) This may also be a good time to get some advice and coaching from the AutoCAD geek in the cubicle across from yours.

Remember You add dimensions to a drawing after you’ve drawn at least some of the geometry; otherwise, you won’t have much to dimension! Your dimensioning and overall drafting efficiency improve if you add dimensions in batches, rather than draw a line, draw a dimension, draw another line, draw another dimension. . . .


Discovering New Dimensions

Before digging into the techniques that you use to create dimension styles and dimensions, I review some AutoCAD dimensioning terminology. If you’re already familiar with CAD dimensioning lingo, just skim this section and look at the figures in it. Otherwise, read on.

Anatomy of a dimension

AutoCAD uses the names shown in Figure 10-2 and described in the following list to refer to the parts of each dimension:

  • Dimension text: Dimension text usually is the number that indicates the actual distance or angle. Dimension text can also include other text information in addition to or instead of the number. For example, you can add a suffix such as TYP. to indicate that a dimension is typical of several similar configurations, or you can insert a description such as See Detail 3/A2.

  • Dimension lines: The dimension lines go from the dimension text outward (parallel to the direction of the object being measured), to indicate the extent of the dimensioned length. AutoCAD’s default dimension style settings center the dimension text vertically and horizontally on the dimension lines (see Figure 10-2), but you can change those settings to cause the text to appear in a different location — riding above an unbroken dimension line as shown in Figure 10-1, for example. See the section “Adjusting style settings,” later in this chapter, for instructions.

  • Dimension arrowheads: The dimension arrowheads appear at the ends of the dimension lines and clarify the extent of the dimensioned length. AutoCAD’s default arrowhead style is the closed, filled type shown in Figure 10-2, but you can choose other symbols, such as tick marks, to indicate the ends of the dimension lines. (Don’t get ticked off, but AutoCAD calls the line ending an arrowhead even when, as in the case of a tick mark, it doesn’t look like an arrow.)

  • Extension lines: The extension lines extend outward from the extension line origin points that you select (usually by snapping to points on an object) to the dimension lines. By drafting convention, a small gap usually exists between the extension line origin points and the beginning of the extension lines. The extension lines usually extend just beyond where they meet the dimension lines.

Click To expand
Figure 10-2: The parts of a dimension.

A field guide to dimensions

AutoCAD provides several types of dimensions and commands for drawing them. Figure 10-3 shows the most common types, and the following list describes them:

  • Linear dimensions: A linear dimension measures the linear extent of an object or the linear distance between objects. Most linear dimensions are either horizontal or vertical, but you can draw dimensions that are rotated to other angles, too. An aligned dimension is similar to a linear dimension, but the dimension line tilts to the same angle as a line drawn through the origin points of its extension lines.

  • Radial dimensions: A radius dimension calls out the radius of a circle or arc, and a diameter dimension calls out the diameter of a circle or arc. You can position the dimension text inside or outside the curve, as shown in Figure 10-3. If you position the text outside the curve, AutoCAD draws a little cross at the center of the circle or arc.

  • Angular dimensions: An angular dimension calls out the angular measurement between two lines, two locations on a curve, or two point objects. The dimension line appears as an arc that indicates the sweep of the measured angle.

    Click To expand
    Figure 10-3: Common types of dimensions.

Other types of AutoCAD dimensions include ordinate, tolerance, center mark, and leader dimensions. See the “Pointy-Headed Leaders” section at the end of this chapter for instructions on how to draw leaders. Look up “dimensions, creating” on the Index tab in the AutoCAD online help system for more information about other kinds of dimensions.

Dimension associativity

By default, AutoCAD groups all the parts of each dimension — the extension lines, dimension lines, arrowheads, and text — into a special associative dimension object. Associative means two things:

  • The different parts of the dimension function as a single object. When you click any part of the dimension, AutoCAD selects all of its parts.

  • The dimension is connected with the points on the object that you specified when you drew the dimension. If you change the size of the object (for example, stretch a line), the dimension updates appropriately — the lines and arrows move, and the text changes to reflect the line’s new size.

I call dimensions with both of these characteristics geometry-driven associative dimensions, because the geometry “drives” the location of the parts of the dimension and what the text says.

Technical Stuff For historical reasons, AutoCAD also is capable of creating dimensions that possess just the first type of associativity — that is, the dimension functions as a single, grouped object but isn’t directly connected with the object whose size it shows. Autodesk now calls these kinds of dimensions nonassociative, which is pretty confusing to AutoCAD veterans, because AutoCAD used to call them associative! AutoCAD also is capable of creating dimensions that possess no type of associativity at all — no grouping of the bits and pieces and no connection to the dimensioned object. Autodesk now calls these exploded dimensions, but before AutoCAD 2002, they were called nonassociative!

Technical Stuff I mention the conflicting use of associative and nonassociative in case you find yourself discussing dimensions with AutoCAD veterans, most of whom will use the terms in their older sense. To avoid confusion, I always use the term geometry-driven associative dimensions (or simply geometry-driven dimensions) in this book to refer to dimensions that possess both types of associativity. For more information about how to determine which kind of dimension AutoCAD draws, see “Controlling and editing dimension associativity,” later in this chapter.

Pulling out your dimension tools

The AutoCAD Dimension menu provides access to dimensioning commands. If you find yourself adding dimensions in batches, the Dimension toolbar is more efficient because it makes the dimensioning commands more accessible. You toggle the Dimension toolbar off and on by right-clicking any AutoCAD toolbar icon and choosing Dimension from the cursor menu. As with other toolbars, you can move the Dimension toolbar to a different location on the screen or dock it on any margin of the drawing area.

Technical Stuff All dimensioning commands have long command names (such as DIMLINEAR and DIMRADIUS) and corresponding shortened abbreviations (DLI and DRA) that you can type at the command prompt. If you do lots of dimensioning and don’t want to toggle the Dimension toolbar on and off repeatedly, memorize the abbreviated forms of the dimension commands that you use frequently. You’ll find a list of the long command names on the Contents tab in the AutoCAD online help system. Choose Command Reference and then D Commands. The short names are the first, fourth, and fifth letters of the long names. (In other words, take the first five letters of the long name and remove IM.)


Doing Dimensions with Style(s)

Creating a usable dimension style that gives you the dimension look you want is the biggest challenge in using AutoCAD’s dimensioning features. Each drawing contains its own dimension styles, so changes you make to a dimension style in one drawing affect only that drawing. However, after you get the dimension styles right in a drawing, you can use it as a template or starting point for later drawings.

A dimension style is a collection of drawing settings called dimension variables, which are a special class of the system variables that I introduce in Chapter 2.

Technical Stuff If you want to see a list of the dimension variable names and what each variable controls, look up “dimension system variables, table listing of” on the Index tab in the AutoCAD online help system.

Warning AutoCAD users, like all computer nerds, like to shorten names. You may hear them refer to dimstyles and dimvars instead of dimension styles and dimension variables. You can tell them that doing so makes you think of them as dimwits — which is actually an honorable title at Autodesk, as I mention earlier in this chapter.

Borrowing existing dimension styles

If you’re lucky enough to work in an office where someone has set up dimension styles that are appropriate for your industry and project, you can skip the pain and strain of creating your own dimension styles. If the ready-made dimension style that you need lives in another drawing, you can use the DesignCenter palette to copy it into your drawing, as described in the following steps:

  1. Open the drawing that contains the dimension style you want to copy (the source drawing).

  2. Open the drawing to which you want to copy the dimension style (the destination drawing).

  3. Click the AutoCAD DesignCenter button on the Standard toolbar.

    The DesignCenter palette appears.

  4. In the left pane of the DesignCenter palette, click the plus sign next to the name of the drawing that you opened in Step 1.

    A list of copy-able objects, including Dimstyles, appears.

  5. Click and drag the desired dimension style from the right pane of the DesignCenter palette into the window containing the drawing that you opened in Step 2, as shown in Figure 10-4.

    Click To expand
    Figure 10-4: Copying a dimension style from one drawing to another.

    Warning If the name of the dimension style that you copy duplicates the name of an existing dimension style in the destination drawing, AutoCAD refuses to overwrite the existing dimension style. In that case, rename the existing dimension style by using the information in the following section, “Creating and managing dimension styles.”

  6. Change the Use Overall Scale Of factor on the Fit tab of the Modify Dimension Style dialog box so that it matches the drawing scale factor of the current drawing.

    See Chapter 3 for detailed instructions.

Tip If you want a dimension style to be available in new drawings, copy the style to a template drawing and use that template to create your new drawings. See Chapter 3 for more information about template drawings.

Creating and managing dimension styles

If you do need to create your own dimension styles, or you want to tweak ones that you copied from another drawing, you use the Dimension Style Manager dialog box, shown in Figure 10-5.

Click To expand
Figure 10-5: Yet another manager, this one for dimension styles.

Warning Every drawing comes with a default dimension style named Standard (for non-metric drawings) or ISO-25 (for metric drawings). Although you can use and modify the Standard or ISO-25 style, I suggest that you leave it as is and create your own dimension style(s) for the settings that are appropriate to your work. This approach ensures that you can use the default style as a reference. More important, it avoids a potential naming conflict that can change the way your dimensions look if the current drawing gets inserted into another drawing. (Chapter 13 describes this potential conflict.)

The following steps describe how to create your own dimension style(s):

  1. Choose Format ð Dimension Style from the menu bar, or click the Dimension Style button on the Dimension toolbar.

    The Dimension Style Manager dialog box appears.

  2. In the Styles list, select the existing dimension style whose settings you want to use as the starting point for the settings of your new style.

    For example, select the default dimension style named Standard.

  3. Click the New button to create a new dimension style that’s a copy of the existing style.

    The Create New Dimension Style dialog box appears.

  4. Enter a New Style Name and click Continue.

    The New Dimension Style dialog box appears, which is the same as the Modify Dimension Style dialog box shown in Figure 10-6.

    Click To expand
    Figure 10-6: Modifying dimension settings.

  5. Modify dimension settings on any of the six tabs in the New Dimension Style dialog box.

    See the descriptions of these settings in the next section of this chapter. In particular, be sure to set the Use Overall Scale Of factor on the Fit tab to set the drawing scale factor.

  6. Click OK to close the New Dimension Style dialog box.

    The Dimension Style Manager dialog box reappears.

  7. Select your new dimension style from the Styles list, and then click Set Current.

    Your new dimension style becomes the current dimension style that AutoCAD uses for future dimensions in this drawing.

  8. Click Close.

    The Dimension Style Manager dialog box closes.

  9. Draw some dimensions to test your new dimension style.

Warning Avoid changing existing dimension styles that you didn’t create, unless you know for sure what they’re used for. When you change a dimension style setting, all dimensions that use that style change to reflect the revised setting. Thus, one small dimension variable setting change can affect a large number of existing dimensions! When in doubt, try to find out from the dimension style’s creator what the dimension style is for and what the consequences of changing it are. If that’s not possible, instead of modifying an existing dimension style, create a new style by copying the existing one, and then modify the new one.

Technical Stuff A further variation on the already baroque dimension style picture is that you can create dimension secondary styles (also called substyles or style families) — variations of a main style that affect only a particular type of dimension, such as radial or angular. You probably want to avoid this additional complication if you can, but if you open the Dimension Style Manager dialog box and see names of dimension types indented beneath the main dimension style names, be aware that you’re dealing with secondary styles. Look up “dimension styles, secondary styles” on the Index tab in the AutoCAD online help system for more information.

Adjusting style settings

After you click New or Modify in the Dimension Style Manager dialog box, AutoCAD displays a tabbed New/Modify Dimension Style subdialog box with a mind-boggling — and potentially drawing-boggling, if you’re not careful — array of settings. Figure 10-6 shows the settings on the first tab, which have been modified from the AutoCAD defaults to conform with one office’s drafting standards.

Fortunately, the dimension preview that appears on all tabs — as well as on the main Dimension Style Manager dialog box — immediately shows the results of most setting changes. With the dimension preview and some trial-and-error changing of settings, you usually can home in on an acceptable group of settings. For more information, use the dialog box help: Click the question mark button on the title bar and then click the setting that you want to know more about.

Tip Before you start messing with dimension style settings, it’s important to know what you want your dimensions to look like when they’re plotted. If you’re not sure how it’s done in your industry, ask others in your office or profession or look at a plotted drawing that someone in the know represents as being a good example.

The following sections introduce you to the more important New/Modify Dimension Style tabs and highlight useful settings. Note that whenever you specify a distance or length setting, you should enter the desired plotted size. AutoCAD scales all these numbers by the overall scale factor that you enter on the Fit tab.

Following Lines and Arrows

The settings on the Lines and Arrows tab control the basic look and feel of all parts of your dimensions except text. Use this tab to change the type and size of arrowheads or the display characteristics of the dimension and extension lines.

Tabbing to Text

Use the Text tab to control how your dimension text looks — the text style and height to use (see Chapter 9) and where to place the text with respect to the dimension and extension lines. You’ll probably want to change the Text Style setting to something that uses a more pleasing font than the dorky default Txt.shx font, such as the Romans.shx font. The default Text Height is too large for most situations — set it to 1⁄8 (= 0.125) or another height that makes sense.

Warning The text style that you specify for a dimension style must be a variable height style — that is, the height that you specify in the Text Style dialog box must be zero. (See Chapter 9 for more information about variable height and fixed height text styles.) If you specify a fixed height text style for a dimension style, the text style’s height will override the Text Height setting in the New/Modify Dimension Style subdialog box. This behavior is confusing at best and unacceptable at worst. Use a variable height style to avoid the problem.

Remember Enter the desired plotted text height. Don’t multiply it by the drawing scale factor, as you do for ordinary text.

Tip Industry or company standards usually dictate the size of dimension text. (For example, 1⁄8 inch is common in the architectural industry.) In any case, make sure you pick a height that’s not too small to read on your smallest check plot.

Getting Fit

The Fit tab includes a bunch of confusing options that control when and where AutoCAD shoves the dimension text if it doesn’t quite fit between the dimension lines. The default settings leave AutoCAD in “maximum attempt at being helpful mode” — that is, AutoCAD moves the text, dimension lines, and arrows around automatically so that things don’t overlap. If these guesses seem less than satisfactory to you, try the modified settings shown in Figure 10-7: Select the Over the Dimension Line, without a Leader radio box under Text Placement and the Always Draw Dim Line between Ext Lines check box under Fine Tuning. (You can always move the text yourself by grip editing it, as I describe later in this chapter.)

Click To expand
Figure 10-7: Keep Fit and don’t forget the Scale.

Most importantly, the Fit tab includes the Use Overall Scale Of setting, as noted in Figure 10-7. This setting acts as a global scaling factor for all the other length-related dimension settings. Always set Use Overall Scale Of to the drawing scale factor of the current drawing.

Technical Stuff If your drawing includes areas of different scales, you can create multiple dimension styles, one for each scale. Alternatively, you can set the Use Overall Scale Of setting to 1.0 and draw dimensions in a paper space layout, rather than in model space. See the “Trans-spatial dimensioning” section, later in this chapter, for more information.

Technical Stuff The Use Overall Scale Of setting corresponds to the DIMSCALE system variable, and you’ll hear AutoCAD drafters refer to it as such. AutoCAD accepts zero and negative DIMSCALE settings and uses them for special dimensioning techniques in paper space layouts. Look up “dimension scale” and choose “Set the Scale for Dimensions” in the AutoCAD online help system for more information about additional dimension scale options.

Using Primary Units

The Primary Units tab gives you incredibly (or overly) detailed control over how AutoCAD formats the characters in the dimension text string. You usually want to set the Unit format and Precision and maybe specify a suffix for unit-less numbers (such as mm for millimeters). You may also change the Zero Suppression settings, depending on whether you want dimension text to read 0.5000, .5000, or 0.5. (You can sound like a real human rights advocate if you say “We use zero suppression in our shop.”)

Other style settings

If your work requires that you show dimensions in two different units (such as inches and millimeters), use the Alternate Units tab to turn on and control alternate units. If your work requires listing construction tolerances (for example, 3.5 mm +/–0.01), use the Tolerances tab to configure the tolerance format that you want.

Warning The New/Modify Dimension Style dialog box Tolerance tab settings affect the text of ordinary dimensions. AutoCAD includes a separate TOLERANCES command that draws special symbols called geometric tolerances. If you need these symbols, you probably know it; if you’ve never heard of them, just ignore them. Look up “Geometric Tolerance dialog box” on the Index tab in the AutoCAD online help system for more information.


Drawing Dimensions

After you’ve copied or created a suitable dimension style, you’re ready to dimension. Fortunately, adding dimensions to a drawing using existing dimension styles is usually pretty straightforward.

When you want to dimension something in AutoCAD, you can either select the object, such as a line or polyline segment, or select points on that object, such as the endpoints of the line or polyline segment. If you select an object, AutoCAD finds the most obvious points on it to dimension, such as the endpoints of a line. If you choose to select points instead, use object snaps (see Chapter 4). The points that you pick — or that AutoCAD finds for you — are called the origins of the dimension’s extension lines. When you change the size of the object (for example, by stretching it), AutoCAD automatically moves the origin points and updates the dimension text to show the new length.

Warning If you don’t use object snaps or another AutoCAD precision technique to choose dimension points, the dimension text probably won’t reflect the precise measurement of the object. This lack of precision can cause serious problems. When in doubt, osnap to it!

Remember When you set up a new drawing, make sure that you change the Use Overall Scale Of setting on the Fit tab in the New/Modify Dimension Style dialog box so that it matches the drawing scale factor. Before you draw any dimensions in a drawing that you didn’t set up, check this setting to make sure it’s correct.

Remember The AutoCAD dimension drawing commands prompt you with useful information at the command line. Read the command line prompts during every step of the command, especially when you’re trying a dimensioning command for the first time.

Lining up some linear dimensions

Linear dimensions are the most common type of dimensions, and horizontal and vertical are the most common of those. The following example demonstrates all of the important techniques for creating horizontal and vertical linear dimensions, as well as aligned dimensions (which are similar to linear dimensions):

  1. Use the LINE command to draw a non-orthogonal line — that is, a line segment that’s not horizontal or vertical.

    An angle of about 30 degrees works well for this example.

    If you want to apply dimensioning to an object other than a line, use these steps as a general guideline, filling in the appropriate commands and data as applicable to your drawing.

  2. Set a layer that’s appropriate for dimensions current.

    See Chapter 4 for details.

  3. Set a dimension style that’s appropriate for your needs current.

    Refer to Step 7 of the section, “Creating and managing dimension styles,” earlier in this chapter.

  4. Choose Dimension ð Linear or click the Linear Dimension button on the Dimension toolbar.

    AutoCAD prompts you:

    Specify first extension line origin or <select object>:

  5. To specify the origin of the first extension line, snap to the lower-left endpoint of the line by using endpoint object snap.

    If you don’t have endpoint as one of your current running object snaps, specify a single endpoint object snap by holding down the Shift key, right-clicking, and choosing Endpoint from the cursor menu. (See Chapter 4 for more about object snaps.)

    AutoCAD prompts you:

    Specify second extension line origin:

  6. To specify the origin of the second extension line, snap to the other endpoint of the line by using endpoint object snap again.

    AutoCAD draws a horizontal dimension — the length of the displacement in the left-to-right direction — if you move the cursor above or below the line. It draws a vertical dimension — the length of the displacement in the up-and-down direction — if you move the cursor to the left or right of the line. If you move the cursor near the line, AutoCAD determines the type of dimension that’s displayed by where the cursor was the last time it was outside an imaginary rectangle that just encloses the line.

    AutoCAD prompts you:

    Specify dimension line location or
[Mtext/Text/Angle/Horizontal/Vertical/Rotated]:

  7. Move the mouse to generate the type of dimension you want, horizontal or vertical, and then click wherever you want to place the dimension line.

    AutoCAD draws the dimension.

    Tip If you want to be able to align subsequent dimension lines easily, turn on Snap and set a suitable snap spacing — more easily done than said! — before you pick the point that determines the location of the dimension line. See Chapter 4 for more information about snap.

  8. Repeat Steps 4 through 7 to create another linear dimension of the opposite orientation (vertical or horizontal).

  9. Choose Dimension ð Aligned or click the Aligned Dimension button on the Dimension toolbar.

    The prompt includes an option to select an object instead of picking two points (you can use this technique with the Linear Dimension command, too):

    Specify first extension line origin or <select object>:

  10. Press Enter to choose the select object option.

    AutoCAD prompts you:

    Select object to dimension:

  11. Select the line or other object that you want to dimension.

    AutoCAD automatically finds the endpoints of the line and uses them as the extension line origin points, as shown in Figure 10-8.

    Click To expand
    Figure 10-8: Drawing a linear dimension by selecting an object.

    AutoCAD prompts you:

    Specify dimension line location or
[Mtext/Text/Angle]:

  12. Click wherever you want to place the dimension line.

    AutoCAD draws the dimension.

Drawing other kinds of dimensions

After you have the hang of ordinary linear dimensions, you should be able to master other common dimension types quickly. Draw some lines, arcs, and circles, and try the other dimension commands on the Dimension toolbar or menu.

Tip Although AutoCAD includes special commands for dimensioning the diameter or radius of a circle or arc, you can use the linear dimension techniques described in the previous section to dimension these objects.

To draw a series of side-by-side dimensions whose dimension lines are perfectly aligned, use the DimCOntinue command. To draw an overall dimension above one or more smaller dimensions, use DimBAseline. If you use these commands often in your work, you may find that the QDIM (Quick DIMension) command provides a quick way to draw lots of dimensions in one fell swoop.

Figure 10-9 shows some results of using the more common additional dimensioning commands.

Click To expand
Figure 10-9: Examples of additional dimensioning commands.

Trans-spatial dimensioning

Trans-spatial dimensioning may sound like the latest New Age fad — after all, most of Autodesk’s programmers do work in California — but actually it’s just a relatively new (circa AutoCAD 2002) dimensioning feature. There’s an age-old argument about whether to draw dimensions in model space, where the geometry that you’re dimensioning usually resides, or paper space. (See Chapter 3 for information about model space and paper space.) Most people have settled on dimensioning in model space, but sometimes dimensioning in paper space offers advantages — for example, when you want to dimension different parts of the same geometry in different paper space viewports.

Since AutoCAD 2002, the program works much better for dimensioning in paper space layouts — when you set the DIMSCALE system variable to 1.0 and then draw dimensions in paper space, AutoCAD can associate them with objects in model space.

Tip Get comfortable with dimensioning in model space first. If you later want to try dimensioning in paper space, look up “dimensioning, methods” in the AutoCAD online help system.


Editing Dimensions

After you draw dimensions, you can edit the position of the various parts of each dimension and change the contents of the dimension text. AutoCAD groups all the parts of a dimension into a single object. When you select it for editing, the entire dimension ghosts.

Editing dimension geometry

The easiest way to change the location of dimension parts is to use grip editing, which I describe in Chapter 6. Just click a dimension, click one of its grips, and maneuver away. You’ll discover that certain grips control certain directions of movement. Experiment a few minutes to see how they work.

If you want to change the look of a dimension part (for example, substitute a different arrowhead or suppress an extension line), use the Properties palette. (See Chapter 6 for more on the Properties palette.) All the dimension settings in the New/Modify Dimension Style dialog box (see “Adjusting style settings,” earlier in this chapter) are available in the Properties palette when you select one or more dimensions.

Warning When you change a setting in the Properties palette, you’re overriding the default style setting for that dimension. If you need to make the same change to a bunch of dimensions, it’s better to create a new dimension style and assign that style to them. You can use the Properties palette or the right-click menu to change the dimension style that’s assigned to one or more dimensions.

Tip If you select one or more dimensions and right-click, the cursor menu displays a number of useful options for overriding dimension settings or assigning a different style.

Warning The AutoCAD eXplode command on the Modify toolbar will blow a dimension apart, into a bunch of line and multiline text objects. Don’t do it! Exploding a dimension makes it much harder to edit cleanly and eliminates AutoCAD’s capability of updating the dimension text measurement automatically.

Editing dimension text

In most cases, you shouldn’t have to edit dimension text. Assuming that you drew your geometry accurately and picked the dimension points precisely, AutoCAD displays the right measurement. If you change the size of the associated object, AutoCAD 2004 updates the dimension and its measurement. However, you occasionally may need to override the dimension text (that is, replace it with a different measurement) or add a prefix or a suffix to the true measurement.

AutoCAD creates dimension text as a multiline text (mtext) object, so dimension text has the same editing options as ordinary text. Unfortunately, the right-click menu for dimension objects doesn’t include a Text Edit option. You can use the Text Override field in the Properties palette, or choose ModifyðObjectðTextðEdit to edit dimension text in the Multiline Text Editor window.

The default text is <> (that is, the left and right angled bracket characters), which acts as a placeholder for the true length. In other words, AutoCAD inserts the true dimension length as text in the actual dimension (and keeps the text up-to-date if you change the distance between the dimension’s origin points). You can override the true length by typing a specific length or other text string. You can preserve the true length but add a prefix or suffix by typing it before or after the left- and right-angled bracket characters. In other words, if you enter <> Max., and the actual distance is 12.00, AutoCAD displays 12.00 Max. for the dimension text. If you later stretch the object so that the actual distance changes to 14.50, AutoCAD automatically changes the dimension text to read 14.50 Max. Now you can appreciate the importance of drawing and editing geometry precisely!

Warning Avoid the temptation to override the default dimension text by replacing the angled brackets with a numeric value. Doing so eliminates AutoCAD’s capability of keeping dimension measurements current, but even worse, you get no visual cue that the default distance has been overridden (unless you edit the dimension text). If you’re overriding dimension text a lot, it’s probably a sign that the creator of the drawing didn’t pay enough attention to using precision techniques when drawing and editing. I’m not going to point any fingers, but you probably know whom to talk to. (Of course, if it’s your own fault, don’t let anyone catch you talking to yourself!)

Controlling and editing dimension associativity

When you add dimensions by selecting objects or picking points on the objects using object snap modes, AutoCAD 2004 normally creates geometry-driven associative dimensions, which are connected to the objects and move with them. This is the case in new drawings that you create in AutoCAD 2004 or that were originally created in AutoCAD 2002. (Autodesk introduced geometry-driven dimensions in AutoCAD 2002. Before that, AutoCAD normally created dimensions whose parts functioned as a single grouped object but that weren’t connected with the dimensioned object.)

Warning In drawings that were created originally in versions older than AutoCAD 2002, you must set the new DIMASSOC system variable to 2 before AutoCAD 2004 will create geometry-driven associative dimensions. An easy way to make this change for the current drawing is to open the Options dialog box (choose ToolsðOptions), click the User Preferences tab, and turn on the Make New Dimensions Associative setting. Be aware that this setting only affects new dimensions that you draw from now on. Thus, you’ll end up with geometry-driven associative new dimensions and less fully associative existing dimensions in your old drawing. Look up “DIMASSOC system variable” in the AutoCAD online help system for more information.

Technical Stuff You aren’t likely to need any of these three commands very often, but if you do, look up the command name in the online help system.

  • DIMREASSOCIATE: If you have dimensions that aren’t currently geometry-driven (probably because they were created in older versions of AutoCAD) or are associated with the wrong objects, you can use the DIMREASSOCIATE command (DimensionsðReassociate Dimensions) to associate them with points on the objects of your choice.

  • DIMDISASSOCIATE: You can use the DIMDISASSOCIATE command to sever the connection between a dimension and its associated object.

  • DIMREGEN: In a few special circumstances, AutoCAD 2004 doesn’t automatically update geometry-driven associative dimensions (maybe Autodesk should call them “usually geometry-driven but occasionally asleep at the wheel associative dimensions”). In those cases, the DIMREGEN command will fix things.


Pointy-Headed Leaders

No, I’m not talking about your boss (or about you, if you happen to be the boss). I’m talking about arrows that point from your comment to the object or area about which you’re commenting. AutoCAD treats leaders as a special kind of dimension object (no jokes about dimwitted leaders, now). You can draw leaders and text at the same time easily by using the qLEader (Quick Leader) command, as described in the following steps.

Warning qLEader is an improved version of the old LEADER command, which remains in AutoCAD 2004 for compatibility reasons. I recommend that you use qLEader instead of LEADER. Fortunately, the AutoCAD 2004 Dimension menu and toolbar choices run the qLEader command.

Warning qLEader is another one of those annoying AutoCAD commands that prompts you for some information on the command line and some in a dialog box. Pay close attention to the command line prompts throughout this example:

  1. Set a layer that’s appropriate for dimensions current.

    See Chapter 5 for details.

  2. Set a dimension style that’s appropriate for your needs current.

    See Step 7 in the section, “Creating and managing dimension styles,” earlier in this chapter.

  3. Choose Dimension ð Leader or click the Quick Leader button on the Dimension toolbar.

    The command line prompts you to select the first leader point — that is, the arrowhead point — and gives you the option of changing leader settings first:

    Specify first leader point, or [Settings] <Settings>:

    Tip If you want to draw curved rather than straight leader lines or choose a different leader arrowhead style, type S and press Enter to open the Leader Settings dialog box.

  4. Pick a point that you want to point to.

    If you use an object snap mode, such as Nearest or Midpoint, to pick a point on an object, AutoCAD 2004 associates the leader with the object. If you later move the object, AutoCAD updates the leader so that it points to the new location.

    The command line prompts you for the next point — AutoCAD draws a shaft from the arrowhead to this point:

    Specify next point:

  5. Pick a second point.

    Warning If you pick a second point that’s too close to the arrowhead point, AutoCAD doesn’t have enough room to draw the arrowhead, and thus omits it.

    AutoCAD repeats the next point prompt so that you can draw a multisegment shaft if you want to:

    Specify next point:

    Technical Stuff This is another example of AutoCAD offering power (the ability to draw multisegment shafts) at the expense of simplicity (just ending the arrow after you draw the first shaft segment).

  6. Pick one more point if you want to, or press Enter if you want a leader with a single shaft.

    Pressing Enter tells the qLEader command that you’re finished selecting the points that define the leader shaft. By default, the qLEader command lets you pick up to three points (the arrowhead point and two more points). You can change this behavior in the Leader Settings dialog box (refer to Step 3).

    The command line prompts you to specify the width for word-wrapping the text that you’ll attach to the leader:

    Specify text width <0.0>:

    The default text width, 0.0, turns off word-wrapping and displays your text on a single line. You can type a width or point and click by using the cursor.

    Tip Turning off word-wrapping works fine for short notes that fit on one line. If you think your note may be longer, specify a width instead of accepting the default value of 0.0.

  7. Press Enter to suppress word-wrapping, or move the cursor to the right or left to specify a width for word-wrapping; then click.

    The command line prompts you to type a short note directly at the command line, or press Enter to type your note in the Multiline Text Editor window:

    Enter first line of annotation text <Mtext>:

  8. Press Enter to open the Multiline Text Editor window.

  9. Enter your comment.

  10. Click OK.

    The Multiline Text Editor window closes and adds your comment to the drawing, next to the leader.

Figure 10-10 shows several different leaders with notes.

Click To expand
Figure 10-10: All leaders and now followers.

Warning If both the leader arrowhead and the text are the wrong size or appear to be missing entirely, the dimension scale isn’t set correctly in the drawing. (As I warn you earlier, AutoCAD treats leaders as a special kind of dimension object.) See Chapter 3 for detailed instructions on how to set the dimension scale. After you set the dimension scale properly, erase and re-create the leader and text.

Tip If you add a comment to a drawing and later decide that the comment merits a leader, you can use the qLEader command to draw the leader so that the end of the shaft ends up in the vicinity of the existing text object. Then, when the Multiline Text Editor window appears (Step 8 in the previous steps), click OK without entering any new text.

Technical Stuff A leader and the text that you draw with it are partially associated with each other. When you move the text, the leader’s shaft follows. Unfortunately, the converse isn’t true — moving the leader or one of its vertices doesn’t cause the text to follow.


Chapter 11: Down the Hatch

Overview

In This Chapter

  • Adding hatching to your drawings

  • Copying existing hatches

  • Using predefined and user-defined hatch patterns

  • Making solid and gradient fills

  • Scaling hatches properly

  • Choosing hatching boundaries

  • Editing hatches

If you were hoping to hatch a plot (or plot a hatch), see Chapter 12 instead. If you want to hatch an egg, buy my companion book, Raising Chickens For Dummies. If you need to fill in closed areas of your drawings with special patterns of lines, this is your chapter.

Drafters often use hatching to represent the type of material that makes up an object, such as insulation, metal, concrete, and so on. In other cases, hatching helps emphasize or clarify the extent of a particular element in the drawing — for example, showing the location of walls in a building plan, or highlighting a swampy area on a map so you know where to avoid building a road. Figure 11-1 shows an example of hatching in a structural detail.

Click To expand
Figure 11-1: A big batch o’hatch.

An AutoCAD hatch is a separate object that fills a space, that has an appearance dictated by the hatch pattern assigned to it, and that is associated with the objects that bound the space, such as lines, polylines, or arcs. If you move or stretch the boundaries, AutoCAD normally updates the hatching to fill the resized area.

Warning Don’t go overboard with hatching. The purpose of hatching is to clarify, not overwhelm, the other geometry in the drawing. If your plots look like a patchwork quilt of hatch patterns, it’s time to simplify.

Remember Hatching is another kind of annotation of your geometry, similar in purpose to text and dimensions. As I describe at the beginning of Chapter 9, you’ll usually be more efficient if you save annotation for later in the drafting process. Try drawing as much geometry as possible first, and then hatching the parts that require it. In other words, batch your hatch.


Hatch . . . Hatch . . . Hatchoo

This section outlines the steps you use to add hatching to a drawing with the Boundary Hatch and Fill dialog box, shown in Figure 11-2. You can use this information to get started quickly with hatching. When you need more information about any part of the process, jump to the relevant sections of “Pushing the Boundary (of) Hatch,” later in this chapter.

Click To expand
Figure 11-2: The Hatch tab of the Boundary Hatch and Fill dialog box.

The following steps show you how to hatch an enclosed area by using the “picking-points” method of selecting the hatch area:

  1. Open a drawing containing geometry that forms fully closed boundaries, or draw some boundaries using the drawing commands I describe in Chapter 5.

    The areas you want to hatch must be completely enclosed. The Circle, POLygon, and RECtang commands, and the Line and PLine commands with the Close option, make great hatch boundaries (see Chapter 5 for details).

  2. Set an appropriate layer current, as described in Chapter 4.

    Tip It’s usually best to put hatching on its own layer.

  3. Start the bHatch command by clicking the Hatch button on the Draw toolbar.

    The Boundary Hatch and Fill dialog box appears.

    Warning For historical reasons, AutoCAD 2004 also has a HATCH command, which prompts you at the command line instead of opening a dialog box. Trust me — you want the bHatch command’s dialog box.

  4. Choose Predefined, User Defined, or Custom from the Type drop-down list.

    Predefined or User Defined works best for most purposes. See the next section for details.

  5. If you chose Predefined or Custom in the previous step, select any predefined or custom hatch pattern from the Pattern drop-down list or the Pattern button just to the right of it. If you chose User Defined, you don’t need to choose a pattern.

  6. Specify an Angle and Scale for the hatch pattern (or, if you chose User Defined in Step 4, specify Angle and Spacing).

    See “Getting it right: Hatch angle and scale,” later in this chapter, for more information.

  7. Click the Pick Points button.

    The Boundary Hatch and Fill dialog box (temporarily) disappears, and your drawing reappears with the following prompt at the command line:

    Select internal point:

  8. Select a point inside the boundary within which you want to hatch by clicking it with the mouse.

    AutoCAD analyzes the drawing and decides which boundaries to use. In a complex drawing, this analysis can take several seconds. AutoCAD highlights the boundary that it finds.

    Tip If AutoCAD highlights the wrong boundary, right-click, choose Clear All from the cursor menu, and try again.

  9. Right-click anywhere in the drawing area and choose Enter from the cursor menu to indicate that you’re finished selecting points.

    The Boundary Hatch and Fill dialog box reappears.

  10. Click the Preview button to preview the hatch.

    The Boundary Hatch and Fill dialog box (temporarily) disappears again, and AutoCAD shows you what the hatch will look like.

  11. Right-click to return to the Boundary Hatch and Fill dialog box.

  12. Adjust any settings and preview again until you’re satisfied with the hatch.

  13. Click OK.

    AutoCAD hatches the area inside the boundary. If you modify the boundary, the hatch automatically resizes to fill the resized area.

Warning Occasionally, AutoCAD gets confused and doesn’t resize a hatch after you resize the boundary. If that happens, erase and then re-create the hatch in the resized area.


Pushing the Boundary (of) Hatch

The remainder of this chapter shows you how to refine the techniques presented in the preceding section. I describe how to copy existing hatching, take advantage of the various options in the Boundary Hatch and Fill dialog box, and choose more complicated hatching boundaries.

Hatch from scratch

You can use predefined, user-defined, or custom hatch patterns. Most of the time, you’ll choose either predefined or user-defined hatch patterns, unless some generous soul gives you a custom pattern. The next four sections describe the hatch pattern type choices.

Pick a pattern, any pattern: Predefined hatch patterns

To use AutoCAD’s predefined hatch patterns, select Predefined from the drop-down list box at the top of the Hatch tab in the Boundary Hatch and Fill dialog box. This selection sets the stage for choosing the hatch pattern.

You specify a predefined hatch pattern in one of two ways:

  • If you know the name of the hatch pattern, select it from the Pattern drop-down list. The list is alphabetical, except that SOLID (that is, a solid fill) is at the very beginning.

  • If you don’t know the pattern’s name, or you prefer the visual approach, click the Pattern button (the tiny button with the ellipsis [three dots] to the right of the Pattern prompt and pattern name) to display the Hatch Pattern Palette with pattern previews and names.

AutoCAD has about 70 predefined hatch patterns from which to choose. The list includes ANSI (American National Standards Institute) and ISO (International Standards Organization) standard hatch patterns. Figure 11-3 shows the Other Predefined hatch patterns, which cover everything from Earth to Escher to Stars.

After you’ve selected a pattern, specify angle and scale, as I describe in the section “Getting it right: Hatch angle and scale,” in this chapter.

Click To expand
Figure 11-3: Plenty of hatch patterns.
Start Sidebar
Catch a hatch: Copying hatch properties

One slick way to hatch is by using the Inherit Properties button in the Boundary Hatch and Fill dialog box to copy hatch properties from an existing hatch object. Think of it as point and shoot hatching. If someone — such as you — added some hatching in the past that’s just like what you want to use now, click the Inherit Properties button and pick the existing hatching.

Inherit Properties updates the hatch pattern settings in the Boundary Hatch and Fill dialog box to make them the same as the existing hatch pattern object that you picked. You can use the cloned hatch pattern specifications as is or modify them by making changes in the Boundary Hatch and Fill dialog box.

Consistency is a good thing in drafting, especially in computer-aided drafting, in which some or all of your drawing may be used for a long time. This it’s good to use the same hatch patterns, scales, and angles for the same purposes in all your drawings. Find out whether your project, office, company, or profession has hatching standards that apply to your work.

End Sidebar

It’s up to you: User-defined hatches

A user-defined hatch pattern makes a hatch pattern out of parallel lines. Use this option to create a simple pattern and specify the space between the lines in drawing units. For example, you can hatch a wall in a building plan with a user-defined pattern and specify that the hatch lines three inches apart.

After you choose User Defined from the Type drop-down list in the Boundary Hatch and Fill dialog box, you specify the angle and spacing of the lines. You can select the Double check box to achieve a crosshatching effect (two perpendicular sets of hatching lines).

Getting it right: Hatch angle and scale

Predefined and custom hatch patterns require that you enter the angle and scale for AutoCAD to generate the hatching. You usually won’t have any trouble deciding on an appropriate angle, but a suitable scale can be tricky.

The hatch scale usually should be a pattern-specific multiplier times the drawing scale factor, as described in Chapter 3. For example, the EARTH pattern (in the Other Predefined tab of the Hatch Pattern Palette; refer to Figure 11-3) looks pretty good in a full scale (1 = 1) drawing with a hatch scale of 0.75. If you’re adding hatching in the EARTH pattern to a 1” = 1’–0” detail (drawing scale factor equals 12), try using a hatch scale of 0.75 x 12, or 9.0. This pattern-specific multiplier and drawing-scale-factor approach ensures that hatching looks consistent (that the spaces between the lines are the same) at all scales when you plot.

Start Sidebar
Make it solid, man

Although you may not guess it, AutoCAD treats filling an area with a solid color as a type of hatching. Simply choose Solid from the top of the Pattern drop-down list.

Like any other object, a solid hatch takes on the current object color — or the current layer’s color if you leave color set to ByLayer. Therefore, check whether the current object layer and color are set appropriately before you use the Solid hatching option (see Chapter 4 for details).

You can create the effect of a solid fill in AutoCAD in several other ways:

  • If you want a filled-in circle or donut, use the DOnut command.

  • If you want one or more line segments with either uniform or tapered widths, use the PLine command’s Width option. Chapter 5 discusses both of these commands.

  • If you want a pattern that starts out solid but then fades away (or transitions to a different color) in one or more directions, use the new Gradient tab on the Boundary Hatch and Fill dialog box. This new option in AutoCAD 2004 creates a gradient fill. You can control the color(s), direction(s), and angle of the gradient.

Solid and gradient fills are a good way to mimic poché — an old hand-drafting technique in which you shade areas with a lighter colored pencil (usually red) to make those areas appear lightly shaded on blueline prints. The figure shows some examples of solid and gradient fills.

Click To expand
End Sidebar

Assuming that you know your drawing’s scale factor, the only complication is figuring out what the pattern-specific multiplier should be for a particular hatch pattern. In a more rational world, the pattern-specific multiplier would always be something sensible, like 1.0. Unfortunately, that’s not the case for all hatch pattern definitions. Even worse, there’s no way to predict before you use a hatch pattern for the first time what an appropriate pattern-specific multiplier might be. You have to use trial and error the first time, and then make a note of the hatch pattern and multiplier for future use.

Tip The first time you use a hatch pattern definition, try 1.0 as the multiplier. Don’t forget to multiply by the drawing scale factor. Preview the hatch, then adjust the hatch scale iteratively; preview after each change. After you settle upon a scale for the current drawing, calculate the corresponding multiplier (for future use); divide the hatch scale by the current drawing’s scale factor.

Tip User-defined patterns require that you enter an angle and spacing, not angle and scale. Spacing is expressed in the current drawing units.

Do fence me in: Defining hatch boundaries

After you specify the hatch pattern, angle, and scale you want to use, you define the boundary (or boundaries) into which you want to pour that hatch pattern in one of two ways:

  • Picking points within the area(s) you want hatched

  • Selecting objects that surround those areas

The actual operation involved in using either of these options is confusing to most people. You’ll probably need a little practice before you get used to it.

The idea behind either definition option is simple if applied to simple areas — that is, closed areas with no additional objects inside them. To hatch such a simple area, you have a couple of options:

  • Click the Pick Points button in the Boundary Hatch and Fill dialog box and then pick a point inside the boundary.

  • Click the Select Objects button and select one or more objects that form a fully closed boundary. AutoCAD then applies the hatch for you within the boundary.

This simple hatching gets a more complicated if you have one closed object inside another, as in Figure 11-4. The AutoCAD hatch preview and a bit of experimentation will clarify all these potentially puzzling permutations.

Click To expand
Figure 11-4: Get picky about your hatching (“X” indicates a pick point).

Remember As I warn earlier in this chapter, boundaries must be completely closed before AutoCAD will hatch them. That’s one of the reasons you should employ the precision techniques from this book whenever you draw or edit objects. If the lines surrounding your boundary don’t either meet exactly or cross, AutoCAD scolds you with a Valid hatch boundary not found error message.

Tip The Valid hatch boundary not found error message means you need to "repair" lines or other objects so they are a fully closed boundary. Sometimes you can use the Fillet command with a zero fillet radius to force two lines to meet exactly. Another possibility is to use grip editing to align one endpoint precisely with another. Chapter 6 discusses these two editing techniques.

Have palette, will hatch

New for 2004 With AutoCAD 2004’s new Tool Palettes, described in Chapter 2, you can create click-and-drag hatch palettes: Click a tool (a swatch) and drag into an enclosed boundary to hatch it. If your hatching needs are simple, you can create a Tool Palette for the patterns and scales you often use. See “hatches, adding to tool palettes” in AutoCAD’s online help for more information.


Editing Hatch Objects

Editing an existing hatch pattern is simple after you’re familiar with the Boundary Hatch and Fill dialog box. Follow these steps:

  1. Select the hatch object.

  2. Right-click anywhere in the drawing area and choose Hatch Edit from the cursor menu.

    AutoCAD opens the Hatch Edit dialog box and displays the hatch object’s current settings.

  3. Make any desired changes, use the Preview button to look them over, and click OK to keep the changes.

The Properties palette (described in Chapter 6) to make most existing hatch pattern changes. It’s especially good for changing several hatches at once.

Tip To make one hatch look like another, use the Match Properties button on the Standard toolbar.


Chapter 12: The Plot Thickens

Overview

In This Chapter

  • Plotting the simple way

  • Plotting different paper layouts

  • Plotting to scale

  • Plotting lineweights and other fancy effects

  • Plotting in color

  • Troubleshooting plotting

Despite the increasing number of offices with a computer (or two) on every desk, many people still need to or want to work with printed drawings. Perhaps you thought that using AutoCAD means you don’t have to rely on hard-copy versions of drawings, but can view them on-screen instead. Even if that’s true, you may need to give hard-copy prints to your less savvy colleagues who don’t have AutoCAD. You may want to make some quick prints to pore over during your bus ride home. You may find that checking drawings the old-fashioned way — with a hard-copy print and a red pencil — turns up errors that managed to remain hidden on the computer screen.

Whatever the reason, you’ll want to print drawings at some point — probably sooner rather than later. Depending on where you are in a project, plotting is the pop quiz, midterm, or final exam of your drawing-making semester. This chapter helps you ace the test.


You Say Printing, I Say Plotting

Plotting originally meant creating hard-copy output on a device that was capable of printing on larger sheets, such as D size or E size, that measure several feet on a side. These plotters often used pens to draw, robot-fashion, on large sheets of vellum or Mylar. The sheets could then be run through diazo blueline machines — copying machines that create blueprints — in order to create less-expensive copies. Printing meant creating hard-copy output on ordinary printers that used ordinary sized paper, such as A size (letter size, 81⁄2 x 11 inches) or B size (tabloid or ledger size, 11 x 17 inches).

Nowadays, AutoCAD and most CAD users make no distinction between plotting and printing. AutoCAD veterans usually say “plotting,” so if you want to be hip, you can do so, too.

Whatever you call it, plotting an AutoCAD drawing is considerably more complicated than printing a word processing document or a spreadsheet. CAD has a larger range of different plotters and printers, drawing types, and output procedures than other computer applications. AutoCAD 2004 tries to help you tame the vast jungle of plotting permutations, but you’ll probably find that you have to take some time to get the lay of the land and clear a path to your desired hard-copy output.

Warning Plotting received a major facelift — and heart and brain transplants — in AutoCAD 2000. The Plot dialog box and many plotting concepts differ completely from earlier versions. If you were familiar with plotting in an older version — AutoCAD Release 14 and earlier, or AutoCAD LT 98 and earlier — then “everything you know is wrong,” as the old Firesign Theatre skit said. Plotting in AutoCAD 2000 through 2004 is more flexible, powerful, and rational than plotting in previous versions. However, simple it is not. Use this chapter to get up to speed on the changes.

Get with the system

One of the complications you face in your attempts to create hard copy is that AutoCAD has two distinct ways of communicating with your plotters and printers. Operating systems, and the programs that run in them, use a special piece of software called a printer driver to format data for printing and then send it to the printer or plotter. When you configure Windows to recognize a new printer connected to your computer or your network, you’re actually installing the printer’s driver. (“Bring the Rolls around front, James. And bring me a gin and tonic and a D-size plot while you’re at it.”) AutoCAD, like other Windows programs, works with the printers you’ve configured in Windows. AutoCAD calls these system printers because they’re part of the Windows system.

But AutoCAD, unlike other Windows programs, can’t leave well enough alone. It turns out that some output devices, especially some larger plotters, aren’t controlled very efficiently by Windows system printer drivers. For that reason, AutoCAD comes with specialized nonsystem drivers (that is, drivers that are not installed as part of the Windows system) for plotters from companies such as Hewlett-Packard, Xerox, and Océ. These drivers are kind of like nonunion workers. They ignore the tidy rules for communicating with Windows printers in order to get things done a bit more quickly and flexibly.

Using already-configured Windows system printer drivers usually is easiest, and they work well with many devices — especially devices that print on smaller paper, such as laser and inkjet printers. However, if you have a large plotter, you may be able to get faster plotting, better plot quality, or more plot features by installing a nonsystem driver. To find out more, choose “ContentsðDriver and Peripheral Guide ðUse Plotters and Printers” in the AutoCAD 2004 online help system.

Tip AutoCAD 2000 through 2004 have a major exception to the old “nonsystem drivers give better results than system drivers” rule. HP plotters now work better with the new Windows system driver that Autodesk includes on the AutoCAD 2004 CD. For instructions on installing the new system printer driver, navigate to the \Windows System Drivers\HP folder on the CD, choose the subfolder corresponding to your language and operating system, and read the Readme.Txt file contained therein.

Configure it out

For now, you simply should make sure that AutoCAD recognizes the devices that you want to use for plotting. The following steps show you how:

  1. Launch AutoCAD and open an existing drawing or start a new, blank drawing.

  2. Choose Tools ð Options to open the Options dialog box, and click the Plotting tab.

  3. Click the drop-down arrow to view the list just below the Use As Default Output Device option, as shown in Figure 12-1.

    Click To expand
    Figure 12-1: System and nonsystem printers.

    The list includes two kinds of devices, designated by two tiny, difficult-to-distinguish icons to the left of the device names:

    • A little laser printer icon, with a sheet of white paper coming out the top, indicates a Windows system printer configuration.

    • A little plotter icon, with a piece of paper coming out the front, indicates a nonsystem (that is, AutoCAD-specific) configuration.

    Tip The nonsystem configuration names always end in pc3, because they’re stored in special AutoCAD Printer Configuration version 3 files. So, if you can’t tell the difference between the icons, look for the pc3 at the end of the name.

  4. Verify that the list includes the printers and plotters that you want to have available in AutoCAD.

    If not, choose StartðSettingsðPrinters, launch the Add Printer Wizard, and follow the instructions. If your printer isn’t in the default Windows list, cancel the wizard and hunt down a driver disk that came with your printer, or, better yet, download the current driver from the printer manufacturer’s Web site.

  5. Choose the output device that you want to make the default for new drawings.

  6. Click OK to close the dialog box and retain any change that you made in the previous step.

Technical Stuff You use the AutoCAD 2004 Plotter Manager Add-A-Plotter Wizard to create nonsystem driver configurations. This wizard is similar to the Windows Add Printer Wizard; if you can handle adding an ordinary printer in Windows, you probably can handle adding a nonsystem plotter configuration to AutoCAD. When you complete the wizard steps, AutoCAD saves the information in a PC3 (Plot Configuration version 3) file.


A Simple Plot

Okay, so you believe me. You know that you’re not going to master AutoCAD plotting in five minutes. That doesn’t change the fact that your boss, employee, wife, husband, construction foreman, or 11-year-old son is demanding a quick check plot of your drawing — and is sneering at you for not being able to provide it.

Plotting success in 18 steps

Here’s the quick, cut-to-the-chase procedure for plotting a simple drawing — a mere 18 steps! This procedure assumes that you plot in model space — that is, that the Model tab at the bottom of the drawing area shows the drawing in a way that you want to plot. (I cover plotting paper space layout tabs in the section “Plotting the Layout of the Land,” later in this chapter.) This procedure doesn’t deal with plotting to a specific scale, controlling plotted lineweights, or any of the other weird and wonderful options that you’ll eventually have to grapple with (see the rest of this chapter for details). It should, however, result in a piece of paper that bears some vague resemblance to what AutoCAD displays on your computer monitor.

Warning Many changes you make in the Plot dialog box also make hidden changes to plot settings in the drawing. If you’re plotting someone else’s drawing, and that someone else plans to use the drawing again in the future, make your own plotting copy of the DWG file. Fiddle around with the plot settings in your copy, so you don’t mess up the drawing owner’s plot settings.

Follow these steps to make a simple, not-to-scale plot of a drawing:

  1. Open the drawing in AutoCAD.

  2. Click the Model tab at the bottom of the drawing area to ensure that you’re plotting the model space contents.

    I explain how to plot paper space layouts later in this chapter.

  3. Zoom to the drawing’s current extents (choose View ð Zoom ð Extents) so you can verify the area you’re going to plot.

    The extents of a drawing consist of a rectangular area just large enough to include all of the objects in the drawing.

  4. To display the Plot dialog box, click the Plot button on the Standard toolbar.

    The Plot dialog box appears, as shown in Figure 12-2.

    Click To expand
    Figure 12-2: The Plot Device tab in the Plot dialog box.

  5. Make sure the Plot Device tab is selected.

  6. In the Plotter Configuration area, select a device that you’re used to printing to from other Windows applications.

    For example, choose the laser or inkjet printer that you customarily use to print word processing documents.

  7. Set the remaining Plot Device settings as shown in Figure 12-2:

    • Plot Style Table (Pen Assignments): Choose None

    • What to Plot: Choose Current Tab

    • Plot to File: Leave this option unchecked

  8. Click the Plot Settings tab, shown in Figure 12-3.

    Click To expand
    Figure 12-3: The Plot Settings tab in the Plot dialog box.

  9. In the Paper Size and Paper Units area, select a paper size that’s loaded in your printer.

  10. In the Plot Area area (sponsored by the Department of Redundancy Department — with apologies to Monty Python), choose Extents.

  11. In the Drawing Orientation area, choose either Portrait or Landscape.

    If your drawing is longer than it is tall, such as a side view of a typical ranch house, choose Landscape; if your drawing is taller than it is long, such as a side view of a typical skyscraper, choose Portrait.

  12. In the Plot Scale area, choose Scaled to Fit from the Scale drop-down list.

  13. Set the Plot Offset and Plot Options settings as shown in Figure 12-3:

    • Center the Plot: Leave this option unchecked.

    • X and Y offsets: Set to 0.00.

    • Plot Object Lineweights: Leave this option checked.

    • Plot With Plot Styles: Leave this option checked.

    • Plot Paperspace Last: Leave this option checked.

    • Hide Paperspace Objects: Leave this option unchecked.

  14. Click Partial Preview and check that the plot orientation and size fit the paper, as shown in Figure 12-4; then click OK to return to the Plot dialog box.

    Figure 12-4: The partial plot preview.

  15. Click Full Preview and check that the entire drawing displays on the paper, as shown in Figure 12-5; then, right-click and choose Exit to return to the Plot dialog box.

    Click To expand
    Figure 12-5: The full plot preview.

  16. If you found any problems with the partial or full plot previews, adjust the Plot Settings (for example, Drawing Orientation) and repeat the full preview until the plot looks right.

  17. Make sure that Save Changes to Layout (in the Layout Name area at the top of the Plot dialog box) is turned on.

    This option saves the plot setting changes you made. They become the default the next time you plot this drawing.

  18. Click OK to create the plot.

There — 18 steps, as promised. If for some reason your plot didn’t work, well, I warned you that AutoCAD plotting was complicated and temperamental! Read the rest of this chapter for all the details about the numerous other plotting options that can cause plotting to go awry. If you’re in a big hurry, turn directly to the troubleshooting section, “Troubles with Plotting,” at the end of the chapter.

Preview one, two

One of the keys to efficient plotting is liberal use of AutoCAD’s Partial Preview and Full Preview buttons, which are always available at the bottom of the Plot dialog box. (To maintain political fairness, I recommend conservative use of some other AutoCAD options elsewhere in the book.)

The partial preview is a quick reality check to make sure your plot fits on the paper and is turned in the right direction. AutoCAD displays the Paper Size, Printable Area (that is, Paper Size minus a small margin), and Effective Area (that is, the amount of space that your plotted drawing takes up). The Paper Size appears as a white sheet, the Printable Area as a dashed rectangle, and the Effective Area as a blue box, as shown previously in Figure 12-4. AutoCAD displays warnings when it detects that something is wrong.

The full preview takes a bit longer to generate but shows exactly how your drawing lays out on the paper and how the various lineweights, colors, and other object plot properties will appear. You can zoom and pan around the preview by using the right-click menu. (Any zooming or panning that you do does not affect what area of the drawing gets plotted — zooming and panning is just a way to get a better look at different areas of the plot preview.)

In short, the partial preview ensures that you’re in the ballpark, and helps you fix drawing orientation or scale problems quickly. The full preview makes sure that you’re in the right seat in the ballpark, and gives you the best chance that your view of the game is just what you desire.


Plotting the Layout of the Land

In the previous section I show you how to plot the model space representation of your drawing by making sure that the Model tab is active when you open the Plot dialog box. However, paper space gives you many additional options for controlling the look of your output, without having to modify the underlying geometry or the way it looks to someone working on the DWG file. So in some drawings, you want to plot a paper space layout instead.

About paper space layouts and plotting

AutoCAD 2004, like all versions since AutoCAD 2000, allows more than one paper space layout per drawing, and connects each layout with specific plot settings for that layout. (As I describe in Chapter 3, paper space is a separate space for composing a special printed version of your drawing. Chapter 2 shows model space and paper space views of the same drawing.)

Whether to plot model space or a paper space layout in a drawing depends entirely on how the drawing was set up. If you or someone else went through a layout setup procedure similar to the one in Chapter 3, then you probably should plot the paper space layout. If not, then plot the Model tab.

Five more steps to (paper space) plotting success

Plotting a paper space layout is pretty much like plotting model space, except that you need to find the appropriate paper space layout first and make sure that its tab is selected before you open the Plot dialog box:

  1. Open a drawing that contains, or that you suspect contains, a paper space layout.

    Tip If you don’t have any paper space drawings handy, you can use one of the AutoCAD sample drawings, such as the architectural floor plan drawing stored in \Program Files\AutoCAD 2004\Sample\8th floor plan.dwg.

    Warning The presence of a Layout1 tab next to the Model tab at the bottom of the drawing area doesn’t necessarily mean that the drawing contains an already set up paper space layout. AutoCAD 2004 always displays a Layout1 tab when you open a drawing created in AutoCAD Release 14 or earlier, and displays a Layout1 and Layout2 tab when you open a drawing created in AutoCAD 2000 or later.

  2. Click the first tab to the right of the Model tab at the bottom of the drawing area.

    AutoCAD gives the default names Layout1 and Layout2 to layouts, but the creator of the drawing may have renamed them to something more descriptive.

    Warning Don’t confuse the Model tab at the bottom of the drawing area with the MODEL/PAPER button on the status bar. The tabs control which view of the drawing (model space or a paper space layout) fills the drawing area. When a paper space layout fills the drawing area, the status bar button controls whether drawing and editing take place in paper space or model space inside a viewport. When you plot a layout, it doesn’t matter whether the MODEL/PAPER button says MODEL or PAPER — AutoCAD 2004 always plots the paper space layout (not just the contents of model space in the viewport).

  3. If the Page Setup dialog box appears, click Cancel, and when the dialog box disappears, click the Undo button on the Standard toolbar to return to model space.

    You guessed wrong — the current drawing doesn’t contain a paper space setup! The Page Setup dialog box is AutoCAD’s way of saying, “This paper space layout hasn’t been set up yet; what do you want me to do?” I tell you what to do in Chapter 3. For now, skip the next step and plot model space instead.

    If the Page Setup dialog box doesn’t appear, but instead you see a view of your drawing, perhaps with a title block around it, you’ve found an already set up layout and you can continue with the rest of these steps.

  4. Make sure that the MODEL/PAPER button on the status bar says PAPER. If it says MODEL, click it to change it to PAPER.

    This step ensures that you’re zooming the entire contents of the paper space layout, and not just the model contents of a particular viewport.

  5. Jump to Step 4 (in which you zoom to the drawing’s extents) in the section “Plotting success in 18 steps,” earlier in this chapter.

    From this point, the simple plotting procedure for a paper space layout is the same as for model space.


Fancy Plots

In previous sections of this chapter I help you gain some plotting confidence. Those sections show you how to create simple plots with a laser or inkjet printer on smaller sheets such as 81⁄2 x 11 and 11-x-17-inch paper. Those skills may be all you need, but if you care about plotting drawings at a specific scale, controlling plotted lineweights and colors, or adding special effects such as screening (plotting shades of gray), read on.

Scaling: To fit or not to fit?

Plotting a drawing Scaled to Fit, as described in the sections, “Plotting success in 18 steps,” and “Five more steps to (paper space) plotting success,” earlier in this chapter, works fine for some situations. But many kinds of technical drawings are created to be plotted at a specific scale. People viewing a hard-copy version can measure distances with a special kind of ruler called, appropriately enough, a scale.

Tip Even if you work with drawings that are created to be plotted at a specific scale, plotting Scaled to Fit often is the most efficient way to make a reduced-size check plot. For example, drafters in your office might create drawings that get plotted on D size sheets (24 x 36 inch), whereas you have access to a laser printer with a B size (11 x 17 inch) paper tray. By plotting the D size drawings Scaled to Fit on B size paper, you end up with check plots that are slightly smaller than half size (11⁄24th size, to be exact). You won’t be able to measure distances on the check plots with a scale, but you probably will be able to check them visually for overall correctness.

If you’re going to plot the Model tab of a drawing to scale, you need to know its drawing scale factor. The sidebars in Chapters 3 and 9 describe the concepts and provide some tips for determining the scale factor of a drawing that someone else created.

Tip If you’re going to plot a properly set-up paper space layout, as I describe in the section, “Plotting the Layout of the Land,” earlier in this chapter, I have good news: You don’t need to know the drawing scale or drawing scale factor! One of the big advantages of paper space is that it’s normally used to create a plot layout whose plot scale is 1:1 — hence the name paper space. (The drawing in model space still has a normal drawing scale factor, such as 10 or 96, but the paper space layout gets set up with a draing scale factor of 1.)

The 12-step plotting-to-scale program

Okay, so you understand all about drawing scales and drawing scale factors, and you’ve done enough sleuthing to determine the intended plot scale of the drawing you want to plot. The following steps show you how to plot to scale. Refer to the sections, “Plotting success in 18 steps” and “Five more steps to (paper space) plotting success,” earlier in this chapter, if you need help with the details.

  1. Open the drawing in AutoCAD.

  2. Click the tab that you want to plot — the Model tab or the desired paper space layout tab.

  3. If you’re plotting the model space tab, zoom to the drawing’s current extents (choose View ð Zoom ð Extents) so you can verify the area that you’re going to plot.

  4. To display the Plot dialog box, click the Plot button on the Standard toolbar.

  5. In the Plotter Configuration area on the Plot Device tab, select a device that’s capable of plotting on the paper size you need.

  6. In the Paper Size and Paper Units area on the Plot Settings tab, select the appropriate paper size.

    Of course, you must make sure that the paper size is large enough to fit the drawing at its proper scale. For example, if you want to plot a D-size drawing, but you have only a B-size printer, you’re out of luck — unless you resort to multiple pieces of paper and lots of tape.

  7. In the Plot Area area, choose Extents if you’re plotting the model space tab, or Layout if you’re plotting a paper space layout tab.

    The Layout option appears only when you’re plotting a paper space layout tab. When you plot the model space tab, the first Plot Area choice is Limits instead of Layout.

    Tip For plotting model space, the Limits or Window setting sometimes is a better choice than Extents. See “The Plot Settings tab” section, later in this chapter, for more information.

  8. In the Drawing Orientation area, choose either Portrait or Landscape.

  9. In the Plot Scale area, choose the appropriate setting from the Scale list.

    If you’re plotting model space, choose a common scale from the list, as shown in Figure 12-6, or choose Custom and type a custom plot scale in the two edit boxes below the Scale list. If you’re plotting paper space, choose 1:1 from the Scale list.

    Click To expand
    Figure 12-6: Plotting to scale.

  10. 10.View a partial preview and then a full preview, as described in the section, “Preview one, two,” earlier in this chapter.

  11. 11.If the plot previews turn up any problems, adjust the Plot Settings and repeat the previews until the plot looks right.

  12. 12.Click OK to create the plot.

Warning If you select the appropriate plot scale and then find out that the plot is too big for your plotter’s largest paper size, you can revert to Scaled to Fit, instead. But if you’re plotting paper space and have specified Layout as the Plot area, you probably won’t get the results that you expect. The person who sets up a paper space layout chooses a specific paper size (see Chapter 3 for details). If you later change to a different paper size in the Plot dialog box, Scaled to Fit refers to the original paper size, not to the new size that you chose. You can work around the problem by changing Plot Area from Layout to Extents. Alternatively, you can fix the problem if you want to have a paper space layout that permanently reflects a new paper size. Use the Page Setup dialog box to modify the layout settings, or copy the layout and modify the new layout.

Tip Creating half-size plots for some purposes is common in some industries. To plot a paper space layout half-size, specify a plot scale of 1:2. For model space, double the drawing scale factor. For example, a 1⁄8 inch = 1 foot – 0 inch drawing has a drawing scale factor of 96, which is equivalent to a plot scale of 1=96. To make a half-size model space plot of it, specify a plot scale of 1=192.

Plotting with style

Plot styles provide a way to override object properties with alternative plot properties. (See Chapter 4 for information about object properties.) The properties include plotted lineweight, plotted color, and screening (plotting shades of gray). Figure 12-7 shows the full range of options. They come in two exciting flavors:

  • Color-dependent plot styles

  • Named plot styles

Click To expand
Figure 12-7: Editing a color dependent plot style table.

Color-dependent plot styles are based on the standard way of plotting in earlier versions of AutoCAD (before AutoCAD 2000), while named plot styles provide a new way.

It’s remotely possible that you won’t need to bother with plot styles. If the drawings you want to plot have layer and object properties (especially lineweight) that reflect how you want objects to plot, you can dispense with plot styles. But most people and most drawings use plot styles, so you should at least be familiar with them.

A couple of common reasons for using plot styles are

  • Map screen colors to plotted lineweights. If this idea seems completely loony to you, try to suspend judgment until you’ve read the “Plotting through thick and thin” section, a bit later in this chapter.

  • Create screened lines on monochrome plots. Lines that are screened display in various shades of gray, not black. Drafters sometimes use screened lines to de-emphasize secondary objects that otherwise would overwhelm the main objects in the drawing. Screening is expressed as a percentage, with 100% being completely black and 0% being invisible.

Using plot styles

If you want objects in your drawing to plot with properties that differ from their display properties, you need plot styles. For example, you can plot with different lineweights or colors from the ones you’re using for display purposes. Or, as I mention in the preceding section, you may need to map display colors to plotted lineweights. AutoCAD 2004 groups plot styles into plot style tables, each of which is stored in a separate file.

Color-dependent plot style tables live in Color TaBle (CTB) files and they map the 255 AutoCAD display colors to 255 plot styles. AutoCAD automatically attaches the color-dependent plot styles to every object, based on — you guessed it — the object’s color. (Are those AutoCAD programmers brilliant, or what?) Color-dependent plot style tables are especially handy for mimicking the old color-mapped-to-lineweight plotting approach of AutoCAD R14 and earlier releases; this remains the most common method in most companies.

Named plot style tables live in Style TaBle (STB) files. After you’ve created a named plot style table, you create one or more plot styles and give them any names you like. Then you can assign the named plot styles to layers or to individual objects. (See Chapter 4 for more information about object and layer properties.)

Tip “Named” refers to the plot styles, not to the tables. Both color-dependent plot style tables and named plot style tables have names because both are stored in files and files have to have names. But color-dependent plot styles don’t have names and named plot styles do have names.

To use a plot style table, and its included plot styles (whether they’re color-dependent or named), you must attach it to model space or a paper space layout. The plot style table then affects plotting only for that tab. This approach lets you plot the same drawing in different ways by attaching different plot styles to different tabs.

You can attach a plot style to model space or a paper space layout by selecting its tab at the bottom of the drawing area, opening the Plot dialog box, and choosing the plot style table name in the Plot Style Table (Pen Assignments) area on the Plot Device tab. See “Controlling plotted lineweights with screen colors,” later in this chapter, for an example.

Technical Stuff When you start a new drawing in the usual way — that is, by using a template drawing (see Chapter 3), the template drawing’s plot style behavior determines whether you can choose CTB or STB files. (That’s why most of AutoCAD’s stock template drawings come in Color Dependent Plot Styles and Named Plot Styles versions.) If you want to change from color-dependent plot styles to named plot styles (or vice versa) in a particular drawing, use the CONVERTPSTYLES command.

Warning The Plotting tab on the Options dialog box contains a setting called Default Plot Style Behavior For New Drawings, but it’s practically useless. It doesn’t change the current drawing and, despite its name, doesn’t even affect new drawings that you start from a template drawing.

Creating plot styles

If you’re really lucky, you won’t need to use plot styles. If you’re somewhat lucky, you’ll need to use plot styles, but someone will provide the plot style table files for you. If that’s the case, you must put the CTB or STB files in your Plot Styles folder in order for AutoCAD to recognize them. (To find the location of your Plot Styles folder, open the Options dialog box, choose the Files tab, and look for the Printer Support File PathðPlot Style Table Search Path setting.)

If you’re not lucky at all, then you’ll need to be smart — that is, you’ll want to know how to create your own plot style table files. Here’s how:

  1. Choose File ð Plot Style Manager.

    The Plot Styles folder opens in a separate window.

  2. Double-click the Add-A-Plot Style Table Wizard program shortcut.

  3. Read the opening screen and then click Next.

  4. Choose the Start From Scratch option, or one of the other three options if you want to start with settings from another file. Then click Next.

    The remaining steps in this procedure assume that you chose Start From Scratch. If you chose another option, simply follow the wizard’s prompts.

    Tip If the creator of a drawing provides you with an AutoCAD R14/AutoCAD LT 98 PC2 (version 2) or AutoCAD R12/AutoCAD LT 95 PCP (version 1) file, choose the Use A PCP Or PC2 File option. With this option, the wizard imports color-to-plotted-lineweight settings automatically.

  5. Choose whether you want to create a color-dependent plot style table (CTB file) or a named plot style table (STB file). Then click Next.

    Choose Color-Dependent Plot Style Table in order to map screen colors to plotted lineweights. Choose Named Plot Style Table in order to leave screen colors alone (so that the colors plot as you see them on-screen) and to create named plot styles that you can apply to layers or objects.

  6. Type a name for the new CTB or STB file and then click Next.

  7. Click the Plot Style Table Editor button.

    The Plot Style Table Editor dialog box opens (refer to Figure 12-7).

  8. If you created a color-dependent plot style table, assign Lineweight, Screening, or other plot properties to each color that’s used in the drawing. If you created a named plot style table, click the Add Style button and then assign plot properties to each of the named styles that you create.

    Tip To determine which colors are used in a drawing, switch to the AutoCAD window and open the Layer Properties Manager dialog box by clicking the Layers button located on the Object Properties toolbar.

    Tip To change a setting for all colors or named styles, select all of them first by clicking the first color or named style, holding down the Shift key, and then clicking the last color or named style. Any subsequent changes you make get applied to all of the selected colors or named styles.

  9. Click the Save & Close button to close the Plot Style Table Editor dialog box. Then click Finish to complete the steps for the wizard.

    The Plot Styles folder now displays your new CTB or STB file.

  10. 10.Close the Plot Styles folder by clicking on the X in its title bar.

Creating your first plot style table can be a harrowing experience, because you have so many options. Just remember that your most likely reason for creating one is to map screen colors to plotted lineweights (as I describe in greater detail in the next section). Also remember that you may be able to minimize your effort by getting a CTB file from the person who created the drawing that you want to plot.

Tip In Chapter 4, I recommend that you limit yourself to the first 9 Standard AutoCAD Colors when defining layers, and not a patchwork of the 255 colors that AutoCAD makes available. If you follow my advice, your work to create a color-dependent plot style table will be much reduced, because you’ll have to assign plot properties for only nine colors, rather than worrying about 255 of them.

Start Sidebar
Plotting with plodders

Color-as-color and lineweight-as-lineweight seem like great ideas, but Autodesk knows that long-time users of AutoCAD aren’t going to abandon the old colors-mapped-to-lineweights approach overnight. Thus, you can still control plotted lineweight by display color in AutoCAD 2004.

AutoCAD veterans by and large have chosen to stick with their Old Way for now. They’ve done so for a variety of reasons, including inertia, plotting procedures and drawings built around the Old Way, third-party applications that don’t fully support the newer methods, and the need to exchange drawings with clients and subcontractors who haven’t upgraded. In summary, the ripple effect of those who need to or want to continue using colors-mapped-to-lineweights is lasting a long time. Don’t be surprised if you find yourself going with the flow for awhile.

The default setting in AutoCAD 2004 is to plot object lineweights, so that’s the easiest method if you don’t have to consider the historical practices or predilections of other people with whom you exchange drawings. Mapping screen colors to lineweights requires some initial work on your part, but after you’ve set up the mapping scheme, the additional effort is minimal.

End Sidebar

Tip You can use \Program Files\AutoCAD 2004\Sample\Plot Screening and Fill Patterns.dwg for systematic testing of your CTB files. This drawing shows an array of color swatches for all 255 AutoCAD colors. Some of the other tabs (such as Grayscale and Screening 25%) also demonstrate how different CTB files attached to the same layout produce radically different results.

New for 2004 If you really get carried away and decide to take advantage of the 16 million-odd colors in the AutoCAD 2004 new True Color capability, then you’re not going to be controlling lineweights with color-dependent plot styles. CTB plot styles affect the lineweights only of objects that use the traditional 255 colors of the AutoCAD Color Index palette. If you want True Color, use object lineweights or named plot styles to control plotted lineweight.

Plotting through thick and thin

Long ago, manual drafters developed the practice of drawing lines of different thicknesses, or lineweights, in order to distinguish different kinds of objects. Manual drafters did it with different technical ink pen nib diameters or with different hardnesses of pencil lead and varying degrees of pressure on the pencil. Because a computer mouse usually doesn’t come with different diameters of mouse balls or a pressure-sensitive button, AutoCAD and its developers had to figure out how to let users indicate lineweights on-screen and on a plot. They came up with two different ways to indicate lineweight:

  • Mapping on-screen colors to plotted lineweights. I describe this common approach in Chapter 3.

  • Displaying lineweights on-screen to match what the user can expect to see on the plot. This approach was introduced in AutoCAD 2000.

Controlling plotted lineweights with object lineweights

Plotting object lineweights is trivial, assuming that the person who created the drawing took the trouble to assign lineweights to layers or objects (see Chapter 4 for details). Just make sure that the Plot Object Lineweights setting in the Plot Options area is turned on, as shown in Figure 12-8. You may also want to turn off the Plot With Plot Styles setting, because plot styles can override the object lineweights with different plotted lineweights.

Click To expand
Figure 12-8: Plotting object lineweights.

As long as you turn on the Plot Object Lineweights setting, you’ll find that (those who hate cheap puns, read no further!) the plot thickens! It also thins, but that’s not as funny.

Tip If you don’t want to plot the lineweights assigned to objects, you must turn off both the Plot Object Lineweights and Plot With Plot Styles settings in the Plot Options area of the Plot dialog box. Turning on Plot With Plot Styles turns on Plot Object Lineweights as well.

Controlling plotted lineweights with screen colors

To map screen colors to plotted lineweights, you need a color-dependent plot style table (CTB file), as I describe in the section “Plotting with style,” earlier in this chapter. If you’re plotting a drawing created by someone else, that someone else may be able to supply you with the appropriate CTB file, or at least with a PCP or PC2 file from which you can create the CTB file quickly. At the very least, the creator of the drawing should be able to give you a printed chart showing which plotted lineweight to assign to each AutoCAD screen color. Use the instructions in the “Plotting with style” section to copy or create the required CTB file.

Warning Unfortunately, no industry-wide standards exist for mapping screen colors to plotted lineweights. Different offices do it differently. That’s why it’s so useful to receive a CTB, PCP, or PC2 file with drawings that someone sends you.

After you have the appropriate CTB file stored in your Plot Styles folder, follow these steps to use it:

  1. Click the tab that you want to plot — the Model tab or the desired paper space layout tab.

  2. Open the Plot dialog box by clicking the Plot button on the Standard toolbar.

  3. In the Plot Style Table (Pen Assignments) area on the Plot Device tab, select the CTB file from the Name list, as shown in Figure 12-9.

    Click To expand
    Figure 12-9: Selecting a plot style table that maps screen colors to plotted lineweights.

    This action attaches the plot style table (CTB file) to the tab that you clicked in Step 1. Assuming that you save the drawing after plotting, AutoCAD uses the CTB that you selected as the default plot style when you plot that tab in the future.

  4. Jump to Step 5 in the section “The 12-step plotting-to-scale program,” earlier in this chapter, and complete the plotting steps listed there.

If your drawing uses a named plot style table instead of a color-dependent plot style table, you follow the same procedure, except that you select an STB file instead of a CTB file in Step 3.

Tip You can tell whether the current drawing was set up to use a color-dependent plot styles or named plot styles by looking at the Object Properties toolbar. If the last drop-down list (Plot Style Control) is grayed out, the drawing can use color-dependent plot styles. If this list is not grayed out, the drawing can use named plot styles.

Plotting in color

Plotting the colors that you see on-screen requires no special tricks. In the absence of a plot style table (that is, if you set Plot Style Table (Pen Assignments) to None in the Plot dialog box), AutoCAD sends color information as it appears on-screen to the plotter. As long as your output device can plot in color, what you see should be what you get.

If you attach a plot style table to the tab that you’re plotting (as described in the previous section), you can — if you really want to — map screen colors to different plotted colors. In most cases you don’t want that kind of confusion. Instead, leave the Color property set to Use Object Color.

Warning If your goal is not to plot color, make sure that you set the Color property for all plot styles to Black. If you try to plot colors on a monochrome device, you may find that objects appear in various shades of gray, like in a black and white newspaper photograph, with lighter colors mapped to lighter shades of gray and darker colors to darker shades of gray. This process of mapping colors to shades of gray is called monochrome dithering, and it usually is not what you want in a CAD drawing. To override it, use the Plot Style Table Editor, as described in the section “Creating plot styles,” earlier in this chapter, to set the Color option for all colors to Black (the default setting is Use Object Color). If you don’t already have a plot style table that you want to use, choose Monochrome.CTB, if you’re using named plot styles.

Tip To see the full range of AutoCAD colors available on your plotter, or to see how a particular plot style table affects plotting, plot \Program Files\AutoCAD 2004\Sample\Plot Screening and Fill Patterns.dwg. The Screening 100% layout in this drawing contains color swatches for all 255 AutoCAD colors.

Start Sidebar
Tip When in doubt, send it out

Whether you plot to scale or not, with different lineweights or not, in color or not, consider using a service bureau for some of your plotting. In-house plotting on your office’s output devices is great for small check plots on faster laser or inkjet printers. Large format plotting, on the other hand, can be slow and time-consuming. If you need to plot lots of drawings, you may find yourself spending an afternoon loading paper, replenishing ink cartridges, and trimming sheets — longer if you run into problems.

Good plotting service bureaus have big, fast, expensive plotters that you can only dream about owning. Also, they’re responsible for babysitting those fancy devices, feeding them, and fixing them. As a bonus, service bureaus can make blueline prints from your plots, if you need to distribute hard-copy sets to other people.

The only downside is that you need to coordinate with a service bureau to make sure it gets what it needs from you and can deliver the kinds of plots you need. Some service bureaus plot directly from your DWG files, while others ask you to make PLT (plot) files. Some service bureaus specialize in color plotting, while others are more comfortable with monochrome plotting and making blueline copies.

When you’re choosing a service bureau, look for one that traditionally has served drafters, architects, and engineers. These service bureaus tend to be more knowledgeable about AutoCAD, and they should have more plotting expertise than the desktop publishing, printing, and copying shops.

Whomever you choose, do some test plots well before the day when that important set of drawings is due. Talk to the plotting people and get a copy of their plotting instructions. Have the service bureau create some plots of a couple of your typical drawings and make sure they look the way you want them to.

If you do lots of plotting with a service bureau, look into whether you can charge it to your clients as an expense (just like bluelines or copying).

End Sidebar


And the Plot Goes On

In previous sections of this chapter, I cover most of the important options in the Plot dialog box. This section reveals a few more fine points that will make your plotting life easier.

Tip Use the Plot dialog box’s quick help to find out more about any part of the dialog box:

  1. Click the question mark next to the close button in the dialog box’s title bar.

  2. Point to the part of the dialog box that’s confusing you and click.

  3. If the pop-up help isn’t enough, click the Help button at the bottom of the dialog box.

Getting up close and personal with the Plot dialog box

The Plot dialog box organizes the many plotting choices into four groups (see Figure 12-10):

  • Choices that concern the device you’re plotting to (Plot Device).

  • Choices that concern the paper you want to plot on and how to transfer the drawing onto that piece of paper (Plot Settings).

  • Two choices for previewing a plot before you take the final, fateful step of sending it to the printer (Full Preview and Partial Preview).

  • Choices that enable you to save your other plot choices (Layout Name for saving your choices as the default for the current layout, and Page Setup Name for saving your choices to a specific name that you can retrieve later).

Click To expand
Figure 12-10: The Plot Device tab in the Plot dialog box.

In the following sections, I take you on a guided tour of three of these groups. (The Full and Partial Preview options receive full treatment in the section “Preview one, two,” earlier in this chapter.) I don’t cover every minute, obscure, useful-only-at-cocktail party-discussions detail. I point out what’s important, steer you away from what’s less important, and guide you over the bumpy spots.

The Plot Device tab

In Hollywood, a plot device is a way to move the story forward. In AutoCAD, a plot device is a way to move your drawing closer to its happy conclusion on paper, vellum, or Mylar.

The Plot Device tab choices are supposed to concern the device you’re plotting to, but in fact they’re a grab bag of things that didn’t fit on the Plot Settings tab. When you click the Plot Device tab in the Plot dialog box, you see the following options, as shown in Figure 12-10:

  • Plotter Configuration: As I describe in the section “Configure it out,” earlier in this chapter, you use the Name list to select the Windows system printer or nonsystem driver configuration that you want to use for plotting.

    The Properties button opens the Plotter Configuration Editor dialog box, with which you can change media (type of paper) and other properties that are unique to the currently selected plotter or printer. In particular, you can define custom paper sizes.

    Warning As if AutoCAD’s Plot dialog box settings weren’t overwhelming enough, some plotter drivers hide important settings in the Plotter Configuration Editor dialog box, typically behind the Custom Properties button near the bottom of the dialog box. (For example, if you’re using the HP enhanced Windows system driver mentioned earlier in this chapter, you can click the Custom Properties button and then the More Sizes button to specify which paper sizes are available to you on the Plot Settings tab of the main Plot dialog box.)

    Technical Stuff To make matters even more confusing, if you make any changes in the Plotter Configuration Editor dialog box, AutoCAD prompts you to save the changes to a separate PC3 file. You should choose Save Changes to the Following File (that is, create a new AutoCAD-specific configuration that includes the revised settings) and type a configuration name that you’ll recognize later. When you want to plot with custom settings, remember to choose the AutoCAD-specific PC3 configuration near the end of the Plotter Configuration Name list, and not the Windows system printer configuration near the beginning of the list.

  • Plot Style Table (Pen Assignments): Choose a plot style table file. (See the section “Plotting with style” earlier in this chapter for details.)

  • Plot Stamp: Turn on and off and configure the contents of a text string that AutoCAD adds automatically to the corner of each plot. The plot stamp can include useful information such as the drawing filename and plot date and time.

  • What to Plot: Specify whether to plot only the currently selected tab (Model or a paper space layout) or all drawing editor tabs. Also specify the number of copies.

  • Plot to File: If you need to plot to a file rather than directly to your plotter or network printer queue, turn on this option and specify the file name and folder (Location).

    Tip This option is especially useful when you want to use the ePlot feature to publish a DWF file on a Web site. (See Chapter 15 for details about using DWF files.) You also may need to create files to send to a plotting service bureau.

The Plot Settings tab

When you click the Plot Settings tab in the Plot dialog box, you see the following options, as shown in Figure 12-11.

Click To expand
Figure 12-11: The Plot Settings tab in the Plot dialog box.

  • Paper Size and Paper Units: Specify a paper size, based on the choices provided by the device you selected on the Plot Device tab.

    Remember AutoCAD displays the Printable area, which is a bit smaller than the actual paper size because most plotters and printers can’t plot all the way to the edge of the paper; they need a small margin.

  • Drawing Orientation: Specify whether AutoCAD should put the drawing on the paper in Portrait or Landscape orientation. Turn on Plot Upside-Down if you want to rotate the plot 180 degrees on the paper (a handy option for plotting in the southern hemisphere, or for avoiding having to cock your head at an uncomfortable angle as you watch plots come out of the plotter).

    Tip If you’re confused about whether Portrait or Landscape is the right choice, a quick detour through Full Preview will un-confuse you fast.

  • Plot Area: Specify the area of the drawing to plot. Your choices include Extents, Display, View, and Window, regardless of whether you’re plotting a paper space layout or the model space tab. Your first choice is either Layout for a paper space layout tab or Limits for the model space tab.

    • Extents means the rectangular area containing all the objects in the drawing.

    • Display means the drawing as it’s currently displayed in the drawing window (including any white space around the drawing objects).

    • View means a named view, which you select from the drop-down list (Chapter 7 describes named views and how to create them).

    • Window means a rectangular area that you specify by clicking the Window button.

    Tip Usually, you’ll choose to plot Layout in paper space. For model space, the choice depends on whether the drawing was set up properly and what you want to plot. If you set limits properly, as I suggest in Chapter 3, then plot Limits in order to get the whole drawing area. If you’re trying to plot a drawing in which the limits weren’t set properly, try Extents instead. Use Window or View if you want to plot just a portion of model space.

  • Plot Scale: As I describe in the section “The 12-step plotting-to-scale program,” earlier in this chapter, select a plot scale from the drop-down list, or specify a Custom scale in the Inches (or millimeters) = Drawing Units text boxes.

    Tip When plotting a paper space layout onto the paper size for which the layout was created, 1:1 is the usual plot scale. Use smaller scales to do check plots on smaller sheets of paper (for example, 1:2 to create a half-size plot). Scaled to Fit is handy for squeezing a model space plot onto a piece of paper of any size. To plot model space at a specific scale, enter that scale in the Custom text boxes.

    Technical Stuff If you’re plotting a paper space layout at a scale other than 1:1, you may want to turn on the Scale Lineweights option. For example, if you do a half-size check plot (plot scale = 1:2), turning on Scale Lineweights reduces the lineweights by 50 percent.

  • New for 2004 Shaded Viewport Options: If your drawing includes viewports showing shaded or rendered 3D models (see Chapter 8), use this area to control the plotted appearance.

  • Plot Offset: A plot offset of X=0 and Y=0 positions the plot at the lower-left corner of the plottable area. Enter nonzero numbers or turn on the Center the Plot option if you want to move the plot from this default position on the paper.

  • Plot Options: The Plot Object Lineweights option and the Plot with Plot Styles option control whether AutoCAD uses the features described in the “Plotting with style” and “Plotting through thick and thin” sections earlier in this chapter.

    Technical Stuff The Plot Paperspace Last option controls whether AutoCAD plots objects drawn in model space or objects drawn in paper space first when you’re plotting a layout. (Believe me, you have more important things to worry about, so don’t sweat this setting!) The Hide Paperspace Objects option controls whether AutoCAD hides objects that are behind other objects when a 3D model is displayed in a viewport. If your drawing is entirely 2D, then this option doesn’t matter. If your drawing includes 3D objects, them turning on this setting is like applying the 3DOrbit command’s Hidden option, described in Chapter 8, to the plot.

It’s a (page) setup!

Page setups specify the plotter, paper size, and other plot settings that you use to plot a particular drawing. AutoCAD 2004 maintains separate page setups for model space and for each paper space model layout (that is, for each tab you see in the drawing area). AutoCAD remembers the last page setup settings you used to plot each tab, and it also lets you save page setups so you can re-use them. Page setups are stored with each drawing, but you can copy them from another drawing into the current one with the PSETUPIN command. If you’re already in the Plot dialog box, choose the Add button in the Page Setup Name area, and then click the Import button.

If your plotting needs are simple, you don’t need to do anything special with page setups. Just make sure the Save Changes to Layout setting at the top of the Plot dialog box is left on, so any plotting changes you make are saved with the tab you’re plotting.

If you want to get fancier, you can create named page setups in order to plot the same layout (or the model tab) in different ways, or to copy plot settings from one drawing to another. Use the Add button to create a named page setup from the current plot settings.

You can use the PAGESETUP command to modify the current plot settings without plotting. PAGESETUP opens the Page Setup dialog box, which is really the Plot dialog box in disguise; it omits the What to Plot and Plot to File areas and the two preview buttons on the Plot Device tab (see Figure 12-12). Changes you make become the default plot settings for the current drawing tab.

Click To expand
Figure 12-12: The Page Setup dialog box: Plot in disquise.

The easiest way to run PAGESETUP is to right-click a paper space layout or model space tab and choose Page Setup from the cursor menu that appears.

Tip The Page Setup dialog box, unlike the Plot dialog box, lets you save plot settings changes without plotting and without having to create a page setup name.

The Grand Unified Plot Procedure Integration

Physicists have — or would like to have — their Grand Unified Theory (GUT). We lowly CADicists will have to make do with a Grand Unified Plot Procedure Integration (GUPPI). But it takes guts just to get through the GUPPI! The following steps summarize all the material in this chapter. Refer to the individual sections earlier in the chapter for more details about each step:

  1. Open the drawing in AutoCAD.

  2. Click the tab that you want to plot — the Model tab or the desired paper space layout tab.

  3. Open the Plot dialog box by clicking the Plot button on the Standard toolbar.

  4. In the Plotter Configuration area on the Plot Device tab, select a device that’s capable of plotting on the paper size that you need.

  5. If you want to use plot styles, select a plot style table name from the Name list in the Plot Style Table (Pen Assignments) area on the Plot Device tab. Otherwise, choose None.

  6. In the Paper Size and Paper Units area on the Plot Settings tab, select the appropriate paper size.

  7. In the Plot Area area, choose the area that you want to plot.

    Layout is the usual choice when plotting paper space. Limits, Extents, or Window are common choices when plotting model space.

  8. In the Drawing Orientation area, choose either Portrait or Landscape.

  9. In the Plot Scale area, choose the appropriate setting from the plot Scale list.

    When plotting paper space, 1:1 is the official, approved choice. Determine the appropriate model space plot scale using the guidelines in the “Scaling: To fit or not to fit?” section, earlier in this chapter. If you’re confused, try Scaled to Fit.

  10. View a partial preview and then a full preview.

  11. If the plot previews turned up any problems, adjust the Plot Settings and repeat the previews until the plot looks right.

  12. Click OK to create the plot.

Tip After you’ve unified and integrated your plotting procedure (grandly, of course), you may want to automate plotting for a batch of drawings. The “Making DWFs (or Plots) with PUBLISH” section in Chapter 15 tells how.


Troubles with Plotting

No matter how many times you read this chapter or how carefully you study the AutoCAD documentation, you’ll occasionally run into plotting problems. You’re especially likely to encounter problems when trying to plot other people’s drawings, because you don’t always know what plotting conventions they had in mind. (Plotting conventions aren’t where spies meet; they’re a standardized approach to plotting issues.) Table 12-1 describes some of the more common plotting problems and solutions.

Table 12-1: Plotting Problems and Solutions
Problem | Possible Solution
Nothing comes out of the plotter (system printer driver). | Check whether you can print to the device from other Windows applications. If not, it’s not an AutoCAD problem. Try the Windows Print Troubleshooter (StartðHelpðContentsðTroubleshooting and Maintenance).
Nothing comes out of the plotter (nonsystem printer driver). | Choose FileðPlotter Manager, double-click the plotter configuration, and check the settings.
Objects don’t plot the way they appear on-screen. | Check for a plot style table with weird settings, or try plotting without a plot style table.
Objects appear “ghosted” or with washed-out colors. | In the plot style table, set Color to Black for all colors.
Scaled to Fit doesn’t work right in paper space. | Change the plot area from Layout to Extents.
The HP enhanced Windows system driver that came on the AutoCAD 2004 CD, and the available paper sizes aren’t right (for example, no architectural paper sizes). | On the Plot dialog box’s Plot Device tab, click the Properties button, and then the Custom Properties button (near the bottom), and then the More Sizes button to specify the standard and custom paper sizes. See the “Plotter Configuration” section under “Getting up close and personal with the Plot dialog box” earlier in this chapter for more information.


Part IV: Share and Share Alike

In This Part:

Chapter 13: Playing Blocks and Rasteroids
Chapter 14: CAD Standards Rule
Chapter 15: Drawing on the Internet

Part Overview

In this part . . .

After you get the lines and text right, you may be justified in thinking that your work in AutoCAD is done. But AutoCAD enables you to do so much more! Blocks and external references help you manage data within drawings, between drawings, and across a network. If you plan to share drawings — whether among your own projects, with people in your office, or with folks in other companies, you need to think about consistency in presentation and drawing organization — in other words, CAD standards. The Internet is the biggest ongoing swap meet in human history, and AutoCAD offers some unique trading possibilities — and potential pitfalls — via e-mail and the Web. With the information in this part, you’ll be teaching AutoCAD how to give and receive in no time.


Chapter 13: Playing Blocks and Rasteroids

Overview

In This Chapter

  • Introducing blocks, external references (xrefs), and raster images

  • Creating block definitions

  • Inserting blocks

  • Using attributes in blocks

  • Attaching and managing xrefs

  • Controlling xref paths

  • Attaching and managing raster image files

Chapter 6 shows you how to copy objects within a drawing or even to another drawing. That’s one way to use CAD to improve drafting efficiency. You can copy a DWG file and then modify it to create a similar drawing — an even better productivity-booster, as long as you’re in the habit of making similar drawings. But all of those are baby steps compared to the techniques that I cover in this chapter: treating drawings, parts of drawings, and raster images as reusable and updateable modules. If you want to make drafting production more efficient with CAD, then you want to know how to use blocks, xrefs, and raster files.

A block is a collection of objects grouped together to form a single object. You can insert this collection more than once in the same drawing, and when you do, all instances of the block remain identical, even after you change the bock definition. Although a block lives within a specific drawing, you can transfer copies of it into other drawings. You can add fill-in-the-blank text fields called attributes to blocks.

An external reference, or xref, is like an industrial-strength block. An external reference is a pointer to a separate drawing outside the drawing you’re working on. The referenced drawing appears on-screen and on plots as part of your drawing, but it continues to live as a separate document on your hard disk. If you edit the externally referenced drawing, the appearance of the drawing changes in all drawings that reference it.

A raster file (also called a bitmap file) stores a graphical image as a series of dots. Raster files are good for storing photographs, logos, and other images, whereas CAD vector files are good for storing geometrical objects such as lines and arcs, along with text and other annotations for describing the geometry. Sometimes it’s handy to combine raster images with CAD vector files, and AutoCAD’s IMage command makes the process straightforward.

Blocks, external references, and raster images enable you to reuse your work and the work of others, giving you the potential to save tremendous amounts of time — or to cause tremendous problems if you change a file on which other peoples’ drawings depend. Use these features when you can to save time, but do so in an organized and careful way so as to avoid problems.

Tip The way in which you use blocks and especially xrefs will depend a lot on the profession and office in which you work. Some disciplines and companies use these drawing organization features heavily and in a highly organized way, while others don’t. Ask your colleagues what the local customs are and follow them.


Rocking with Blocks

First, a little more block theory and then you can rock right into those blocks.

To use a block in a drawing, you need two things: a block definition and one or more block inserts. AutoCAD doesn’t always make the distinction between these two things very clear, but you need to understand the difference to avoid terminal confusion about blocks. (Maybe this syndrome should be called blockheadedness?)

A block definition lives in an invisible area of your drawing file called the block table. (It’s one of those symbol tables that I describe in Chapter 4.) The block table is like a book of graphical recipes for making different kinds of blocks. Each block definition is like a recipe for making one kind of block. When you insert a block, as described later in this chapter, AutoCAD creates a special object called a block insert. The insert points to the recipe and tells AutoCAD, “Hey, draw me according to the instructions in this recipe!”

Although a block may look like a collection of objects stored together and given a name, it’s really a graphical recipe (the block definition) plus one or more pointers to that recipe (one or more block inserts). Each time you insert a particular block, you create another pointer to the same recipe.

The advantages of blocks include:

  • Grouping objects together when they belong together logically. You can draw a screw using lines and arcs, and then make a block definition out of all these objects. When you insert the screw block, AutoCAD treats it as a single object for purposes of copying, moving, and so on.

  • Saving time and reducing errors. Inserting a block is, of course, much quicker than redrawing the same geometry again. And the less geometry you draw from scratch, the less opportunity there is to make a mistake.

  • Efficiency of storage when you reuse the same block repeatedly. If you insert the same screw block 15 times in a drawing, AutoCAD stores the detailed block definition only once. The 15 block inserts that point to the block definition take up much less disk space than 15 copies of all the lines, polylines, and arcs would.

  • The ability to edit all instances of a symbol in a drawing simply by modifying a single block definition. This one is the biggie. If you decide that your design requires a different kind of screw, you simply redefine the screw’s block definition. With this new recipe, AutoCAD then replaces all 15 screws automatically. That’s a heck of a lot faster than erasing and recopying 15 screws!

Blocks are great for convenience and storage savings within a drawing.

Warning Blocks aren’t as great for drawing elements used in multiple drawings, however, especially in a situation where several people are working on and sharing parts of drawings with one another. That’s because blocks, after they get into multiple drawings, stay in each drawing; a later modification to a block definition in one drawing does not automatically modify all the other drawings that use that block. If you use a block with your company’s logo in a number of drawings and then you decide to change the logo, you must make the change within each drawing that uses the block.

Tip External references enable you to modify multiple drawings from the original referenced drawing. You can find out more about external references in the section “Going External,” later in this chapter.

Tip If all you need to do is make some objects into a group so that you can more easily select them for copying, moving, and so on, use the AutoCAD group feature. Type Group and press Enter to open the Group Manager dialog box. Then select some objects, click the Create Group button, and type a name for the group. Press Ctrl+H to toggle “group-ness” on or off. If you’ve toggled “group-ness” on, picking any object in a group selects all objects in the group. If you’ve toggled it off, picking an object selects only that object, even if it happens to be a member of a group.

Creating block definitions

To create a block definition from objects in the current drawing, use the Block Definition dialog box. (The other way to create a block definition is by inserting another drawing file into your current drawing as a block, which I explain in the next section.) The following steps show you how to create a block definition using the Block Definition dialog box:

  1. Click the Make Block button on the Draw toolbar.

    The Block Definition dialog box appears (see Figure 13-1).

    Figure 13-1: The Block Definition dialog box.

    Tip Layers matter when creating the objects that makes up a block. Block geometry created on most layers retains the characteristics, such as color and linetype, of those layers. But if you create a block using geometry on Layer 0, that geometry has no characteristics, such as color and linetype of its own; chameleon-like, it takes on the features of the layer into which it’s inserted. (If you don’t know what a chameleon is, ask a zoology teacher or a politician.)

  2. Type the block definition’s name in the Name text entry box.

    If you type the name of an existing block definition, AutoCAD replaces that block definition with the new group of objects you select. This process is called block redefinition. AutoCAD first warns you and then updates all instances of the block in the current drawing to match the changed block definition.

    Tip To see a list of the names of all the current blocks in your drawing, pull down the Name list.

  3. Specify the base point, also known as the insertion point, of the block, using either of the following methods:

    • Enter the coordinates of the insertion point at the X, Y, and Z text boxes.

    • Click the Pick Point button and then select a point on the screen. (In this case, use an object snap or other precision technique, as described in Chapter 4, to grab a specific point on one of the block’s objects.)

    The base point is the point on the block by which you insert it later, as I describe in the next section.

    Tip Try to use a consistent point on the group of objects for the base point, such as the lower-left corner, so that you always know what to expect when you insert the block.

  4. Click the Select Objects button and then select the objects that you want as part of the block.

    AutoCAD uses the selected objects to create a block definition as in Figure 13-2.

    Click To expand
    Figure 13-2: Building a block.

  5. Click a radio button to tell AutoCAD what to do with the objects used to define the block: Retain them in place, Convert them into a block instance, or Delete them.

    The default choice, Convert To Block, is usually the best, because it preserves the pointer to the block definition “recipe.” If you choose Retain instead, AutoCAD leaves the objects on the screen, but as separate objects with no relationship to the block definition.

  6. Click a radio button to choose either Do Not Include An Icon or Create Icon From Block Geometry.

    Go ahead and create the icon; it will help you and others find the right block to use later.

  7. Specify the Insert units to which the block will be scaled in the Drag-and-Drop Units drop-down menu.

    If and when the block is dragged from one drawing into another via the DesignCenter palette (see Chapter 4) or Tool Palette (described later in this chapter), the units you specify here and the units of the drawing you’re dragging into will control the default insertion scale factor.

  8. Enter the block Description.

    Now is the time to think like a database manager and enter a useful description that will identify the block to yourself and others.

  9. Click OK to complete the block definition process.

    If you don’t choose the Convert To Block or the Retain radio button, your objects disappear! AutoCAD has stored the block definition in the current drawing’s block table, however, and the block is ready to use. If you choose the Convert To Block radio button (the default), AutoCAD creates a block insert pointing to the new block definition — the objects look the same on-screen, but now they’re an instance of the block rather than existing as separate objects. If you choose the Retain radio button, the objects remain in place but aren’t converted into a block insert — they stay individual objects with no connection to the new block definition.

Start Sidebar
BLOCK and WBLOCK

The Block command, which opens the Block Definition dialog box, is great for use within a drawing, but what if you want to use the block definition in multiple drawings? The easiest method is to use DesignCenter to copy a block definition from one drawing to another, as described in Chapter 4.

Another method involves the WBLOCK and Insert commands. I don’t cover this method here, because it’s less intuitive than using DesignCenter. But you may hear AutoCAD drafters talk about “wblocking” part of a drawing. So that you can keep these block-y names straight:

  • The Block command creates a block definition from objects in the current drawing.

  • The WBLOCK command creates a new DWG file from objects in the current drawing, or from a block definition in the current drawing.

End Sidebar

Technical Stuff You can include in a block definition a special kind of variable text object called an attribute definition. When you insert a block that contains one or more attribute definitions, AutoCAD prompts you to fill in values for the text fields. Attributes are useful for variable title block information (sheet number, sheet title, and so on) and symbols that contain different codes or call-outs. I describe how to create and use attribute definitions later in this chapter.

Tip Keep your common symbol drawings in one or more specific folders that you set aside just for that purpose. You may want use one of the following techniques to develop a block library of symbols that you use frequently:

  • Create a separate DWG file for each symbol (using WBLOCK, or simply by drawing each one in a new drawing).

  • Store a bunch of symbols as block definitions in one drawing and use DesignCenter to import block definitions from this drawing when you need them.

Inserting blocks

AutoCAD provides a number of ways to insert a block, but the most commonly used and most flexible is the Insert dialog box. Here’s the procedure for inserting a block:

  1. Set an appropriate layer current, as described in Chapter 4.

    It’s a good idea to insert each block on a layer that has something to do with its geometry or purpose:

    • If all the objects in the block definition reside on one layer, then it’s usually best to insert the block on that layer.

    • If the block geometry spans several layers, choose one of them to insert the block on.

    Remember If any of the block definition’s geometry was created on layer 0, then that geometry will inherit the color, linetype, and other object properties of the layer that you insert the block on. It’s like the chameleon changing color to match its surroundings or a politician changing his position to match the day’s opinion polls.

  2. Click the Insert Block button on the Draw toolbar.

    The Insert dialog box appears, as shown in Figure 13-3.

    Click To expand
    Figure 13-3: The Insert dialog box.

  3. Enter the block definition name or external filename by using one of the following methods:

    • Use the Name drop-down list to select from a list of block definitions in the current drawing.

    • Click the Browse button to select an external DWG file and have AutoCAD create a block definition from it.

    You can use an external drawing to replace a block definition in your current drawing. If you click Browse and choose a file whose name matches the name of a block definition that’s already in your drawing, AutoCAD warns you and then updates the block definition in your drawing with the current contents of the external file. This process is called redefining a block — it automatically updates all the block inserts that point to the block definition.

  4. Enter the insertion point, scale, and rotation angle of the block.

    You can either click the Specify On-Screen check box in each area, to specify the parameters on-screen at the command prompt, or type the values you want in the Insertion Point, Scale, and Rotation text boxes.

    Tip Check the Uniform Scale check box to constrain the X, Y, and Z scaling parameters to the same value (which in almost all cases you do).

  5. If you want AutoCAD to create a copy of the individual objects in the block instead of a block insert that points to the block definition, click the Explode check box.

  6. Click OK.

  7. If you checked Specify On-Screen for the insertion point, scale, or rotation angle, answer the prompts on the command line to specify these parameters.

After you insert a block, all the objects displayed in the block insert behave as a single object. When you select any object in the block insert, AutoCAD highlights all the objects in it.

Tip Another way to insert a block is to drag a DWG file’s name from Windows Explorer and drop it anywhere in the current drawing window. AutoCAD then prompts you to choose an insertion point and optionally change the default scale factor and rotation angle. Similarly, you can drag a block definition’s name from the Blocks section of the DesignCenter palette and drop it into the current drawing window. (Chapter 4 describes DesignCenter.)

New for 2004 AutoCAD 2004 provides one additional way of inserting blocks: the new Tool Palette, which is described in Chapter 2. As is true of using Tool Palette for hatching (Chapter 11), you first must create and configure appropriate tools — that is, swatches. The easiest method is right-clicking a drawing in DesignCenter and choosing Create Tool Palette. A new page is added to the Tool Palette area containing all of the block definitions from the drawing that you right-clicked. Simply click and drag a tool to insert its corresponding block into a drawing. As with hatching, you don’t get the chance to specify a different insertion scale. You also can’t use all of AutoCAD’s precision tools to specify the insertion point precisely, so you may need to move the block into place after inserting it. I recommend that you first master the other block insertion methods described in this chapter — especially the Insert dialog box and DesignCenter palette. Then, if you find yourself inserting the same blocks frequently, consider creating a Tool Palette containing them. See “tool palette tools, adding” in the AutoCAD online help system for more information.

Warning Be careful when inserting one drawing into another. If the host (or parent) drawing and the inserted (or child) drawing have different definitions for layers that share the same name, the objects in the child drawing takes on the layer characteristics of the parent drawing. For example, if you insert a drawing with lines on a layer called Walls that’s blue and dashed into a drawing with a layer called Walls that’s red and continuous, the inserted lines on the wall layer will turn red and continuous after they’re inserted. The same rules apply to linetypes, text styles, dimension styles, and block definitions that are nested inside the drawing you’re inserting.

Tip If you need to modify a block definition after you’ve inserted one or more instances of it, use the REFEDIT command (Modifyð Xref and Block EditðEdit Reference In-Place). Look up “REFEDIT” in the AutoCAD online help system.

Attributes: Fill-in-the-blank blocks

You may think of attributes as the good (or bad) qualities of your significant other, but in AutoCAD, attributes are fill-in-the-blank text fields that you can add to your blocks. When you create a block definition and then insert it several times in a drawing, all of the ordinary geometry (lines, circles, regular text strings, and so on) in all of the instances are exactly identical. Attributes provide a little more flexibility in the form of text strings that can be different in each block insert.

For example, suppose that you frequently designate parts in your drawings by labeling them with a distinct number or letter in a circle for each part. If you want to create a block for this symbol, you can’t simply draw the number or letter as regular text using the mText or TEXT command. If you create a block definition with a regular text object (for example, the letter A), the text string will be the same in every instance of the block (always the letter A). Not much help in distinguishing the parts!

Instead, you create an attribute definition, which acts as a placeholder for a text string that can vary each time you insert the block. You include the attribute definition when you create the block definition (as I demonstrate in the “Creating block definitions” section earlier in this chapter). Then, each time you insert the block, AutoCAD prompts you to fill in an attribute value for each attribute definition.

Warning The AutoCAD documentation and dialog boxes often use the term attribute to refer indiscriminately to an attribute definition or an attribute value. I attribute a lot of the confusion about attributes to this sloppiness. Just remember that an attribute definition is the text field or placeholder in the block definition, while an attribute value is the specific text string that you type when you insert the block.

If you’ve worked with databases, the correspondences in Table 13-1 between AutoCAD objects (blocks and attributes) and database terminology may help you understand the concept.

Table 13-1: Attribute and Database Comparison
AutoCAD | Database
Block definition | Database table structure
Block insert | One record in the table
Attribute definition | Field name
Attribute value | Value of the field in one record

Attribute definitions

You use the Attribute Definition dialog box to create attribute definitions (clever, huh?). The procedure is similar to creating a text string, except that you must supply a little more information. Create attribute definitions with the following steps:

  1. Change to the layer on which you want to create the attribute definition.

  2. Choose Draw ð Block ð Define Attributes to run the ATTDEF command.

    The Attribute Definition dialog box appears, as shown in Figure 13-4.

    Click To expand
    Figure 13-4: The Attribute Definition dialog box.

    Tip You rarely need to use any of the Mode settings (Invisible, Constant, Verify, or Preset). Just leave them unchecked. If you’re curious about what the modes do, use the dialog box help to find out more.

  3. In the Attribute area, type the Tag (database field name), Prompt (user prompt), and Value (default value).

    Warning The Tag can’t contain any spaces. The Prompt and Value fields may contain spaces.

  4. In the Text Options area, specify the Justification, Text Style, Height, and Rotation.

    The text properties for attribute definitions are the same as those for single-line text objects — see Chapter 9.

  5. Choose the Pick Point button and choose an insertion point for the attribute definition.

    An attribute definition’s insertion point is like a text string’s base point. Remember to use snap, object snap, or another precision tool if you want the eventual attribute values to be located at a precise point.

  6. Click OK to create the attribute definition.

  7. Repeat Steps 1 through 6 for any additional attribute definitions.

    Tip you need to create a series of similar attribute definitions, create the first one using Steps 1 through 6. Then copy the first attribute definition and edit the copy(s) with the Properties palette.

Block definition containing attribute definitions

After you create one or more attribute definitions — and any other geometry that you want to include in the block — you’re ready to create a block definition that contains them. Follow the steps in the section, “Creating block definitions,” earlier in this chapter.

At Step 4 in the section, “Creating block definitions,” select any attribute definitions first before you select the other geometry. Select each attribute definition one-by-one (clicking on each attribute definition rather than selecting multiple attributes with a selection window), in the order that you want the attribute value prompts to appear in the Edit Attributes dialog box (see Figure 13-5). If you don’t select the attributes one-by-one, your block and attributes will still work, but the order of the attribute prompts in the Edit Attributes dialog box may not be what you want.

Click To expand
Figure 13-5: The Edit Attributes dialog box.

Technical Stuff You can use the Block Attribute Manager (choose ModifyðObjectðAttributeðBlock Attribute Manager) to re-order the attribute definitions in a block definition. You can also use this dialog box to edit other attribute definition settings, such as the prompt, text style, or layer. If you get tired of traversing four menu picks to get to this command, you can type the command name — BATTMAN (Block ATTribute MANager) — instead. I suppose it’s only a matter of time before Autodesk adds a ROBIN (ReOrder Block INsert) command. . . .

Insert a block containing attribute definitions

After you create a block definition that contains attribute definitions, you insert it just like any other block. Follow the steps in the section, “Inserting blocks,” earlier in this chapter. At the end of the steps, AutoCAD should display the Edit Attributes dialog box, shown in Figure 13-5. The dialog box contains one row for each of the attribute definitions and has any default values filled in. You simply edit the values and then click OK.

Tip The ATTDIA (ATTribute DIAlog box) system variable controls whether AutoCAD prompts for attribute values in a dialog box (ATTDIA=1) or at the command line (ATTDIA=0). If you insert a block and see command line prompts for each attribute value, type a value and press Enter for each attribute value. When you return to the Command: prompt, type ATTDIA, press Enter, type 1, and press Enter again. When you insert blocks with attributes in this drawing in the future, AutoCAD displays the Edit Attributes dialog box instead of prompting you at the command line.

Edit attribute values

After you insert a block that contains attributes, you can edit the individual attributes in that block insert with the EATTEDIT command (Enhanced ATTtribute EDIT — nothing to do with eating). Choose ModifyðObjectðAttributeðSingle and click on any object in the block insert. AutoCAD displays the Enhanced Attribute Editor dialog box with the current attribute values, as shown in Figure 13-6. The most common attribute editing operation is to edit the text value — that is, the text string that appears in the block insert. You can also change properties of the attributes, such as layer and text style.

Click To expand
Figure 13-6: The Enhanced Attribute Editor dialog box.

Technical Stuff Many people use attributes in the way I’ve described so far — as fill-in-the-blank text fields in blocks. But attributes also can serve as data extraction tools. For example, you can export attribute values, such as part numbers and quantities, to a text file, and then import the data into a spreadsheet for analysis or reporting. The Attribute Extraction wizard (ToolsðAttribute Extraction) makes the process fairly straightforward. If you’re hungry to learn more, look up “EATTEXT (Enhanced ATTribute EXTtract) command” in the AutoCAD online help system.

Exploding blocks

The objects in each block insert act like a well-honed marching squadron: If you move or otherwise edit one object in the block insert, all objects move or change in the same way. Usually this cohesion is an advantage, but occasionally you need to break up the squadron in order to modify one object without affecting the others.

To explode a block insert into individual objects, click Explode (the firecracker button) on the Edit toolbar and then select the block insert. When you explode a block insert, AutoCAD replaces it with all the objects — lines, polylines, arcs, and so on — specified in the block definition. You then can edit the objects or perhaps use them to make more block definitions.

Warning Don’t make a habit of exploding blocks cavalierly, especially if you’re working in someone else’s drawing and aren’t sure why the objects are organized as blocks. Most people use blocks for a reason, and if you go around exploding them left and right, you’re likely to be treated the same way that anyone who blows up a lot of things gets treated.

Warning If you explode a block that contains attributes, the attribute values change back to attribute definitions. This usually isn’t the sort of change that you want. If you really need to explode the block insert, you’ll probably want to erase the attribute definitions and draw regular text strings in their place.

Start Sidebar
Purging unused block definitions

Each block definition slightly increases the size of your DWG file, as do other named objects such as layers, text styles, and dimension styles. If you delete (or explode) all of the block inserts that point to a particular block definition, then that block definition no longer serves any purpose.

You should run the PUrge command periodically in each drawing and purge unused block definitions and other named objects. Choose FileðDrawing UtilitiesðPurge to display the Purge dialog box, as shown in the figure. Click the Purge All button in order to purge all unused named objects in the current drawing.

Click To expand
End Sidebar


Going External

In AutoCAD, an xref, or external reference, is not someone who used to be an official in a sporting contest. An xref is a reference to another, external file — one outside the current drawing — that you can make act as though it’s part of your drawing. Technically, a reference is simply a pointer from one file to another. The xref is the actual pointer, but the combination of the pointer and the external file often is called the xref.

Drawings that you include as xrefs in other drawings often are called child drawings. Drawings that contain pointers to the child drawings are called parent drawings. This family terminology gets a little weird when you realize that a child drawing can have lots of parent drawings that refer to it — apparently it’s the commune version of family relations. If you find such relationships odd, you can, like the AutoCAD online help system, refer to the parent drawing as the host drawing. I prefer the terms parent and child, in part because they’re easily extendable to describing more complex hierarchies, such as a parent drawing, which xrefs a child drawing, which in turn xrefs a grandchild drawing.

Xrefs have a big advantage over blocks: If you change a child drawing, AutoCAD automatically loads the change into all the parent drawings that reference the child drawing.

Technical Stuff AutoCAD loads all xrefs into the parent drawing each time the parent drawing is opened. If the child drawing has been changed, AutoCAD automatically incorporates those changes into the parent drawing.

New for 2004 When you open a drawing containing xrefs, AutoCAD 2004 displays a little symbol (looks like papers with a binder clip) on the right end of the status bar. This symbol alerts you to the fact that some of the things you see in the drawing are actually parts of other, xrefed drawings. If an xref changes while you have the parent drawing open (because you or someone else opens and saves the child drawing), the status bar xref symbol displays an External Reference Files Have Changed balloon notification. You can use the Reload option in the Xref Manager dialog box to show the updated xrefs. See the "Managing xrefs" section later in this chapter for details.

Another advantage of xrefs over blocks is that their contents aren’t stored in your drawing even once. The disk storage space taken up by the original drawing (that is, the xref) isn’t duplicated, no matter how many parent drawings reference it. This characteristic makes xrefs much more efficient than blocks for larger drawings that are reused several times.

But you can always buy more hard disk space, so the storage issue isn’t crucial. The key benefit of xrefs is that they enable you to organize your drawings in a modular way so that changes you make to a single drawing file automatically “ripple through” all the parent drawings to which it’s xrefed. This benefit is even greater on larger projects involving multiple drafters, each of whose work may be incorporated in part or in whole in the work of others.

Warning The automatic update feature of xrefs is a big advantage only if you’re organized about how you use xrefs. Suppose that an architect creates a plan drawing showing a building’s walls and other major features that are common to the architectural, structural, plumbing, and electrical plan drawings. The architect then tells the structural, plumbing, and electrical drafters to xref this background plan into their drawings, so that everyone is working from a consistent and reusable set of common plan elements. If the architect decides to revise the wall locations and updates the xrefed drawing, everyone will see the current wall configuration and be able to change their drawings. But if the architect absent-mindedly adds architecture-specific objects, such as toilets and furniture, to the xrefed drawing, or shifts all the objects with respect to 0,0, everyone else will have problems. If different people in your office share xrefs, create a protocol for who is allowed to modify which file when, and what communication needs to take place after a shared xref is modified.

Becoming attached to your xrefs

Attaching an external reference is similar to inserting a block, and almost as easy. Just use the following steps:

  1. Set an appropriate layer current, as described in Chapter 4.

    I recommend that you insert xrefs on a separate layer from all other objects. Note that if you freeze the layer an xref is inserted on, the entire xref disappears.

  2. Choose Insert ð Xref Manager from the menu bar to start the XREF command.

    The Xref Manager dialog box appears (see Figure 13-7).

    Click To expand
    Figure 13-7: The Xref Manager dialog box.

    Warning Don’t choose InsertðExternal Reference. This menu choice jumps ahead to Step 4, which will be confusing at this point.

  3. Click Attach.

    The Select Reference File dialog box appears.

  4. Browse to find the file you want to attach, select it, and then click Open.

    The External Reference dialog box appears.

  5. Specify the parameters for the xref in the dialog box.

    Parameters include the insertion point, scaling factors, and rotation angle. You can set these parameters in the dialog box or specify them on-screen, just as you can do when inserting a block, as described earlier in this chapter.

    Technical Stuff You can choose the Attachment or Overlay radio button to tell AutoCAD how to handle the xref. The choice matters only if you create a drawing that uses xrefs, and then your drawing is in turn used as an xref. Attachment is the default choice, and it means that the xrefed file will always be included with your drawing when someone else uses it as an xref. Overlay, the other choice, means that you see the xrefed drawing, but someone who xrefs your drawing won’t see the overlaid file. By choosing Overlay, you can xref in a map, for example, to your drawing of a house, but not have the map show up when someone else xrefs your house drawing. (That person can xref the map, if need be.) I recommend that you use the default Attachment reference type unless you have a specific reason to do otherwise.

    New for 2004 The AutoCAD 2004 Path Type drop-down list provides more flexibility in how the xref’s path gets stored. See the “Forging an xref path” section later in this chapter for more information. For now, I recommend that you choose Relative path instead of the default Full path.

  6. Click OK.

    The externally referenced file appears in your drawing.

Layer-palooza

When you attach or overlay an xref, AutoCAD adds new layers to your current drawing that correspond to the layers in the xrefed DWG file. The new layers are assigned names that combine the drawing name and layer name; for example, if you xref the drawing MYSCREW.DWG, which has the layer names GEOMETRY, TEXT, and so on, the xrefed layers will be named MYSCREW|GEOMETRY, MYSCREW|TEXT, and so on. By creating separate layers corresponding to each layer in the xrefed file, AutoCAD eliminates the potential problem I warned you about with blocks when layers have the same name but different color or linetype in the two drawings.

Technical Stuff AutoCAD also creates new linetypes, text styles, dimension styles, and block definitions for each of these items in the xrefed file — for example, MYSCREW| DASHED, MYSCREW|NOTES, MYSCREW|A-DIMS, and MYSCREW|LOGO.

Creating and editing an external reference file

To create a file that you can use as an external reference, just create a drawing and save it (or use the WBLOCK command to create a new DWG from geometry in the current drawing). That’s it. You can then start up a new drawing and create an external reference to the previous one. The xrefed drawing appears in your parent drawing as a single object, like a block insert. In other words, if you click any object in the xref, AutoCAD selects the entire xref. You can measure or object snap to the xrefed geometry, but you can’t modify or delete individual objects in the xref — you open the xref drawing in order to edit its geometry.

New for 2004 AutoCAD 2004’s new XOPEN command (ModifyðXref and Block EditingðOpen Reference) provides a quick way to open an xrefed drawing for editing. You just start the command and pick on any object in the xref. Alternatively, you can use the Open button in the Xref Manager dialog box to open one or more xrefs for editing. See the “Managing xrefs” section later in this chapter for more information.

Tip An alternative to opening the xrefed file when you need to edit it is to use the REFEDIT command (ModifyðIn-Place Xref and Block EditðEdit Reference). Look up “REFEDIT” in the AutoCAD online help system.

Forging an xref path

When you attach an xref, AutoCAD by default stores the xref’s full path (that is, the drive letter and sequence of folders and subfolders in which the DWG file resides, along with the filename). This default behavior corresponds to the Full path setting in the Path Type drop-down list, as shown in Figure 13-8. Full path works fine as long as you never move files on your hard disk or network and never send your DWG files to anyone else — which is to say, it almost never works fine!

Click To expand
Figure 13-8: Chart your path when you attach xref.

At the other end of the path spectrum, the No path option causes AutoCAD not to store any path with the xref attachment — only the filename is stored. This is the easiest and best option if the parent and child drawings reside in the same folder.

New for 2004 If you prefer to organize the DWG files for a particular project in more then one folder, then you’ll appreciate AutoCAD 2004’s new Relative path option. This option permits xrefing across more complex, hierarchical folder structures, but avoids many of the problems that Full path can cause. For example, you might have a parent drawing H:\Project-X\Plans\First floor.dwg that xrefs H:\Project-X\Common\Column grid.dwg. If you choose Relative path, AutoCAD will store the xref path as ..\ Common\Column grid.dwg instead of H:\Project-X\Common\Column grid.dwg. Now if you decide to move the \Project-X folder and its subfolders to a different drive (or send them to someone else who doesn’t have an H: drive), AutoCAD will still be able to find the xrefs.

Technical Stuff When you use Relative path, you’ll see xref paths that include the special codes . and .. (single and double period). The single period means "this parent drawing’s folder" and the double period means "the folder above this parent drawing’s folder" (in other words, the folder of which the parent drawing’s folder is a subfolder).

You can report on and change xref paths for a set of drawings with the new AutoCAD 2004 Reference Manager. See Chapter 15 for more information.

Tip If all of these path options and periods have got you feeling punchy, you can keep your life simple by always keeping parent and child drawings in the same folder and using the No path option when you attach xrefs.

Managing xrefs

The Xref Manager dialog box includes many more options for managing xrefs after you attach them. Important dialog box options include:

  • List of external references: You can change between a List and a Tree view of your drawing’s external references just by clicking the appropriate button at the top of the dialog box. You also can resize the columns by dragging the column dividers or re-sort the list by clicking the column header names, just as in other Windows dialog boxes.

  • Detach: Completely removes the selected reference to the external file from your drawing.

  • Reload: Causes AutoCAD to reread the selected xrefed DWG file from the disk and update your drawing with its latest contents. This feature is handy when you share xrefs on a network and someone has just made changes to a drawing that you’ve xrefed.

  • Unload: Makes the selected xref disappear from the on-screen display of your drawing and from any plots you do of it, but retains the pointer and attachment information. Use the Reload button to redisplay an unloaded xref.

  • Bind: Brings the selected xref into your drawing and makes it a block. This is a good thing to do if, for example, you need to protect your drawing from changes that may be made to the xrefed file.

  • New for 2004 Open: Opens one or more xref drawings in separate drawing windows after you close the Xref Manager dialog box. After you edit and save an xref drawing, return to the parent drawing and use the Reload option in the Xref Manager dialog box to show the changes.

None of these options affects the xrefed drawing itself; it continues to exist as a separate DWG file. If you need to delete or move the DWG file that the xref refers to, do it in Windows Explorer.

Remember The fact that the xrefed drawing is a separate file is a potential source of problems when you send your drawing to someone else; that someone else needs all the files that your drawing depends on, or it will be useless to the receiving party. Make sure to include xrefed files in the package with your drawing. See Chapter 15 for a procedure.

AutoCAD LT AutoCAD (but not AutoCAD LT) includes an additional xref feature called xref clipping. You can use the XCLIP command to clip an externally referenced file so only part of it appears in the parent drawing. AutoCAD LT doesn’t include the XCLIP command, but if you open a drawing containing an xref that was clipped in AutoCAD, the clipped view will be preserved.


Blocks, Xrefs, and Drawing Organization

Blocks and xrefs are useful for organizing sets of drawings to use and update repeated elements . It’s not always clear, though, when to use blocks and when to use xrefs. Applications for xrefs include

  • The parts of a title block that are the same on all sheets in a project.

  • Reference elements that need to appear in multiple drawings (for example, wall outlines, site topography, column grids).

  • Assemblies that are repeated in one or more drawings, especially if the assemblies are likely to change together (for example, repeated framing assemblies, bathroom layouts, modular furniture layouts).

  • Pasting up several drawings (for example, details or a couple of plans) onto one plot sheet.

  • Temporarily attaching a background drawing for reference or tracing.

On the other hand, blocks remain useful in simpler circumstances. Situations in which you might stick with a block are:

  • Components that aren’t likely to change.

  • Small components.

  • A simple assembly that’s used repeatedly, but in only one drawing. (You can easily update a block in one drawing with the REDEFIT command.)

  • When you want to include attributes (variable text fields) that you can fill in each time you insert a block. Blocks let you include attribute definitions; xrefs don’t.

Everyone in a company or workgroup should be consistent about when and how to use blocks and xrefs. Check whether guidelines exist for using blocks and xrefs in your office. If so, follow them; if not, it would be a good idea to develop some guidelines. Chapter 14 discusses how to start such guidelines.


Mastering the Raster

AutoCAD includes another xref-like feature: the ability to attach raster images to drawings. This feature is useful for adding a raster logo to a drawing title block or placing a photographed map or scene behind a drawing. A raster, or bitmapped, image is one that’s stored as a field of tiny points.

Most AutoCAD drawings are vector images. A vector image is an image defined by storing geometrical definitions of a bunch of objects. Typical objects include a line, defined by its two endpoints, and a circle, defined by its center point and radius. Vector-based images are typically smaller (in terms of the disk space they occupy) and more flexible than raster images, but also are less capable of displaying visually rich images such as photographs.

Raster images normally come into the computer from some kind of scanner that imports a blueline print, photograph, or other image. Raster images, such as company logos, can also be created in programs such as Photoshop.

Whether you’re doing your scanning yourself or having a service bureau do it for you, you need to know that AutoCAD handles most of the popular image file formats including the Windows BMP format, the popular Web graphics formats GIF and JPEG, the popular PCX and TIFF formats, as well as DIB, FLC, FLI, GP4, MIL, PNG, RLE, RST, and TGA.

Here are three scenarios to incorporate raster images in your drawing:

  • Small stuff: You can add logos, special symbols, and other small images that you have in raster files.

  • Photographs and maps: You can add photographs (such as a future building site) and maps (for example, showing the project location).

  • Vectorization: To convert a raster image into a vector drawing by tracing lines in the raster image, you can attach the raster image in your drawing, trace the needed lines using AutoCAD commands, then detach the raster image. (This procedure is okay for a simple raster image; add-on software is available, from Autodesk and others, to support vectorization of more complex images.)

Using raster images is much like using external references. The raster image isn’t stored with your drawing file; a reference to the raster image file is established from within your drawing, like an xref. You can clip the image and control its size, brightness, contrast, fade, and transparency. These controls fine-tune the appearance of the raster image on-screen and on a plot.

Warning When you attach raster images, you have to make sure that you send the raster files along when you send your drawing to someone else.

AutoCAD LT AutoCAD LT can open, view, and plot drawings containing attached raster images, but LT can’t do the attaching. Raster masters require full AutoCAD.

Attaching an image

Follow these steps to bring a raster image into AutoCAD:

  1. Choose Insert ð Image Manager from the menu bar or type IMage at the command line to start the IMage command.

    The Image Manager dialog box appears (see Figure 13-9).

    Click To expand
    Figure 13-9: The Image Manager dialog box.

  2. Click the Attach button.

    The Select Image File dialog box appears.

  3. Browse to find the file you want to attach, select it, then click Open.

    The Image dialog box appears.

    Tip Click the Details button in the Image dialog box to see more information about the resolution and image size of the image you’re attaching.

  4. Specify the parameters for the attached image in the dialog box.

    Parameters include the insertion point, scale factor, and rotation angle. You can set these parameters in the dialog box or specify them on-screen, similar to what you can do with blocks and external references, as described earlier in this chapter. Use the quick dialog box help (click the question mark in the dialog box’s title bar and then click the area in the dialog box for which you want help) or click the dialog box’s Help button to find out more about specific options.

    Warning Unfortunately, Autodesk didn’t add a Relative path option to raster images in AutoCAD 2004, as it did for xrefs. (See "Forging an xref path" earlier in this chapter.) Use the Retain path setting to choose between storing the entire path or no path. Retain path on corresponds to Full path, and off corresponds to No path.

  5. Click OK.

    The image appears in your drawing.

  6. If you need to ensure that the raster image floats behind other objects in the drawing, select the raster image and then choose Tools ð Display Order ð Send to Back.

    Technical Stuff The DRaworder command provides additional options for which objects appear on top of which other objects. If you need this kind of flexibility, look up “DRAWORDER command” in the AutoCAD online help system.

Managing images

You manage the images in your drawing with the Image Manager dialog box. It includes virtually the same options as the External References dialog box. Options include image files that appear in the current drawing, the ability to detach (remove) image references, and the ability to unload and reload images when needed. You can’t bind an image to your drawing; it’s an external file.

You can clip images so that only part of the image is displayed in your drawing. Choose ModifyðClipðImage and follow the prompts to clip the image. You can have multiple overlapping or distinct pieces of any number of images in your drawing, and only the parts you need are loaded into memory when you have your drawing open.

Tip Raster image files can be larger than DWG files; size can affect performance within AutoCAD, because the raster file loads into memory when you are working on your drawing. Some workarounds speed up operations:

  • Attach raster images late in the production process.

  • Create a lower-resolution version of the raster file, just large enough to create the desired effect in your drawing.

  • Use the Unload button in the Image Manager dialog box to temporarily disable an image without losing the attachment information.


Chapter 14: CAD Standards Rule

Overview

In This Chapter

  • Making the case for CAD standards

  • Choosing from existing standards

  • Rolling your own standards

  • Taking advantage of cool standards tools

If you’ve ever worked with other people to create a multi-chapter, visually complex, frequently updated text document, then you probably understand the importance of coordinating how everyone works on the parts of the document. Even if you’re someone who churns out documents from your one-person office or lonely cubicle, you probably try to ensure a reasonably consistent look and feel in similar documents. You employ consistent fonts, the same company logo, and the same paper size in most documents — or if you don’t, you probably at least think that you should!

CAD exacts similar demands for reasonable consistency, only more so:

  • Most companies would like to take pride in the clarity and consistency of their drawings. Sloppy drawings with randomly varying text heights and lineweights don’t reflect well on you and make the drawings harder to read.

  • CAD drawings that don’t conform with some logically consistent scheme usually are harder to edit and to reuse by others who work on the project and by you when you work on other projects.

This stuff is important enough in CAD that it has a special name: CAD standards. Those people compulsive enough to fret about it all the time and sadistic enough to impose their fretting on others also have a special name: CAD managers. This chapter won’t turn you into a CAD manager — a reassurance you’re probably grateful for — but it does introduce the most important CAD standards issues. This chapter also suggests some ways to come up with your own simple CAD standards, in case you’re going it alone and don’t have the benefit of a ready-made company or project CAD standards document to guide you. The chapter ends with an overview of AutoCAD tools that can help you comply with and check conformity to CAD standards.


Why CAD Standards?

Throughout this book, I emphasize things like setting up your drawings properly, drawing objects on appropriate and consistent layers, and specifying suitable text fonts and heights. These practices amount to conforming to a CAD standard.

You need to do these things if you work with or exchange drawings with others. If you don’t, several bad things will happen. You’ll be pegged as a clueless newbie by experienced drafters, who understand the importance of CAD consistency. Even if your ego can handle the contempt, you’ll make everyone’s work slower and more difficult. And if the project has electronic drawing submittal requirements, you may find that your client rejects your DWG files and demands that you make them conform to the CAD standards in the contract.

Start Sidebar
The aesthetics of CAD

Manual drafting veterans frequently complain that CAD drawings don’t look as good as the drawings that they used to create by hand. “Too ‘flat,’ too cartoonish, and inconsistent” are some of the refrains that you hear. These complaints are not just the whining of old-timers. Good manual drafters were justifiably proud of the appearance of their drawings. They focused on making the finished bluelines look sharp and read well.

When computers and CAD software got into the act, it became easy for CAD drafters to focus on the screen image and pay less attention to the plotted output. In the early days, CAD users struggled with a new way of making drawings and didn’t have as much time to make them look good. By the time that CAD became commonplace, a new crop of CAD users had grown up without the benefit of learning how to make good-looking drawings on paper.

There’s no reason that CAD drawings can’t look as good as manual drawings. It’s a matter of understanding the look that you’re after and caring enough to want to achieve it. If you see some especially clear and elegant printed drawings, find out who drew them and take that person out to lunch. You’ll probably learn some techniques that you can translate into making better CAD drawings. You may also gain new respect for the skills of those who made handsome and functional drawings with the simplest of tools.

End Sidebar

Even if you work solo and don’t have any particular requirements imposed from outside, your own work will go more smoothly and look better if you adhere to a reasonably consistent way of doing things in AutoCAD. You’ll certainly find plotting easier and more predictable.

CAD standards originally grew out of a desire to achieve a graphical consistency on the plotted drawings that mirrored the graphical consistency on hand-drafted drawings. Before the days of CAD, most companies had manual drafting standards that specified standard lettering (text) sizes, dimension appearance, symbol shapes, and so on. Sometimes these standards were based on standard industry reference books, such as the Architectural Graphic Standards.

As CAD users became more sophisticated, they realized that CAD standards needed to incorporate more than just the look of the resulting plot. CAD drawings contain a lot more organizational depth than printed drawings — layers, screen colors, blocks, xrefs, text and dimension styles, and the like. If these things aren’t subject to a modicum of standardization, then different people who work on the same drawings or projects are likely to end up stumbling over — or throwing things at — one another.

The first job of CAD standards is to impose some graphical consistency on plotted output. CAD standards also encourage consistency in the way that people create, assign properties to, organize, and display objects in the CAD file.


Which CAD Standards?

If CAD standards are as important as I claim, you might expect that indus-tries would’ve settled on a standardized way of doing things. No such luck. Although the manual drafting conventions in many professions have carried over to some degree into CAD, a lot of the things that need standardization have been left to the imagination of individual companies, departments, or people. For example, you’ll find that different companies usually name layers differently and employ different schemes for mapping object screen color to plotted lineweight (see Chapter 12). In particularly disorganized companies, you’ll find that different drafters use different layers and color-to-lineweight. And in the worst cases, the same drafter will do these things differently in different drawings!

As you can imagine, this proliferation of non-standard standards makes sharing and reusing parts of CAD drawings a lot more difficult. You can at least minimize the pain within your own office by conforming to any existing CAD standards or, if there aren’t any, by encouraging the development of some. (Later in this chapter, I give some suggestions for how to get started.)

Start Sidebar
Industry standards

Professional, trade, and governmental groups in some industries have made an attempt to promulgate CAD standards for the benefit of everyone in the industry. For example, the American Institute of Architects (AIA), together with several professional engineering associations, published a CAD Layer Guidelines document, which has become part of a so-called National CAD Standard that’s now promulgated by the U.S. government’s National Institute of Building Sciences, or NIBS (see www.nationalcad standard.org). The International Organiza-tion for Standardization, or ISO (the acronym reflects the French ordering of the words), publishes ISO standards document 13567 (see www.iso.ch). This document, which comes in no fewer than three parts, attempts to pro-vide a framework for CAD layer standards in the building design industries throughout the world.

These documents may be useful to you in your search for standards, but they aren’t a panacea. The majority of CAD-using companies has ignored officially promulgated CAD standards, because these companies developed their own standards and practices years ago and are loath to change. That doesn’t mean that you can’t use the officially promulgated standards, but they won’t suddenly make you a part of some mythical CAD standards mainstream. Practical implementation of most official CAD standards in a specific company requires a generous amount of clarification, modification, and additional documentation. In other words, you don’t just buy the document and then get to work; someone needs to tailor it to your company and projects. Some of these officially promulgated CAD standards documents are shock- ingly expensive. Apparently these organizations haven’t learned that the way to make something popular is to post it on the Web for free!

End Sidebar

Even if you’re lucky or perseverant enough to get a well-rounded set of CAD standards in your office, that may not be the end of it. CAD-savvy people from different companies who collaborate on projects often want to minimize the pain of inconsistency during drawing exchange. Although each company may have its own CAD standards house in order, there’s no way that all of those standards will be the same. Thus, one or more companies (often the lead consultant) may impose a set of project-specific CAD standards. Project-specific standards don’t necessarily need to be as detailed as a full-blown company CAD standards document, but depending on the project and the person who created the project-specific CAD standards, they might be.

The result of confusing muddle of industry practices, company CAD standards, and project-specific CAD standards is that you find yourself switching among different standards as you work on different projects. Before you start making drawings, find out whether any particular CAD standards apply. It’s a lot easier to start off conforming with those standards than to fix nonconforming drawings later.


What Needs to Be Standardized?

If you are in a company or on a project without any CAD standards, put together at least a minimal set of guidelines. First, impose some consistency on plotted appearance and use of layers. If you make a few rules for yourself before you start, you’ll end up with drawings that are more professional looking and easier to edit, and more likely to be useful on future projects.

Tip A spreadsheet or word processing program is great for documenting your CAD standards decisions as they firm up. Many CAD standards components work best as tabular lists of layers, colors, and so forth. (See Tables 14-1 and 14-2 in this chapter for examples.) Use the cells in a spreadsheet or the tables feature in a word processor to organize your CAD standards documentation.

Before you start, make sure that you’re familiar with managing properties (Chapter 4) and plot styles (Chapter 12). You need a good understanding to make intelligent decisions about your plotting and layer standards. (If you want to make unintelligent decisions, don’t worry about those chapters!)

Plotting

If you plan to use color-dependent plot styles (most people do), develop a color-to-lineweight plotting chart like Table 14-1. If you choose the more logical but lonelier named plot styles approach, make a similar chart, with plot style names instead of color in the first column. (See Chapter 12 for information about color-dependent and named plot styles.) After you complete a plotting chart, create a plot style table (CBT file for color-dependent plot styles or STB file for named plot styles), as in Chapter 12.

Table 14-1: Sample Color-to-Lineweight Plotting Chart
AutoCAD Color | Plotted Lineweight
1 (red) | 0.15 mm
2 (yellow) | 0.20 mm
3 (green) | 0.25 mm
4 (cyan) | 0.30 mm
5 (blue) | 0.35 mm
6 (magenta) | 0.40 mm
7 (white/black) | 0.50 mm
8 (dark gray) | 0.10 mm
9 (light gray) | 0.70 mm

Warning Your life will be easier — and your plotting chart will be shorter — if you limit yourself to a small portion of the 255 colors in the AutoCAD Color Index (ACI). The first nine colors work well for many people.

Tip If your work requires screened (shaded or faded-out) lines, extend the plotting chart to include a couple of additional AutoCAD colors. For each color, list the plotted lineweight and screen percentage ranging from 0% for invisible to 100% for solid black.

Layers

After you work out your plotting conventions, you’re ready to develop a chart of layers. A chart of layers takes more thought and work, and you’ll probably revise it more frequently than the plotting chart. Find a typical drawing from your office or industry and identify the things you’ll draw — such as walls, text, dimensions, and hatching. Then decide how you’d like to parse those objects onto different layers (see Chapter 4). Here are some rules:

  • Objects that you want to plot with different lineweights go on different layers. Assign each layer a different color, lineweight, or named plot style; let the objects inherit these properties from the layer.

  • Objects whose visibility you want to control separately go on different layers. Turn off or freeze a layer in order to make the objects on that layer, and only the objects on that layer, disappear temporarily.

  • Objects that represent significantly different kinds of things in the real world go on different layers. For example, doors should go on different layers from walls in an architectural floor plan.

As you make your layer decisions, you’ll develop a layer chart that resembles Table 14-2. If you use named plot styles instead of color-dependent plot styles, add a Plot style column to the chart.

Table 14-2: Sample Layer Chart
Layer Name | Color | Linetype | Use
Wall | 5 | Continuous | Walls
Wall-Belo | 3 | Dashed | Walls below (shown dashed)
Cols | 6 | Continuous | Columns
Door | 4 | Continuous | Doors
Text | 3 | Continuous | Regular note text
Text-Bold | 7 | Continuous | Large/bold text
Dims | 2 | Continuous | Dimensions
Patt | 1 | Continuous | Hatch patterns
Cntr | 1 | Center | Centerlines
Symb | 2 | Continuous | Annotational symbols
Nplt | 8 | Continuous | Non-plotting information

Warning The layer chart in Table 14-2 is simpler than the layer systems used by experienced drafters in most companies. The layer names in the table are based on names in the AIA CAD Layer Guidelines document mentioned in the “Industry standards” sidebar. That document recommends adding a discipline-specific prefix to each layer name: A-Walls for walls drawn by the architectural team, S-Walls for walls drawn by the structural team, and so on.

Technical Stuff For a discussion of CAD layer standards in architecture, engineering, and construction, see the article “AEC Layer Debate — AIA Sets the Standard” http://www.cadalyst.com/features/0601layer/0601layer.htm. If you enjoy reading articles like this one, you may be CAD manager material!

Other stuff

The following settings and procedures deserve some consistency, too:

  • Text styles. Decide on text fonts and heights and use them consistently. (See Chapter 9 for more information.)

    Tip Manual CAD drafting standards often specify a minimum text height of 1⁄8 inch or 3 mm, because hand-lettered text smaller than that becomes difficult to read, especially on half-size prints. Plotted 3⁄32 inch or 2.5 mm CAD text is quite legible, but half-size plots with these smaller text heights can result in text that’s on the margin of legibility. Text legibility on half-size — or smaller — plots depends on the plotter resolution, the lineweight assigned to the text, and the condition of your eyes. Test before you commit to using smaller text heights, or use 1⁄8 inch or 3 mm as a minimum.

  • Dimension styles. Create a dimension style that reflects your preferred look and feel. (See Chapter 10.)

  • Hatch patterns. Choose the hatch patterns that you need and decide on an appropriate scale and angle for each. (See Chapter 11.)

  • Drawing setup and organization. Set up all of the drawings on a project in the same way, and use blocks and xrefs in a consistent fashion.

After you make standards, make sure that the plotted results are fine. You’ll undoubtedly revise and extend your standards as you go, especially on your first few projects. In time, you’ll find a set of standards that work for you.


Cool Standards Tools

Most of the hard CAD standards work happens outside of AutoCAD — thinking, deciding, documenting, revising, and so on. AutoCAD 2004’s tools make it easier. Table 14-3 lists standards-related AutoCAD utilities.

Table 14-3: AutoCAD’s CAD Standards Tools
Utility Name | Command Name | Menu Choice | Use | Cross-Reference
DesignCenter | ADCenter | Toolsð Design Center | Copy layers, dimension styles, and other named objects from other drawings | Chapter 4
Layer Translator | LAYTRANS | Toolsð CAD Standardsð Layer Translator | Translate from one set of layer names and properties to another | “LAYTRANS command, Layer Translator” in the online help system
Configure Standards | STANDARDS | Toolsð CAD Standardsð ConfigureðAssign particular standards - requirements to the current drawing (and control what gets checked) | Figure 14-1and “STADARDS command, Configure Standards dialog box” in the online help system |
Check Standards | CHECKSTANDARDS | Toolsð CAD Standards Standardsð Configure | Check the current drawing against the standards requirements that are assigned to it | Figure 14-2 and “CHECK STANDARDS command, ðCheck Standards dialog dialog box” in the online help system
Batch Standards Checker | N/A | Startð Programsð Autodeskð AutoCAD2004( Batch Standards Checker | Checks multiple drawings against the standards requirements that are assigned to them or against a single requirement | “Batch Standards Checker” in the online help systemðstandards
Click To expand
Figure 14-1: Configuring standards. Check?
Click To expand
Figure 14-2: Checking standards. Check!

Technical Stuff AutoCAD standards checking tools require an AutoCAD Drawing Standards (DWS) file. You create a DWS file from a drawing with all of the allowed layers, dimension styles, text styles, and linetypes; use FileðSave As to save it as a DWS (not DWG) file. The DWS file defines acceptable named objects for the Check Standards and Batch Standards Checker utilities. See “standards files, creating” in AutoCAD’s online help system for information.

New for 2004 AutoCAD 2004 monitors CAD standards compliance when you’ve specified standards for the current drawing. By default, a balloon notification appears from the right end of the status bar. CAD managers can trade the balloon for a message that offers to fix the mistake. To configure the notification level, click the Settings button in the Configure Standards dialog box.

Tip If your company does have CAD standards in place, there may be tools to help you comply with those standards. For example, the CAD manager may have put together template drawings with customized settings or block libraries of standard symbols. CAD managers sometimes create custom menu choices, scripts, or utility programs for the company’s CAD standards.


Chapter 15: Drawing on the Internet

Overview

In This Chapter

  • Understanding AutoCAD Internet features

  • Exchanging drawing files via e-mail and FTP

  • Using the Reference Manager to view and fix file dependencies

  • Using the Drawing Web Format and ePlot

  • Making multiple Web and paper plots with PUBLISH

  • Viewing and plotting drawings without AutoCAD

  • Protecting drawings with passwords and digital signatures

Unless you’ve been living under a rock for the past five years, you know that the Internet is causing major changes in the way that people work. (And even if you have been living under a rock, someone probably is offering broadband service to it by now!) Because of the Net, most of us communicate differently, exchange files more rapidly, and fill out express delivery forms less frequently.

AutoCAD users were among the online pioneers, well before the Internet burst onto the public scene. Despite this early adoption, the CAD world has been relatively slow to take the full-immersion Internet plunge. Exchanging drawings via e-mail and using the World Wide Web for CAD software research and support are pretty common nowadays. But it’s still uncommon to find drawings incorporated into Web pages or Web-centric CAD applications. That’s partly because CAD drafters have traditionally been somewhat insulated from the general computing community — they spend most of their time cranking out drawings and leave all that new-fangled Web design stuff to people who don’t have real work to get done, thank you very much! Even the more forward-thinking CAD users tend to display a healthy, and reasonable, skepticism about whether any particular innovation will help with the pressing job of getting drawings finished on deadline.

New for 2004 In the past couple of versions — especially AutoCAD 2002 and 2000i (the i stood of Internet), Autodesk focused a large share of its development work on Internet features, many of which didn’t exactly ace the “will this help me get drawings finished faster and better?” test. AutoCAD 2004 takes a wiser, more moderate tack, with lots of useful production drafting improvements and a few well-conceived Internet-related enhancements. Some of the Internet-related improvements even can help with traditional parts of the CAD process. For example, the new PUBLISH command automates the creation of DWF (Drawing Web Format) files, which few people use at this point, but it also automates the creation of plot files and ordinary paper plots, which everyone uses.

This chapter shows you how — and when — to use AutoCAD’s Internet features. I also cover how the Internet features can connect with traditional CAD tasks, such as plotting. The emphasis of this chapter is on useful, no-nonsense ways of taking advantage of the Internet in your CAD work.

Tip Your ticket to most of the features described in this chapter is an account with an Internet service provider (ISP). You probably already have Internet access through work or a private ISP account — or both; but if not, now is the time to get connected. Other CAD users will expect to be able to send drawings to you and receive them from you via e-mail. Software companies, including Autodesk, expect you to have Web access in order to download software updates and support information. Dial-up modem access to the Internet is acceptable, but if you’re doing much drawing exchange or want to be able to download software updates without waiting all day, consider springing for broadband access, such as DSL (Digital Subscriber Line) or cable modem.


The Internet and AutoCAD: An Overview

As with all things Internet-y, AutoCAD 2004’s Internet features are a hodgepodge of the genuinely useful, the interesting but still somewhat immature or difficult to use, and the downright foolish. I steer you toward features and techniques that are reliable and widely used today. I warn you about “stupid pet trick” features that might impress a 12-year-old computer geek but leave your project leader wondering what planet you come from. On the other hand, a few of today’s questionable features are likely to become the reliable, commonplace ones of tomorrow. I give you enough context to see how everything works and where it may lead. Table 15-1 summarizes the AutoCAD 2004 Internet features and tells you where in this book to find more information.

Table 15-1: AutoCAD 2004 Internet Features
Feature | Description | Comments | Where You Can Find More Info
ETRANSMIT command | Package DWG files for sending via e-mail or FTP or posting on the Web | Useful to most people | “Send it with eTransmit” in this chapter
Reference Manager | Report on and modify paths of referenced files | Useful for people who send drawings and use complex, multi- folder xref schemes | “Help from the Reference Manager” in this chapter
File navigation dialog box | Can save to and open from Web and FTP sites | Potentially useful for people who routinely work with files on Web or FTP sites | Chapter 2
DWF files | A lightweight drawing file format for posting drawings on the Web or sharing them with people who don’t have AutoCAD | The recipient must have Autodesk Express Viewer installed; potentially useful for sharing drawings with people who don’t have AutoCAD | “Drawing Web Format — Not Just for the Web” in this chapter
PUBLISH command | Create DWF files, plot files, or paper plots in batches | Can help automate the traditional plotting procedure; if DWF files ever catch on, will streamline their creation | “Making DWFs (or Plots) with PUBLISH” in this chapter
Publish to Web | A wizard that builds and publishes a Web page containing drawings | Like most wizards, fairly easy to use, but limited; possibly useful as a quick-and-dirty Web publishing approach | “PUBLISHTOWEB command” in the AutoCAD online help system
Insert hyperlink | Add hyperlinks to objects in drawings | Of questionable use, except in specialized applications | “Hand-y objects” in this chapter
Password protection | Requires a password in order to open a drawing | Useful for limiting to sensitive DWG access or DWF files | “The Drawing Protection Racket” in this chapter
Digital signatures | Provide electronic conformation that someone has approved a particular version of a particular drawing | Requires an account with a digital certificate provider; new technology, so look before you leap—and talk to your attorney first | “The Drawing Protection Racket” in this chapter


Sending Strategies

E-mail and FTP (File Transfer Protocol) have largely replaced blueline prints, overnight delivery, floppies, and higher capacity disks as the standard means of exchanging drawings. Some companies even use specially designed Web-based services, such as Autodesk’s Buzzsaw, as a repository for project drawings from all the companies working on a particular project. Whether you’re exchanging drawings in order to reuse CAD objects or simply to make hard-copy plots of someone else’s drawings, you need to be comfortable sending and receiving drawings electronically.

Sending and receiving DWG files doesn’t differ much from sending and receiving other kinds of files, except for the following:

  • DWG files tend to be bigger than word processing documents and spreadsheets. Consequently, you may need to invest in a faster Internet connection, as described earlier in this chapter.

  • You can easily forget to include all the dependent files. I tell you in the next section how to make sure that you send all the necessary files — and how to pester the people who don’t send you all of their necessary files.

  • It’s often not completely obvious how to plot what you receive. Read Chapter 12 and the section, “Bad reception?” in this chapter to solve plotting puzzles.

Tip Whenever you send DWG files together, follow the Golden Exchange Rule: “Send files unto others as you would have them sent unto you.” That means sending all of the dependent files along with the main DWG files, sending plotting support files (CTB or STB files — see Chapter 12), and including a description of what you’re sending. And ask the recipient to try opening the drawings you send them right away, so you both have more time to respond if there’s any problem.

Send it with ETRANSMIT

Many people naively assume that an AutoCAD drawing is always contained in a single DWG file, but that’s often not the case. Each drawing file created in AutoCAD can contain references to three kinds of files, as described in Table 15-2. Thus, before you start exchanging drawings via e-mail or FTP, you need a procedure for assembling the drawings with all of their dependent files.

Table 15-2: Swapping Information between AutoCAD and Other Programs
Description | File Types | Consequences If Missing | Where the Use of These File Types Is Explained
Custom font files | SHX, TTF | AutoCAD substitutes another font | Chapter 9
Other drawings (xrefs) | DWG | Stuff in the main drawing disappears | Chapter 13
Raster graphics files | JPG, PCX, TIF, and so on | Stuff in the drawing disappears | Chapter 13

As you can see from the table, the consequences of not including a custom font aren’t that dire: The recipient still will see your text, but the font will be different. Of course, the new font may look somewhat odd, extremely odd, or even cause spacing or visibility problems within the drawing. If, on the other hand, you forget to send xrefs or raster graphics that are attached to your main drawing, the objects contained on those attached files simply will be gone when the recipient opens your drawing. Not good!

Technical Stuff Like so much else in AutoCAD, the tools and rules for mapping fonts are flexible but somewhat complicated. Look up the “FONTALT” and “FONTMAP” system variables in the AutoCAD online help system for detailed information.

Fortunately, the AutoCAD ETRANSMIT command pulls together all of the files that your main DWG file depends on. Follow these steps to assemble a drawing with all of its dependent files with ETRANSMIT.

  1. Open the drawing that you want to run ETRANSMIT on.

    If the drawing is already open, save it. ETRANSMIT requires that any changes to the drawing be saved before you proceed.

  2. Choose File ð eTransmit.

    The Create Transmittal dialog box appears, as shown in Figure 15-1.

    Click To expand
    Figure 15-1: Time to eTransmit.

  3. On the General tab, specify the file assembly transmittal settings that you want to use.

    I recommend these settings for most purposes:

    • Type: Folder (set of files)

    • Location: Choose a folder that’s separate from your main project folder

    • Preserve directory structure: Off (unchecked)

    • Remove paths from xrefs and images: On (checked)

    • Send e-mail with transmittal: Off (unchecked)

    • Make Web page files: Off (unchecked)

    Use the dialog box help for more information about each setting.

    Warning The default Type setting, Self-extracting executable (*.exe) is the worst choice, especially if you plan to send your files to others. Exe files can harbor viruses, and even though your self-extracting exe may not contain a virus, recipients will be rightfully wary of it. If you want to package a single drawing, choose Zip (*.zip) instead of Self-extracting executable (*.exe). If you intend to send more than one file, choose Folder (set of files) and, when you’re finished using ETRANSMIT on all the files, assemble all of the files into a single ZIP file for sending, as described after these steps.

  4. Click the Files tab.

    You see a list of the files that ETRANSMIT can include with the main drawing.

  5. Remove the check mark next to any file that you want ETRANMSIT not to copy with the main drawing.

    You don’t need to copy standard AutoCAD font files, such as Romans.shx and Txt.shx (see Chapter 9 for more information). Except for a bump in file size, it doesn’t hurt to include them, though.

  6. Click the Report tab.

    You see a report listing the files that ETRANSMIT will copy, along with warnings about any files that it can’t locate.

  7. Review the report and make sure that ETRANSMIT was able to find all of the files.

  8. Click OK.

    ETRANSMIT copies all of the files to the Location folder.

Warning Many SHX and TTF files are custom fonts, which work like licensed software. Sending them to others is just like sharing your AutoCAD program CD with others. No, I don’t mean that it’s easy and fun; I mean that it’s illegal and unethical. Before you send a custom font file to someone else, find out what the licensing restrictions are on the font and be prepared to work within them.

In many cases, you’ll want to send more than one drawing to a recipient. In this situation, you must open each drawing and run ETRANSMIT on each in turn. You can specify the same Location folder for all of the drawings. When you’ve processed all the drawings, use a program like WinZip to package the files into a single zipped file before sending it.

Tip Although AutoCAD 2004 automatically compresses its DWG files, zipping files manages to compress them even further (about 20 percent more, in my experience). More importantly, zipping creates a single, tidy package of all your DWG, raster image, and font files. No one likes to receive an e-mail message carrying an endless cargo of attached files. Do everyone a favor: be hip and zip.

The only downside to zipping is that creating a zipped file and extracting files from it require a separate zip/unzip program. Several good shareware utilities are available, including WinZIP (www.winzip.com).

FTP for you and me

FTP, or File Transfer Protocol, is a simple but robust protocol for copying files over the Internet. A computer that’s connected to the Internet can act as an FTP server, which means that part of its hard disk is accessible over the Internet. The person who configures the FTP server can place restrict-ions so that only people who enter a particular logon name and password can see and download files. FTP overcomes the file size limitations that often occur with e-mail.

Because of all these FTP benefits, it’s increasingly common for people at larger companies to place drawing files on their company’s FTP site and tell you to go get them. This approach relieves them of having to e-mail you the files, and relieves you of waiting for that 10MB e-mail download when you least expected it.

In most cases, the person making the files available to you via FTP will send you a Uniform Resource Locator (URL) that looks like a Web page address, except that it starts with FTP:// instead of HTTP://. If you open your Web browser and enter the FTP URL into the address field, the browser should connect to the FTP site, ask you for a location and name to use for the file when it gets copied to your system, and begin downloading the file. If the FTP site uses password protection, you’ll have to enter a logon name and password first.

If you want fancier FTP download options, you can use an FTP utility program such as WS_FTP (www.ipswitch.com).

Tip Even if you work for a small company, you may be able to post files on your ISP’s FTP server in order to make them available to others. Check with your ISP to find out whether you can do it and, if so, what the procedures are.

Warning FTP transfers are more prone to user confusion problems than are e-mail files, especially if the recipient hasn’t used FTP before. For example, it’s very common for the person posting the files to forget to tell the recipient the logon name and password, or for the recipient not to have an FTP program — or to not know how to use it. Check with your recipient the first couple of times you use FTP to transfer files to make sure they got the files successfully — and don’t be surprised if they ask you to use e-mail or overnight delivery instead.

Bad reception?

Other sections in this chapter focus on sending files to others. What happens when you’re on the receiving end? Not everyone will be as conscientious as you are about following the Golden Exchange Rule. You’ll receive drawings with missing dependent files and no information or support files for plotting.

When you receive an e-mail message or FTP download containing drawings (zipped, I hope!), copy the file to a new folder on your hard disk or a network disk and unzip the files.

Tip Check at least a few of the drawings in the package to make sure that all of the xrefs, fonts, and raster image files were included. You can perform this check by opening each main drawing in that folder. After you open each file, press the F2 key to view the command line window, and look for missing font and xref error messages of the following sort:

Substituting [simplex.shx] for [helv.shx].
Resolve Xref "GRID": C:\Here\There\Nowhere\grid.dwg
Can’t find C:\Here\There\Nowhere\grid.dwg

A Substituting. . . message indicates AutoCAD couldn’t find a font and is substituting a different font for it. A Can’t find. . . message indicates that AutoCAD couldn’t locate an xref. Any missing raster files appear as rectangular boxes with the names of the image files inside the rectangles. Alternatively, you can open the Image Manager dialog box, which reveals any missing raster image files. (See Chapter 13 for details.)

Write down each missing file and then tell the sender to get on the ball and send you the missing pieces. While you’re at it, tell that person to buy this book and read this chapter!

Tip Press the F2 key after opening any drawing that you didn’t create so that you know right away if any fonts and xrefs are missing.

Warning If you receive drawings with custom TrueType font files (files whose extensions are TTF), you must install those files before Windows and AutoCAD will recognize them. Choose StartðSettingsðControl Panel and then double-click the Fonts icon to open the Fonts window. Then choose FileðInstall New Font.

Help from the Reference Manager

In Chapter 13, I warn you about the complications of xref paths and the potential perils of AutoCAD not being able to locate xrefs if you move project folders around or transfer drawings to or from someone else. A similar danger exists for raster image files (Chapter 13) and font files (Chapter 9). The ETRANSMIT command, described earlier in this chapter, does a good job of gathering together dependent xrefs, raster files, and font files, but it can’t gather what AutoCAD can’t locate.

New for 2004 AutoCAD 2004’s new Reference Manager utility is a real lifesaver if you find yourself suffering from xref, raster image, or font path perils — whether they occur in your own company or when sending files to or receiving them from others.

Reference Manager is a separate utility program, not a command inside AutoCAD. Follow these steps to launch the utility:

  1. Choose Start ð Programs ð Autodesk ð AutoCAD 2004 ð Reference Manager.

    The Reference Manager program opens, as shown in Figure 15-2.

    Click To expand
    Figure 15-2: The Reference Manager.

  2. Choose the Add Drawings button to add one or more DWG files to the drawings pane on the left.

  3. Click the Export Report button to create a text report listing all of the dependent files and their paths, or click the Edit Selected Paths button to modify paths.

    Click the Help button in Reference Manager to find out more about the utility’s capabilities.

Tip If you always keep parent and child DWG files in the same folder — the simplest approach to dealing with xref paths — then you probably won’t need to use the Reference Manager.


Drawing Web Format - Not Just for the Web

Team LiB

Drawing Web Format — Not Just for the Web

In a previous section of this chapter, I explain how you can exchange drawings via FTP. That’s all the Internet connectivity that many AutoCAD users need, but if you’re curious about connecting drawings to the Web or sharing drawings with people who don’t have AutoCAD, this section is for you.

The AutoCAD Web features are built on two pieces of technology:

  • A special lightweight drawing format called DWF that Autodesk originally developed especially for putting drawings on the Web.

    DWF hasn’t exactly taken the Web by storm; Autodesk has gradually recast it as a format for “electronic plotting” and for sharing drawings with people who don’t have AutoCAD. In other words, Autodesk is pushing DWF as an AutoCAD analogue to Adobe’s PDF (Portable Document Format) for text-heavy documents.

  • A free program from Autodesk called Autodesk Express Viewer that enables anyone to view and print DWF — and DWG — files without having AutoCAD.

All about DWF

The AutoCAD DWG format works well for storing drawing information on local and network disks, but the high precision and large number of object properties that AutoCAD uses make for comparatively large files.

To overcome this size problem and encourage people to publish drawings on the Web, Autodesk developed an alternative lightweight vector format for representing AutoCAD drawings: DWF (Drawing Web Format). A DWF file is a more compact representation of a DWG file. DWF uses less space — and less transfer time over the Web and e-mail — because it’s less precise and doesn’t have all the information that’s in the DWG file.

The other intended use of DWF files is that people who don’t have AutoCAD can view and plot them. All you need is the free Autodesk Express Viewer program, which is available on Autodesk’s Web site, www.autodesk.com. (In fact, Autodesk Express Viewer can view and plot ordinary AutoCAD DWG files as well, but DWF files are smaller and thus may work better for recipients who don’t need your full DWG files.)

ePlot, not replot

DWF files and Autodesk Express Viewer aren’t just for the Web. Beginning with AutoCAD 2000, Autodesk has pushed DWF as an electronic plotting or ePlotting format. A DWF file captures a single, plotted view of your drawing, so, unlike a DWG file, it can provide a relatively unambiguous snapshot of what you want to see on paper. With a DWG file, on the other hand, you have to provide lots of information to other people — drawing view, scale, plot style settings, and so on — in order for them to get the same plotting results that you did.

Potential ePlotting scenarios include

  • Architects and other consultants on a building project periodically upload DWF files to the project Web site. CAD drafters from the various companies can save the DWF files as DWG in order to extract (approximate) geometrical information. Architects and engineers with some minimal CAD knowledge can review the drawings on-screen and create their own hard-copy plots, if necessary. Principals and clients who don’t want anything to do with CAD, or even with computers, can have their secretaries or other employees create hard-copy plots for them to examine.

  • When Internet-savvy people need hard-copy prints of your drawings, you e-mail a zipped file containing DWF files, along with the URL for Autodesk Express Viewer and simple instructions for creating plots from the DWF files. (Be ready to walk them through the process by phone the first time or two to reduce anxiety on everyone’s part.)

  • A CAD plotting service bureau encourages its customers to send DWF files instead of DWG files for plotting. The DWF files are much smaller and require less intervention on the part of the service bureau’s employees.

Warning The ePlot concept debuted in AutoCAD 2000 and hasn’t yet caught on in a big way. Autodesk hopes to establish ePlot and the DWF format as a standard for CAD documents similar to Adobe’s PDF (Portable Document Format) for word processing documents. It remains to be seen whether ePlotting will become a popular way to generate hard-copy output. In particular, many people outside of CAD-using companies don’t have access to large-format plotters. They’re limited to 81⁄2-x-11-inch — or, at best, 11-x-17-inch — reduced-size check plots. Consequently, many people won’t be able to plot your DWF files to scale, and may not even be able to plot them large enough to read everything.

Don’t be afraid to try ePlotting with colleagues inside or outside your company, but don’t become too dependent on it until you see whether the rest of the CAD world shares your enthusiasm. Otherwise, you risk becoming the only one who’s willing to use your DWF files for plotting — in which case the next version of the feature will be called mePlot.

New for 2004 With AutoCAD 2004, Autodesk has introduced version 6 of the DWF format. (The DWF format changes at least as often as the DWG format, as Autodesk adds new features to AutoCAD and new Drawing Web Format capabilities.) The most important new feature in DWF 6 is multiple sheets in a single DWF file, as shown in Figure 15-3. It’s like stapling together a set of drawings, except that you never have to worry about your stapler being empty of staples. This enhancement required an upgrade to the Autodesk Express Viewer. Make sure that you and your recipients are using an up-to-date version. See the “Autodesk Express Viewer” section later in this chapter for details.

Click To expand
Figure 15-3: One DWF file can include multiple sheets.

Making DWFs with ePlot

As I describe in the previous section, AutoCAD 2004 treats DWF files like electronic plots, or ePlots. You create a DWF file from the current drawing just as if you were plotting it to a piece of paper, as I describe in Chapter 12. The only difference is that, on the Plot dialog box’s Plot Device tab, you choose the plotter configuration named DWF6 ePlot.pc3, as shown in Figure 15-4. When you do so, AutoCAD automatically turns on the Plot To File setting, and you can specify a filename and location for the DWF file that gets created. The location can be a folder on a hard disk or a Web server.

Click To expand
Figure 15-4: “Look ma, no paper!: Plotting to a DWF file.

Tip Pay particular attention to the Scale setting on the Plot Settings tab. If you’re creating a DWF simply for viewing in a browser, you can plot Scaled To Fit. If you want to enable others to ePlot your DWF file to scale, as described earlier in this chapter, you need to choose the desired plot scale factor. Chapter 12 describes how to choose an appropriate plot scale factor.

Making DWFs (or Plots) with PUBLISH

The ePlot method of creating DWF files described in the previous section works fine for single drawings. But if you want to create DWF files for a lot of drawings or plot a bunch of drawings the good ol’ fashioned way (on paper, that is), you can use the Publish Drawing Sheets dialog box, shown in Figure 15-5, to speed the process.

Click To expand
Figure 15-5: Hot off the presses: AutoCAD 2004’s new PBLISH command.

New for 2004 The Publish Drawing Sheets dialog box is new in AutoCAD 2004. It replaces the Batch Plot utility in previous versions of AutoCAD, but now it’s wired specifically to support DWF as well as regular (paper) plotting. For now, more people are likely to use it for paper plotting or for creating plot files to send to a plotting service bureau. But if you do decide to go into large-scale DWF publishing, including multi-sheet DWF files, use the Publish Drawing Sheets dialog box, as in the following steps.

  1. Using the PUBLISH command (File ð Publish), open the Publish Drawing Sheets dialog box (refer to Figure 15-5).

    The dialog box lists all tabs (Model and paper space layouts) of the current drawing for plotting, but you can remove tabs from the list and add other drawings to it.

  2. After you’ve specified the drawings and tabs that you want to include, specify whether you want to plot to a multi-sheet DWF file or an actual plotter or plot file.

    You can select a specific plotter configuration for each sheet by choosing a Page Setup in the List of drawing sheets. See Chapter 12 for more information about page setups.

  3. When you’ve specified the drawing and plot settings, click the Publish button to start the process.

  4. Click the Save List button to save the current drawings and settings list, if you anticipate having to publish the same group of drawings again.

    Use the dialog box’s Help button to find out more about any of these steps.

Warning Don’t confuse the PUBLISH command (FileðPublish) with the PUBLISHTOWEB command (FileðPublish to Web). The PUBLISH command, a new AutoCAD 2004 utility, creates sets of DWF files, plot files, or actual plots. The PUBLISHTOWEB Wizard creates a Web page containing images of your drawings. The results of this Wizard won’t put any Web designers or programmers out of work, but you can use it to create primitive Web page paste-ups of your drawings. See “PUBLISHTOWEB command” in the AutoCAD online help system if you’d like to give it a whirl.

Hand-y objects

No Web file format would be complete without hyperlinks, and DWF has those, too. You can attach a hyperlink to any drawing object in AutoCAD, not just to a text string. As you pass the cursor over an object with a hyperlink, the cursor changes from the ordinary pointer to a globe and two links of a chain (as in “World Wide Web” and “link,” not “world-wide chain gang”). Right-click the object and select the Hyperlink option from the menu, which opens your browser and navigates to the URL that’s attached to the object. If you create a DWF file that includes objects with hyperlinks, Autodesk Express Viewer embeds the links in the DWF file so that you can Ctrl+click to navi-gate to them.

Hyperlinks on objects are a clever trick, but they’re of limited practical value in most DWG and DWF files:

  • The drawing images are so small that it’s difficult to distinguish the hyperlink on one object from the hyperlink on another object.

  • Most people aren’t used to associating hyperlinks with individual lines and other objects. The interface is likely to leave them perplexed.

If you’d like to experiment with hyperlinks in objects, look up “HYPERLINK command, about” in the online help system.

Autodesk Express Viewer

After you create DWF files, whether with ePlot or PUBLISH, you or the recipient of your DWF files can use Autodesk Express Viewer (formerly called Volo View Express) to view and print them. Autodesk Express Viewer, shown in Figure 15-3 earlier in this chapter, is a free viewer from Autodesk. You can download the current version from Autodesk’s Web page, www.autodesk.com (click on Product and Solutions and then Autodesk Express Viewer).

New for 2004 When you install AutoCAD 2004, the setup program by default installs Autodesk Express Viewer as well. Choose StartðProgramsðAutodeskðAutodesk Express Viewer, or simply double-click on a DWF file in Windows Explorer, to launch it.


The Drawing Protection Racket

Whether you’re sending DWG or DWF files, you may be concerned about their misuse (that is, by the wrong people or for the wrong purposes), abuse (for example, modification without your consent), or reuse (on other projects or by other people without due compensation to you).

New for 2004 AutoCAD 2004 includes two new features for securing your drawings when you send them to others:

  • Password protection enables you to lock a DWG or DWF file so that only those who type the password that you’ve specified can open, insert, or xref it.

    Warning Add password protection to drawings only when you really need it:

    • If you forget the password, then you no longer will be able to open the drawing. Neither AutoCAD nor Autodesk has any magical way to extract the password or unlock the drawing.

    • Others can’t insert the drawing as a block or attach it as an xref.

    Tip If you’re using a password, you probably should do it on a copy of the drawing that you send, and keep an unprotected version for yourself.

  • Digital signature is a high-tech way to add an electronic marker to a DWG file that verifies that someone approved the drawing. AutoCAD 2004’s digital signature feature relies on fairly new technology by Microsoft. You must first get an account with a digital certificate provider, who serves to authenticate you and your computer. Of course, for this feature to be useful, you need to send drawings to someone who wants to receive digitally authenticated drawings from you (or vice versa) and who has the technological savvy to deal with digital certificates. For more information, see “digital signatures, learning more about” in the AutoCAD 2004 online help system.

To activate either of these options for the current drawing, choose FileðSave As to display the Save Drawing As dialog box, and then choose ToolsðSecurity Options to display the Security Options dialog box before you save the file. If you want to add a password to the current drawing, just type it in the text field on the password tab of the Security Options dialog box.

After you password protect and save a DWG file, anyone who tries to open, insert, or xref it will see a dialog box similar to the one shown in Figure 15-6.

Figure 15-6: Password, please.

To password protect a DWF file, use the PUBLISH command and specify the password in the Publish Drawing Sheets dialog box.

Tip Although electronic security features such as the ones described in this section can be useful as part of a strategy to protect your work from misuse, they’re not a substitute for communicating clearly, preferably in the form of written contracts, what constitutes appropriate use of drawings that you send to or receive from others. http://markcad.com/autocad/elecdwgexchange.htm outlines the issues and suggests how to play well with your drawing exchange buddies.


Part V: The Part of Tens

In This Part:

Chapter 16: Ten Ways to Do No Harm
Chapter 17: Ten Ways to Swap Drawing Data with Other People and Programs

Part Overview

In this part . . .

Tens sounds a lot like tense, and tense is how AutoCAD may make you feel sometimes. But never fear — help is on the way! Checklists are always a big help in getting things right and fixing things that are wrong. And a Top Ten list is a good way to quickly spot the best — or the worst — of almost anything, AutoCAD included. This Part of Tens features lists that help you keep your drawings healthy and trade drawings with other people and programs.


Chapter 16: Ten Ways to Do No Harm

Hippocrates of Greece is famous for many things, not least of which is the Hippocratic Oath sworn by doctors. It begins “First, do no harm.” This is not a bad approach to take when editing existing drawings with AutoCAD whether the drawings were created originally by you or by someone else. Although it usually takes several days to accomplish several days of productive work, you can accidentally undo days or weeks of work by yourself and others in minutes. (Of course, you also can purposefully undo days or weeks of work by yourself and others in minutes, but I can’t give much advice to stop you if you want to do that!)

Follow these guidelines to avoid doing harm to the hard work of others and the productive potential of yourself.

Be Precise

Throughout this book, I remind you that using precision techniques such as snap, object snaps, and typed coordinates is a fundamental part of good CAD practice. Don’t try to use AutoCAD like an illustration program, in which you eyeball locations and distances. Use one of the many AutoCAD precision techniques every time you specify a point or distance.


Control Properties by Layer

AutoCAD gives you two different ways of controlling object properties such as color, linetype, and lineweight: by layer and by object. Unless you have a really good reason to assign properties by object — such as instructions from your company’s CAD manager or the client for whom you’re creating the drawing — use the by-layer method: Assign colors, linetypes, and lineweights to layers, and let objects inherit their properties from the layer on which they reside. Don’t assign explicit color, linetype, or lineweight to objects.


Know Your Space

Understand the difference between model space and paper space (described in Chapter 2) and know which space the different parts of the drawing you’re looking at on-screen reside in. Above all, make sure that you draw objects in the appropriate space. When you’re viewing a paper space layout, keep an eye on the status bar’s MODEL/PAPER button so that you know which space the cursor currently is in. (Chapter 3 describes how to keep your model and paper space bearings.) When you plot, ensure that you’ve selected the right tab — either Model or one of the paper space layout tabs.


Freeze Instead of Erase

It’s common to start with an existing drawing from another discipline when you want to add, say, an electrical system to a floor plan. But if you remove the landscaping around a building because you don’t need it for the wiring, you may cause a great deal of rework when the landscaping information is needed again. And what if the person who did the landscaping work has, in the meantime, decided to leaf? (Sorry . . .) Unless you know that objects are no longer needed, use the AutoCAD Freeze or Off layer setting to make objects on those layers invisible without obliterating them. These settings are in the Layer Properties Manager dialog box, as described in Chapter 4.


Know Your Drawing Scale Factor

Chapter 3 describes the importance of choosing an appropriate drawing scale factor when you set up a drawing. Knowing the drawing scale factor of any drawing you’re working on is equally important whether you set it up or not. You need this number in order to calculate lots of scale-dependent objects, such as text, dimensions, and hatching. Chapter 9 includes tips for figuring out the drawing scale factor of an existing drawing.


Don't Cram Your Geometry

Team LiB

Don’t Cram Your Geometry

It’s okay to cram for a geometry test, but don’t cram geometry, dimensions, text, or anything (and everything) else into your drawings. A real temptation exists to put a lot of stuff into every square inch of your drawing, using AutoCAD’s flexible panning and zooming capabilities to really work over all the available space. Unfortunately, the resulting drawing can be extremely hard to update and to use when you finally print it.

Instead of cramming stuff onto the sheet, use white (empty) space to surround areas of dense geometry. Put details on separate sheets. Attach a page of notes instead of putting a ton of text onto your drawing. Managing a reasonable number of drawings with less on each one is easier than having two or three killer sheets crammed with every drawing and every fact needed for a project.


Explode with Care

The eXplode command makes it easy to explode polylines (Chapter 5), dimensions (Chapter 10), hatches (Chapter 11), and block inserts (Chapter 13) into their constituent objects. The only problem is that someone probably grouped those objects together for a reason. So until you understand that reason and know why it no longer applies, leave the dynamite alone.


Use CAD Standards

Become knowledgeable about CAD standards in your industry and company, and take advantage of any standardized resources and approaches that are available to you. (See Chapter 14 for suggestions.) By following standards consistently, you can apply your creativity, expertise, and energy to the interesting parts of the job at hand, not to arguing about which hatching patterns to use. And if you find that things are a mess in your company because no one else pays much attention to industry standards, well, knowing those standards makes you very employable as well.


Recycling

Aretha Franklin once sang, “Thank you, I’ll do it myself.” This is a typical and very human attitude, but one you usually should avoid in your CAD work. Using an existing drawing as a starting point is one form of re-use. Blocks and xrefs, described in Chapter 13, are another. When you sit down to draw, take a minute to consider which elements of your drawing are repeated from other drawings, or within the drawing. Grab pieces from elsewhere and create block definitions. By taking advantage of existing work, you’ll probably get a big jump on your new project. And, assuming that the existing work was done with reasonable care, you’ll reap the advantage of starting out with stuff that conforms to the CAD standards and practices in your office.

Warning On the other hand, know when to start over, too. Recycling is a great idea unless what you’re recycling is garbage! If that earlier drawing wasn’t done right or doesn’t quite fit your current situation, you’ll get better results and may even save time by starting over.

Tip Build up a pool of well-executed drawings you can confidently reuse.


Save and Back Up Drawings Regularly

As with all computer documents that you work on, get in the habit of saving your current AutoCAD drawing regularly. I recommend every 10 minutes or so. Although AutoCAD’s automatic drawing save feature is useful as a secondary backup save, you shouldn’t rely on it exclusively. (AutoCAD creates automatic save files with inscrutable names like Drawing1_1_1_1478.bak and puts them in the folder specified by the Automatic Save File Location setting on the File tab of the Options dialog box.) Save your drawing and save yourself the pain of lost work and the hassle of trying to locate the right automatic save file.

Backing up your data is prudent advice for any important work that you do on a computer, but it’s doubly prudent for CAD drawings. A set of CAD drawings is a lot harder and more time-consuming to re-create than most other computer documents. Unless you’re willing to lose more than a day’s worth of work, develop a plan of daily backups onto tape, CD-RW (CD ReWritable) discs, or another high-capacity medium.

Warning Don’t be lulled into complacency by the increasing reliability of hard disks. Although hard disk failure is increasingly rare, it still happens, and if it happens to you sans backup, you’ll quickly understand the full force of the phrase “catastrophic failure.” Also, backups aren’t just protection against disk failure. Most of the time, backups help you recover from “pilot error” — accidentally erasing a file, messing up a drawing with ill-advised editing, and so on. Even if you’re conscientious and never make mistakes, there’s a good chance that someone else in your office who has access to your DWG files hasn’t quite achieved your exalted level of perfection. Protect your work and minimize recriminations with regular backups.


Chapter 17: Ten Ways to Swap Drawing Data with Other People and Programs

Overview

At various times, you probably need to transfer information from one kind of document to another. You even may have taken the CAD plunge because you want to import AutoCAD drawing data into your word processing or other documents. If so, this chapter is for you. It covers exchanging AutoCAD drawing data with other programs — what works, what doesn’t, and how to do it. I also tell you when to give up and reach for the scissors and glue.

Remember This chapter frequently mentions vector and raster graphics file formats:

  • A vector format stores graphics as collections of geometrical objects (such as lines, polygons, and text). Vector graphics are good for high geometrical precision and for stretching or squeezing images to different sizes. These two characteristics make vector formats good for CAD.

  • A raster format stores graphics as a series of little dots, or pixels. Raster graphics are good for depicting photographic detail and lots of colors.

Warning Exchanging AutoCAD drawing data with other programs sometimes works great the first time you try it. Sometimes, you have to try a bunch of techniques or exchange formats to get all the data to transfer in an acceptable way. Occasionally, no practical exchange method exists for preserving formatting or other properties that are important to you. Where your exchange efforts fall in this spectrum depends on the kind of drawings you make, the other programs you work with, and the output devices or formats that you use. I provide recommendations in this chapter, but be prepared to experiment.

Table 17-1 lists exchange formats between common programs and AutoCAD.

Table 17-1: Swapping between AutoCAD and Other Programs
Swap | Recommended Formats
AutoCAD to AutoCAD LT | DWG
AutoCAD 2004 to AutoCAD R14 | R12 DXF
AutoCAD to other CAD program | DXF or DWG
AutoCAD to Word | WMF
Word to AutoCAD | RTF or TXT
AutoCAD to paint program | BMP
Paint program to AutoCAD | BMP or other raster format (use the AutoCAD IMAGE command)
AutoCAD to draw program | WMF
Draw program to AutoCAD | WMF
AutoCAD to the Web | DWF
Excel to AutoCAD | Don’t bother; printing may be unpredictable

The remainder of this chapter gives you specific procedures for making the exchanges recommended in this table, as well as others.


DWG

DWG, AutoCAD’s native file format, is the best format for exchanging drawings with other AutoCAD or LT users. Use the SAVE and SAVEAS commands to create DWG files and the OPEN command to open them.

AutoCAD LT AutoCAD LT can’t create every kind of object that AutoCAD can — raster attachments and most 3D objects, for example — but it can successfully read and save DWG files that contain these objects.

Warning AutoCAD 2004 can’t save to the AutoCAD Release 14 DWG format. Apparently, the Autodesk bigwigs figure that the best way to persuade R14 users to upgrade is to make their lives as inconvenient and isolated as possible! If you need to send AutoCAD 2004 drawings to AutoCAD R14 users, save them in R12 DXF format instead of a DWG format. (See the “DXF” section for instructions.)

Start Sidebar
AutoCAD LT Round-trip DWG fare

The most demanding — and elusive — kind of data exchange is called round-trip transfer. Round-trip means that you create and save a file in one program, edit and save it in another program, and then edit and save it in the first program again. A perfect round-trip is one in which all the data survives and the users of both programs can happily edit whatever they want to. Unfortunately, the perfect round-trip, like the perfect visit to your cousins, rarely happens.

In CAD, round-trip transfer becomes an issue when two people want to work on the same drawings with different CAD programs. AutoCAD and AutoCAD LT have excellent round-trip compatibility, as Chapter 1 explains. Expect a bumpier road if you’re exchanging drawings with users of other CAD programs. Perform some test transfers before you assume that your drawings can get from here to there and back again unscathed.

End Sidebar

Autodesk does not document the native AutoCAD DWG file format, and recommends that all file exchanges between AutoCAD and other CAD programs take place via DXF files (see the next section). But several companies have reverse-engineered the DWG format, and it’s now common for other CAD programs to read and sometimes write DWG files directly, with greater or lesser accuracy. Because the DWG format is complicated, isn’t documented, and gets changed every couple of years, no one ever figures it out perfectly. Thus, exchanging DWG files with non-Autodesk programs always involves some compatibility risks.

Warning When you send DWG files to other people — whether they use AutoCAD or a different CAD program — you need to make sure that their software can read the DWG file version that you’re sending. See Chapter 1 for information about AutoCAD DWG file versions.

Remember When you send DWG files to other people, remember to use the ETRANSMIT command to ensure that you send all of the dependent files (fonts, xrefs, and raster images). See Chapter 15 for details.


DXF

DXF (Drawing eXchange Format) is the Autodesk-approved format for exchanging between different CAD programs. (Some other vector graphics applications, such as drawing and illustration programs, read and write DXF files, too.) DXF is a documented version of the DWG format. Because DXF more-or-less exactly mimics the DWG file’s contents, it’s (usually) a faithful representation of AutoCAD drawings.

How well DXF works for exchanging data depends largely on the other program that you’re exchanging with. Some CAD and vector graphics programs do a good job of reading and writing DXF files, while others don’t. In practice, geometry usually comes through well, but properties, formatting, and other nongeometrical information can be tricky. Test before you commit to a large-scale exchange, and always check the results.

To create DXF files, use the SAVEAS command (FileðSave As) and choose one of the three DXF versions in the Files of Type drop-down list. To open a DXF file, do the same with the OPEN command (FileðOpen).


DWF

As Chapter 15 describes, DWF is Autodesk’s special “lightweight” drawing format for posting drawings on the Web or sharing them with people who don’t have AutoCAD. Those people can use Autodesk’s free Express Viewer program to view and print DWF files (as well as DWG files). Chapter 15 describes how to create and use DWF files.


WMF

There are lots of different vector and raster graphics file formats, but Microsoft has been pretty successful at making its WMF and BMP formats the lingua franca — or should that be lingua bill-a? — for exchanging graphical information in Windows.

WMF (Windows MetaFile) is a vector format, so it does a decent job of representing AutoCAD objects such as lines, arcs, and text.

To create a WMF file showing some or all of the objects in a drawing, use the EXPORT command (FileðExport) and choose Metafile (*.wmf) in the Files of Type drop-down list. After you create a WMF file in AutoCAD, use the other program’s file insertion command to place the image in a document.

Tip AutoCAD puts objects in the WMF file with the colors and display lineweights that you see on the AutoCAD screen. To create a WMF file that looks like a monochrome plot — that is, with varying lineweights and all objects black — you need to set layer and object properties in AutoCAD so the objects look that way on-screen before you create the WMF file.

You can go the other direction, from a WMF file into AutoCAD, by using the WMFIN command (InsertðWindows Metafile).


BMP

BMP (BitMaP) is the standard Windows raster format. AutoCAD can create BMP files from drawing objects (via the EXPORT command) and place BMP files in drawings (via the IMage command). When you export AutoCAD drawing objects to a BMP file, all the objects get converted to dots. Turning a line into a bunch of dots isn’t a swell idea if you want to change the line again. But it is useful if you need to copy a drawing into a company brochure.

Warning One problem with BMP files is their big file size. Unlike some other raster formats, BMP doesn’t offer compression. Because CAD drawings usually are fairly large in area, they can turn into monstrously large BMP files.

Creating a BMP file showing some or all of the objects in a drawing is just like creating a WMF file: Use the EXPORT command (FileðExport) but choose Bitmap (*.bmp) in the Files of Type drop-down list. After you create a BMP file in AutoCAD, you use the other program’s FileðOpen to open it or the graphics file insertion command to place it in an existing document.

If you want to go the other direction, a BMP file into an AutoCAD drawing, use the IMage command, as described in Chapter 13.


Windows Clipboard

If you need to transfer lots of WMF or BMP figures, you can do it a bit more quickly with the Windows Clipboard, which bypasses the creation of WMF and BMP files on disk. Instead, Windows uses your computer’s memory to transfer the data. Choose EditðCopy in the program from which you want to copy the data and EditðPaste Special in the program to which you want to copy it. In the Paste Special dialog box, choose Picture to paste the image in WMF format or Bitmap to paste it in BMP format.


Other Raster Formats

Although BMP is a standard Windows format for exchanging raster data, it’s certainly not the preferred format of many programs. Other common raster formats include PCX, JPEG, and TIFF (the latter two appears as JPG and TIF in Windows). Among their other advantages, these formats offer image compression, which can reduce the size of raster files dramatically.

If the program that you’re trying to work with works best with other formats, or you want to avoid huge BMP files, you have a couple of options:

  • Create an AutoCAD-friendly format (such as WMF or BMP) and translate it to another graphics format using a translation program such as HiJaak (www.imsisoft.com) or VuePrint (www.hamrick.com).

    New for 2004 AutoCAD 2004 includes new JPGOUT, PNGOUT, and TIFOUT commands for creating JPG, PNG, and TIF files in the same way that you export WMF and BMP files. Type the command name, press Enter, specify a raster file name, and select the objects to be included in the image file. These commands use the current drawing area background color as the background color for the image. If you want your image background to be white, make sure that the AutoCAD drawing area color is white when you run the command. (Choose ToolsðOptionsðDisplayðColors to change display colors.)

  • If you need to convert drawings to a raster format other than BMP or TIF, the second option is to use the AutoCAD Raster File Format driver. This driver enables you to “plot” to a file using one of nine raster formats, including PCX, JPEG, and TIFF. Before you can use the Raster File Format driver, you must create a new plotter configuration: Choose FileðPlotter Manager and then run the Add-A-Plotter wizard. After you create the Raster File Format driver configuration, you use the Plot dialog box as described in Chapter 12 to generate “plots” to raster files.

To go the other direction, raster image file into an AutoCAD drawing, use the IMage command, as described in Chapter 13.


OLE

Microsoft Windows includes a data transfer feature, Object Linking and Embedding (OLE). Microsoft touts OLE as a total data exchange solution.

Tip Pronounce OLE like the Spanish cheer, not the Cockney way of saying hole.

If you want to share data between two OLE-aware programs (such as most Windows applications), creating an embedded or linked document shouldn’t be much more complicated than cut and paste. That’s the theory.

Here’s how it works. In OLE lingo, the program that you’re taking the data from is the source. The program that receives the data is called the container. For example, if you want to place a spreadsheet table from Excel into an AutoCAD drawing, Excel is the source, and AutoCAD is the container.

Start Sidebar
Warning Why not just shout, “OLE!”?

Unfortunately, OLE is afflicted with practical problems.

  • Compound OLE documents can slow performance — a lot. If you experiment with OLE, you need a fast computer with lots of memory — or lots of time on your hands.

  • Supporting OLE well is a difficult programming job, and many applications — including AutoCAD — suffer from OLE design limitations and bugs.

  • Getting consistent hard-copy output can be tricky, especially when you plot from AutoCAD. OLE objects that look fine on-screen often undergo amazingly creative but not necessarily desirable transformations when they come out on paper.

The potential benefits of using OLE with AutoCAD just aren’t worth all the pitfalls and limitations. Use the alternative methods described in this chapter, and save OLE for your next trip to Spain.

End Sidebar

In Excel, you select the range of spreadsheet cells that you want to put in the AutoCAD drawing and choose EditðCopy to copy them to the Windows Clipboard. Then, you switch to AutoCAD and choose EditðPaste Special. The Paste Special choice displays a dialog box containing the choices Paste and Paste Link. The Paste option creates a copy of the object from the source document and embeds the copied object into the container document. The Paste Link option links the new object in the container document to its source document so any changes to the source document are automatically reflected in the container document. In other words, if you link a spreadsheet object to an AutoCAD drawing, changes that you make later in the Excel spreadsheet get propagated to the AutoCAD drawing automatically. If you embed the same spreadsheet object in an AutoCAD drawing, changes that you later make to the data in Excel aren’t reflected in the AutoCAD drawing.

That’s how it’s supposed to work. In practice, the container application sometimes doesn’t display or print all of the linked or embedded data correctly. See the “Why not just shout, ‘OLE!’?” sidebar for details.


Screen Capture

If your goal is to show the entire AutoCAD program window, not just the drawing contained in it, create a screen capture. Most of the figures in this book are screen captures. You might use similar figures to put together a training manual or to show your mom all the cool software you use.

Windows includes a no-frills screen capture capability that is okay for an occasional screen capture. It works like this:

  1. Capture the whole screen or active window with one of these steps:

    • Press the Print Screen key to capture the entire Windows screen, including the desktop and taskbar.

    • Hold down the Alt key and press the Print Screen key to capture just the active program window (for example, AutoCAD).

    Windows copies a bitmap image to the Windows Clipboard.

  2. Paste the bitmap image into another program. You have two options:

    • Paste into a paint program (such as the Paint program in Windows). Use that program to save a raster image as a BMP file format.

    • Paste the bitmap image directly into a document (such as a Word document or an AutoCAD drawing) without creating another file.

If you do lots of captures, a screen capture utility program makes the job faster and gives you more options. You can control the area of the screen that gets captured, save to different raster file formats with different monochrome, grayscale, and color options, and print screen captures. One good screen capture utility program is FullShot by Inbit, Inc. (www.inbit.com).

When you create screen captures, pay attention to resolution and colors:

  • High screen resolutions (for example, above 1280 x 1024) can make your captures unreadable when they get compressed onto an 81⁄2-x-11-inch sheet of paper and printed on a low-resolution printer.

  • Some colors don’t print in monochrome, and a black AutoCAD drawing area is overwhelmingly dark. For most of the screen captures in this book I used 1024 x 768 resolution, a white AutoCAD drawing area, and dark colors — mostly black — for all the objects in the drawing.


TXT and RTF

TXT (Text, also called ASCII for American Standard Code for Information Interchange) is the simplest format for storing letters and numbers. TXT files store only basic text, without such formatting as boldface or special paragraph characteristics. RTF (Rich Text Format) is a format developed by Microsoft for exchanging word processing documents (text plus formatting).

Select Import Text from the Multiline Text Editor window’s right-click menu to import an TXT or RTF file. AutoCAD imports plain text from TXT and RTF files, if you don’t use fancy formatting and aren’t fussy about aligning words and characters. Chapter 9 covers the Multiline Text Editor window.

Because no sane person would use AutoCAD as a word processor, AutoCAD doesn’t provide any special tools for exporting text. You can select AutoCAD text, copy it to the Windows Clipboard, then paste it into another program.


Index

Symbols and Numerics

<> (angle brackets), 30, 246
’ (apostrophe)
to indicate feet, 54, 57, 92
purpose on command line, 31
- (dash), 92
.. (double period), in path references, 311
â (down arrow key), 31
? (question mark)
function on command line, 37
help button, 38, 238, 282
[] (regular brackets), 30
. (single period), in path references, 311
_ (underscore character), 30
á (up arrow key), 31
2D wireframe mode, 184, 187
2P option (Circle command), 114
3D object creation
assessing need, 180–183
benefits, 179–180, 182
coordinate specification, 192–193
coordinate systems, 190–191
drawing techniques, 194–200
editing techniques, 200–201
hidden objects, 287
LT limitations, 14, 180
model space features, 184–190
rendering, 201–203
3D Studio software (Autodesk), 203
3DFACE command, 196
3DOrbit command, 187–190
3DPOLY command, 194
3P option (Circle command), 114


Index_A

Team LiB

Index

A

abbreviations. See keyboard shortcuts
absolute polar coordinates, 91, 192
absolute rectangular coordinates, 90–91, 192
absolute units, 126
Acad.dwt template, 53
Acadiso.dwt template, 53
Acad.lin file, 82
accumulating properties, 77–79
accuracy, precision versus, 90
AccuRender software (McNeel), 203
ACI (AutoCAD Color Index), 81, 322
Active Assistance, 40
ADCenter command, 324
Add Drawings button (Reference Manager), 336
Add Layer(s) option (DesignCenter palette), 88
Add option (spelling checker), 225, 226
Add Printer Wizard, 264
Add to Favorites option (DesignCenter palette), 88
Add to List button (Options dialog box), 18
Add-A-Plot Style Table Wizard, 276–277
Add-A-Plotter Wizard, 264, 356
add-on products
for 3D work, 183, 198, 203
AutoCAD advantage, 10
incompatible with LT, 13
lack of AutoCAD 2004 compatibility, 14, 15
Adjust Clipping Planes option (3DOrbit), 190
Adobe PDF format, 338
AIA (American Institute of Architects) CAD standards effort, 320, 323
aligned dimension, 231, 242
ALL option (command-first selection), 135
All option (Zoom command), 170
Allow Docking option (command line), 35
Alternate Units tab (New/Modify Dimension Style dialog box), 240
Alt-key shortcuts, 21, 358
American Institute of Architects (AIA) CAD standards effort, 320, 323
angle brackets, 30, 246
angle of rotation, 148
Angle option (arcs), 116
Angle Precision list (Drawing Units dialog box), 55
Angle Type list (Drawing Units dialog box), 55
angles for hatch patterns, 253, 256
angular dimensions, 231
angular units, 55
animation, 201, 202
annotations. See also dimensions; text; title bars
hatching as, 252
leaving space for, 49, 50
precision less critical, 89
when to add to drawings, 207
ANSI paper sizes, 47–48
apostrophe
to indicate feet, 54, 57, 92
purpose on command line, 31
Apparent Intersection snap mode, 192
application-specific versions. See discipline-specific versions (AutoCAD)
appropriate use guidelines, 344
Arc command
basic steps in using, 117–118
overview, 101, 114
Arc option
ELlipse command, 118, 119
PLine command, 108–109
arcballs, 187
architectural drawing scales, 46
Architectural Graphic Standards, 319
architectural paper sizes, 47–48
Architectural units
base units, 44, 54
foot designator, 54, 57, 92
arcs
adding to polylines, 108–110
basic steps in creating, 115–118
dimensioning, 231, 244
specifying for fillets, 156
ARray command, 149–150
Array dialog box, 150
arrowheads. See dimension arrowheads
ARX (AutoCAD Runtime eXtension), 14
associativity of dimensions, 232, 246–247
attaching xrefs, 64, 308–309
ATTDEF command, 302
ATTDIA variable, 304–305
Attribute Definition dialog box, 302–305
attribute definitions
creating, 302–305
defined, 302
functions, 299
inserting into blocks, 303–304
Attribute Extraction wizard, 305
attribute values, attribute definitions versus, 302
attributes
blocks and, 293
editing, 304–305
exploding blocks with, 306
functions, 301–302
AutoCAD
basic file format, 11–12
brief history, 9
LT version overview, 13–14
main benefits, 10
platforms supported, 9
upgrading, 14–16
AutoCAD Color Index (ACI), 81, 322
AutoCAD LT 2004
DLine command instead of MLine, 114
exchanging files with, 352
lack of object snap tracking, 25
lack of Profiles feature, 18
lack of xref clipping, 312
overview, 13–14
raster file limitations, 314
3D limitations, 14, 180
AutoCAD Release 14
AutoCAD 2004 lack of compatibility, 12, 15, 352
exchanging files with, 352
lineweight-color connection, 77
obsolete plotting features, 262
AutoCAD Runtime eXtension (ARX), 14
AutoCAD SHX fonts, 209
AutoCAD 2000, 79, 262
AutoCAD 2004
DesignCenter updates, 85, 86
discipline-specific versions, 13
DWF updates, 339
DWG compatibility, 11, 14
expanded color options, 81
gradient fill hatching, 257
Internet features, 328–330
lack of R14 compatibility, 12, 15, 352
lineweight plotting defaults, 278
multiline text improvements, 218
plotting shaded views, 203
Publish Drawing Sheets dialog box, 340
Reference Manager, 329, 336
Relative path option, 311
REVCLOUD addition, 123
shaded viewport options, 287
standards compliance monitoring, 326
tabs and indents with, 221
text modification commands, 224
3D samples, 184
Tool Palette, 301
top new features, 15–16, 69
upgrade issues, 14–15
Windows compatibility, 9, 14, 17–18
xref symbol, 307
AutoCAD 2004 Plotter Manager Add-A-Plotter Wizard, 264
Autodesk Express Viewer, 329, 337, 342–343
Autodesk Inventor, 13
Autodesk Revit, 13
auto-hide features for palettes, 34
AutoLISP (LSP) programs, 14
automatic file compression, 16
automatic regeneration, 177
automatic save files, 350


Index_B

Team LiB

Index

B

background colors, 18
backing up drawings, 350
balloon notification, 326
base point. See also starting point
of blocks, 297, 300
CoPy command with, 141–142
method overview, 138–139
Move command with, 139–140
ROtate command with, 148
SCale command with, 148–149
Stretch command with, 147
Batch Standards Checker utility, 325
BATTMAN command, 304
bHatch command, 253–254
Bind button (Xref Manager dialog box), 312
BitMaP (BMP) files, 352, 355. See also raster files
Block Attribute Manager, 304
Block command, 298
Block Definition dialog box, 296–299
block definitions
adding to layers, 296, 299–300, 304
basic functions, 293, 294
creating, 296–299, 303–304
defined, 302
editing, 295, 306
purging, 306
block inserts, 294, 302
block libraries, 299
block redefinition, 296
block table, 294
blocks
benefits, 294–295, 349
binding xrefs as, 312
defined, 293
exploding, 305–306
inserting into drawings, 299–301
xrefs versus, 307, 313
blueprints, 261–262
BMP (BitMaP) files, 352, 355. See also raster files
Boolean operations, 200
borders, 44, 50
boundary edges
EXtend command, 153
for hatching, 252, 258–259
Boundary Hatch and Fill dialog box
Gradient tab, 257
Hatch tab, 255
Inherit Properties button, 256
with “picking points” method, 253–254
bounding box selection, 133, 136
brackets, 30
BReak command, 154–155
broadband access, 328
building plans, common scales, 46
bullet lists, 222
buttons, on/off appearance, 26, 90
by-layer approach, 77, 78–79, 347
by-object approach, 78, 347


Index_C

Team LiB

Index

C

CAD Layer Guidelines, 320, 323
CAD managers, 317
CAD standards. See standards
calculators, 49
CAMERA command, 190
Can’t find. . . messages, 335
cartoons, 49
case conversion, 221
CD-browser screen, 16
Center option, 116, 118
center point
specifying for arc, 115, 116
specifying for circle, 115
specifying for ellipse, 118
specifying for polygon, 111
centered dimension text, 230
CHamfer command, 155, 157
Change Dictionaries option (spelling checker), 225
Change/Change All options (spelling checker), 225
channels (Communication Center), 25
charts of layers, 77, 322–323
check plots, 271–272
Check Spelling dialog box, 225–226
Check Standards utility, 325, 326
CHECKSTANDARDS command, 325
child drawings, 307
Circle command, 101, 114, 115. See also DOnut command
circles
basic steps in creating, 114–115
dimensioning, 231, 244
filled, 123
as hatch boundaries, 252
circular arcs. See arcs
clicking, actions associated with, 33
clients, importance of standards for, 318
clipboard commands, 143, 355
clipping planes, adjusting, 190
clipping raster images, 316
Clockwise check box (Drawing Units dialog box), 55
Close option
with LINE command, 103, 104
with PLine command, 107
closing figure, 105
Color Book tab (Select Color dialog box), 81
color property. See also color-dependent plot styles
basic functions, 77
lineweight mapped to, 79, 274, 278, 279–280, 321–322
selecting for new layers, 81–82, 277
setting for desired plotting colors, 281–282
Color TaBle (CTB) files, 275, 277, 280
color-dependent plot styles
creating, 277
defined, 274
file type, 275
identifying, 281
listing standards for, 321–322
color-dependent plot style tables, 275
color-to-lineweight plotting chart, 321–322
Column offset box (Array dialog box), 150
Columns box (Array dialog box), 150
command line. See also keyboard shortcuts
area and features described, 26–31
clues to missing dependent files, 335
coordinate entry, 89, 90–92
grip-editing options, 158–159
importance of checking, 26, 33, 137
making transparent, 35
other command methods versus, 101–102
command-first editing
as default style, 131
moving, copying, and stretching, 138–147
object selection example, 134–137
overview, 130
rotating, scaling, arraying, and offsetting, 147–152
trimming, extending, breaking, filleting, and chamfering, 152–157
comments, adding to drawings, 247–250
Communication Center, 25
company CAD standards, 319–320, 326
compiled shape fonts, 209
compressing objects, 145
Configure Standards utility, 325
configuring plotters, 263–264, 283–284
consistency of hatching, 256
construction lines, 102
construction plane, 190
container document (OLE), 356–357
Contents tab (help system), 39
Context option (spelling checker), 225
Continuous linetype, 82
control buttons, 20
Control-key shortcuts
creating groups, 295
NEW command, 52
for palette options, 34
saving files, 53
Windows, 21
Convert to Block option (Block Definition dialog box), 297–298
CONVERTPSTYLES command, 276
coordinate filters, 192–193
coordinates
base point, 138
camera point, 190
entering, 89, 90–92
formats, 90
specifying for rectangles, 111
specifying in 3D, 192–193
status bar readout, 24, 91
systems, 190–191
CoPy command, 141–143, 163
Copy with Base Point, 141–142
COPYBASE command, 143
COPYCLIP command, 141–143
copying
dimension styles, 233–234, 235
layers, 87–88
methods, 141–143, 163, 355
corners, filleting and chamfering, 155–157
CPolygon option, 135
Create Group button (Group Manager dialog box), 295
Create Icon From Block Geometry option (Block Definition dialog box), 298
Create Layout Wizard, 63–66
Create New Dimension Style dialog box, 236
Create Transmittal dialog box, 332–333
crosshatching. See hatching
crossing box selection
example, 136
introduction, 133, 134
with Stretch command, 143, 144, 145–146
Crossing option, 135
CTB (Color TaBle) files, 275, 277, 280
cumulative object selection, 132
Current Display radio button (New View dialog box), 171–172
current layer, 76, 83
cursor appearance, 188, 189
cursor coordinates, 24
curvature, specifying, 116, 118
curves. See arcs
custom fonts
avoiding, 209–210
including when sending drawings, 331, 333
custom hatching, 253
custom linetypes, 84
custom plotter settings, 284
Customize dialog box (toolbars), 23
CUTCLIP command, 143
Cutting and pasting objects, 141–143
cutting edges (TRim command), 153


Index_D

Team LiB

Index

D

D size sheets, 271
dash, to separate feet from inches, 92
data extraction, 305
DC Online tab (DesignCenter palette), 86
DDPTYPE command, 125
decimals, 44, 92
default actions, 30
default configuration
command line, 31
display, 18
REGENAUTO variable, 177
toolbars, 21–23
default dimension styles, 230, 236, 245
Default Plot Style Behavior For New Drawings option (Options dialog box), 276
default plotter selection, 64, 263–264
default templates, 69
Define View Window button (New View dialog box), 171–172
Define Window radio button (New View dialog box), 171–172
defining points, effect of Stretch command, 144
definitions, block. See block definitions
dependent files
checking received files for, 335
including when sending drawings, 331–334
listing in Reference Manager, 336
descriptions for blocks, 298
descriptive symbols
block libraries of, 299
when to add to drawings, 207
for xrefs, 307
DesignCenter palette
appearance, 35, 85, 86
basic features, 34, 85–87
copying blocks with, 298
copying dimension styles, 234
copying layers with, 87–88
as standards tool, 324
Detach button (Xref Manager dialog box), 312
dialog box features, 38
dialog box help, 38, 238, 282
diameter, 115, 231
diazo blueline machines, 261–262
digital signatures, 330, 343
DimANgular command, 244
DIMASSOC variable, 247
DimBAseline command, 244
DimCOntinue command, 244
DimDIameter command, 244
DIMDISASSOCIATE command, 247
dimension arrowheads
creating and editing, 248–249
defined, 230
location of settings for, 238
dimension lines, 230, 238
Dimension menu
Aligned option, 242
Leader option, 248
Linear option, 241
Dimension Style Manager dialog box, 51, 61, 234–237
dimension styles
defaults, 230, 236, 245
standards, 323
dimension text
defined, 229
location of settings for, 238–239
overriding, 246
placement, 230, 239
Dimension toolbar
access to, 232–233
Aligned Dimension button, 242
Dimension Style button, 236
Linear Dimension button, 241
Quick Leader button, 248
dimension variables, 233
dimensions. See also annotations; text
additional information with, 228, 229
associativity, 232
command access, 232–233
common types, 230–231
creating, copying, and editing styles, 233–240
drawing, 240–245
editing, 245–247
leaders, 247–250
overview, 36, 227–228
scale setup, 59–61
standards, 227–228, 238–239
system variables for, 36
terminology of, 229–230
when to add to drawings, 207, 228
DimLInear command, 244
DimRAdius command, 244
DIMREASSOCIATE command, 247
DIMREGEN command, 247
DIMSCALE variable
checking, 213
effect on revision clouds, 124
setting, 239–240
Dimstyle command, 61
direct distance entry, 89, 97, 141
direct manipulation, editing by, 130
Direction button (Drawing Units dialog box), 55
discipline-specific standards, 320
discipline-specific versions (AutoCAD), 13, 100
disk space
block advantages, 295
xref advantages, 307
displacement method, 138–139
displacement vectors
with command-first editing, 138, 139, 140, 146
with grip editing, 162, 164
Display option (Plot area), 286
display settings, changing, 18
Display tab (Options dialog box), 18
DLine command, 114
Do Not Include An Icon option (Block Definition dialog box), 298
DOnut command. See also Circle command
basic steps in using, 122–123
with hatching, 257
overview, 101, 114
double period, in path references, 311
down arrow key, 31
Drafting Settings dialog box
common drawing setup system variables, 51
Object Snap tab, 96
Polar Tracking tab, 98
snap and grid options, 57–59, 97, 98
Drag-and-Drop Scale area (Drawing Units dialog box), 55
Drag-and-Drop Units menu (Block Definition dialog box), 298
dragging objects
blocks and block definitions, 300
with Move command, 140, 162
with Stretch command, 146
in 3DOrbit, 188–189
Draw menu
Arc submenu, 117
Point option, 127
Solids option, 199
Surfacesà3D Surfaces option, 197
TextàSingle Line Text option, 216
Draw toolbar
Arc button, 117
basic features, 22
Circle button, 115
default location, 22
Hatch button, 253
Insert Block button, 299
Line button, 93, 103
Make Block button, 296
Multiline Text button, 219
Point button, 127
Polygon button, 111
Polyline button, 107
Rectangle button, 110
Spline button, 120
starting with, 101
Text button, 216
drawing. See also 3 D object creation; editing
basic arc instructions, 115–118
basic circle instructions, 114–115
basic donut instructions, 122–123
basic ellipse instructions, 118–119
basic line instructions, 103–105
basic polygon instructions, 111–112
basic polyline instructions, 107–110
basic rectangle instructions, 110–111
basic requirements, 73–74
basic revision instructions, 123–124
basic spline instructions, 120–122
command overview, 99–102
dimensions, 240–245
inserting into another drawing, 301
multilines, 113–114
point objects, 125–127
drawing area, 25, 31–34. See also setup (drawings)
Drawing eXchange Format (DXF) files, 352, 353–354
Drawing Orientation area (Plot dialog box), 266, 273, 286
Drawing Properties dialog box, 61–62
drawing scale, 45, 46. See also scales
drawing scale factor
drawing scale versus, 45, 46
importance of knowing, 348
in model versus paper space, 272
in New/Modify Dimension Style dialog box, 239–240, 241
text height and, 211–214
use in setting limits, 56
ways to identify, 213
Drawing Template File Location, 70
Drawing Units dialog box
basic features, 44–45
common drawing setup system variables, 51
drawing setup options, 54–55
Drawing Web Format (DWF) files
basic purpose, 329, 337
creating, 328, 339–342
ePlotting applications, 338–339
for exchanges with other programs, 352, 354
password protection, 344
drawing window title bars, 20
DRaworder command, 316
driver software
plotting, 262–263, 284
Raster File Format, 356
troubleshooting, 290
DTEXT command, 216
DWF (Drawing Web Format) files. See Drawing Web Format (DWF) files
DWG files
AutoCAD 2004 format, 11, 14
creating block definitions from, 299–300
DWFs versus, 337, 338
as element of drawings, 176
for exchanges with other programs, 352–353
format overview, 11–12
saving layouts as, 69
sending and receiving online, 330–336
for symbols, 299
as xrefs, 310
DWG-compatible programs, 12, 353
DWS (standards) files, 326
DWT file format, 51, 68
DXF files, 352, 353–354


Index_E

Team LiB

Index

E

EARTH pattern (hatching), 256
EATTEDIT command, 305
Edge option, 111
Edit Attributes dialog box, 304, 304–305
Edit menu, 355
Edit Selected Paths button (Reference Manager), 336
Edit Text dialog box, 218
editing. See also grip editing
attributes, 304–305
AutoCAD advantage over hand drawings, 10
automatic dimension updates with, 227, 229
block definitions, 295, 306
dimension associativity, 246–247
dimension styles, 61, 237–240
dimensions, 245–247
external references (xrefs), 310
grip methods, 157–166
importance of standards, 317
moving, copying, and stretching, 138–147, 161–166
multiline text, 224
overview of methods, 129–131
properties, 161
rotating, scaling, arraying, and offsetting, 147–152
3D, 200–201
trimming, extending, breaking, filleting, and chamfering, 152–157
efficiency, 10
ELlipse command, 101, 114, 118–119
ellipses, creating, 118–119
elliptical arc, 118, 119
Enable Grip Tips check box, 131
Enable Grips check box, 131
end caps in multilines, 113
End option (arcs), 116
endpoints
of arcs, 116, 118
effect of Stretch command, 144, 146, 147
grip editing, 160, 164–165
object snapping for dimensions, 240–241, 242
Engineering units
base units, 44, 54
foot designator, 54, 57, 92
English units, 46, 48
Enhanced Attribute Editor dialog box, 305
Enter key
to accept default command, 30
to complete line, 30, 103
to complete selection, 135, 136, 139
to complete text entry, 217
for moving, copying, and stretching, 139, 140
spacebar interpreted as, 92
ePlot feature, 285, 338–340
Erase command, 135–137
errors, reducing with blocks, 295
Esc key
to clear commands and selections, 135
to finish entering multiple points, 127
to remove grips, 160
tips for, 29
ETRANSMIT command, 328, 332–333, 353
exchanging files, 351–358
existing drawings, as basis for new drawings, 44, 349–350
experience, importance to 3D work, 182
eXplode command, 106, 245, 349
exploded dimensions, 232
exploding blocks, 305–306
EXPORT command, 354, 355
Export Report button (Reference Manager), 336
Express Tools, 16, 23
EXtend command, 152–154
extension lines, 230, 238
Extents option, 170, 286
External Reference dialog box, 308, 311
external references (xrefs)
attaching, 64, 308–309
blocks versus, 307, 313
creating and editing, 310
including when sending drawings, 331, 335
management options, 312
new features, 16
overview, 293, 295, 307–308
paths, 310–311
status bar button, 25
EXTrude command, 196, 200
extrusion, 195–196, 197


Index_F

Team LiB

Index

F

favorites list (DesignCenter palette), 88
Fence option, 135, 154
file compression
before electronic transfers, 333–334
new features, 16
unavailable for BMP files, 355
file formats. See also Drawing Web Format (DWF) files; DWG files; raster files
ARX (AutoCAD Runtime eXtension), 14
CTB (Color TaBle), 275, 277, 280
DWF (Web), 328, 329, 337–343
DWG overview, 11–12
DWS (standards), 326
DWT (templates), 51
for file exchanges, 351–358
for file transmittal, 332
LSP (AutoLISP), 14
PC3 (printer drivers), 263, 264, 284
plotting to, 285, 339–340
PLT (plot), 282
for saving layouts, 68–69
STB (Style TaBle), 275, 277, 281
supported image file formats, 314
VBA (Visual Basic for Applications), 14
File menu
Drawing Properties option, 61
Drawing UtilitiesàPurge option, 306
eTransmit option, 332
NEW command, 52
Plot Style Manager option, 276
Plotter Manager option, 356
Publish option, 341
Save As option, 68, 69
File Navigation dialog box, 329
file sharing, 12, 351–358
File Transfer Protocol (FTP), 334
files, external. See external references (xrefs)
filled circles, 123
Fillet command, 155–157, 259
Find and Replace, 221
First point option (BReak command), 155
Fit tab
Modify Dimension Style dialog box, 61
New/Modify Dimension Style dialog box, 239–240
fixed-height text style, 211, 213
Flat Shaded mode, 189
floating viewports, 184
folders, sending drawing files as, 332
Folders tab (DesignCenter palette), 86
Font Name list (Text Style dialog box), 211
fonts
for dimension text, 238
importance of consistency, 323
including when sending drawings, 331, 333, 335
installing, 335
options, 209–210
selecting for text, 211, 220
in text styles, 208
foot designator, 54, 57, 92
Format menu
Dimension Style option, 61, 236
Drawing Limits option, 56
Linetype option, 60, 84
Lineweight option, 83
Point Style option, 125
Text Style option, 210
Units option, 54
Four Right Standard Viewport arrangement, 185
Fractional units, 44
fractions
in Architectural units, 44, 92
Stack/Unstack button, 221
freeform curves, 120–122
Freeze layer setting, 348
From Template option, for paper space layouts, 66
FTP (File Transfer Protocol), 334–335
full orbit cursor (3DOrbit), 188
Full path setting (External Reference dialog box), 310
Full Preview button, 269
FullShot screen capture utility, 358


Index_G

Team LiB

Index

G

gaps, creating with BReak, 154–155
geometric tolerances, 240
geometry
defined, 89
excessive, 348–349
as starting point for drawings, 99
geometry-driven associative dimensions, 232, 246–247
Global Scale Factor edit box (Linetype Manager dialog box), 60
Gouraud Shaded mode, 189
Gradient tab (Boundary Hatch and Fill dialog box), 257
gray lines on monochrome plots, 274, 281
grid mode, 24, 57, 59
Grid On check box (Drafting Settings dialog box), 59
Grid Snap radio button (Drafting Settings dialog box), 98
grid spacing, 57–59
grip editing
to close boundaries, 259
copy option, 163
cursor menu, 159, 160, 163
dimensions, 245
experimenting with options, 158–161
Move command, 161–162
multiline text, 224
overview, 130, 157–158
as polyline advantage, 106
spline objects, 122
Stretch command, 163–166
gross precision, 55
Group command, 295
Group Manager dialog box, 295
groups of objects, 295
guidelines. See standards


Index_H

Team LiB

Index

H

half-size plots, 274
hand drawings, 10, 319
hanging indents
creating, 222, 223
new feature, 16, 221
hardcopy drawings, continued need for, 228, 261
hardware requirements, 15, 183
HATCH command, 253
Hatch Edit dialog box, 260
Hatch Pattern Palette, 255
hatching
editing, 259–260
overview, 251
“picking points” method, 252–254, 258
refining basic techniques, 254–259
standards, 323
when to add to drawings, 252
height
multiline text window, 219
text, 211–214, 216, 219
help system
basic features, 38–40
Command Reference, 233
dimensions, 231, 233
layout template information, 66
multiline text options, 221
printer drivers, 263
rendering, 202
secondary styles, 237
solid primitive commands, 199
solids editing commands, 200
standard font list, 209
text justification options, 219
tool palette tools, 301
toolbar customization, 23
Hewlett-Packard plotters, enhanced Windows system driver, 263, 284, 290
Hidden Files and Folders setting, 70
Hidden mode (3DOrbit), 189
Hide Paperspace Objects option (Plot dialog box), 287
History tab (DesignCenter palette), 86
horizontal dimensions, 242
horizontal or vertical rotation cursor, 189
hot grips
defined, 158
moving and connecting, 159
multiple, 164, 166
house plans, common scales, 46
Hue Saturation Luminance (HSL) numbers, 81
hyperlinks, inserting, 329, 342


Index_I

Team LiB

Index

I

Ignore/Ignore All options (spelling checker), 225
IMage command, 315, 355
Image dialog box, 315
image file formats supported by AutoCAD, 314
Image Manager dialog box, 315, 316, 335
imaginary circle method, 111–112
implied windowing, 132–133
Implied Windowing check box, 131
Import Text option (multiline text menu), 221
importing page setups, 287
inaccuracy, precision versus, 90
inches. See English units
Increment Angle list (Polar Tracking tab), 98
indents, 16, 221–223
Index tab (help system), 39
industry standards, 320
infinite line, 102
Inherit Properties button (Boundary Hatch and Fill dialog box), 256
initial caps, 80
Insert command, 298
Insert dialog box, 299–301
Insert Hyperlink utility, 329, 342
Insert menu, 308, 315
insertion point. See also base point
for attribute definitions, 303
of blocks, 297, 300
for copied objects, 142
text lines, 216
inserts, block, 294
installation (Express Tools), 16
internal points, for hatching, 253–254
International Organization for Standardization (ISO), 320
Internet features
AutoCAD development, 327–328
sending and receiving files, 330–336
summarized, 328–330
Internet service providers (ISPs), 328
Inventor, 13
invisible points, 125
ISO paper sizes, 47–48
isometric views, 186
ISO-25 style, 236
ISPs (Internet service providers), 328


Index_J

Team LiB

Index

J

joints, in multilines, 113
JPGOUT command, 356
justification (text)
changing, 216, 219, 224
commonly used methods, 215
JUSTIFYTEXT command, 224


Index_K

Team LiB

Index

K

keyboard shortcuts
basic to Windows, 21
conventions, 6
dimensioning commands, 233
typing in command line, 27


Index_L

Team LiB

Index

L

landscape orientation, 266, 286
Last option, command-first selection, 135
Layer Properties Manager dialog box
color-dependent plot style information, 277
controlling properties, 78–79
freeze layer option, 348
new layer creation, 80–84
Layer Translator utility, 324
Layer 0 block definition, 296, 299
layers. See also paper space
basic functions, 75–77
block definitions on, 296
blocks on, 299
chart of, 77, 322
controlling properties by, 77, 78, 347
copying between drawings, 87–88
creating new, 80–84
for revision clouds, 124
for xrefs, 308, 309–310
Layers table (DesignCenter palette), 87
Layers toolbar
basic features, 21
current layer, 76
default location, 22
editing drawings with, 161
new layer creation, 80
new layer display, 83
Layout 1 tabs, 270
layouts, 31. See also paper space
LAYTRANS command, 324
LEADER command, 247
Leader Settings dialog box, 248
leaders, creating and editing, 247–250
Length of chord option (arcs), 116
Length Precision list (Drawing Units dialog box), 55
Length Type list (Drawing Units dialog box), 54
light sources in rendering, 202
limits
model space setup, 55–57
plotting, 273, 286
LIMITS command, 56–57
line breaks, 220
LINE command
access from Draw toolbar, 93
basic steps in using, 103–105
overview, 100, 102
PLINE versus, 105–106
using command line for, 27–28
Line option (PLine command), 109
line widths, 105–106, 107. See also lineweight property
linear dimensions, 231, 241–243
linear units, selecting during setup, 54lines
basic drawing steps, 103–105
polylines versus, 105–106
3D drawing techniques, 194–195
Lines and Arrows tab (New/Modify Dimension Style dialog box), 238
lines of text, adding to drawings, 208, 214–215
linetype definition, 84
Linetype Manager dialog box, 51, 60, 84
linetype property
adding to templates, 84
basic functions, 77
customizing, 84
for regular gaps, 154
scale setup, 59–60
selecting for new layers, 82, 84
Lineweight dialog box, 82–83
lineweight display, 25
lineweight property
basic function, 77
plotting options, 278–281
polyline widths versus, 105–106
scaling, 286
screen colors mapped to, 79, 274, 278, 279–280, 321–322
selecting for new layers, 82–83, 322
status bar button, 24, 25, 79
Lineweight Settings dialog box, 83
List view (xrefs), 312
live absolute coordinates display mode, 91
live polar coordinates display mode, 91
Load or Reload Linetypes dialog box, 82, 84
Loaded Linetypes list, 82
lobes (revision clouds), 123
locking viewports, 175
Lookup option (spelling checker), 225
LSP (AutoLISP) programs, 14
LT version. See AutoCAD LT 2004
LTScale command, 60
LTSCALE variable, 60
LWeight command, 83


Index_M

Team LiB

Index

M

Make Block button (Draw toolbar), 296
Make New Dimensions Associative setting (Options dialog box), 247
Manage Xrefs button, 25
manual drawings, 10, 319
margins, 49, 50
Match Properties button, 161, 260
maximize button (title bars), 20
MBUTTONPAN variable, 169
menu bar, 21
meshes, 181, 196–197, 198
metric units, 46, 48, 82
Microsoft Windows
current AutoCAD compatibility, 9, 14, 17–18
Object Linking and Embedding (OLE), 356–357
printer drivers, 262–263
screen capture utility, 357–358
TrueType fonts, 209, 333, 335
middle mouse button, 169
midpoints, 94, 165
millimeters. See metric units
Minimum arc length (revision clouds), 123, 124
mirroring, 158
missing files, 335
MLine command, 100, 102
modal dialog boxes, 34
Mode settings (Attribute Definition dialog box), 302
model space
attaching plot styles to, 276
basic features, 32
defined, 31
entering drawing properties, 61–62
grid and snap interval setup, 57–59
importance of understanding, 348
limits selection, 55–57
linetype and dimension scale setup, 59–61
plotting from, 270, 272, 273, 286
REgenAll command, 177
selecting after opening template, 53
status bar button, 24, 25
3D features, 184–190
unit selection, 54–55
zooming and panning in, 174, 175
modeless dialog boxes, 34
MODEL/PAPER button
functions, 25, 32, 67
setting for plotting, 271
when zooming and panning, 173, 174, 175
modifiability of CAD drawings, 10
Modify Dimension Style dialog box, 61, 234, 236
Modify menu
ClipàImage option, 316
In-Place Xref and Block EditàEdit Reference option, 310
ObjectàText submenu, 224
Solids Editing options, 200–201
Xref and Block EditingàOpen Reference option, 310
Modify toolbar
basic features, 22
Break at Point button, 155
Break button, 154
default location, 22
Erase button, 136
Explode button, 245
Fillet button, 156
Move button, 139
Offset button, 151
Rotate button, 148
Scale button, 148
Stretch button, 145
Trim and Extend buttons, 152
monochrome dithering, 281
monochrome plotters, 281
Monochrome.CTB file, 281
MoreàAdjust Clipping Planes option (3DOrbit shortcut menu), 190
MoreàZoom Extents option (3DOrbit shortcut menu), 189
Move command
command-first editing with, 139–141
grip editing with, 161–162, 163
MSpace command, 67
mText command
basic steps in using, 218–221
functions, 208, 214–215
tabs and indents with, 221–223
multiline text
basic steps in using, 218–221
leader lines with, 249
modifying, 224
tabs and indents with, 221–223
Multiline Text Editor window
editing dimension text with, 246
entering comments with, 249
formatting text rectangles with, 219–220
importing text with, 358
opening, 224
multilines, drawing, 113–114
multiple drawings
blocks in, 295, 298
in single DWF file, 339
xref advantages, 307–308
multiple object selection, 84
Multiple option (CoPy command), 141
multiple points, drawing, 127
multisegment shafts, 248
MVIEW command, 67


Index_N

Team LiB

Index

N

named objects, 74, 85
named page setups, 287–288
named plot styles
creating, 277
defined, 274
file type, 275
identifying, 281
listing standards for, 321
Named Viewports tab (Viewports dialog box), 185
named views, 171–172
names
blocks, 296–297
dimension styles, 234
layer colors, 81–82
layers, 80
new text styles, 211
paper space layouts, 64
National CAD Standard, 320
National Institute of Building Sciences, 320
New button
Dimension Style Manager dialog box, 236
Layer Properties Manager dialog box, 80
NEW command, 52, 69
New Dimension Style dialog box, 236
New Features Workshop, 40
New Text Style dialog box, 211
New View dialog box, 171–172
New/Modify Dimension Style dialog box, 237–240
No path setting (External Reference dialog box), 311
node object snap mode, 125
nonassociative dimension objects, 232
nonsystem drivers, 262–263, 264, 290
Non-Uniform Rational B-Spline (NURBS) curves, 120
nonzero height text, 213
Noun/Verb Selection check box, 131


Index_O

Team LiB

Index

O

Object Grouping check box, 131
object lineweights. See lineweight property
Object Linking and Embedding (OLE), 356–357
object properties. See properties
Object Properties toolbar, 277
object selection. See selecting objects
object snap cursor menu, 93, 94
Object Snap tab (Drafting Settings dialog box), 96
Object Snap toolbar, 93
object snap tracking
basic function, 97
status bar button, 24, 25, 89
object snapping. See also snapping
defined, 92
for dimensions, 240–241, 242
to pick second point for move, 141
to pick second point for stretch, 147
snapping versus, 98
to specify 3D points, 192
turning off for text, 216, 218
objects, controlling properties by, 78
office standards, 319–320, 326
OFfset command, 150–152
offset distance, 151
OLE (Object Linking and Embedding), 356–357
one-by-one selection, 132
online help. See help system
online libraries, 86
Online Resources, 40
OOPS command, 137
Open button
Select Template dialog box, 53
Xref Manager dialog box, 312
Open Drawings tab (DesignCenter palette), 86, 87
operating systems, current AutoCAD compatibility, 9, 14
option keyword, 28
options, command line prompts, 27
Options dialog box
Display tab, 18
file location information, 276
Make New Dimensions Associative setting, 247
Plotting tab, 263–264, 276
Profiles tab, 18
Selection tab, 131
Setup Wizards, 53
system variables in, 38
orientation for plotting, 64, 266, 273, 286
origins, for dimensions, 240–241
ORTHO button, 24, 89–90, 97
ortho mode
basic function, 97, 112
status bar button, 24, 89, 97
turning off for revision clouds, 124
turning off for stretching, 164
turning on for stretching, 145, 147, 165
orthogonal panning, 170
orthographic views, 186
OSNAP button, 89–90, 93, 96, 216
osnaps. See object snapping
OTRACK button, 89–90
outside services, 282
Overlay option (Xref Manager dialog box), 309
overriding dimension text, 246


Index_P

Team LiB

Index

P

Page Setup dialog box, 270, 271, 287–288
PAGESETUP command, 287–288
paint programs, 352. See also raster files
paint properties, matching, 161
palettes, 34–35, 81
-Pan command, 170
panning
around previewed drawings, 269
defined, 167
experimenting with, 168
with scroll bars, 169–170
PANTONE colors, 81
paper copies, continued need for, 228, 261
paper sizes
for check plots, 271–272
Plot dialog box options, 285, 287
plotting defined by, 261–262
selecting during setup, 47–50, 64
selecting for plotting to scale, 272
paper space. See also layers; plotting
adding text in, 214
appearing when opening template, 53
attaching plot styles to, 276
basic features, 32
dimensioning in, 244–245
importance of understanding, 348
layouts defined, 31
model space viewports versus, 184
navigating, 67–68, 172–176
plotting from, 269–271, 272, 273–274
setup options, 62–68
status bar button, 24, 25
templates, 66, 68–70
paper-and-pencil drawings, 10, 319
paragraphs, adding to drawings, 208, 214–215
Parallel projection (3DOrbit), 189
parameters for attached image files, 315
parent drawings, 307
Partial Preview button, 267, 269
password protection, 330, 343–344
Paste Link option (OLE), 357
Paste Special dialog box, 355, 357
Paste to Original Coordinates, 142
PASTEBLOCK command, 143
PASTECLIP command, 141–143
PASTEORIG command, 143
path curves, 197
Path Type list (Xref Manager dialog box), 309
paths for xrefs, 310–311
Pattern button (Boundary Hatch and Fill dialog box Hatch tab), 255
PC3 files, 263, 264, 284
PDF (Portable Document Format), 338
PDMODE variable, 127
PDSIZE variable, 127
PEdit command, 106, 151
performance effects, 177, 316
Perspective projection (3DOrbit), 189
photorealism, add-on products for, 203
Pick Point button
Attribute Definition dialog box, 303
Block Definition dialog box, 297
“picking points” method of hatching, 252–254, 258
pixels, 351
plan details, common architectural scales, 46
plan view, 184, 187
platforms, early AutoCAD support, 9
PLine command
basic steps in using, 107–110
with hatching, 257
LINE command versus, 105–106
overview, 100, 102
3DPOLY versus, 194
Plot Area area (Plot dialog box)
Extents versus Layout options, 272–273
options, 286
for simple plotting, 266
Plot Device tab (Plot dialog box)
attaching plot styles from, 276, 280
creating DWFs, 339–340
features overview, 283–285
settings for plotting to scale, 272
simple plotting with, 266
Plot dialog box
basic features, 266–267
changes affect drawings, 265
creating DWFs, 339–340
features overview, 282–288
lineweight settings, 279, 287
printable area information, 49
Scaled to Fit option, 47
settings for plotting to scale, 272
shading controls, 203
Plot Object Lineweights setting (Plot dialog box), 279, 287
Plot Offset options (Plot dialog box), 267, 287
Plot Options settings (Plot dialog box), 267, 287
Plot Paperspace Last option (Plot dialog box), 287
plot (PLT) files, 282
Plot Scale area (Plot dialog box), 266, 273, 286
Plot Screening and Fill Patterns.dwg file, 278, 281
Plot Settings tab (Plot dialog box)
features overview, 283, 285–287
settings for plotting to scale, 272–273
simple plotting with, 266
Plot Stamp option, 285
plot style property, 77, 83
Plot Style Table Editor dialog box, 275, 277
Plot Style Table option (Plot dialog box), 266
Plot Style Table (Pen Assignments) tab, 284–285
plot style tables
attaching, 280–281
creating, 276–277
overview, 275–276
troubleshooting, 290
Plot to File option (Plot dialog box), 266, 285
Plot Upside-Down option (Plot dialog box), 286
Plot with Plot Styles setting (Plot dialog box), 279, 287
Plotstyle Control list, 79
plotted drawings, continued need for, 228, 261
plotted text height standards, 212, 214, 238–239
Plotter Configuration Editor dialog box, 284
Plotter Configuration option (Plot dialog box), 283–284
plotting. See also paper space
basic steps, 265–268, 288–289
in color, 281–282
configuration, 263–264, 283–284
default plotter selection, 64, 263–264
driver software for, 262–263, 284
DWF advantages and disadvantages, 338
elements of, 261–262
to files, 285, 339–340
leaving margins, 49, 50
limits area, 56
lineweights, 278–281
paper sizes, 47–50
paper space layouts, 269–271, 272, 273–274
Plot dialog box features overview, 282–288
to scale, 271–274
setup importance, 42, 43
shaded 3D views, 203
standards for, 321–322
styles, 274–278
troubleshooting, 289–290
PLT (plot) files, 282
PNGOUT command, 356
poché, 257
“point and type” technique, 97
POint command, 101, 127
point filters, 192–193
Point Style dialog box, 125–126
points
creating as objects, 125–127
dimensioning, 240–241
snapping and, 92
polar arrays, 149, 150
POLAR button, 89–90
polar coordinates
entry format, 90–91
to pick second point for move, 141
3D, 192
polar snap, 89, 98
Polar Snap radio button (Drafting Settings dialog box), 98
polar tracking mode, 24, 89, 98
Polar Tracking tab (Drafting Settings dialog box), 98
POLygon command, 100, 102, 111–112
polygons, as hatch boundaries, 252
polylines
basic steps in creating, 107–110
defined, 102
lines versus, 105–106
offsetting, 151
3D drawing techniques, 194–195, 196
Portable Document Format (PDF), 338
portrait orientation, 266, 286
precision
for adding dimensions, 240–241
advanced techniques, 97–98
AutoCAD advantage over hand drawings, 10
coordinate entry, 89, 90–92
dimension settings, 240
of files versus on-screen displays, 176
importance, 88–90, 138, 347
object snapping, 92–97
selecting during setup, 44, 55
predefined hatching, 253, 255
prefixes, 246
previewing
dimension styles, 238
drawings in Select File dialog box, 170
hatching, 254
Plot dialog box options, 283
plotted colors, 278, 281
plotted drawings, 267, 268, 269
rectangular arrays, 150
text height, 220
text style, 210
Previous option, 135, 171
Primary units tab (New/Modify Dimension Style dialog box), 240
primitives (3D), 196, 198
Print Screen key, 358
printable area, 49, 285
printer drivers, 262–263, 284, 290
printing. See plotting
printouts, continued need for, 228, 261
Product Support, 40
Profiles tab (Options dialog box), 18
program window
command line area, 26–31, 36–37
customizing, 18
default configuration, 18
dialog boxes, 38
drawing area, 31–34
general appearance, 19
help system, 38–40
menu bar, 21
palettes, 34–35
status bar, 23–26
title bar, 20
toolbars, 21–23
projections (3DOrbit), 189
project-specific standards, 320
Prompt field (Attribute Definition dialog box), 303
prompts on command line, 27–28
properties. See also color property; lineweight property
accumulating, 77–79
editing methods, 161
layers, 75–77, 347
overriding with plot styles, 274
overview, 74–75
Properties feature, 34, 35
Properties palette
basic functions, 74–75
editing attribute definitions with, 303
editing dimensions with, 245
editing drawings with, 161
editing hatching with, 260
editing text with, 218, 224
identifying 3D objects with, 199
Text Override field, 246
Properties toolbar
basic features, 21
default location, 22
editing drawings with, 161
layer properties settings, 78–79
PSETUPIN command, 287
PSpace command, 67
PUBLISH command, 328, 329, 340–342
Publish Drawing Sheets dialog box, 340–342, 344
Publish to Web wizard, 329, 342
PUBLISHTOWEB command, 329, 342
PUrge command, 306
Purge dialog box, 306


Index_Q

Team LiB

Index

Q

QDIM (Quick DIMension) command, 244
qLEader command, 247–250
QNEW command, 52, 69
question mark
function on command line, 37
help button, 38, 238, 282
Quick DIMension (QDIM) command, 244
quick help, 38, 238, 282


Index_R

Team LiB

Index

R

radius
dimensions for, 231, 244
specifying for circle, 115
specifying for fillet, 156
RAL colors, 81
Raster File Format driver, 356
raster files
attaching to drawings, 313–316
defined, 294
for exchanges with other programs, 352, 355–356
including when sending drawings, 331, 335
vector files versus, 294, 314, 351
RAY command, 100, 102
realtime zooming and panning, 168–169, 171
received files, checking, 335
RECtang command, 100, 102, 110–111
rectangles, 110–111, 252
Rectangular Array radio button (Array dialog box), 150
rectangular arrays, 149–150
recycling drawings, 44, 349–350
Red Green Blue (RGB) numbers, 81
redefinition of blocks, 296, 300
Redraw command, 177
REFEDIT command, 301, 310
Reference Manager, 329, 336
REgen command, 126, 177
Regen queued message, 176, 177
REGENAUTO variable, 177
regeneration, 176–177
regular brackets, 30
Relative path option, 311, 315
relative polar coordinates
entry format, 90–91
to pick second point for move, 141
3D, 192
relative rectangular coordinates
entry format, 90–91
to pick second point for move, 141
specifying for rectangles, 111
3D, 192
Release 14. See AutoCAD Release 14
Reload button (Xref Manager dialog box), 307, 312
Render 3D Objects for Realism help page, 202
RENDER command, 202–203
Render dialog box, 202–203
rendered views, 3D for, 179, 201–203
Report tab (Create Transmittal dialog box), 333
Reset button (Options dialog box), 18
Retain option (Block Definition dialog box), 298
Retain path option (Image dialog box), 315
REVCLOUD command, 101, 114, 123–124
revision clouds, 123–124
revision numbers, 124
Revit, 13
REVolve command, 200
REVSURF command, 197
Rich Text Format (RTF) files, 352, 358
right-clicking
to display grip-editing menu, 159, 163
to display Zoom/Pan Realtime cursor menu, 168
in drawing area, 34, 101
to edit text, 218
in hatched areas, 260
multiline text window, 220–221
on paper space layouts, 66–67
with single-point snap, 93, 95
in 3DOrbit, 187, 189, 190
roll cursor (3DOrbit), 188
ROMANS.SHX font, 209, 211
ROtate command, 147–148
rotation angle
blocks, 300
selecting for ROtate command, 148
text, 217
Rotation option (ELlipse command), 118
round-trip transfer, 353
Row Offset box (Array dialog box), 150
Rows box (Array dialog box), 150
RTF (Rich Text Format) files, 352, 358
running object snap. See also object snapping
performing, 96
single-point snaps while activated, 93
status bar button, 24, 89
turning off for text, 216, 218


Index_S

Team LiB

Index

S

Save As dialog box, 68–69
Save As Type menu, 68, 69
Save Changes to Layout option (Plot dialog box), 267
Save Changes to the Following File option (Plotter Configuration Editor dialog box), 284
Save Drawing As dialog box, 343
Save List button (Publish Drawing Sheets dialog box), 341
SAVEAS command, 354
SAVETIME variable, 36
saving drawings, 350
saving templates, 53, 68–69
SCale command, 148–149, 224
Scale for Dimension Features area (Modify Dimension Style dialog box), 61
Scale Lineweights option (Plot dialog box), 286
Scaled to Fit option (Plot dialog box)
activating in paper space, 273–274
for check plots, 271–272
nonstandard results, 65
overview, 47
simple plotting with, 266
troubleshooting, 290
scales
blocks, 300
grid decisions and, 58
for hatch patterns, 253, 256–258
initial setup questions, 43
linetype and dimension, 59–61, 238, 239–240
plotting to, 271–274, 286
selecting during setup, 46–49
text, 211–214
viewports, 65
zooming by, 171
SCALETEXT command, 149, 224
scanned images. See raster files
Scientific units, 44
screen captures, 357–358
screen resolution, 358
screen settings, 18
screen size, point size as percentage, 126
screened lines, 274, 322
scroll bars, 169–170
scroll wheel (mouse), 169
Search tab (help system), 39
second point coordinates
arcs, 109, 116, 117
for basic editing commands, 138
BReak command, 155
Move command, 140–141
Stretch command, 147
Second pt method, 109
secondary styles (dimensions), 237
security features, 330, 343–344
Security Options dialog box, 343
segments of lines, 103, 105
Select Color dialog box, 81–82
Select File dialog box, 170
Select Image File dialog box, 315
Select Linetype dialog box, 82
Select Location button (viewports), 65
Select Objects button (Block Definition dialog box), 297
Select Reference File dialog box, 308
Select Template dialog box, 51, 52–53
selecting objects
as boundaries for hatching, 258–259
command-first example, 135–137
command-first options, 134–135
most useful modes, 131–134
as sets, 132–134
for spell checking, 224–225
Selection tab (Options dialog box), 131
selection-first editing, 130
self-extracting executable files, 332
semi-infinite line, 102
service bureaus, 282, 338
Set Current button (Options dialog box), 18
Set Size in Absolute Units option (Point Style dialog box), 126
Set Size Relative to Screen option (Point Style dialog box), 126
setup (drawings)
borders, 50
common system variables, 50–51
importance, 41–44
model space options, 54–62
paper sizes, 47–50, 287
paper space options, 62–68, 287
scale selection, 46–47
standards, 323
templates, 51–53, 68–70
unit selection, 44–45
Setup Wizards, 53
SETvar command, 36
SHADE command, 202
Shaded Viewport Options feature (Plot dialog box), 287
shading
removing from 3D drawings, 184
rendering versus, 202
3DOrbit options, 189
shared xrefs, 308
sheet sizes. See paper sizes
Shift key
to create multiple hot grips, 164, 165
to deselect objects, 134
to select groups of colors or named styles, 277
Shift+right-click, 93, 95
shortcut commands. See keyboard shortcuts
Show/Hide Lineweight button, 79
SHX fonts, 209, 333
sides, entering numbers for polygons, 111
SIMPLEX.SHX font, 209
single period, in path references, 311
single-object selection, 132
single-pixel dots, 125
single-point object snaps, 89, 92–96
sizes. See dimensions
slow computers, 79
SNAP button, 24, 57, 59, 89–90, 97
snap intervals, 57–58
snap mode
running, 24, 89, 96
single-point, 89, 92–96
status bar button, 24, 57, 59, 89–90, 97
when to turn off, 58, 97
Snap On check box (Drafting Settings dialog box), 57, 97
snapping. See also object snapping; running object snap
object snap versus, 98
to point objects, 125
polar, 89, 98
single-point, 89, 92–96
to specify 3D points, 192
solid hatching, 257
solid models, 181, 197–200
source document (OLE), 356–357
space, leaving on drawings, 49, 50
spacebar, 92, 159
spaces (character), excluding in coordinate entry, 92
spacing, of user defined hatching, 258
special text effects, 208
specialized versions. See discipline-specific versions (AutoCAD)
Specify On-Screen option (Insert dialog box), 300
SPell command, 224–226
spelling checker, 224–226
SPLine command, 101, 114, 120–122
spline objects, 120–122
spreadsheets
documenting standards on, 321
exchanging AutoCAD files with, 352
using Object Linking and Embedding, 357
Stack/Unstack button, 221
Standard style for dimensions, 236
Standard toolbar
basic features, 21
default location, 22
DesignCenter button, 234
eTransmit button, 332
Match Properties button, 161
Pan Realtime button, 169
Plot button, 265
Properties palette, 75, 161
Undo button, 137
Zoom Realtime button, 168
Standard Viewports list (Viewports dialog box), 185
standards
architectural drawing scales, 46
basic benefits, 318–319
for dimensions, 227–228, 238–239
fonts, 209–210
importance, 317–318, 349
lack of for CAD, 319–320
for layers, 77
major CAD areas for, 321–324
paper sizes, 47–49
plotted text height, 212, 214, 238–239
text styles, 209
utilities for maintaining, 324–326
STANDARDS command, 325
standards files, 326
Start From Scratch option (Add-A-Plot Style Table Wizard), 276
starting point. See also base point
BReak command, 155
specifying for arc, 115, 116, 117
specifying for line, 104
specifying for polyline, 107
specifying for rectangle, 110
specifying for revision cloud, 123
specifying for spline, 120
text lines, 216
Startup dialog box, 53
status bar
coordinates on, 24, 91
features overview, 23–26
menu, 26
precision features, 89–90, 93, 96
Show/Hide Lineweight button, 79
STB (Style TaBle) files, 275, 277, 281
still rendering, 201, 202
storage space
block advantages, 295
xref advantages, 307
Stretch command, 143–147, 163–166
Style Name list (Text Style dialog box), 210
Style TaBle (STB) files, 275, 277, 281
styles (dimension)
copying, 233–234, 235
creating, 234–237
editing, 61, 237–240
multiple, 239
overview, 227
secondary, 237
Styles list (Dimension Style Manager dialog box), 236
styles (plot), 274–278
styles (text), 208–211
Styles toolbar, 21, 22
Substituting. . . messages, 335
substyles (dimension), 237
suffixes, 246
Suggestions option (spelling checker), 225
surface meshes. See meshes
surface models, 181
swatches, 301
Symbol submenu, 221
symbol tables, 85
symbols. See descriptive symbols
system printers, 262, 264
system requirements, 15
system variables
ATTDIA, 304–305
basic types, 37
DIMASSOC, 247
for dimensions, 233
displaying, 36–37
for drawing setup, 50–51
entering, 36
initial setup questions, 44
MBUTTONPAN, 169
purpose, 36


Index_T

Team LiB

Index

T

tables, documenting standards in, 321
tabs, in multiline text, 221–223
Tag field (Attribute Definition dialog box), 303
tangent lines, 121
Template folder, 69, 70
templates
adding linetypes, 84
basic functions, 51–52
dimension styles in, 234
to facilitate using text styles, 209
for paper space layouts, 66, 68–70
steps for using, 52–53
test plots, 282
text. See also annotations; dimensions
basic steps for adding, 208
determining height, 211–214
dimension, 229, 238–239
justification, 215
with leaders, 247–250
leaving margin space for, 49, 50
multiline entry, 218–224
new indent features, 16
object types, 214–215
properties for attribute definitions, 303
single-line entry, 215–218
spell checking, 224–226
styles and fonts, 208–211
when to add to drawings, 207
TEXT command
basic steps in using, 215–218
functions, 208, 214–215
Text Formatting toolbar, 220, 221
text height
previewing, 220
recommended for dimensions, 238
setting, 211–214
specifying, 216, 219
standards, 323–324
Text Style dialog box
basic steps in using, 210–211
font options, 209
style options, 208–209
Text tab (New/Modify Dimension Style dialog box), 238–239
text (TXT) files, 352, 358
Text Window, 28–29
thickness of extrusion, 195, 196
third-party applications. See add-on products
3D object creation
assessing need, 180–183
benefits, 179–180, 182
coordinate specification, 192–193
coordinate systems, 190–191
drawing techniques, 194–200
editing techniques, 200–201
hidden objects, 287
LT limitations, 14, 180
model space features, 184–190
rendering, 201–203
3D Studio software (Autodesk), 203
3DFACE command, 196
3DOrbit command, 187–190
3DPOLY command, 194
3P option (Circle command), 114
TIFOUT command, 356
tiled viewports, 184
title bars, 20, 34
title blocks
creating, 50
effects of zooming and panning on, 174, 175
selecting during setup, 64–65
standard templates, 53
Today window, removed from 2004 release, 51
TOLERANCES command, 240
Tolerances tab (New/Modify Dimension Style dialog box), 240
Tool Palette
appearance, 35
basic features, 34
for hatch patterns, 259
to insert blocks into drawings, 301
toolbars, 21–23
Toolbars tab (Customize dialog box), 23
Tools menu
default template selection, 69, 70
Display OrderàSend to Back option, 316
Orthographic UCSàPreset option, 191
Spelling, 224
WizardsàCreate Layout option, 63, 64
ToolTips
defined, 23
displaying object snap mode, 93, 96
polar tracking mode, 98
torus mesh, 198
transparency of palettes, 35
transparent commands, 31
Trans-spatial dimensioning, 244–245
Tree view (xrefs), 312
TRim command, 152–154
troubleshooting plotters, 289–290
True Color tab (Select Color dialog box), 81, 278
TrueType fonts, 209, 333, 335
truncated names, 80
TTF fonts, 209, 333
Ttr option (Circle command), 114
2D wireframe mode, 184, 187
2P option (Circle command), 114
TXT (text) files, 352, 358


Index_U

Team LiB

Index

U

UCS dialog box, 191
UCSMAN command, 191
UCSs (user coordinate systems), 188, 190–191, 196
underscore character, 30
Undo option, 103, 137
unitless types of units, 44
units
dimension text settings, 240
entering feet and inches, 54, 57, 92
entering for templates, 69
initial setup questions, 43
selecting during setup, 44–45, 54–55
selecting for blocks, 298
selecting for plotting, 285
setup importance, 42
Unload button
Image Manager dialog box, 316
Xref Manager dialog box, 312
un-maximize button (title bars), 20
up arrow key, 31
uppercase names, avoiding, 80
upside-down plotting, 286
URLs (Uniform Resource Locators), 334
Use A PCP Or PC2 File option (Add-A-Plot Style Table Wizard), 277
Use Object Color setting (color property), 281
Use Overall Scale Of setting
Modify Dimension Style dialog box, 61
New Dimension Style dialog box, 236
New/Modify Dimension Style dialog box, 239–240, 241
user coordinate systems (UCSs), 188, 190–191, 196
user defined hatching, 253, 256


Index_V

Team LiB

Index

V

Valid hatch boundary not found error message, 258–259
Value field (Attribute Definition dialog box), 303
variable-height text style, 211, 213, 238
VBA (Visual Basic for Applications), 14
vector files, 294, 314, 351
versions (AutoCAD), 11–12, 13
vertical dimensions, 242
view, defined, 168
View dialog box, 171
View menu
DisplayàUCS Icon submenu, 191
Named Views option, 171, 172
Shade options, 202
Shadeà2D Wireframe option, 184
3D Views submenu, 186
3D ViewsàViewpoint Presets, 187
3DOrbit option, 188
ViewportsàNew Viewports option, 67, 185
ZoomàAll option, 173
ZoomàExtents option, 265
ZoomàPrevious option, 175
View option (Plot area), 286
Viewpoint Presets dialog box, 187
viewpoints
basic functions, 184
coordinate systems versus, 191
dynamic, 187–190
setting up, 186–187
Viewports dialog box, 67, 185
viewports (model space), 184–185
viewports (paper space)
adding, 67
defined, 25, 32
defining arrangement, 65
regenerating, 177
zooming and panning in, 174, 175
viruses, 332
visible object snaps, grips as, 158
Visual Basic for Applications (VBA), 14


Index_W

Team LiB

Index

W

WBLOCK command, 298
WCS (world coordinate system), 190
Web sites. See also Communication Center
appropriate use guidelines, 344
Autodesk, 337
CAD standards, 320, 323
HiJaak, 356
Inbit, Inc., 358
third-party applications, 13
VuePrint, 356
WinZIP, 334
WS_FTP, 334
What to Plot option (Plot dialog box), 266, 285
width of lines. See line widths; lineweight property
window object selection, 133
Window option
command-first selection, 135
Plot area, 286
Zoom command, 170
Windows. See Microsoft Windows
Windows Calculator, 49
Windows Clipboard
copying objects within drawings, 143
for file exchanges, 355
Object Linking and Embedding (OLE), 357
screen captures, 358
Windows MetaFile (WMF) files, 352, 354
Windows Print Troubleshooter, 290
Windows Registry, 37
Windows system printers, 262–263, 264, 290
WinZIP, 334
Wireframe mode (3DOrbit), 189
wireframes
as default 3D mode, 187, 189
elements of, 181
to improve performance, 184
3DPOLY command, 194
WMFIN command, 354
word processors
documenting standards on, 321
exchanging AutoCAD files with, 352
pasting text into AutoCAD, 223
word wrapping
manual line breaks with, 220
as multiline text benefit, 215
setting width, 219, 224, 249
turning off, 249
world coordinate system (WCS), 190
WPolygon option, 135, 136, 137
WS_FTP, 334


Index_X

Team LiB

Index

X

X option (Zoom command), 171
XCLIP command, 312
XLine command, 100, 102
XOPEN command, 310
XP option (Zoom command), 67, 171
xref clipping, 312
Xref Manager dialog box, 307, 308–309, 312
xrefs. See external references (xrefs)


Index_Z

Team LiB

Index

Z

zero height text, 213
zero suppression settings, 240
zero width polylines, 107
zipping files, 333–334
Zoom and Pan Realtime feature, 168–169
Zoom command, 55, 67, 170–171
Zoom Extents, 139, 189
zooming
to current extents, 265
defined, 167
experimenting with, 168
named views, 171–172
in previewed drawings, 269
Zoom command options, 170–171
Zoom/Pan Realtime cursor menu, 168


Cheat Sheet: AutoCAD 2004 For Dummies

Ten Top AutoCAD 2004 Drawing and Editing Commands
Button | ToolTip | Purpose
 | Line/Polyline | Draw line segments as separate objects/single object
 | Arc | Draw circular arcs
 | Circle | Draw circles
 | Multiline Text | Create and edit multiple lines of text; apply special formatting to characters
 | Linear Dimension | Draw horizontal, vertical, and rotated dimensions
 | Erase | Delete objects
 | Copy Object | Create one or more copies of objects
 | Move | Move objects
 | Stretch | Stretch, shorten, or move objects
 | Trim/Extend | Shorten or lengthen objects using other objects
Ten Top AutoCAD 2004 Keyboard Shortcuts
Keyboard Shortcut | Command | Purpose
Ctrl+S | QSAVE | Saves the drawing
Ctrl+O | OPEN | Displays the Select File dialog box
Ctrl+P | PLOT | Displays the Plot dialog box
Ctrl+A | AI_SELALL | Selects all objects in the current space in the current drawing
Ctrl+H | PICKSTYLE | Toggles “groupness” on and off
Ctrl+Tab | — | Switches to the next drawing
Ctrl+PgDn | — | Switches to the next tab in the current drawing
F2 | — | Toggles the AutoCAD Text Window on and off
F8 | ORTHO | Toggles ortho mode on and off
F9 | SNap | Toggles snap mode on and off
Drawing Scale and Limits Charts: Feet and Inches
Drawing Scale | 81/2” x 11” | 11” x 17” | 24” x 36” | 30” x 42” | 36” x 48”
1/16” = 1’–0” | 136’ x 176’ | 176’ x 272’ | 384’ x 576’ | 480’ x 672’ | 576’ x 768’
1/8” = 1’–0” | 68’ x 88’ | 88’ x 136’ | 192’ x 288’ | 240’ x 336’ | 288’ x 384’
1/4” = 1’–0” | 34’ x 44’ | 44’ x 68’ | 96’ x 144’ | 120’ x 168’ | 144’ x 192’
1/2” = 1’–0” | 17’ x 22’ | 22’ x 34’ | 48’ x 72’ | 60’ x 84’ | 72’ x 96’
3/4” = 1’–0” | 11’–4” x 14’–8” | 14’–8” x 22’–8” | 32’ x 48’ | 40’ x 56’ | 48’ x 64’
1” = 1’–0” | 8’–6” x 11’ | 11’ x 17’ | 24’ x 36’ | 30’ x 42’ | 36’ x 48’
1 1/2” = 1’–0” | 5’–8” x 7’–4” | 7’–4” x 11’–4” | 16’ x 24’ | 20’ x 28’ | 24’ x 32’
3” = 1’–0” | 2’–10” x 3’–8” | 3’–8” x 5’–8” | 8’ x 12’ | 10’ x 14’ | 12’ x 16’
Drawing Scale and Limits Charts: Millimeters
Drawing Scale | 210 x 297 mm | 297 x 420 mm | 420 x 594 mm | 594 x 841 mm | 841x 1,189 mm
1 = 200 | 42,000 x 59,400 mm | 59,400 x 84,000 mm | 84,000 x 118,800 mm | 118,800 x 168,200 mm | 168,200 x 237,800 mm
1 = 100 | 21,000 x 29,700 mm | 29,700 x 42,000 mm | 42,000 x 59,400 mm | 59,400 x 84,100 mm | 84,100 x 118,900 mm
1 = 50 | 10,500 x 14,850 mm | 14,850 x 21,000 mm | 21,000 x 29,700 mm | 29,700 x 42,050 mm | 42,050 x 59,450 mm
1 = 20 | 4,200 x 5,940 mm | 5,940 x 8,400 mm | 8400 x 11,880 mm | 11,880 x 16,820 mm | 16,820 x 23,780 mm
1 = 10 | 2,100 x 2,970 mm | 2,970 x 4,200 mm | 4,200 x 5,940 mm | 5,940 x 8,410 mm | 8,410 x 11,890 mm
1 = 5 | 1,050 x 1,485 mm | 1,485 x 2,100 mm | 2,100 x 2,970 mm | 2,970 x 4,205 mm | 4,205 x 5,945 mm
Drawing Scale and Text Height Chart: Feet and Inches
Drawing Scale | Drawing Scale Factor | 1/8” Text Height | 3/32” Text Height
1/16” = 1’–0” | 192 | 24” | 18”
1/8” = 1’–0” | 96 | 12” | 9”
1/4” = 1’–0” | 48 | 6” | 4 1/2”
1/2” = 1’–0” | 24 | 3” | 2 1/4”
3/4” = 1’–0” | 16 | 2” | 1 1/2”
1” = 1’–0” | 12 | 1 1/2” | 1 1/8”
1 1/2” = 1’–0” | 8 | 1” | 3/4”
3” = 1’–0” | 4 | 1/2” | 3/8”
Drawing Scale and Text Height Chart: Millimeters
Drawing Scale | Drawing Scale Factor | 3 mm Text Height | 2.5 mm Text Height
1 = 200 | 200 | 600 mm | 500 mm
1 = 100 | 100 | 300 mm | 250 mm
1 = 50 | 50 | 150 mm | 125 mm
1 = 20 | 20 | 60 mm | 50 mm
1 = 10 | 10 | 30 mm | 25 mm
1 = 5 | 5 | 15 mm | 12.5 mm

Wiley, the Wiley Publishing logo, For Dummies, the Dummies Man logo, the For Dummies Bestselling Book Series logo and all related trade dress are trademarks or registered trademarks of Wiley Publishing, Inc. All other trademarks are property of their respective owners.

Copyright © 2003 Wiley Publishing, Inc. All rights reserved.


List of Figures

Chapter 1: Introducing AutoCAD 2004

Figure 1-1: Plan to be floored by the drawing capabilities of AutoCAD 2004.

Chapter 2: Le Tour de AutoCAD 2004

Figure 2-1: The clean AutoCAD 4002 screen.
Figure 2-2: The AutoCAD screen with a drawing maximized.
Figure 2-3: A toolbar tasting.
Figure 2-4: Status (bar) check.
Figure 2-5: Learn to obey the command line.
Figure 2-6: My how you’ve grown:F2expands the command line area to a command text window.
Figure 2-7: Out model lounging around model space.
Figure 2-8: Freshly laid out in paper space.
Figure 2-9: A modeless menagerie.
Figure 2-10: Options—a handy way to change some system variable settings.
Figure 2-11: Lots of AutoCAD help.
Figure 2-12: Help is at your F1 fingertip.

Chapter 3: Setup for Success

Figure 3-1: Starting with a template.
Figure 3-2: The Drawing Units dialog box.
Figure 3-3: Relationships among standard paper sizes.
Figure 3-4: “This sheet size is too small,” said Goldilocks.
Figure 3-5: A plate full of templates to comtemplate.
Figure 3-6: The default unit-less units.
Figure 3-7: Get your Drafting setting here.
Figure 3-8: The dimension and linetype scales need to be just right.
Figure 3-9: Surveying your drawing’s properties.
Figure 3-10: The Create Layout Wizard.
Figure 3-11: Title block options in the Create Layout Wizard.
Figure 3-12: The right-click menu for a layout tab.
Figure 3-13: Saving a drawing as a template.

Chapter 4: Get Ready to Draw

Figure 4-1: A line rich in properties.
Figure 4-2: Se a current layer before you draw.
Figure 4-3: Use layer properties to control object properties.
Figure 4-4: ByLayer all the way.
Figure 4-5: Adding a new layer in the Layer Properties Manager dialog box.
Figure 4-6: The Select Color dialog box. Magenta is selected from the Standard Color lists.
Figure 4-7: The Select Linetype dialog box.
Figure 4-8: The Lineweight dialog box.
Figure 4-9: The AutoCAD DesignCenter palette.
Figure 4-10: Coordinating from the keyboard.
Figure 4-11: The object snap cursor menu.
Figure 4-12: A snappy line.
Figure 4-13: Grabbing multiple object features is an osnap.

Chapter 5: Where to Draw the Line

Figure 5-1: Line it up: Drawing line segments with the Line command.
Figure 5-2: Results of using the Line and PLine commands.
Figure 5-3: Getting in the PLine.
Figure 5-4: A plethora of polylines.
Figure 5-5: A polygonal party.
Figure 5-6: Multiline madness.
Figure 5-7: Pi R square(d); circles are round.
Figure 5-8: A deluge of Arc options, together with a three-point arc drawn behind.
Figure 5-9: Ellipse and elliptical arcs.
Figure 5-10: A slew of splines.
Figure 5-11: Donuts, plain and jelly-filled.
Figure 5-12: Cloud cover.
Figure 5-13: The Point Style dialog box controls the way point objects appear on-screen.

Chapter 6: Edit for Credit

Figure 6-1: A bounding selection box (window), drawn left to right, selects only objects completely within the box.
Figure 6-2: A crossing selection box (crossing), drawn right to left, selects objects that are completely or partially within the box.
Figure 6-3: Lasso-ing objects with a WPolygon.
Figure 6-4: Dragging objects in the middle of the MOVE command.
Figure 6-5: Copying objects between drawings.
Figure 6-6: Use a crossing selection box to select objects for stretching.
Figure 6-7: Stretch moves defining points that lie within the crossing selection box.
Figure 6-8: Use stretch with ortho turned on.
Figure 6-9: Dragging objects in the middle of the Stretch command.
Figure 6-10: ARay makes duplicates of objects in a rectangular or polar pattern.
Figure 6-11: Offsetting a line.
Figure 6-12: Anatomy of the TRim and EXtend operations.
Figure 6-13: Cleaning up those corners with Fillet and CHamfer.
Figure 6-14: The grip-editing cursor menu.
Figure 6-15: Using grips to connect two objects.
Figure 6-16: Dragging objects in the middle of the MOVE grip-editing operation.
Figure 6-17: Dragging a line’s endpoint in the middle of the STRETCH grip-editing operation.
Figure 6-18: Stretching multiple objects with multiple hot grips.

Chapter 7: A Zoom with a View

Figure 7-1: The Zoom/Pan Realtime cursor menu.
Figure 7-2: Create a new view for you.
Figure 7-3: The full layout.
Figure 7-4: Zooming in paper space.
Figure 7-5: Zooming in a model space viewport.

Chapter 8: On a 3D Spree

Figure 8-1: Leaning towards 3D.
Figure 8-2: The Viewport dialog box makes setting up model space viewports and different viewpoints easy.
Figure 8-3: The 3D Views submenu.
Figure 8-4: The 3Dorbit arcball and right-click menu.
Figure 8-5: Get with the USCMAN.
Figure 8-6: The object snap cursor menu’s Point Filters submenu.
Figure 8-7: Drawing 3D line segments.
Figure 8-8: Just add thickness and voilà—instant 3D! (Or 21/2 D, anyway.)
Figure 8-9: A torus mesh—the perfect 3D surface snack.
Figure 8-10: Everything you need for a solid foundation.
Figure 8-11: Specialized solids editing commands.
Figure 8-12: The Render dialog box and a rendered object.

Chapter 9: Text with Character

Figure 9-1: Text with style.
Figure 9-2: Line text.
Figure 9-3: Adding multilane text.
Figure 9-4: More multilane text formatting options in the right-click menu.
Figure 9-5: Tabs and indents set to create hanging indents.
Figure 9-6: It’s good to sue your spelling checker.

Chapter 10: Entering New Dimensions

Figure 10-1: Changing objects automatically updates dimensions.
Figure 10-2: The parts of a dimension.
Figure 10-3: Common types of dimensions.
Figure 10-4: Copying a dimension style from one drawing to another.
Figure 10-5: Yet another manager, this one for dimension styles.
Figure 10-6: Modifying dimension settings.
Figure 10-7: Keep Fit and don’t forget the Scale.
Figure 10-8: Drawing a linear dimension by selecting an object.
Figure 10-9: Examples of additional dimensioning commands.
Figure 10-10: All leaders and now followers.

Chapter 11: Down the Hatch

Figure 11-1: A big batch o’hatch.
Figure 11-2: The Hatch tab of the Boundary Hatch and Fill dialog box.
Figure 11-3: Plenty of hatch patterns.
Figure 11-4: Get picky about your hatching (“X” indicates a pick point).

Chapter 12: The Plot Thickens

Figure 12-1: System and nonsystem printers.
Figure 12-2: The Plot Device tab in the Plot dialog box.
Figure 12-3: The Plot Settings tab in the Plot dialog box.
Figure 12-4: The partial plot preview.
Figure 12-5: The full plot preview.
Figure 12-6: Plotting to scale.
Figure 12-7: Editing a color dependent plot style table.
Figure 12-8: Plotting object lineweights.
Figure 12-9: Selecting a plot style table that maps screen colors to plotted lineweights.
Figure 12-10: The Plot Device tab in the Plot dialog box.
Figure 12-11: The Plot Settings tab in the Plot dialog box.
Figure 12-12: The Page Setup dialog box: Plot in disquise.

Chapter 13: Playing Blocks and Rasteroids

Figure 13-1: The Block Definition dialog box.
Figure 13-2: Building a block.
Figure 13-3: The Insert dialog box.
Figure 13-4: The Attribute Definition dialog box.
Figure 13-5: The Edit Attributes dialog box.
Figure 13-6: The Enhanced Attribute Editor dialog box.
Figure 13-7: The Xref Manager dialog box.
Figure 13-8: Chart your path when you attach xref.
Figure 13-9: The Image Manager dialog box.

Chapter 14: CAD Standards Rule

Figure 14-1: Configuring standards. Check?
Figure 14-2: Checking standards. Check!

Chapter 15: Drawing on the Internet

Figure 15-1: Time to eTransmit.
Figure 15-2: The Reference Manager.
Figure 15-3: One DWF file can include multiple sheets.
Figure 15-4: “Look ma, no paper!: Plotting to a DWF file.
Figure 15-5: Hot off the presses: AutoCAD 2004’s new PBLISH command.
Figure 15-6: Password, please.


List of Tables

Chapter 1: Introducing AutoCAD 2004

Table 1-1: AutoCAD Versions and DWG File Formats

Chapter 3: Setup for Success

Table 3-1: Common Architectural Drawing Scales
Table 3-2: Common Plot Sheet Sizes
Table 3-3: System Variables for Drawing Setup

Chapter 4: Get Ready to Draw

Table 4-1: Useful Object Properties
Table 4-2: Precision Techniques

Chapter 5: Where to Draw the Line

Table 5-1: AutoCAD Drawing Commands

Chapter 6: Edit for Credit

Table 6-1: Some Useful Command-First Selection Options
Table 6-2: AutoCAD Clipboard Commands

Chapter 9: Text with Character

Table 9-1: Common Drawing Scales and Text Heights
Table 9-2: The Two Kinds of AutoCAD Text

Chapter 12: The Plot Thickens

Table 12-1: Plotting Problems and Solutions

Chapter 13: Playing Blocks and Rasteroids

Table 13-1: Attribute and Database Comparison

Chapter 14: CAD Standards Rule

Table 14-1: Sample Color-to-Lineweight Plotting Chart
Table 14-2: Sample Layer Chart
Table 14-3: AutoCAD’s CAD Standards Tools

Chapter 15: Drawing on the Internet

Table 15-1: AutoCAD 2004 Internet Features
Table 15-2: Swapping Information between AutoCAD and Other Programs

Chapter 17: Ten Ways to Swap Drawing Data with Other People and Programs

Table 17-1: Swapping between AutoCAD and Other Programs

Cheat Sheet: AutoCAD 2004 For Dummies

Ten Top AutoCAD 2004 Drawing and Editing Commands
Ten Top AutoCAD 2004 Keyboard Shortcuts
Drawing Scale and Limits Charts: Feet and Inches
Drawing Scale and Limits Charts: Millimeters
Drawing Scale and Text Height Chart: Feet and Inches
Drawing Scale and Text Height Chart: Millimeters


List of Sidebars

Chapter 1: Introducing AutoCAD 2004

AutoCAD-based applications
No Express service?

Chapter 2: Le Tour de AutoCAD 2004

Technical Stuff Screen test yields high profile
Hot-wiring the menu bar
The toolbars that ET AutoCAD
AutoCAD is no vin ordinaire

Chapter 3: Setup for Success

AutoCAD and paper
Drawing scale versus the drawing scale factor
Making snap (and grid) decisions

Chapter 4: Get Ready to Draw

Looking at layers
Stacking up your layers
About colors and lineweights
A load of linetypes
CAD precision versus accuracy

Chapter 6: Edit for Credit

Polishing those properties

Chapter 8: On a 3D Spree

Tip 3D thumbs up
Tip 3D thumbs down

Chapter 9: Text with Character

Attack of the giant text strings
Figuring out a drawing’s scale factor

Chapter 10: Entering New Dimensions

Why dimensions in CAD?

Chapter 11: Down the Hatch

Catch a hatch: Copying hatch properties
Make it solid, man

Chapter 12: The Plot Thickens

Plotting with plodders
Tip When in doubt, send it out

Chapter 13: Playing Blocks and Rasteroids

BLOCK and WBLOCK
Purging unused block definitions

Chapter 14: CAD Standards Rule

The aesthetics of CAD
Industry standards

Chapter 17: Ten Ways to Swap Drawing Data with Other People and Programs

AutoCAD LT Round-trip DWG fare
Warning Why not just shout, “OLE!”?

Team LiB
Previous Section